<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// addcomment.php
// 
// $Id: addcomment.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to add comments to papers


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get paper info from database
if(!$id && $paper) {
	$id=$paper;
}

$id = sanitize_db_input($id);
$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf' and accepted='true'");
$items = $db->assoc_array($result);

// this page's title
$title = "Add a Comment";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"),"Papers"=>print_url("papers.php"),"$items[first_name] $items[surname]"=>print_url("viewabstract.php?id=$id"));

// include the html header file
include("include/header.inc.php");


// check that conference allows comments
if($conference_items[allow_comments]!="true") {
	echo "This conference does not allow comments on papers.";
	include("include/footer.inc.php");
	exit;
}


// check if submitting
if($submit) {
	check_referer();

	list($paper, $author, $email, $comment_title, $comments) = strip_html($paper, $author, $email, $comment_title, $comments);
	$comment_title = str_replace("&quot;", "\"", $comment_title);
	$comments = str_replace("&quot;", "\"", $comments);

	// check that required fields are complete
	if(empty($author) || empty($email) || empty($comment_title) || empty($comments) || empty($paper)) {
		?>
		<p>Submission incomplete. Please go <a href="javascript:history.go(-1)">back</a> and complete all fields.</p>
		<?php 
	}
	
	else if(!check_email($email)) {
		?>
		<p>The email address you entered is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	
	// add the data to the database
	else {
		$date = date("Y-m-d");
		list($paper, $author, $email, $comment_title, $comments) = sanitize_db_input($paper, $author, $email, $comment_title, $comments);

		// execute the query
		$query = $db->query("insert into $dbtable[comments] (cf, paper, date, author, email, title, comments) values ('$cf', '$paper', '$date', '$author', '$email', '$comment_title', '$comments')") or die("Unable to add submission to database");

		// send notification to the author of the paper, if applicable
		$result = $db->query("select * from $dbtable[papers] where id='$paper' and cf='$cf'");
		list($author, $comment_title, $comments) = sanitize_html_output($author, $comment_title, $comments);
		$items = $db->assoc_array($result);
		if($items[comment_email]=="true") {
			if(!mail("$items[email]", "Re: $items[title]", "Greetings, $items[first_name] $items[surname]!\n\n$author has posted the following comment on your abstract or paper, \"$items[title]\", at the $conference_items[name] web site:\n\n$comment_title\n\n$comments\n\nYou can view this and other comments on your paper at ".$baseurl.print_url("viewabstract.php?id=$paper")."\n\nIf you would prefer not to receive notifications of new comments posted on your paper in the future, you may log in at ".$baseurl.print_url("submission.php")." to adjust this preference.", "From: $conference_items[contact_email] ($conference_items[contact_name])", "-f$conference_items[contact_email]")) {
				echo "Failed to send notification email to $items[email]<br />";
			}
		}
		
		// send notification to conference contact
		if($conference_items[contact_notify]) {
			mail("$conference_items[contact_email] ($conference_items[contact_name])", "$conference_items[name]: Comment Posted", "$author has posted the following comment on the abstract or paper, \"$items[title]\", at the $conference_items[name] web site:\n\n$comment_title\n\n$comments\n\n".$baseurl.print_url("viewabstract.php?id=$paper")."\n\nNote: comments may be deleted by logging in at ".$baseurl.print_url("admin/index.php"),"From: $conference_items[contact_email] ($conference_items[contact_name])", "-f$conference_items[contact_email]");
		}
		?>
		<p>Your comment has been added.</p>
		<p><a href="<?php echo print_url("viewabstract.php?id=$paper"); ?>"><b>Back to Abstract</b></a></p>
		<?php
	}
}

// else display add comment form
else {

// check if this is a valid paper
if($items[id]) {
?>

<p><font class="ArticleTitle"><b>Comment on "<?php echo $items[title]; ?>"</b></font><br />
<font class="SmallText">(Note: comments posted on conference papers will be cc'd to the Principal Contact as well as the author of this paper, if applicable, and can be deleted if required.)</font></p>

<form action="<?php echo print_url("addcomment.php"); ?>" method="post"><input type="hidden" name="paper" value="<?php echo $items[id]; ?>">
<p><b>Your Name:</b> <input type="text" name="author" value="<?php echo sanitize_output($fullname); ?>"></p>
<p><b>Your Email:</b> <input type="text" name="email" value="<?php echo sanitize_output($email); ?>"></p>
<p><b>Comment Title:</b> <input type="text" name="comment_title" size="40"></p>
<p><b>Comments:</b><br /><textarea name="comments" wrap="virtual" cols="75" rows="15"></textarea></p>

<p><input type="submit" name="submit" value="Add Comment" class="button"> <input type="reset" class="button"></p>

<?php

}

// else print error message
else { echo "Requested paper not found."; }

}

// include the html footer file
include("include/footer.inc.php");

?>
