<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/changepw.php
// 
// $Id: changepw.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// change the admin password


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Change Admin Password";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");

unset($err);

if($submit) {
	check_referer();

	// check submission
	if(empty($new_username) || empty($old_password) || empty($new_password) || empty($new_password2)) {
		$err = "Incomplete submission. Please complete all fields.";
	}
	else if(md5($old_password) != $password) {
		$err = "Old password is incorrect.";
	}
	else if(!check_name($new_username)) {
		$err = "New username is invalid.";
	}
	else if($new_password != $new_password2) {
		$err = "New passwords do not match.";
	}
	else if(!check_name($new_password)) {
		$err = "New password is invalid.";
	}
	
	// update username and password
	if(!isset($err)) {
	
		list($new_username, $new_username) = sanitize_db_input($new_username, $new_password);
		$relogin = true;
	
		// update specific conference admin username/pass
		if($cf) {
			$db->query("update $dbtable[conference] set admin_login='$new_username', admin_password='".md5($new_password)."' where id='$cf'");

			// check if user will need to login again
			if($multiple && $username == $global_items[admin_login] && $password == $global_items[admin_password]) {
				$relogin = false;
			}
		}
		
		// update global admin login/pass
		if(!$cf || !$multiple) {
			$db->query("update $dbtable[conference_global] set admin_login='$new_username', admin_password='".md5($new_password)."'");
		}
		
		// check if user will need to login again
		if($new_username == $username && md5($new_password) == $password) {
			$relogin = false;
		}
		
		if($cf) { echo "<p>The admin username and password for this conference have been changed."; }
		else { echo "<p>The global admin username and password have been changed."; }

		// check if user needs to login again
		if($relogin) {
		?>
		You will need to <a href="<?php echo print_url("index.php"); ?>">login</a> again.
		<?php
		}
		echo "</p>";
	}
}


// show form
if(!$submit || isset($err)) {

?>

<p>Use this form to change the username and password required to access the <?php if(!$cf) { echo "multiple "; } ?>conference administrative and set up pages. Note: usernames and passwords are case sensitive.</p>

<?php
if(!$cf) {
	echo "<p>This global username and password can be used to administrate any conferences hosted on your multiple conference system.</p>";
}
else if($multiple) {
	echo "<p>This username and password can be used to administrate just this conference.</p>";
}
?>

<?php
if(isset($err)) { echo "<p class=\"instructions\">$err</p>"; }
?>

<form action="<?php echo print_url("changepw.php"); ?>" method="post">

<p><b>Old Password</b>: <input type="password" name="old_password" value="<?php echo sanitize_output($old_password); ?>"></p>

<p><b>New Username</b>: <input type="text" name="new_username" value="<?php if($new_username) { echo sanitize_output($new_username); } else { echo sanitize_output($username); } ?>"></p>

<p><b>New Password</b>: <input type="password" name="new_password" value="<?php echo sanitize_output($new_password); ?>"></p>

<p><b>New Password Again</b>: <input type="password" name="new_password2" value="<?php echo sanitize_output($new_password2); ?>"></p>

<p><font class="instructions">The admin username and password may contain only alphanumeric characters.</font></p>

<p><input type="submit" name="submit" value="Change Password" class="button"></p>

</form>

<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
