<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/citationstyle.php
// 
// $Id: citationstyle.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// pop-up window that prints an example citation in the specified style


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


// test data for example citation
$items[surname] = "Smith";
$items[first_name] = "John";
$items[title] = "An Example Paper";
$items[id] = "1";
// default to APA if no style is specified
if(!$style || $style=="null") {
	$style = "APA";
}
$conference_items[citation_style] = $style;


?>

<html>
<head>
	<title>Citation Style Preview</title>
	<link rel="stylesheet" href="../themes/<?php echo $theme; ?>/style.css" type="text/css">
</head>
<body bgcolor="#ffffff">
<p><font class="ArticleTitle">Citation Style Preview</font></p>

<p><?php

// print out links to view each other possible style
$array = array("APA","MLA","Turabian","CBE");
for($i=0; $i<count($array); $i++) {
	if($i>0) {
		echo " | ";
	}
	if($style==$array[$i]) {
		echo "<b>$array[$i]</b>";
	}
	else {
		echo "<a href=\"".print_url("$PHP_SELF?style=$array[$i]")."\">$array[$i]</a>";
	}
}

?></p>

<p><?php

// include the citation script
include("../include/citation.inc.php");

?></p>

<p><b><a href="javascript:top.close();">Close Window</a></b></p>
</body>
</html>
