<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/comments.php
// 
// $Id: comments.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to view/delete comments that have been posted on papers


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "View/Delete Comments";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// delete a comment
if($delete && $paper && $id) {
	list($paper, $id, $cf) = sanitize_db_input($paper, $id, $cf);
	$db->query("delete from $dbtable[comments] where paper='$paper' and id='$id' and cf='$cf'") or die("Failed to delete comment");
	?>
	<p>Comment deleted.</p>
		<p><b><a href="<?php echo print_url("comments.php?paper=$paper"); ?>">Back to Comments</a></b></p>
	<?php

}


// show comments on a specific paper
else if($paper) {
?>
<table border="0" width="600" cellpadding="2" cellspacing="0">
<?php
	// get paper info from database
	$paper = sanitize_db_input($paper);
	$paper_result = $db->query("Select title, first_name, surname, affiliation, add_first_names, add_surnames, add_affiliations from $dbtable[papers] where id='$paper' and cf='$cf'");
	$paper_items = $db->assoc_array($paper_result);
	
	// print out the paper info
	echo "<tr valign=\"top\"><td width=\"10\"><img src=\"".$themesdir."images/arrow.gif\" width=\"12\" height=\"12\" border=\"0\" name=\"papers\"></td><td width=\"590\"><b>$paper_items[first_name] $paper_items[surname]";
	if($paper_items[affiliation]) {
		echo ", $paper_items[affiliation]";
	}
	echo "</b><br />";
	// print out additional authors, if applicable
	if($paper_items[add_first_names]) {
		$add_first_names = explode("\n",$paper_items[add_first_names]);
		$add_surnames = explode("\n",$paper_items[add_surnames]);
		$add_emails = explode("\n",$paper_items[add_emails]);
		$add_affiliations = explode("\n",$paper_items[add_affiliations]);
		for($x=0; $x<count($add_first_names); $x++) {
			echo "<b>$add_first_names[$x] $add_surnames[$x]";
			if($add_affiliations[$x]) {
				echo ", $add_affiliations[$x]";
			}
			echo "</b><br />";
		}
	}
	echo "<font class=\"ArticleTitle\">$paper_items[title]</font><br />";
	
	// get comment info from database		
	$result = $db->query("Select * from $dbtable[comments] where paper='$paper' and cf='$cf' order by date");

	// print out comments on this paper
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result,$i);
		echo "<br /><b>$items[title]</b><br />
		Posted by <a href=\"mailto:$items[email]\">$items[author]</a> on ".date("F j, Y", strtotime($items[date]))." <font class=\"SmallText\">(<a href=\"".print_url("comments.php?id=$items[id]&paper=$items[paper]&delete=true")."\">Delete</a>)</font><br />
	".nl2br($items[comments])."<br />";
	}

?>
</td></tr></table>
<p><b><a href="<?php echo print_url("comments.php"); ?>">Back to Comments</a></b></p>
<?php
}


// show list of papers that have comments on them
else {
?>

<table border="0" width="600" cellpadding="2" cellspacing="0">
<?php
// get comment info from database
$result = $db->query("Select * from $dbtable[comments] where cf='$cf' order by paper");
$currpaper = "0";
$numcomments = 0;

for($i=0; $i<$db->num_rows($result); $i++) {
	$items = $db->assoc_array($result,$i);
	// if this is a new paper, reset the counter and print out paper info
	if($currpaper != $items[paper]) {
		$currpaper = $items[paper];
		// print out number of comments from previous paper
		if($i>0) {
			echo "<b>$numcomments Comment";
			if($numcomments!=1) {
				echo "s";
			}
			echo "</b></td></tr>
			<tr height=\"16\"><td colspan=\"2\">&nbsp;</td></tr>";
		}
		$numcomments = 0;
		// get paper info from database
		$items[paper] = sanitize_db_input($items[paper]);
		$paper_result = $db->query("Select title, first_name, surname, affiliation, add_first_names, add_surnames, add_affiliations from $dbtable[papers] where id='$items[paper]' and cf='$cf'");
		$paper_items = $db->assoc_array($paper_result);
		// print out paper info
		echo "<tr valign=\"top\"><td width=\"10\"><img src=\"".$themesdir."images/arrow.gif\" width=\"12\" height=\"12\" border=\"0\" name=\"papers\"></td><td width=\"590\"><b>$paper_items[first_name] $paper_items[surname]";
		if($paper_items[affiliation]) echo ", $paper_items[affiliation]";
			echo "</b><br />";
		// print out additional authors, if applicable
		if($paper_items[add_first_names]) {
			$add_first_names = explode("\n",$paper_items[add_first_names]);
			$add_surnames = explode("\n",$paper_items[add_surnames]);
			$add_emails = explode("\n",$paper_items[add_emails]);
			$add_affiliations = explode("\n",$paper_items[add_affiliations]);
			for($x=0; $x<count($add_first_names); $x++) {
				echo "<b>$add_first_names[$x] $add_surnames[$x]";
				if($add_affiliations[$x]) echo ", $add_affiliations[$x]";
				echo "</b><br />";
			}
		}
		// link to view comments on this paper
		echo "<font class=\"ArticleTitle\"><a href=\"".print_url("comments.php?paper=$items[paper]")."\">$paper_items[title]</a></font><br />";
	}
	$numcomments++;
}

// print out number of comments from the last paper
if($i>0) {
	echo "<b>$numcomments Comment";
	if($numcomments!=1) {
		echo "s";
	}
	echo "</b>";
}

if($db->num_rows($result) == 0) {
	echo "<tr><td>No comments found.";
}
?>
</td></tr></table>

<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
