<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/invitedspeakers.php
// 
// $Id: contacts.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to view and edit list of conference directors and contacts


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Conference Contacts and Directors";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// add directors/contacts
if($submit) {
	check_referer();

	// prepare the format of some variables for submission
	if(!is_array($directors)) {
		$directors = explode("; ",$directors);
	}
	if(!empty($directors)) { $directors = join("\n",$directors); }
	
	if(!is_array($director_titles)) {
		$director_titles = explode("; ",$director_titles);
	}
	if(!empty($director_titles)) { $director_titles = join("\n",$director_titles); }
	
	if(!is_array($director_emails)) {
		$director_emails = explode("; ",$director_emails);
	}
	if(!empty($director_emails)) { $director_emails = join("\n",$director_emails); }
	
	if($contact_notify) { $contact_notify = 1; }
	else { $contact_notify = 0; }
	
	list($directors, $director_titles, $director_emails, $contact_name, $contact_title, $contact_email, $contact_address, $contact_phone, $contact_fax, $support_name, $support_email) = strip_html($directors, $director_titles, $director_emails, $contact_name, $contact_title, $contact_email, $contact_address, $contact_phone, $contact_fax, $support_name, $support_email);

	list($directors, $director_titles, $director_emails, $contact_name, $contact_title, $contact_email, $contact_address, $contact_phone, $contact_fax, $support_name, $support_email) = sanitize_db_input($directors, $director_titles, $director_emails, $contact_name, $contact_title, $contact_email, $contact_address, $contact_phone, $contact_fax, $support_name, $support_email);

	$query_txt = "update $dbtable[conference] set directors='$directors', director_titles='$director_titles', director_emails='$director_emails', contact_name='$contact_name', contact_title='$contact_title', contact_email='$contact_email', contact_address='$contact_address', contact_phone='$contact_phone', contact_fax='$contact_fax', contact_notify='$contact_notify', support_name='$support_name', support_email='$support_email' where id='$cf'";
	$db->query($query_txt);

	?>
	<p>The conference directors and contacts have been updated.</p>
		<p><a href="<?php echo print_url("contacts.php"); ?>"><b>Back to Directors and Contacts</b></a></p>
	<?php


}

// else show form
else {

	if(!$add_director && !$del_director) {
		// current values
		$directors = explode("\n",$conference_items[directors]);
		$director_titles = explode("\n",$conference_items[director_titles]);
		$director_emails = explode("\n",$conference_items[director_emails]);
		$contact_name = $conference_items[contact_name];
		$contact_title = $conference_items[contact_title];
		$contact_email = $conference_items[contact_email];
		$contact_address = $conference_items[contact_address];
		$contact_phone = $conference_items[contact_phone];
		$contact_fax = $conference_items[contact_fax];
		$contact_notify = $conference_items[contact_notify];
		$support_name = $conference_items[support_name];
		$support_email = $conference_items[support_email];
	}

	?>
	
<form action="<?php echo print_url("contacts.php"); ?>" method="post">
	
<p>The people specified here will be visible to your site's visitors on the <a href="<?php echo print_url("../organization.php"); ?>">Conference Organizers</a> page.</p>
	
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	
<tr><td><a name="directors"></a><b>Directors or Organizers</b></td></tr>

<tr><td>&nbsp;</td></tr>

<tr><td>
<?php
// get number of directors
if(!$directors) {
	$numdirs = 1;
}
else {
	$numdirs = count($directors);
	
	// increment number of directors, if adding one
	if($add_director) {
		$numdirs++;
	}
}

// get id of director to delete, if applicable
if($del_director) {
	$del_director = str_replace("Delete Director #","",$del_director);
}

// print out list of directors
for($i=0; $i<$numdirs; $i++) {
	$y=$i+1;
	// print out director info if not deleting
	if($del_director!=$y) {
		// decrement number of directors if deleting
		if($hasdeldir) {
			$y--;
		}
		echo "<p>Name: <input type=\"text\" name=\"directors[]\" value=\"";
		echo sanitize_output($directors[$i]);
		echo "\"> <input type=\"submit\" name=\"del_director\" value=\"Delete Director #$y\" class=\"button\"><br />
		Title and affiliation: <input type=\"text\" name=\"director_titles[]\" value=\"";
		echo sanitize_output($director_titles[$i]);
		echo "\"><br />
		Email: <input type=\"text\" name=\"director_emails[]\" value=\"";
		echo sanitize_output($director_emails[$i]);
		echo "\"></p>";
	}
	// note a director has been deleted
	else {
		$hasdeldir=1;
	}
}
?>
<p><input type="submit" name="add_director" value="Add Additional Director" class="button"></p>
</td></tr>


<tr><td>&nbsp;</td></tr>


<tr><td><b>Principal Contact</b></td></tr>

<tr><td class="instructions">For conference queries, email, etc.</td></tr>

<tr><td>&nbsp;</td></tr>

<tr><td>
Name: <input type="text" name="contact_name" value="<?php echo sanitize_output($contact_name); ?>"><br />
Title and affiliation: <input type="text" name="contact_title" value="<?php echo sanitize_output($contact_title); ?>"><br />
Email: <input type="text" name="contact_email" value="<?php echo sanitize_output($contact_email); ?>"><br />
Address:<br />
<textarea name="contact_address" wrap="virtual" cols="30" rows="3"><?php echo sanitize_output($contact_address); ?></textarea><br />
Phone: <input type="text" name="contact_phone" value="<?php echo sanitize_output($contact_phone); ?>"><br />
Fax: <input type="text" name="contact_fax" value="<?php echo sanitize_output($contact_fax); ?>"><br />
<input type="checkbox" name="contact_notify" value="1"<?php if($contact_notify) { echo " checked"; } ?>> Send a notification email to the conference contact when new papers, comments, reviews, or registrations are submitted.
</td></tr>


<tr><td>&nbsp;</td></tr>


<tr><td><b>Technical Support Contact</b></td></tr>

<tr><td>&nbsp;</td></tr>

<tr><td>
Name: <input type="text" name="support_name" value="<?php echo sanitize_output($support_name); ?>"><br />
Email <input type="text" name="support_email" value="<?php echo sanitize_output($support_email); ?>">
</td></tr>


<tr><td>&nbsp;</td></tr>

</table>

<input type="submit" name="submit" value="Submit" class="button">

</form>

<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
