<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/convertsystem.php
// 
// $Id: convertsystem.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// script to change the state of a conference from single to multiple and vice versa


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Edit an Existing Conference";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password) || ($convert != "multiple" && $convert != "single") || ($convert == "single" && isset($cf)) || ($confirm && $confirm != "Yes")) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// convert to multiple system
if($convert == "multiple") {

	// check if system can be converted to multiple
	if(!$multiple) {
		// convert to multiple
		if($confirm) {
			check_referer();

			$db->query("update $dbtable[conference_global] set multi='1'");
			
			// update admin username/pass
			$result = $db->query("select admin_login, admin_password from $dbtable[conference] where id='$cf'");
			$items = $db->assoc_array($result);
			$db->query("update $dbtable[conference_global] set admin_login='$items[admin_login]', admin_password='$items[admin_password]'");
			
			?>
			<p>This system has been converted to a multiple conference system.</p>
				<p><a href="<?php echo print_url("index.php"); ?>"><b>Multiple Conference Website Set Up</b></a></p>
			<?php
		}
		
		// confirm conversion
		else {
			?>
			<p>Are you sure you want to convert your website into a multiple conference system? This change is not permanent -- the system may be converted back to a single conference system later if necessary.</p>
					<p><form action="<?php echo print_url("convertsystem.php"); ?>" method="post">
					<input type="hidden" name="convert" value="multiple">
					<input type="submit" name="confirm" value="Yes" class="button"> <input type="submit" name="confirm" value="No" class="button">
					</form></p>
			<?php
		}
	}
	
	else {
		?>
		<p>This is already a multiple conference system.</p>
				<p><a href="<?php echo print_url("index.php"); ?>"><b>Back to Conference Administration</b></a></p>
		<?php	
	}

}

// convert to single system
else if($convert == "single") {

	// check if system can be converted to single
	if($multiple) {
		// check number of conferences
		$result = $db->query("select count(*) as count from $dbtable[conference]");
		$items = $db->assoc_array($result);
		
		if($items[count] == 1) {
			// convert to multiple
			if($confirm) {
				check_referer();

				$db->query("update $dbtable[conference_global] set multi='0'");
			
				// update admin username/pass
				$result = $db->query("select admin_login, admin_password from $dbtable[conference_global]");
				$items = $db->assoc_array($result);
				$db->query("update $dbtable[conference] set admin_login='$items[admin_login]', admin_password='$items[admin_password]'");
				
				?>
				<p>This system has been converted to a single conference system.</p>
					<p><a href="<?php echo print_url("index.php"); ?>"><b>Conference Set Up</b></a></p>
				<?php
			}
			
			// confirm conversion
			else {
				?>
				<p>Are you sure you want to convert your website into a single conference system? This change is not permanent -- the system may be converted back to a multiple conference system later if necessary. Note: the admin username and password used to access the single conference administrative pages will be the global one.</p>
						<p><form action="<?php echo print_url("convertsystem.php"); ?>" method="post">
						<input type="hidden" name="convert" value="single">
						<input type="submit" name="confirm" value="Yes" class="button"> <input type="submit" name="confirm" value="No" class="button">
						</form></p>
				<?php
			}
		}
		else {
			?>
			<p>Your website must consist of a single conference before you can convert this to a single system.</p>
				<p><a href="<?php echo print_url("index.php"); ?>"><b>Back to Conference Administration</b></a></p>
			<?php
		}
	}
	
	else {
		?>
		<p>This is already a single conference system.</p>
			<p><a href="<?php echo print_url("index.php"); ?>"><b>Back to Conference Administration</b></a></p>
		<?php		
	}

}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>