<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/createconference.php
// 
// $Id: createconference.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to create a new conference in a multiple conference system


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Create a New Conference";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password) || !$multiple || $cf) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// create a new conference
if($submit) {
	check_referer();

	// check that all required fields were completed
	if(empty($name) || empty($admin_username) || empty($admin_password)) {
		?>
		<p>Submission incomplete. Please go <a href="javascript:history.go(-1)">back</a> and complete all fields.</p>
		<?php
	}
	
	// check that username is valid
	else if(!check_name($admin_username)) {
		?>
		<p>The admin username is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	
	// check that passwords match
	else if($admin_password != $admin_password2) {
		?>
		<p>Your passwords do not match. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	
	// check that password is valid
	else if(!check_name($admin_password)) {
		?>
		<p>The admin password is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	
	else {
		// check for duplicates
		$result = $db->query("select * from $dbtable[conference] where name='$name'");
		if($db->num_rows($result) != 0) {
			?>
			<p>A conference with this title already exists. Please go <a href="javascript:history.go(-1)">back</a> and select a unique title.</p>
			<?php
		}
		
		else {
			if(!$active) { $active = "0"; }
			else { $active = "1"; }
			
			list($name, $admin_username, $admin_password) = strip_html($name, $admin_username, $admin_password);
			
			list($name, $admin_username, $admin_password) = sanitize_db_input($name, $admin_username, $admin_password);

			// add conference
			$db->query("insert into $dbtable[conference] (name, admin_login, admin_password, active) values ('$name', '$admin_username', '".md5($admin_password)."', '$active')");
			
			// get id
			$result = $db->query("select id from $dbtable[conference] where name='$name'");
			$items = $db->assoc_array($result);
			
			// insert gratuitous link to pkp
			if($items[id]) {
				$db->query("insert into $dbtable[links] (cf, title, url, annotation) values ('$items[id]', 'The Public Knowledge Project', 'http://www.pkp.ubc.ca', 'A federally funded research initiative that seeks to improve the scholarly and public quality of academic research through innovative online environments such as this one.')");
			}
			
			?>
			<p>The conference <b><?php echo sanitize_output($name); ?></b> has been created.</p>
			<p><a href="<?php echo print_url("index2.php?cf=$items[id]"); ?>"><b>Administrate <?php echo sanitize_output($name); ?></b></a></p>
			<p><a href="<?php echo print_url("createconference.php"); ?>"><b>Create Another Conference</b></a></p>
			<?php
			
		}
	}

}


// show form
else {
?>

<p>Use this form to create a new conference.</p>

<form action="<?php echo print_url("createconference.php"); ?>" method="post">

<p><b>Conference Title</b>: <input type="text" name="name" size="50"></p>

<p><b>Admin Username</b>: <input type="text" name="admin_username"><br />
<font class="instructions">This admin username and password will be used to access the administrative pages of just this conference. It is strongly recommended that you choose a different username and password for each conference you create, although you will be able to administrate all conferences with the global admin username and password.</font></p>

<p><b>Admin Password</b>: <input type="password" name="admin_password"></p>

<p><b>Admin Password Again</b>: <input type="password" name="admin_password2"></p>

<p><font class="instructions">The admin username and password may contain only alphanumeric characters.</font></p>

<p><input type="checkbox" name="active" value="1"> <b>Activate Conference</b><br />
<font class="instructions">The conference will not be accessible from the main site index page until it has been activated, although it can still be set up and configured.</font></p>

<input type="submit" name="submit" value="Create Conference" class="button">

</form>

<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");
?>