<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/editconference.php
// 
// $Id: editconference.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to edit an existing conference


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Edit an Existing Conference";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password) || !$multiple || $cf) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// update conference
if($update) {

	// check that all required fields were completed
	if(empty($name) || empty($admin_username)) {
		echo "Submission incomplete. Please go <a href=\"javascript:history.go(-1)\">back</a> and complete all fields."; 
	}
	
	// check that username is valid
	else if(!check_name($admin_username)) {
		?>
		<p>The admin username is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	
	// check that passwords match
	else if($admin_password && $admin_password != $admin_password2) {
		echo "Your passwords do not match. Please go <a href=\"javascript:history.go(-1)\">back</a> and correct your submission."; 
	}
	
	// check that password is valid
	else if($admin_password && !check_name($admin_password)) {
		?>
		<p>The admin password is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	
	else {
		// check for duplicates
		$result = $db->query("select * from $dbtable[conference] where name='$name' and id!='$conference'");
		if($db->num_rows($result) != 0) {
			echo "A conference with this title already exists. Please go <a href=\"javascript:history.go(-1)\">back</a> and select a unique title.";
		}
		
		else {
			check_referer();

			// update conference
			if(!$active) { $active = "0"; }
			else { $active = "1"; }
			
			list($name, $admin_username, $admin_password) = strip_html($name, $admin_username, $admin_password);
			
			list($name, $admin_username, $admin_password, $conference) = sanitize_db_input($name, $admin_username, $admin_password, $conference);
		
			$query = "update $dbtable[conference] set name='$name', admin_login='$admin_username'";
			if($admin_password) { $query .= ", admin_password='".md5($admin_password)."'"; }
			$query .= ", active='$active' where id='$conference'";
			$db->query($query);
			
			?>
			<p>The conference <b><?php echo sanitize_output($name); ?></b> has been updated.</p>
			<p><a href="<?php echo print_url("index2.php?cf=$conference"); ?>"><b>Administrate <?php echo sanitize_output($name); ?></b></a></p>
			<p><a href="<?php echo print_url("editconference.php"); ?>"><b>Back to Edit Conference</b></a></p>
			<?php
		}
	}

}


// delete a conference
else if($delete) {
	$conference = sanitize_db_input($conference);

	// check that conference exists
	$result = $db->query("select id from conference where id='$conference'");
	
	if($db->num_rows($result) == 0) {
		echo "Invalid conference. Please go <a href=\"".print_url("editconference.php")."\">back</a> and select another conference."; 
	}
	
	else {
		// delete conference
		if($confirm) {
			check_referer();

			// delete from tables
			$db->query("delete from $dbtable[conference] where id='$conference'");
			$db->query("delete from $dbtable[invited_speakers] where cf='$conference'");
			$db->query("delete from $dbtable[registrants] where cf='$conference'");
			$db->query("delete from $dbtable[reviewers] where cf='$conference'");
			$db->query("delete from $dbtable[reviewer_proposals] where cf='$conference'");
			$db->query("delete from $dbtable[reviews] where cf='$conference'");
			$db->query("delete from $dbtable[comments] where cf='$conference'");
			$db->query("delete from $dbtable[links] where cf='$conference'");
			
			// delete from scheduler tables
			$db->query("DELETE FROM $dbtable[scheduler_locations] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_session_times] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_themes] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_session_types] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_presentations] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_session_times] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_chairs] WHERE cf='$conference'");
			$db->query("DELETE FROM $dbtable[scheduler_functions] WHERE cf='$conference'");


			// delete papers
			$result = $db->query("select pdf, appendix_pdf from $dbtable[papers] where (pdf!='' or appendix_pdf!='') and cf='$conference'");
			for($i=0; $i<$db->num_rows($result); $i++) {
				$items = $db->assoc_array($result, $i);
				if($items[pdf] && file_exists("../papers/$items[pdf]")) { unlink("../papers/$items[pdf]"); }
				$appendix_pdf = explode("\n", $appendix_pdf);
				foreach($appendix_pdf as $pdf) {
					if($pdf && file_exists("../papers/$pdf")) { unlink("../papers/$pdf"); }
				}
			}
			$db->query("delete from $dbtable[papers] where cf='$conference'");
			
			// delete images
			if(file_exists("../images/title-$conference.gif")) { unlink("../images/title-$conference.gif"); }
			if(file_exists("../images/logo-$conference.gif")) { unlink("../images/logo-$conference.gif"); }
			
			// delete program pdf
			if(file_exists("../papers/program-$conference.pdf")) { unlink("../papers/program-$conference.pdf"); }
						
			?>
			<p>Conference deleted.</p>
					<p><a href="<?php echo print_url("editconference.php"); ?>"><b>Back to Edit Conference</b></a></p>
			<?php
		}
	
		// confirm delete
		else {
			?>
			<p>Are you sure you want to delete this conference? This will delete the conference as well as all associated papers and information, and cannot be undone.</p>
					<p><form action="<?php echo print_url("editconference.php"); ?>" method="post">
					<input type="hidden" name="conference" value="<?php echo sanitize_output($conference); ?>">
					<input type="hidden" name="confirm" value="true">
					<input type="submit" name="delete" value="Yes" class="button"> <input type="submit" value="No" class="button">
					</form></p>
			<?php
		}
	}
}


// show edit form
else if($edit) {
	$edit = sanitize_db_input($edit);

	// get conference info
	$result = $db->query("select name, admin_login, active from conference where id='$edit'");
	
	if($db->num_rows($result) == 0) {
		echo "Invalid conference. Please go <a href=\"".print_url("editconference.php")."\">back</a> and select another conference."; 
	}
	
	else {
	
		$items = $db->assoc_array($result);

	?>
<p>Use this form to edit a conference.</p>

<form action="<?php echo print_url("editconference.php"); ?>" method="post">
<input type="hidden" name="conference" value="<?php echo sanitize_output($edit); ?>">

<p><b>Conference Title</b>: <input type="text" name="name" size="50" value="<?php echo sanitize_output($items[name]); ?>"></p>

<p><b>Admin Username</b>: <input type="text" name="admin_username" value="<?php echo sanitize_output($items[admin_login]); ?>"></p>

<p><b>Admin Password</b>: <input type="password" name="admin_password"><br />
<font class="instructions">Leave the password fields blank if you don't want to change the admin password for this conference.</font></p>

<p><b>Admin Password Again</b>: <input type="password" name="admin_password2"></p>

<p><input type="checkbox" name="active" value="1"<?php if($items[active]) { echo " checked"; } ?>> <b>Activate Conference</b><br />
<font class="instructions">The conference will not be accessible from the main site index page until it has been activated, although it can still be set up and configured</font></p>

<input type="submit" name="update" value="Update Conference" class="button"> <input type="submit" name="delete" value="Delete Conference" class="button">

</form>

	<?php
	}
}


// show list of conferences
else {
?>

<font class="MainText">
<b>Select a conference to edit</b>:
</font>
<br />
     <blockquote>
     <table border="0" width="450" cellpadding="1" cellspacing="0" border="0">
     
<?php

// get list of conferences
$result = $db->query("select id, name from $dbtable[conference] order by lower(name)");

for($i=0; $i<$db->num_rows($result); $i++) {
	$items = $db->assoc_array($result, $i);
	
	?>
	     <tr valign="top"><td width="16" height="16"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" vspace="0" hspace="0"></td><td width="430"><a class="Content" href="<?php echo print_url("editconference.php?edit=$items[id]"); ?>"><?php echo $items[name]; ?></a></td></tr>
	<?php
	
}

if($db->num_rows($result) == 0) { echo "<tr><td>No conferences are available.</td></tr>"; }

?>

     </table>
     </blockquote>

<?php
}

?>

<p><b><a href="<?php echo print_url("createconference.php"); ?>">Create a New Conference</a></b></p>
<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");
?>