<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/editpaper.php
// 
// $Id: editpaper.php,v 1.6 2003/04/01 07:58:46 kevin Exp $
// 
// script to edit a submitted paper


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Edit Paper";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// split author options into array
if($conference_items[author_options]) {
	$author_options = explode("\n",$conference_items[author_options]);
	$author_options[delete_paper] = $author_options[0];
	$author_options[restrict_access] = $author_options[1];
}
else { $author_options = ""; }

// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include default values of various Dublin Core elements
include("../include/defaults.inc.php");

// include the html header file
include("../include/header.inc.php");


// update a paper
if(($update && $submit) || ($delete && $confirm)) {
	check_referer();
		
		if($delete) {
			if($confirm) {
				$update = sanitize_db_input($delete);
				// delete any PDFs for paper or appendices
				$result = $db->query("select pdf, appendix_pdf from $dbtable[papers] where id='$update' and cf='$cf'");
				$tmp_items = $db->assoc_array($result);
				if($tmp_items[pdf] && file_exists("../papers/$tmp_items[pdf]")) {
					unlink("../papers/$tmp_items[pdf]");
				}
				if($tmp_items[appendix_pdf]) {
					$tmp_appendix_pdf = explode("\n", $tmp_items[appendix_pdf]);
					foreach($tmp_appendix_pdf as $tmp_appendix) {
						if($tmp_appendix && file_exists("../papers/$tmp_appendix")) {
							unlink("../papers/$tmp_appendix");
						}
					}
				}
				
				// delete any comments and reviews on this paper
				$db->query("delete from $dbtable[comments] where paper='$update' and cf='$cf'");
				$db->query("delete from $dbtable[reviews] where paper='$update' and cf='$cf'");
				$db->query("delete from $dbtable[reviewer_proposals] where paper='$update' and cf='$cf'");
				
				// delete this paper
				$query_txt = "delete from $dbtable[papers] where id='$update' and cf='$cf'";
				
				// execute the query
				$query = $db->query($query_txt) or die("Unable to delete this paper");
				
				echo "<p>The paper has been deleted.</p>
				<p><a href=\"".print_url("editpaper.php")."\"><b>Back to List of Papers</b></a></p>";
			}
			else {
				// confirm paper deleetion			
				$delete = sanitize_output($update);
				?>
				<p>Are you sure you want to delete this paper? This action cannot be undone.<br />
				<b><a href="<?php echo print_url("editpaper.php?delete=$delete&confirm=1"); ?>">Yes</a></b> | <b><a href="<?php echo print_url("editpaper.php?edit=$delete"); ?>">No</a></b></p>
				<?php
			}
			
		}
		else {
			// format various variables for submission
			if($add_first_names) {
				$add_first_names = join("\n",$add_first_names);
			}
			if($add_surnames) {
				$add_surnames = join("\n",$add_surnames);
			}
			if($add_emails) {
				$add_emails = join("\n",$add_emails);
			}
			if($add_affiliations) {
				$add_affiliations = join("\n",$add_affiliations);
			}
			if($add_urls) {
				$add_urls = join("\n",$add_urls);
			}
			
			if($abstract) {
				$abstract=add_quotes($abstract);
			}
			
			if($sponsor) {
				$sponsor=add_quotes($sponsor);
			}
			
			if($paper) {
				$paper=add_quotes($paper);
				$paper=str_replace("%#","&",$paper);
			}
			
			// change format if this paper is in PDF format
			if($paper=="PDF") {
				$def_format = "application/pdf";
			}
					
			if($bio) {
				$bio = join("\n<!-- BEGIN NEW BIO -->\n",$bio);
				$bio=add_quotes($bio);
			}
			
			// if papers are in multiple languages, language is specified by the author 
			if($multilingual=="true") {
				$def_language = $language;
			}
			
			if(empty($present_format)) {
				$present_format = "single";
			}
			
			if(empty($delete_paper)) {
				$delete_paper = "false";
			}
			
			if(empty($restrict_access)) {
				$restrict_access = "false";
			}
		
			// upload paper/appendices
			include("../include/submitupload.inc.php");
		
			// appendices stuff
			if($appendix_names) {
				$appendix_names = join("\n",$appendix_names);
			}
			if($appendix_dates) {
				$appendix_dates = join("\n",$appendix_dates);
			}
			if($appendix) {
				$appendix = join("\n<!-- BEGIN NEW APPENDIX -->\n",$appendix);
				$appendix=add_quotes($appendix);
			}
			if($appendix_pdf) {
				$appendix_pdf = join("\n",$appendix_pdf);
			}
	
			list($first_name, $surname, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $paper_date, $def_language, $appendix_names, $appendix_dates, $appendix_pdf, $delete_paper, $restrict_access, $accepted, $update) = strip_html($first_name, $surname, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $paper_date, $def_language, $appendix_names, $appendix_dates, $appendix_pdf, $delete_paper, $restrict_access, $accepted, $update);

			list($first_name, $surname, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $abstract, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $bio, $paper, $paper_date, $def_language, $appendix_names, $appendix_dates, $appendix, $appendix_pdf, $delete_paper, $restrict_access, $accepted, $update) = sanitize_db_input($first_name, $surname, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $abstract, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $bio, $paper, $paper_date, $def_language, $appendix_names, $appendix_dates, $appendix, $appendix_pdf, $delete_paper, $restrict_access, $accepted, $update);

			// query to update database entry
			$query_txt = "update $dbtable[papers] set first_name='$first_name', surname='$surname', email='$email', affiliation='$affiliation', url='$url', add_first_names='$add_first_names', add_surnames='$add_surnames', add_emails='$add_emails', add_affiliations='$add_affiliations', add_urls='$add_urls', present_format='$present_format', multiple_title='$multiple_title', multiple_org_name='$multiple_org_name', multiple_org_aff='$multiple_org_aff', multiple_org_email='$multiple_org_email', multiple_overview='$multiple_overview', multiple_presenters='$multiple_presenters', multiple_disc_name='$multiple_disc_name', multiple_disc_aff='$multiple_disc_aff', multiple_disc_email='$multiple_disc_email', title='$papertitle', abstract='$abstract', sponsor='$sponsor', discipline='$discipline', topic='$topic', approach='$approach', coverage='$coverage', format='$def_format', bio='$bio', paper='$paper', paper_date='$paper_date', language='$def_language', appendix_names='$appendix_names', appendix_dates='$appendix_dates', appendix='$appendix', appendix_pdf='$appendix_pdf', delete_paper='$delete_paper', restrict_access='$restrict_access', accepted='$accepted' where id='$update' and cf='$cf'";

			// execute the query
			$query = $db->query($query_txt) or die("Unable to update this paper");
			
			echo "<p>The paper <b>".sanitize_output($papertitle)."</b> has been updated.</p>
			<p><a href=\"".print_url("editpaper.php")."\"><b>Back to List of Papers</b></a></p>";
		}
}


// preview and edit a paper
else if($edit || $update) {
	if(empty($edit)) { $edit = $update; }
	$edit = sanitize_db_input($edit);
	$id = $edit;
	
	// get the paper info from the database, and assign variables to paper items
	$result = $db->query("select * from $dbtable[papers] where id='$id' and cf='$cf'");
	$items = $db->assoc_array($result);
	// check that it's a valid paper
	if($items[id]) {
			if(empty($update)) {
			$first_name = $items[first_name];
			$surname = $items[surname];
			$email = $items[email];
			$affiliation = $items[affiliation];
			$url = $items[url];
			
			// split additional author info into arrays
			if($items[add_first_names]) {
				$add_first_names = explode("\n",$items[add_first_names]);
			}
			if($items[add_surnames]) {
				$add_surnames = explode("\n",$items[add_surnames]);
			}
			if($items[add_emails]) {
				$add_emails = explode("\n",$items[add_emails]);
			}
			if($items[add_affiliations]) {
				$add_affiliations = explode("\n",$items[add_affiliations]);
			}
			if($items[add_urls]) {
				$add_urls = explode("\n",$items[add_urls]);
			}
			
			$present_format = $items[present_format];
			$multiple_title = $items[multiple_title];
			$multiple_org_name = $items[multiple_org_name];
			$multiple_org_aff = $items[multiple_org_aff];
			$multiple_org_email = $items[multiple_org_email];
			$multiple_overview = $items[multiple_overview];
			$multiple_presenters = $items[multiple_presenters];
			$multiple_disc_name = $items[multiple_disc_name];
			$multiple_disc_aff = $items[multiple_disc_aff];
			$multiple_disc_email = $items[multiple_disc_email];
			
			$papertitle = $items[title];
			
			$abstract = $items[abstract];
			
			$paper = $items[paper];
			$paper_date = $items[paper_date];
			
			$sponsor = $items[sponsor];
			
			$discipline = $items[discipline];
			$topic = $items[topic];
			$approach = $items[approach];
			$coverage = $items[coverage];
			$language = $items[language];
			
			if($items[bio]) {
				$bio = explode("\n<!-- BEGIN NEW BIO -->\n",$items[bio]);
			}
			
			if($items[appendix_names]) {
				$appendix_names = explode("\n",$items[appendix_names]);
			}
			if($items[appendix_dates]) {
				$appendix_dates = explode("\n",$items[appendix_dates]);
			}
			if($items[appendix]) {
				$appendix = explode("\n<!-- BEGIN NEW APPENDIX -->\n",$items[appendix]);
			}
			if($items[appendix_pdf]) {
				$appendix_pdf = explode("\n",$items[appendix_pdf]);
			}
	
			$comment_email = $items[comment_email];
			$paper_email = $items[paper_email];
			$delete_paper = $items[delete_paper];
			$restrict_access = $items[restrict_access];
	
			$update = $items[id];
			
			$accepted = $items[accepted];

			// if it's an invited paper, automatically mark as accepted
			if($is_invited) {
				$accepted = "true";
			}
			
			// default value for unreviewed non-invited papers
			if(!$accepted) {
				$accepted = "false";
			}
		}

	// print out a preview of the paper
?>

<!-- BEGIN ARTICLE TITLE -->
<p><font class="ArticleTitle"><?php echo sanitize_output($items[title]); ?></font><br />
<!-- END ARTICLE TITLE -->

<!-- BEGIN AUTHOR -->
<br /><a class="AuthorTextLink" href="mailto:<?php echo $items[email]; ?>"><?php echo $items[first_name]; ?> <?php echo $items[surname]; ?></a><br />
<!-- END AUTHOR -->

<p>Paper available <a href="<?php echo print_url("../viewabstract.php?id=$id"); ?>">here</a>.</p>

<form action="<?php echo print_url("editpaper.php"); ?>" method="post" enctype="multipart/form-data">
<input type="hidden" name="update" value="<?php echo sanitize_output($update); ?>"><input type="hidden" name="accepted" value="<?php echo sanitize_output($accepted); ?>">

<p><input type="checkbox" name="delete" value="true"> <b>Delete this paper</b><br />
<font class="instructions">Check this box to remove this paper from the archive.</font></p>

<p>Submission date: <?php echo date("F j, Y g:i A", strtotime($items[created])); ?><br />
Last modified: <?php echo date("F j, Y g:i A", timestamp2php($items[timestamp])); ?></p>

<p class="ArticleTitle">A. Document Metadata</p>

<a name="authors"></a><p><b>1. Document Author(s)</b></p>
<p><b>Primary Author</b><br />
First name: <input type="text" name="first_name" value="<?php echo sanitize_output($first_name); ?>"><br />
Surname: <input type="text" name="surname" value="<?php echo sanitize_output($surname); ?>"><br />
Email address: <input type="text" name="email" value="<?php echo sanitize_output($email); ?>"><br />
<?php
// print out bio statement field, if applicable
if($conference_items[include_bio]=="true") {
	?>
	Biographical Statement (<?php if($conference_items[bio_length]) { echo $conference_items[bio_length]; } else { echo "20-300"; } ?> words)<br />
	<textarea name="bio[]" wrap="virtual" cols="75" rows="8"><?php if($bio[0]) { echo sanitize_html_output(add_quotes($bio[0])); } ?></textarea><br />
	<?php
}
?>

Department and University Affiliation: <input type="text" name="affiliation" value="<?php echo sanitize_output($affiliation); ?>"><br />
Personal or Institutional Website URL: <input type="text" name="url" value="<?php echo sanitize_output($url); ?>"><br />

<?php
// print out additional authors, if applicable
if(!$add_first_names) {
	$numauthors = 0;
}
else {
	$numauthors = count($add_first_names);
}

// an additional author is being added
if($add_author) {
	$numauthors++;
}

// get id of author to be deleted, if applicable
if($del_author) {
	$del_author = str_replace("Delete Author #","",$del_author);
}

// print out title only if there are additional authors
if($numauthors>0) {
	echo "</p><p><b>Additional Author(s)</b><br />";
}

// loop and print out additional authors
for($i=0; $i<$numauthors; $i++) {
	// y keeps track of author's id
	$y=$i+2;
	// only print author if it isn't specified to be deleted
	if($del_author!=$y) {
		// decrement id if an author has been deleted
		if($has_del_author) {
			$y--;
		}
		echo "First name: <input type=\"text\" name=\"add_first_names[]\" value=\"".sanitize_output($add_first_names[$i])."\"> <input type=\"submit\" name=\"del_author\" value=\"Delete Author #$y\" class=\"button\"><br />
		Surname: <input type=\"text\" name=\"add_surnames[]\" value=\"".sanitize_output($add_surnames[$i])."\"><br />
		Email address: <input type=\"text\" name=\"add_emails[]\" value=\"".sanitize_output($add_emails[$i])."\"><br />\n";
		if($conference_items[include_bio]=="true") {
			echo "Biographical Statement (";
			if($conference_items[bio_length]) { echo $conference_items[bio_length]; } else { echo "20-300"; }
			echo " words)<br />
	<textarea name=\"bio[]\" wrap=\"virtual\" cols=\"75\" rows=\"8\">";
			if($bio[$i+1]) { echo sanitize_html_output(add_quotes($bio[$i+1])); }
			echo "</textarea><br />\n";
		}
		echo "Department and University Affiliation: <input type=\"text\" name=\"add_affiliations[]\" value=\"".sanitize_output($add_affiliations[$i])."\"><br />
		Personal or Institutional Website URL: <input type=\"text\" name=\"add_urls[]\" value=\"".sanitize_output($add_urls[$i])."\"><br />";
	}
	// note that an author has been deleted
	else {
		$has_del_author=1;
	}
}
?></p>
<p><input type="submit" name="add_author" value="Add Additional Author" class="button"></p>


<a name="present_formats"></a><p><b>2. Presentation Format</b><br />
<?php
// presentation format information
// print out single present format option, if applicable
if($conference_items[present_single]=="true") {
	echo "<p><input type=\"radio\" name=\"present_format\" value=\"single\"";
	// mark as checked if author is using this present format
	if($present_format=="single") {
		echo " checked";
	}
	echo ">Single paper presentation<br />
Abstract length (max words): $conference_items[present_single_length] &nbsp;&nbsp;&nbsp; Presentation time: $conference_items[present_single_time]</p>";
}

// print out other present format options, if applicable
if($conference_items[present_other]=="true") {
	if($present_format) {
		// get other format this paper is using
		$present_othertmp = str_replace("other % ","",$present_format);
	}
	echo "<p>Other<br />";
	// split other formats into an array
	$present_other_desc = explode("\n",$conference_items[present_other_desc]);
	$present_other_length = explode("\n",$conference_items[present_other_length]);
	$present_other_time = explode("\n",$conference_items[present_other_time]);
	// loop through other present formats and look for a match
	for($i=0; $i<count($present_other_desc); $i++) {
		$y=$i+1;
		echo "<input type=\"radio\" name=\"present_format\" value=\"other % $y\"";
		// mark as checked if author is using this present format
		if($present_othertmp==$y) {
			echo " checked";
		}
		echo ">$present_other_desc[$i]";
		if($present_other_desc[$i]) {
			echo "<br />";
		}
		echo "Abstract length (max words): $present_other_length[$i] &nbsp;&nbsp;&nbsp; Presentation time: $present_other_time[$i]<br />";
	}
	echo "</p>";

}

// print out multiple present format option, if applicable

if($conference_items[present_multiple]=="true") {
	echo "<p><input type=\"radio\" name=\"present_format\" value=\"multiple\"";
	// mark as checked if author is using this present format
	if($present_format=="multiple") {
		echo " checked";
	}
	// print instructions
	echo ">Multiple-paper sessions<br />
Overview of session (max words): $conference_items[present_multiple_length] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $conference_items[present_multiple_time]<br />
		<font class=\"instructions\">Each of the papers in this session should be submitted separately by the authors. The multiple paper organizer alone should also submit the following information, which will enable the papers to be linked.</font><br />";
	// show additional multiple paper information, if applicable
	if($multiple_title) {
		echo "<br />
		a) Title of Multiple Paper Presentation: <input type=\"text\" name=\"multiple_title\" size=\"50\" value=\"".sanitize_output($multiple_title)."\"><br />
			b) Multiple Paper Organizer<br />
			Name: <input type=\"text\" name=\"multiple_org_name\" value=\"".sanitize_output($multiple_org_name)."\"><br />
			Title and Affiliation: <input type=\"text\" name=\"multiple_org_aff\" value=\"".sanitize_output($multiple_org_aff)."\"><br />
			Email: <input type=\"text\" name=\"multiple_org_email\" value=\"".sanitize_output($multiple_org_email)."\"><br />
			c) Overview of Session (max $conference_items[present_multiple_length] words)<br />
			<textarea name=\"multiple_overview\" wrap=\"virtual\" cols=\"50\" rows=\"10\">".sanitize_output(add_quotes($multiple_overview))."</textarea><br />
			d) To link participants, list their emails (without yours) separated by a semicolon<br /><input type=\"text\" name=\"multiple_presenters\" size=\"50\" value=\"".sanitize_output($multiple_presenters)."\"><br />
			e) Multiple Paper Discussant<br />
			Name: <input type=\"text\" name=\"multiple_disc_name\" value=\"".sanitize_output($multiple_disc_name)."\"><br />
			Title and Affiliation: <input type=\"text\" name=\"multiple_disc_aff\" value=\"".sanitize_output($multiple_disc_aff)."\"><br />
			Email: <input type=\"text\" name=\"multiple_disc_email\" value=\"".sanitize_output($multiple_disc_email)."\">";
	}
}
?>
</p>

<p><b>3. Document Title</b>: <input type="text" name="papertitle" size="50" value="<?php echo sanitize_output($papertitle); ?>"></p>

<p><b>4. Abstract</b><br />
<textarea name="abstract" wrap="virtual" cols="75" rows="15"><?php
if($abstract) {
	echo sanitize_html_output(add_quotes($abstract));
}
?></textarea></p>

<p><b>5. Document Content</b><br />
<font class="instructions">More than one term (separated by semi-colons, e.g., "item1; item2") can be used for any of these items, while items that do not apply to your paper can be skipped.</font></p>

<blockquote>
<p>a) Discipline(s): <input type="text" name="discipline" size="50" value="<?php echo sanitize_output($discipline); ?>">
<?php if($conference_items[discipline_ex]) { ?>
<br />
<font class="instructions">E.g., <?php echo $conference_items[discipline_ex]; ?>.</font><?php } ?></p>

<p>b) Subject(s): <input type="text" name="topic" size="50" value="<?php echo sanitize_output($topic); ?>">
<br />
<font class="instructions">This is similar to traditional keyword items.</font></p>

<p>c) Coverage: <input type="text" name="coverage" size="50" value="<?php echo sanitize_output($coverage); ?>">
<?php if($conference_items[coverage_geo_ex] || $conference_items[coverage_hist_ex] || $conference_items[coverage_sample_ex]) { ?>
<br />
<font class="instructions">E.g., <?php
if($conference_items[coverage_geo_ex]) {
	echo "Geo-spatial (e.g., $conference_items[coverage_geo_ex])";
	$has_cov = 1;
}
if($conference_items[coverage_hist_ex]) {
	if($has_cov) { echo "; "; }
	echo "Chronological (e.g., $conference_items[coverage_hist_ex])";
	$has_cov = 2;
}
if($conference_items[coverage_sample_ex]) {
	if($has_cov) { echo "; "; }
	if($has_cov==2) { echo "and/or "; }
	echo "Research sample (e.g., $conference_items[coverage_sample_ex])";
}

?>.</font><?php } ?></p>

<p>d) Type (Method/Approach):  <input type="text" name="approach" size="50" value="<?php echo sanitize_output($approach); ?>">
<?php if($conference_items[type_ex]) { ?>
<br />
<font class="instructions">E.g., <?php echo $conference_items[type_ex]; ?>.</font><?php } ?></p>
</blockquote>

<?php

// print out language input field, if applicable
if($multilingual=="true") {
	?>
<p><b><?php if($is_invited) { echo "5"; } else { echo "6"; } ?>. Document Language</b>: <input type="text" name="language" size="10" value="<?php if($language) { echo sanitize_output($language); } else { echo $conference_items[language]; } ?>"><br />
<font class="instructions">English=en; French=fr; Spanish=es (<a href="http://www.loc.gov/standards/iso639-2/langcodes.html" target="_blank">Additional codes</a>).</font>
</p>
	<?php
}
?>

<p><b><?php if($is_invited && $multilingual) { echo "6"; } else if($is_invited) { echo "5"; } else if($multilingual) { echo "7"; } else { echo "6"; } ?>. Document Sponsor</b><br />
<font class="instructions">Research grants or other forms of support, for acknowledgement and analysis.</font><br />
<textarea name="sponsor" wrap="virtual" cols="75" rows="5"><?php if($sponsor) { echo sanitize_output(add_quotes($sponsor)); } ?></textarea></p>

<p class="ArticleTitle">B. Document Submission</p>

<p><b>1. Paper</b><br />
<p><input name="paper_file" type="file"><br />
Type of file: <input type="radio" name="filetype" value="html" checked>HTML <input type="radio" name="filetype" value="pdf">PDF <?php if($conference_items[wordview]) { ?><input type="radio" name="filetype" value="word">Word <?php } ?><input type="radio" name="filetype" value="text">Plain text
<?php
$date = explode("-",$paper_date);
// print date paper was last modified
if($paper && $paper_date) {
	echo "<br />Last modified: ".$date[1]."/".$date[2]."/".$date[0];
}
echo "</p>";
// print textarea with the full text of the paper if it is not a PDF
if($paper && $paper!="PDF") {
	echo "<p><font class=\"instructions\">Or edit a paper you have already submitted.</font><br />
	<textarea name=\"paper\" wrap=\"virtual\" cols=\"75\" rows=\"20\">";
	// replace quotes and ampersands with special characters to prevent weird formatting issues
	$paper=add_quotes($paper);
	echo sanitize_html_output($paper);
	echo "</textarea></p>";
}
// print hidden paper field if paper is a PDF
if($paper=="PDF") {
	echo "<blockquote><font class=\"instructions\">Current paper is a PDF.</font></blockquote><input type=\"hidden\" name=\"paper\" value=\"PDF\"><input type=\"hidden\" name=\"pdf\" value=\"".sanitize_output($pdf)."\">";
}
// print hidden date field with last modification date
echo "<input type=\"hidden\" name=\"paper_date\" value=\"".sanitize_output($paper_date)."\">";
?>

<p><b>2. Appendices (Research Instruments, Data, Transcripts, Materials, etc.)</b><br />
<?php
if($appendix_names) {
	$num_appendix = count($appendix_names);
}
else { $num_appendix = 1; }
if($add_appendix) { $num_appendix++; }

for($i=0; $i<$num_appendix; $i++) {
?>
<p>Descriptive name for Appendix: <input type="text" name="appendix_names[]" value="<?php echo sanitize_output($appendix_names[$i]); ?>"><br />
<input name="appendix_file[<?php echo $i; ?>]" type="file"><br />
Type of file: <input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="html" checked>HTML <input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="pdf">PDF <?php if($conference_items[wordview]) { ?><input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="word">Word <?php } ?><input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="text">Plain text
<?php
$date = explode("-",$appendix_dates[$i]);
// print date appendix was last modified
if($appendix[$i] && $appendix_dates[$i]) {
	echo "<br />Last modified: ".$date[1]."/".$date[2]."/".$date[0];
}
echo "</p>";
// print textarea with the full text of the appendix if it is not a PDF
if($appendix[$i] && $appendix[$i]!="PDF") {
	echo "<p><font class=\"instructions\">Or edit the appendix directly</font><br />
	<textarea name=\"appendix[]\" wrap=\"virtual\" cols=\"75\" rows=\"20\">";
	// replace quotes and ampersands with special characters to prevent weird formatting issues
	$appendix[$i]=add_quotes($appendix[$i]);
	echo sanitize_html_output($appendix[$i]);
	echo "</textarea></p>";
}
// print hidden appendix field if appendix is a PDF
if($appendix[$i]=="PDF") {
	echo "<blockquote><font class=\"instructions\">Current appendix is a PDF.</font></blockquote><input type=\"hidden\" name=\"appendix[]\" value=\"PDF\"><input type=\"hidden\" name=\"appendix_pdf[]\" value=\"".sanitize_output($appendix_pdf[$i])."\">";
}
else {
	echo "<input type=\"hidden\" name=\"appendix_pdf[]\" value=\"0\">";
}
// print hidden date field with last modification date
echo "<input type=\"hidden\" name=\"appendix_dates[]\" value=\"".sanitize_output($appendix_dates[$i])."\">";
}
?>
<p><input type="submit" name="add_appendix" value="Add Additional Appendix" class="button"></p>


<p><b>3. Additional Options</b><br />
<?php
	// print out additional author options, as applicable
	// print out additional author options, as applicable
	if($author_options[delete_paper]=="true") {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"checkbox\" name=\"delete_paper\" value=\"true\"";
		if($delete_paper=="true") { echo " checked"; }
		echo "> Delete my paper at conference's conclusion.<br />";
	}
	if($conference_items[paper_access] == "open" && $conference_items[submission_type] != "abstract_only" && $author_options[restrict_access]=="true") {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"checkbox\" name=\"restrict_access\" value=\"true\"";
		if($restrict_access=="true") { echo " checked"; }
		echo "> Restrict access to registered conference participants.<br />";
	}

?></p>

<p><input type="submit" name="submit" value="Submit Changes" class="button"> <input type="reset" value="Reset" class="button"></p>
</form>

<?php
}
// else print error message
else {
	echo "Requested paper not found.";
}

}

// else show list of submitted papers
else {


?>

<p><b>Submitted Papers/Abstracts</b> (only accepted papers are shown)<br />
<font class="SmallText">(Click on titles to preview/edit)</font></p>

<table border="0" cellpadding="0" cellspacing="0" width="600">

<?php
// get paper info from database
$result = $db->query("Select * from $dbtable[papers] where accepted='true' and cf='$cf' order by lower(surname)");

if($db->num_rows($result) == 0) {
	echo "<tr><td>No papers have been submitted.</td></tr>\n";
}

// print info on each paper
for ($count = 0; $count<$db->num_rows($result); $count++) {
	$items = $db->assoc_array($result,$count);
	echo "<tr valign=\"top\"><td width=\"10\"><img src=\"".$themesdir."images/arrow.gif\" width=\"12\" height=\"12\" border=\"0\" name=\"papers\"></td><td width=\"590\"><b><a href=\"mailto:$items[email]\">$items[first_name] $items[surname]</a>";
	if($items[affiliation]) {
		echo ", $items[affiliation]";
	}
	echo "</b><br />";
	// print outadditional authors, if applicable
	if($items[add_first_names]) {
		$add_first_names = explode("\n",$items[add_first_names]);
		$add_surnames = explode("\n",$items[add_surnames]);
		$add_emails = explode("\n",$items[add_emails]);
		$add_affiliations = explode("\n",$items[add_affiliations]);
		for($x=0; $x<count($add_first_names); $x++) {
			echo "<b><a href=\"mailto:$add_emails[$x]\">$add_first_names[$x] $add_surnames[$x]</a>";
			if($add_affiliations[$x]) {
				echo ", $add_affiliations[$x]";
			}
			echo "</b><br />";
		}
	}
	// print out submission and last modification dates
	echo "Submission date: ".date("F j, Y g:i A", strtotime($items[created]))."<br />
	Last modified: ".date("F j, Y g:i A", timestamp2php($items[timestamp]))."<br />
<font class=\"ArticleTitle\"><a href=\"".print_url("editpaper.php?edit=$items[id]")."\">$items[title]</a></font></td></tr>
<tr height=\"16\"><td colspan=\"2\">&nbsp;</td></tr>";

}

?>

</table>

<?php

}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
