<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/email.php
// 
// $Id: email.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to send out a generic notification email


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Send Generic Conference Notification Email";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");

// include script to generate formatted date
include("../include/date.inc.php");


// send out the emails
if($email) {
	check_referer();
	
	// check if cc'ing conference contact
	if(isset($cc)) {
		$bcc = "\nbcc: $conference_items[contact_email]";
	}
	else {
		$bcc = "";
	}
	
	$subject = stripslashes($subject);
	$body = stripslashes($body);
	$mailed_users = array();

	// get list of presenters from database
	if($email_to != "all_reviewers" && $email_to != "all_registrants" && $email_to != "all_paid_registrants" && $email_to != "all_nonpaid_registrants") {
		if($db_type == "pgsql") { $sql = "Select distinct on (email)"; }
		else { $sql = "Select"; }
		$sql .= " email, first_name, surname from $dbtable[papers] where";
		// send to an individual presenter
		if(!empty($email_to) && $email_to != "all_presenters") { $sql .= " login='".sanitize_db_input($email_to)."' and"; }
		$sql .= " cf='$cf'";
		if($db_type == "mysql") { $sql .= " group by email"; }
		$sql .= " order by email";
		$result = $db->query($sql);
		
		// send out email to each presenter
		for ($count = 0; $count<$db->num_rows($result); $count++) {
			$items = $db->assoc_array($result,$count);
			
			// the body of the email
			$emailbody = str_replace("[name]", "$items[first_name] $items[surname]", $body);
			
			if(empty($mailed_users[$items[email]])) {
				// send out the email
				if(!mail("$items[email] ($items[first_name] $items[surname])", "$subject", "$emailbody", "From: $conference_items[contact_email] ($conference_items[contact_name])$bcc", "-f$conference_items[contact_email]")) {
					echo "Failed to send notification email to $items[email] ($items[first_name] $items[surname])<br />";
				}
				$mailed_users[$items[email]] = 1;
			}
		}
	}
	
	// get list of reviewers from database
	if($email_to != "all_presenters" && $email_to != "all_registrants" && $email_to != "all_paid_registrants" && $email_to != "all_nonpaid_registrants") {
		$sql = "Select * from $dbtable[reviewers] where";
		// send to an individual presenter
		if(!empty($email_to) && $email_to != "all_reviewers") { $sql .= " email='".sanitize_db_input($email_to)."' and"; }
		$sql .= " cf='$cf' order by email";
		$result = $db->query($sql);
		
		// send out email to each registrant
		for ($count = 0; $count<$db->num_rows($result); $count++) {
			$items = $db->assoc_array($result,$count);
			
			// the body of the email
			$emailbody = str_replace("[name]", "$items[name]", $body);
	
			if(empty($mailed_users[$items[email]])) {
				// send out the email
				if(!mail("$items[email] ($items[name])", "$subject", "$emailbody", "From: $conference_items[contact_email] ($conference_items[contact_name])$bcc", "-f$conference_items[contact_email]")) {
					echo "Failed to send notification email to $items[email] ($items[name])<br />";
				}
				$mailed_users[$items[email]] = 1;
			}
		}
	}
	
	// get list of registrants from database
	if($email_to != "all_presenters" && $email_to != "all_reviewers") {
		$sql = "Select * from $dbtable[registrants] where";
		// send to an individual presenter
		if(!empty($email_to) && $email_to != "all_registrants" && $email_to != "all_paid_registrants" && $email_to != "all_nonpaid_registrants") { $sql .= " email='".sanitize_db_input($email_to)."' and"; }

		// send email to all paid registrants
		if($email_to == "all_paid_registrants") {
			$sql .= " (has_paid='paid' or has_paid='n/a') and";
		} else if($email_to == "all_nonpaid_registrants") {
			$sql .= " has_paid='false' and";
		}
		
		// send email to all non-paid registrants
		$sql .= " cf='$cf' order by email";
		$result = $db->query($sql);
		
		// send out email to each registrant
		for ($count = 0; $count<$db->num_rows($result); $count++) {
			$items = $db->assoc_array($result,$count);
			
			// the body of the email
			$emailbody = str_replace("[name]", "$items[name]", $body);
	
			if(empty($mailed_users[$items[email]])) {
				// send out the email
				if(!mail("$items[email] ($items[name])", "$subject", "$emailbody", "From: $conference_items[contact_email] ($conference_items[contact_name])$bcc", "-f$conference_items[contact_email]")) {
					echo "Failed to send notification email to $items[email] ($items[name])<br />";
				}
				$mailed_users[$items[email]] = 1;
			}
		}
	}
	
	// print acknowledgement message
	?>
	<p>Notification email sent.</p>
		<p><a href="<?php echo print_url("people.php"); ?>"><b>Back to People</b></a></p>
	<?php
}

// show a preview of the email
else {

	?>
	<form action="<?php echo print_url("email.php"); ?>" method="post">
	<h4>Preview of Generic Conference Notification Email</h4>
	
	<p>Enter a message below to be sent to the selected recipients. Note that the text "[name]" will be replaced by the recipient's name.</p>

	<p><b>To</b>: <select name="email_to">
	<option value="">All Presenters, Reviewers, and Registrants</option>
	<option value="all_presenters">All Presenters</option>
	<option value="all_reviewers">All Reviewers</option>
	<option value="all_registrants">All Registrants</option>
	<?php
	// show additional registration options if conference uses paid registration
	if($conference_items[reg_fees] || $conference_items[reg_fees_late]) {
		?>
		<option value="all_paid_registrants">All Paid Registrants</option>
		<option value="all_nonpaid_registrants">All Non-paid Registrants</option>
		<?php
	}
	
	// get list of presenters
	if($db_type == "pgsql") { $sql = "Select distinct on (email)"; }
	else { $sql = "Select"; }
	$sql .= " * from $dbtable[papers] where cf='$cf'";
	if($db_type == "mysql") { $sql .= " group by email"; }
	$slq .= " order by email";
	$result = $db->query($sql);
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		echo "<option value=\"$items[login]\">$items[first_name] $items[surname] ($items[email])</option>\n";
	}
	
	// get list of reviewers
	$result = $db->query("select * from $dbtable[reviewers] where cf='$cf' order by login");
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		echo "<option value=\"$items[login]\">$items[name] ($items[email])</option>\n";
	}
	
	// get list of registrants
	$result = $db->query("select * from $dbtable[registrants] where cf='$cf' order by email");
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		echo "<option value=\"$items[email]\">$items[name] ($items[email])</option>\n";
	}
	?>
	</select></p>
	
	<p><b>From:</b> <?php echo $conference_items[contact_name]." (".$conference_items[contact_email].")"; ?></p>
	
	<p><b>Subject:</b> <input type="text" name="subject" size="40" value="<?php echo $conference_items[name] ?>"></p>
	
	<p><b>Body:</b><br />
	<textarea name="body" wrap="virtual" cols="60" rows="20"><?php
	
	// the body of the email
	$emailbody = "$conference_items[name]\n";
	$emailbody .= "$conference_items[sponsor]\n";
	$emailbody .= printdate()."\n";
	$emailbody .= print_url($baseurl."index.php")."\n\n";
	
	$emailbody .= "[name]:\n\n";
	
	$emailbody .= "[Insert the body of your message here]\n\n";
		
	$emailbody .= "Sincerely,\n";
	$emailbody .= email_footer();
	
	echo $emailbody;
	
	?></textarea></p>
	
	<p><input type="checkbox" name="cc" value="1"> CC a copy of each notification email to the conference contact.</p>
	
	<p><input type="submit" name="email" value="Send Notification Email" class="button"></p>
	</form>
	
	<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>