<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/forgotpw.php
// 
// $Id: forgotpw.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// tool for resetting a forgotten admin password


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");


// this page's title
$title = "Forgotten Password";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


if(isset($cancel)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


// include the html header file
include("../include/header.inc.php");

unset($err);


// email notification code
if($action == "emailcode") {
	check_referer();
	
	// get current name, password, and contact email
	if(isset($cf)) {
		$result = $db->query("select name, admin_password, contact_email from $dbtable[conference] where id='$cf'");
	}
	else {
		$result = $db->query("select name, admin_password, contact_email from $dbtable[conference_global]");
	}
	
	$items = $db->assoc_array($result);
	
	// email code
	if(check_email($items[contact_email])) {
		$code = substr($items[admin_password], 0, 6);
		mail("$items[contact_email]", "$items[name]: Forgotten Password", "Greetings, someone (possibly you) has requested to reset the admin password for the $items[name] site at ".print_url($baseurl."index.php").". In order to receive a new password, click on the link below:\n\n".print_url($baseurl."admin/forgotpw.php?action=resetpw&code=$code")."\n\nIf you did not request this email it may safely be ignored.\n", "From: $items[contact_email]", "-f$items[contact_email]");
		?>
		<p>An email containing instructions for obtaining a new password has been sent to <?php echo $items[contact_email]; ?>.</p>
		<?php
		
	}
	else {
		?>
		<p>Sorry, your password cannot be reset as a valid contact email was not found.</p>
		<?php
	}
}


// reset admin password
else if($action == "resetpw" && !empty($code)) {
	// get current name, username, password, and contact email
	if(isset($cf)) {
		$result = $db->query("select name, admin_login, admin_password, contact_email from $dbtable[conference] where id='$cf'");
	}
	else {
		$result = $db->query("select name, admin_login, admin_password, contact_email from $dbtable[conference_global]");
	}
	
	$items = $db->assoc_array($result);
	
	// check code
	if(check_email($items[contact_email])) {
		$check_code = substr($items[admin_password], 0, 6);
		if($check_code == $code) {
			// reset password
			$new_pass = substr(md5(time()), 0, 8);
			
			if(isset($cf)) {
				$db->query("update $dbtable[conference] set admin_password='".md5($new_pass)."' where id='$cf'");
			}
			else {
				$db->query("update $dbtable[conference_global] set admin_password='".md5($new_pass)."'");
			}
			
			// send email
			mail("$items[contact_email]", "$items[name]: Forgotten Password", "The admin password for the $items[name] site at ".print_url($baseurl."index.php")." has been reset:\n\nUsername: $items[admin_login]\nPassword: $new_pass\n\nYou may login at ".print_url($baseurl."admin/index.php")." and change this password if you wish\n", "From: $items[contact_email]", "-f$items[contact_email]");
	
			?>
			<p>An email containing your new password has been sent to <?php echo $items[contact_email]; ?>.</p>
			<?php

		}
		else {
			?>
			<p>Sorry, your password cannot be reset as the code you entered was invalid.</p>
			<?php
		}
		
	}
	else {
		?>
		<p>Sorry, your password cannot be reset as a valid contact email was not found.</p>
		<?php
	}
}


// show form
else {


if($multiple) {
?>
<p>If you've forgotten your admin username and/or password, select the specific conference, or Multiple Conference Manager for the global admin username and password, and click the continue button below. Instructions for resetting the password will be emailed to your conference contact, or global contact email in the case of the Multiple Conference Manager.</p>
<?php
}
else {
?>
<p>If you've forgotten your admin username and/or password click the continue button below and instructions for resetting the password will be emailed to your conference contact.</p>
<?php
}
?>

<form action="<?php echo print_url("forgotpw.php"); ?>" method="post">
<input type="hidden" name="action" value="emailcode">
<p>
<?php
if($multiple) {
// print list of conferences to select from
?>
Conference: <select name="cf">
	<option value="">Multiple Conference Manager</option>
	<?php
	
	// get list of conferences
	$result = $db->query("select id, name from $dbtable[conference] order by lower(name)");
	
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		// shorten long names
		$name = explode(" ", $items[name]);
		$name_length = count($name);
		$name = join(" ", array_splice($name, 0, 5));
		if($name_length > 5) { $name .= "..."; }
		echo "<option value=\"$items[id]\"";
		if($cf == $items[id]) { echo " selected"; }
		echo ">$name</option>\n";
	}
	
	?>
</select>
<?php
}
?>
<input type="submit" name="continue" value="Continue" class="button"> <input type="submit" name="cancel" value="Cancel" class="button">
</p>
</form>

<?php
}

?>

<p><b><a href="<?php echo print_url("index.php"); ?>">Return to Conference Manager</b></p>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
