<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/globalsetup.php
// 
// $Id: globalsetup.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// script to setup the multiple conference system


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Set Up";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password) || !$multiple || $cf) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


if($show_step) {
	$show_step = (int) $show_step;
}
if($step) {	
	$step = (int) $step;
}


$steptitles = array("Getting the Details Down","Customizing Your Conference Web Site","Registering Your Archive");


// include the html header file
include("../include/header.inc.php");


// function to print out nav footer on each setup page
function printnav() {
	global $step, $show_step, $themesdir;
	if($show_step) {
		$step = $show_step;
	}
	$prevstep = $step-1;
	$nextstep = $step+1;
	
	?>
	<table border="0" width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><b><?php
	
	// print out link to previous step
	if($step>1) {
		echo "<a href=\"".print_url("globalsetup.php?show_step=$prevstep")."\">Go to <img src=\"".$themesdir."images/".$prevstep."off.gif\" width=\"15\" height=\"15\" border=\"0\"></a>";
	}
	// print out divider between previous and next step
	if($step>1 && $step<3) {
		echo " | ";
	}
	// print out link to next step
	if($step<3) {
		echo "<a href=\"".print_url("globalsetup.php?show_step=$nextstep")."\">Go to <img src=\"".$themesdir."images/".$nextstep."off.gif\" width=\"15\" height=\"15\" border=\"0\"></a>";
	}
 	?></b></td><td align="right"><b><a href="<?php echo print_url("globalsetup.php"); ?>">Return to Set Up Contents</a></b></td></tr></table>
	<?php
}


// insert the conference information into the database
if($submit) {
	check_referer();

	// include appropriate step file
	if(!strstr($step, "./") && file_exists("include/step".$step."-multi.inc.php")) {
		include("include/step".$step."-multi.inc.php");
	}
	else {
		echo "<p><b>Step $step not found</b></p>";
	}
	// update database entry
	$db->query($query_txt) or die("Failed to update database entry in global conference table");
	
?>

<p><font class="ArticleTitle"><img src="<?php echo $themesdir; ?>images/<?php echo $step; ?>on.gif" width="15" height="15" border="0"> <?php echo $steptitles[$step-1]; ?></font></p>

<p>Your multiple conference setup has been updated.</p>
<?php printnav(); ?>

<?php
}

// show a preview
else if($preview) {
?>
<p><font class="ArticleTitle"><img src="<?php echo $themesdir; ?>images/<?php echo $step; ?>on.gif" width="15" height="15" border="0"> <?php echo $steptitles[$step-1]; ?></font></p>

<form action="<?php echo print_url("globalsetup.php"); ?>" method="post" name="setup"><input type="hidden" name="step" value="<?php echo $step; ?>">

<?php

// include appropriate step file
if(!strstr($step, "./") && file_exists("include/step".$step."-multi.inc.php")) {
	include("include/step".$step."-multi.inc.php");
}
else {
	echo "<p><b>Step $step not found</b></p>";
}

?>


<p><input type="submit" name="edit" value="Make Changes" class="button"> <input type="submit" name="submit" value="Submit" class="button"></p>
</form>

<?php printnav(); ?>

<?php

}


else {

	if($edit) {
		$show_step = $step;
	}
	
	// define variables, if applicable
	if(!$edit) {
		extract($global_items);

		// step 2 items
		$new_theme = $global_items[theme];
		$new_title_image = $global_items[title_image];
		$new_logo_image = $global_items[logo_image];

	}


// show a specific step
if($show_step) {
?>
<p><font class="ArticleTitle"><img src="<?php echo $themesdir; ?>images/<?php echo $show_step; ?>on.gif" width="15" height="15" border="0"> <?php echo $steptitles[$show_step-1]; ?></font></p>
<form action="<?php echo print_url("globalsetup.php"); ?>" enctype="multipart/form-data" method="post" name="setup"><input type="hidden" name="step" value="<?php echo sanitize_output($show_step); ?>">

<?php

// include appropriate step file
if(!strstr($show_step, "./") && file_exists("include/step".$show_step."-multi.inc.php")) {
	include("include/step".$show_step."-multi.inc.php");
}
else {
	echo "<p><b>Step $show_step not found</b></p>";
}

?>

<p><?php if($show_step == 1) { ?><input type="submit" name="preview" value="Preview" class="button"> <?php } if($show_step != 3) { ?><input type="submit" name="submit" value="Submit" class="button"><?php } ?></p>
</form>

<?php printnav(); ?>

<?php
}


else {

// print out index and instructions

?>

<p><font class="ArticleTitle">Setting up a Multiple Conference Website</font></p>

<p>Design your multiple conference website using the following three steps. Remember, you can return to and re-submit these pages at any point.</p>

<blockquote class="ArticleTitle">
<a href="<?php echo print_url("globalsetup.php?show_step=1"); ?>"><img src="<?php echo $themesdir; ?>images/1on.gif" width="15" height="15" border="0" alt="Step 1"></a> <a href="<?php echo print_url("globalsetup.php?show_step=1"); ?>">Getting the Details Down</a><br />
<a href="<?php echo print_url("globalsetup.php?show_step=2"); ?>"><img src="<?php echo $themesdir; ?>images/2on.gif" width="15" height="15" border="0" alt="Step 2"></a> <a href="<?php echo print_url("globalsetup.php?show_step=2"); ?>">Customizing Your Multiple Conference Web Site</a><br />
<a href="<?php echo print_url("globalsetup.php?show_step=3"); ?>"><img src="<?php echo $themesdir; ?>images/3on.gif" width="15" height="15" border="0" alt="Step 3"></a> <a href="<?php echo print_url("globalsetup.php?show_step=3"); ?>">Registering Your Archive</a>
</blockquote>

<?php

}

}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");
?>