<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/include/step1.inc.php
// 
// $Id: step1.inc.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// Step 1 of the conference set up


if(!eregi("setup.php", $PHP_SELF)) { die("Access denied."); }


// define default value of certain variables
if($submit || $preview || $anchor) {
	
	if(!$start_date) { $start_date = "$start_year-$start_month-$start_day"; }
	if(!$end_date) { $end_date = "$end_year-$end_month-$end_day"; }
	
	if(is_uploaded_file($program_file)) {
		// get contents of HTML file
		if($filetype=="html") {
			// check that it is an html file
			if(!eregi("text/html", $program_file_type) && !eregi("application/octet-stream", $program_file_type)) {
				echo "<p class=\"instructions\"><b>The program file you uploaded does not appear to be an HTML file and was skipped.</b></p>";
			} else {
				$program = join(" ", file($program_file));
				$program = str_replace("\n","", $program);
				$program = str_replace("\r","", $program);
				$program = addslashes($program);
			}
		}
		// copy pdf file to papers directory
		else if($filetype=="pdf") {
			// check that it is an html file
			if($program_file_type != "application/pdf") {
				echo "<p class=\"instructions\"><b>The program file you uploaded does not appear to be a PDF file and was skipped.</b></p>";
			}
			// check that papers directory is writeable
			else if(is_writeable($fullpath."papers")) {
				// upload program pdf
				move_uploaded_file($program_file, $fullpath."papers/program-$cf.pdf");
				$program = "program-$cf.pdf";
			}
			else {
				echo "<p class=\"instructions\"><b>Unable to upload program PDF to papers/program-$cf.pdf. Please ensure that the papers directory is writeable. Contact your system administrator for assistance.</b></p>";
			}
		}
	}
	else {
		$program = str_replace("  ","&nbsp;&nbsp;", $program);
	}
	
	if(!$schedule) {
		$schedule = "false";
	}
	
	if(!$related_links) {
		$related_links = "false";
	}
}

// split variables back into array
if($edit) {
	$contributors = explode("; ",$contributors);
	$contributor_urls = explode("; ",$contributor_urls);
}

if($submit) {
	// prepare the format of some variables for submission
	$intro = add_quotes($intro);
	$overview = add_quotes($overview);
	$program = add_quotes($program);

	if(!is_array($contributors)) {
		$contributors = explode("; ",$contributors);
	}
	if(!is_array($contributor_urls)) {
		$contributor_urls = explode("; ",$contributor_urls);
	}
	
	if(!empty($contributors)) { $contributors = join("\n",$contributors); }
	if(!empty($contributor_urls)) { $contributor_urls = join("\n",$contributor_urls); }
	
	list($name, $start_date, $end_date, $institution, $department, $address, $city, $province, $country, $postal_code, $sponsor, $sponsor_url, $contributors, $contributor_urls, $schedule, $related_links) = strip_html($name, $start_date, $end_date, $institution, $department, $address, $city, $province, $country, $postal_code, $sponsor, $sponsor_url, $contributors, $contributor_urls, $schedule, $related_links);
	
	list($name, $start_date, $end_date, $institution, $department, $address, $city, $province, $country, $postal_code, $intro, $overview, $program, $sponsor, $sponsor_url, $contributors, $contributor_urls, $schedule, $related_links) = sanitize_db_input($name, $start_date, $end_date, $institution, $department, $address, $city, $province, $country, $postal_code, $intro, $overview, $program, $sponsor, $sponsor_url, $contributors, $contributor_urls, $schedule, $related_links);

	// database query
	$query_txt = "update $dbtable[conference] set name='$name', start_date='$start_date', end_date='$end_date', institution='$institution', department='$department', address='$address', city='$city', province='$province', country='$country', postal_code='$postal_code', intro='$intro', overview='$overview', program='$program', sponsor='$sponsor', sponsor_url='$sponsor_url', contributors='$contributors', contributor_urls='$contributor_urls', schedule='$schedule', related_links='$related_links'";
}

// show preview
else if($preview) {
	// fix some variables
	if(empty($contributors)) { $contributors = array(); }
	if(empty($contributor_urls)) { $contributor_urls = array(); }
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr valign="top"><td><b>1.1</b>&nbsp;</td><td><b>Conference Title</b>: <font class="instructions"><?php echo sanitize_output($name); ?></font><input type="hidden" name="name" value="<?php echo sanitize_output($name); ?>"></td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.2</b>&nbsp;</td><td><b>Conference Dates</b></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
a) Beginning: <font class="instructions"><?php echo date("F j, Y", strtotime($start_date)); ?></font><input type="hidden" name="start_date" value="<?php echo sanitize_output($start_date); ?>">
</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
b) End: <font class="instructions"><?php echo date("F j, Y", strtotime($end_date)); ?></font><input type="hidden" name="end_date" value="<?php echo sanitize_output($end_date); ?>">
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.3</b>&nbsp;</td><td><b>Conference Location</b></td</tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
Institution: <font class="instructions"><?php echo sanitize_output($institution); ?></font><input type="hidden" name="institution" value="<?php echo sanitize_output($institution); ?>"><br />
Department: <font class="instructions"><?php echo sanitize_output($department); ?></font><input type="hidden" name="department" value="<?php echo sanitize_output($department); ?>"><br />
Address: <font class="instructions"><?php echo sanitize_output($address); ?></font><input type="hidden" name="address" value="<?php echo sanitize_output($address); ?>"><br />
City: <font class="instructions"><?php echo sanitize_output($city); ?></font><input type="hidden" name="city" value="<?php echo sanitize_output($city); ?>"><br />
Province/State: <font class="instructions"><?php echo sanitize_output($province); ?></font><input type="hidden" name="province" value="<?php echo sanitize_output($province); ?>"><br />
Country: <font class="instructions"><?php echo sanitize_output($country); ?></font><input type="hidden" name="country" value="<?php echo sanitize_output($country); ?>"><br />
Postal/Zip Code: <font class="instructions"><?php echo sanitize_output($postal_code); ?></font><input type="hidden" name="postal_code" value="<?php echo sanitize_output($postal_code); ?>">
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.4</b>&nbsp;</td><td><b>Introduction to Conference</b> <input type="hidden" name="intro" value="<?php echo sanitize_html_output(remove_quotes($intro)); ?>"></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_html_output($intro)); ?>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.5</b>&nbsp;</td><td><b>Conference Overview</b> <input type="hidden" name="overview" value="<?php echo sanitize_html_output(remove_quotes($overview)); ?>"></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_html_output($overview)); ?>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.6</b>&nbsp;</td><td><b>Conference Program</b><input type="hidden" name="program" value="<?php echo sanitize_html_output(remove_quotes($program)); ?>"></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_html_output($program)); ?>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.7</b>&nbsp;</td><td><b>Sponsor Organization</b></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
Organization: <font class="instructions"><?php echo sanitize_output($sponsor); ?></font><input type="hidden" name="sponsor" value="<?php echo sanitize_output($sponsor); ?>"><br />
Organization URL: <font class="instructions"><?php echo sanitize_output($sponsor_url); ?></font><input type="hidden" name="sponsor_url" value="<?php echo sanitize_output($sponsor_url); ?>">
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.8</b>&nbsp;</td><td><b>Funding and In-Kind Contributors</b><input type="hidden" name="contributors" value="<?php echo sanitize_output(join("; ",$contributors)); ?>"><input type="hidden" name="contributor_urls" value="<?php echo sanitize_output(join("; ",$contributor_urls)); ?>"></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
<?php
// get number of contributors
if(!$contributors) {
	$num_contributors = 0;
}
else {
	$num_contributors = count($contributors);
}
// print out list of contributors
for($i=0; $i<$num_contributors; $i++) {
	echo "<p>Contributor: <font class=\"instructions\">";
	echo sanitize_output($contributors[$i]);
	echo "</font><br />
Contributor URL: <font class=\"instructions\">";
	echo sanitize_output($contributor_urls[$i]);
	echo "</font></p>";
}
?>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>1.9</b>&nbsp;</td><td><b>Set Up a Conference Schedule</b>: <font class="instructions"><?php echo sanitize_output($schedule); ?></font><input type="hidden" name="schedule" value="<?php echo sanitize_output($schedule); ?>"></td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>1.10</b>&nbsp;</td><td><b>Set Up a Related Links Page</b>: <font class="instructions"><?php echo sanitize_output($related_links); ?></font><input type="hidden" name="related_links" value="<?php echo sanitize_output($related_links); ?>"></td></tr>


<tr><td colspan="2">&nbsp;</td></tr>

</table>

<?php
}


// show form
else {
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>1.1</b>&nbsp;</td><td><b>Conference Title</b>: <input type="text" name="name" value="<?php echo sanitize_output($name); ?>" size="50"><td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.2</b>&nbsp;</td><td><b>Conference Dates</b></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
a) Beginning: <?php date_menu("start", sanitize_output($start_date)); ?>
</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
b) End: <?php date_menu("end", sanitize_output($end_date)); ?>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.3</b>&nbsp;</td><td><b>Conference Location</b></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
Institution: <input type="text" name="institution" value="<?php echo sanitize_output($institution); ?>"><br />
Department: <input type="text" name="department" value="<?php echo sanitize_output($department); ?>"><br />
Address: <input type="text" name="address" value="<?php echo sanitize_output($address); ?>"><br />
City: <input type="text" name="city" value="<?php echo sanitize_output($city); ?>"><br />
Province/State: <input type="text" name="province" value="<?php echo sanitize_output($province); ?>"><br />
Country: <input type="text" name="country" value="<?php echo sanitize_output($country); ?>"><br />
Postal/Zip Code: <input type="text" name="postal_code" value="<?php echo sanitize_output($postal_code); ?>">
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.4</b>&nbsp;</td><td><b>Introduction to Conference</b></td></tr>

<tr><td>&nbsp;</td><td class="instructions">An introduction provides participants with a concise synopsis of the conference. Typically, introductions do not exceed 100 words.</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
<textarea name="intro" wrap="virtual" cols="50" rows=10"><?php echo sanitize_html_output(add_quotes($intro)); ?></textarea>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.5</b>&nbsp;</td><td><b>Conference Overview</b></td></tr>

<tr><td>&nbsp;</td><td class="instructions">An overview details the whole of the conference.  It includes such items as direction, topics, and structure.</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
<textarea name="overview" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($overview)); ?></textarea>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.6</b>&nbsp;</td><td><b>Conference Program</b></td></tr>

<tr><td>&nbsp;</td><td class="instructions">Layout the program by date, time, location, and event. Update this information as you begin to finalize your list of presenters and presentation titles.</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><textarea name="program" wrap="virtual" cols="50" rows="20"><?php echo sanitize_html_output(add_quotes($program)); ?></textarea></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td class="instructions">Alternatively, you may upload your program in HTML or PDF format.</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><input name="program_file" type="file"><br />
Type of file: <input type="radio" name="filetype" value="html" checked>HTML <input type="radio" name="filetype" value="pdf">PDF
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.7</b>&nbsp;</td><td><b>Sponsor Organization</b></td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
Organization: <input type="text" name="sponsor" value="<?php echo sanitize_output($sponsor); ?>" size="50"><br />
Organization URL: <input type="text" name="sponsor_url" value="<?php echo sanitize_output($sponsor_url); ?>" size="50">
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<a name="contributors"></a><tr><td><b>1.8</b>&nbsp;</td><td><b>Funding and In-Kind Contributors</b><td></tr>

<tr><td>&nbsp;</td><td class="instructions">To be acknowledged on conference site.</td></tr>

<tr><td colspan="2">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>
<?php
// get number of contributors
if(!$contributors) {
	$num_contributors = 1;
}
else {
	$num_contributors = count($contributors);
	
	// increment number of contributors, if adding one
	if($add_contributor) {
		$num_contributors++;
	}
}

// get id of contributor to delete, if applicable
if($del_contributor) {
	$del_contributor = str_replace("Delete Contributor #","",$del_contributor);
}

// print out list of contributors
for($i=0; $i<$num_contributors; $i++) {
	$y=$i+1;
	// print out contributor info if not deleting
	if($del_contributor!=$y) {
		// decrement number of contributors if deleting
		if($hasdel_contributor) {
			$y--;
		}
		echo "<p>Contributor: <input type=\"text\" name=\"contributors[]\" value=\"";
		echo sanitize_output($contributors[$i]);
		echo "\"> <input type=\"submit\" name=\"del_contributor\" value=\"Delete Contributor #$y\" class=\"button\"><br />
	Contributor URL: <input type=\"text\" name=\"contributor_urls[]\" value=\"";
		echo sanitize_output($contributor_urls[$i]);
		echo "\"></p>";
	}
	// note a contributor has been deleted
	else {
		$hasdel_contributor=1;
	}
}
?>
<p><input type="submit" name="add_contributor" value="Add Additional Contributor" class="button"></p>
</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.9</b>&nbsp;</td><td><b><input type="checkbox" name="schedule" value="true"<?php if($schedule=="true") echo " checked"; ?>> Set Up a Conference Schedule</b></td></tr>

<tr><td>&nbsp;</td><td class="instructions">You can use the OCS Conference Scheduler to build a schedule identifying the dates and locations of conference presentations as well as additional conference functions. If you enable this option, you can set up or modify your conference's schedule via the <a href="<?php echo print_url("scheduler.php"); ?>" target="_blank">Conference Scheduler</a> link from the main Conference Manager index page.</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>


<tr><td><b>1.10</b>&nbsp;</td><td><b><input type="checkbox" name="related_links" value="true"<?php if($related_links=="true") echo " checked"; ?>> Set Up a Related Links Page</b></td></tr>

<tr><td>&nbsp;</td><td class="instructions">You can use this page to provide an annotated list of websites related to your conference and of interest to your participants. <a href="<?php echo print_url("relatedlinks.php"); ?>" target="_blank">Click here</a> to create or to edit the list of related links for your conference web site.</td></tr>


<tr><td colspan="2">&nbsp;</td></tr>

</table>

<?php

}

?>
