<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/include/step2.inc.php
// 
// $Id: step2.inc.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// Step 2 of the conference set up


if(!eregi("setup.php", $PHP_SELF)) { die("Access denied."); }


// define default value of certain variables
if($submit || $preview || $anchor) {
	if(!$abstract_deadline) { $abstract_deadline = "$abstract_year-$abstract_month-$abstract_day"; }
	if(!$paper_deadline) { $paper_deadline = "$paper_year-$paper_month-$paper_day"; }
	if(!$accept_deadline) { $accept_deadline = "$accept_year-$accept_month-$accept_day"; }
	
	if(!$deadline_close) {
		$deadline_close = "false";
	}
	
	if(!$call_for_papers) {
		$call_for_papers = "false";
	}
	
	if(!$present_format[single]) {
		$present_format[single] = "false";
	}
	if(!$present_format[multiple]) {
		$present_format[multiple] = "false";
	}
	if(!$present_format[other]) {
		$present_format[other] = "false";
	}
	
	if(!$ref_distinguish) {
		$ref_distinguish = "false";
	}
	
	if(!$submission_type) {
		$submission_type = "abstract_first";
	}
	
	if(!$peer_review) {
		$peer_review = "internal";
	}
	if(!$review_blind) {
		$review_blind = "false";
	}
	if(!$review_deadline) { $review_deadline = "$review_year-$review_month-$review_day"; }
	if(!$review_assign) {
		$review_assign = "automatic";
	}
	if(!$review_anon) {
		$review_anon = "false";
	}
	
	if(!$invited_papers) {
		$invited_papers = "false";
	}
	if(!$invitednotify) {
		$invitednotify = "false";
	}
	
	if(!$allow_comments) {
		$allow_comments = "false";
	}
	if(!$discussion) {
		$discussion = "false";
	}
	
}

if($submit) {
	// prepare some variables for submission
	if(!empty($present_other_desc)) { $present_other_desc = join("\n",$present_other_desc); }
	if(!empty($presentlength[other])) { $presentlength[other] = join("\n",$presentlength[other]); }
	if(!empty($presenttime[other])) { $presenttime[other] = join("\n",$presenttime[other]); }
	$present_other_desc = add_quotes($present_other_desc);
	
	$call_notice = add_quotes($call_notice);
	
	$review_email = add_quotes($review_email);
	
	$review_com = add_quotes($review_com);
	$review_rec = add_quotes($review_rec);
	
	$review_accept = add_quotes($review_accept);
	$review_reject = add_quotes($review_reject);
	
	$invited_email = add_quotes($invited_email);
	
	$discussion_email = add_quotes($discussion_email);
	
	list($abstract_deadline, $paper_deadline, $accept_deadline, $deadline_close, $call_for_papers, $present_format[single], $presentlength[single], $presenttime[single], $present_format[other], $present_other_desc, $presentlength[other], $presenttime[other], $present_format[multiple], $presentlength[multiple], $presenttime[multiple], $ref_distinguish, $submission_type, $peer_review, $review_blind, $review_deadline, $num_reviewers, $review_assign, $review_anon, $invited_papers, $allow_comments, $discussion, $discussion_url) = strip_html($abstract_deadline, $paper_deadline, $accept_deadline, $deadline_close, $call_for_papers, $present_format[single], $presentlength[single], $presenttime[single], $present_format[other], $present_other_desc, $presentlength[other], $presenttime[other], $present_format[multiple], $presentlength[multiple], $presenttime[multiple], $ref_distinguish, $submission_type, $peer_review, $review_blind, $review_deadline, $num_reviewers, $review_assign, $review_anon, $invited_papers, $allow_comments, $discussion, $discussion_url);

	list($abstract_deadline, $paper_deadline, $accept_deadline, $deadline_close, $call_for_papers, $present_format[single], $presentlength[single], $presenttime[single], $present_format[other], $present_other_desc, $presentlength[other], $presenttime[other], $present_format[multiple], $presentlength[multiple], $presenttime[multiple], $call_notice, $ref_distinguish, $submission_type, $peer_review, $review_blind, $review_deadline, $num_reviewers, $review_assign, $review_email, $review_com, $review_rec, $review_anon, $review_accept, $review_reject, $invited_papers, $invited_email, $allow_comments, $discussion, $discussion_url, $discussion_email) = sanitize_db_input($abstract_deadline, $paper_deadline, $accept_deadline, $deadline_close, $call_for_papers, $present_format[single], $presentlength[single], $presenttime[single], $present_format[other], $present_other_desc, $presentlength[other], $presenttime[other], $present_format[multiple], $presentlength[multiple], $presenttime[multiple], $call_notice, $ref_distinguish, $submission_type, $peer_review, $review_blind, $review_deadline, $num_reviewers, $review_assign, $review_email, $review_com, $review_rec, $review_anon, $review_accept, $review_reject, $invited_papers, $invited_email, $allow_comments, $discussion, $discussion_url, $discussion_email);
	
	
	// database query
	$query_txt = "update $dbtable[conference] set abstract_deadline='$abstract_deadline', paper_deadline='$paper_deadline', accept_deadline='$accept_deadline', deadline_close='$deadline_close', call_for_papers='$call_for_papers', present_single='$present_format[single]', present_single_length='$presentlength[single]', present_single_time='$presenttime[single]', present_other='$present_format[other]', present_other_desc='$present_other_desc', present_other_length='$presentlength[other]', present_other_time='$presenttime[other]', present_multiple='$present_format[multiple]', present_multiple_length='$presentlength[multiple]', present_multiple_time='$presenttime[multiple]', call_notice='$call_notice', ref_distinguish='$ref_distinguish', submission_type='$submission_type', peer_review='$peer_review', review_blind='$review_blind', review_deadline='$review_deadline', num_reviewers='$num_reviewers', review_assign='$review_assign', review_email='$review_email', review_com='$review_com', review_rec='$review_rec', review_anon='$review_anon', review_accept='$review_accept', review_reject='$review_reject', invited_papers='$invited_papers', invited_email='$invited_email', allow_comments='$allow_comments', discussion='$discussion', discussion_url='$discussion_url', discussion_email='$discussion_email'";
}

// show preview
else if($preview) {
	// fix some variables
	if(empty($present_other_desc)) { $present_other_desc = array(); }
	if(empty($presentlength[other])) { $presentlength[other] = array(); }
	if(empty($presenttime[other])) { $presenttime[other] = array(); }
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>2.1</b>&nbsp;</td><td colspan="3"><b>Deadlines</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Abstracts: <font class="instructions"><?php echo date("F j, Y", strtotime($abstract_deadline)); ?></font><input type="hidden" name="abstract_deadline" value="<?php echo sanitize_output($abstract_deadline); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Papers: <font class="instructions"><?php echo date("F j, Y", strtotime($paper_deadline)); ?></font><input type="hidden" name="paper_deadline" value="<?php echo sanitize_output($paper_deadline); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
c) Notification to presenters on acceptance of papers: <font class="instructions"><?php echo date("F j, Y", strtotime($accept_deadline)); ?></font><input type="hidden" name="accept_deadline" value="<?php echo sanitize_output($accept_deadline); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
d) Close off the submission process once the deadline for abstracts has passed: <font class="instructions"><?php echo sanitize_output($deadline_close); ?></font><input type="hidden" name="deadline_close" value="<?php echo sanitize_output($deadline_close); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.2</b>&nbsp;</td><td colspan="3"><b>Set Up a Call for Papers Page</b>: <font class="instructions"><?php echo sanitize_output($call_for_papers); ?></font><input type="hidden" name="call_for_papers" value="<?php echo sanitize_output($call_for_papers); ?>"></td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td><img src="../images/spacer.gif" width="18" height="1"></td><td><img src="../images/spacer.gif" width="500" height="1"></td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Presentation Formats
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<p>Single-paper presentations: <font class="instructions"><?php echo sanitize_output($present_format[single]); ?></font><input type="hidden" name="present_format[single]" value="<?php echo sanitize_output($present_format[single]); ?>"><br />
Abstract (max words): <font class="instructions"><?php echo sanitize_output($presentlength[single]); ?></font><input type="hidden" name="presentlength[single]" value="<?php echo sanitize_output($presentlength[single]); ?>"> Presentation time (minutes): <font class="instructions"><?php echo sanitize_output($presenttime[single]); ?></font><input type="hidden" name="presenttime[single]" value="<?php echo sanitize_output($presenttime[single]); ?>"></p>

<p>Other: <font class="instructions"><?php echo sanitize_output($present_format[other]); ?></font><input type="hidden" name="present_format[other]" value="<?php echo sanitize_output($present_format[other]); ?>"><br />
<?php
// get number of other present formats
if(!$present_other_desc) {
	$numother = 0;
}
else {
	$numother = count($present_other_desc);
}
// print out other present formats
for($i=0; $i<$numother; $i++) {
	$x = $i+1;
	echo "Description: <font class=\"instructions\">";
	echo sanitize_output($present_other_desc[$i]);
	echo "</font><input type=\"hidden\" name=\"present_other_desc[]\" value=\"";
	echo sanitize_output(remove_quotes($present_other_desc[$i]));
	echo "\"><br />
	Abstract (max words): <font class=\"instructions\">";
	echo sanitize_output($presentlength[other][$i]);
	echo "</font><input type=\"hidden\" name=\"presentlength[other][]\" value=\"";
	echo sanitize_output($presentlength[other][$i]);
	echo "\"> Presentation time (minutes): <font class=\"instructions\">";
	echo sanitize_output($presenttime[other][$i]);
	echo "</font><input type=\"hidden\" name=\"presenttime[other][]\" value=\"";
	echo sanitize_output($presenttime[other][$i]);
	echo "\"><br />";
}

?></p>

<p>Multiple-paper sessions: <font class="instructions"><?php echo sanitize_output($present_format[multiple]); ?></font><input type="hidden" name="present_format[multiple]" value="<?php echo sanitize_output($present_format[multiple]); ?>"><br />
Overview of session (max words): <font class="instructions"><?php echo sanitize_output($presentlength[multiple]); ?></font><input type="hidden" name="presentlength[multiple]" value="<?php echo sanitize_output($presentlength[multiple]); ?>"> Presentation time (minutes): <font class="instructions"><?php echo sanitize_output($presenttime[multiple]); ?></font><input type="hidden" name="presenttime[multiple]" value="<?php echo sanitize_output($presenttime[multiple]); ?>"></p>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">b) Call for Papers:<input type="hidden" name="call_notice" value="<?php echo sanitize_output(remove_quotes($call_notice)); ?>"></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">
<?php echo nl2br(sanitize_output($call_notice)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
c) Distinguish between invited and refereed papers on <a href="<?php echo print_url("../papers.php"); ?>" target="_blank">Papers</a> page: <font class="instructions"><?php echo sanitize_output($ref_distinguish); ?></font><input type="hidden" name="ref_distinguish" value="<?php echo sanitize_output($ref_distinguish); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.3</b>&nbsp;</td><td colspan="3"><b>Submission, Review and Posting Process</b><input type="hidden" name="peer_review" value="<?php echo sanitize_output($peer_review); ?>"></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.3.1 Submission, Review, and Posting Sequence:</b></td></tr>
<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions"><?php
switch($submission_type) {
	case "abstract_only":
		echo "Submit abstract &gt; Review &gt; Post abstract";
		break;
	case "both":
		echo "Submit full paper with abstract &gt; Review &gt; Post paper with abstract";
		break;
	case "abstract_first":
		echo "Submit abstract &gt; Review &gt; Post abstract &gt; Submit paper &gt; Post paper";
		break;
}
?></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.3.2 Review Process for Conference Submissions</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3">
Set Up an Internal Review System: <font class="instructions"><?php
if($peer_review=="internal")  {
	echo "true";
}
else {
	echo "false";
}	
?></font>
</td></tr>


<tr><td>&nbsp;</td><td colspan="3">
Set Up an Online Peer Review System: <font class="instructions"><?php
if($peer_review=="online") {
	echo "true";
}
else {
	echo "false";
}	
?></font>
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">Blind review: <font class="instructions"><?php echo sanitize_output($review_blind) ?></font><input type="hidden" name="review_blind" value="<?php echo sanitize_output($review_blind); ?>"></td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">Provide reviewers with option of revealing their name to authors: <font class="instructions"><?php echo sanitize_output($review_anon) ?></font><input type="hidden" name="review_anon" value="<?php echo sanitize_output($review_anon); ?>"> </td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
i) Review deadline: <font class="instructions"><?php echo sanitize_output($review_deadline); ?></font><input type="hidden" name="review_deadline" value="<?php echo sanitize_output($review_deadline); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
ii) Add names to <a href="<?php echo print_url("reviewers.php"); ?>" target="_blank">Peer Reviewers List</a>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
iii) Assign number of reviewers per proposal: <font class="instructions"><?php echo sanitize_output($num_reviewers); ?></font><input type="hidden" name="num_reviewers" value="<?php echo sanitize_output($num_reviewers); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">
<?php
if($review_assign=="automatic") {
	echo "Randomly assign proposals to reviewers";
}
else if($review_assign=="manual") {
	echo "You will assign proposal numbers on <a href=\"".print_url("reviewers.php")."\" target=\"_blank\">Peer Reviewers List</a>";
}
?></font><input type="hidden" name="review_assign" value="<?php echo sanitize_output($review_assign); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
iv) Email message for proposal reviewers:<input type="hidden" name="review_email" value="<?php echo sanitize_output(remove_quotes($review_email)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_output($review_email)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
v) Provide options (e.g., a rating scale) for reviewers asked to judge conference submissions.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Proposal Quality:<input type="hidden" name="review_com" value="<?php echo sanitize_output(remove_quotes($review_com)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_output($review_com)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Recommendation:<input type="hidden" name="review_rec" value="<?php echo sanitize_output(remove_quotes($review_rec)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_output($review_rec)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Compose standard acceptance email<input type="hidden" name="review_accept" value="<?php echo sanitize_output(remove_quotes($review_accept)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">
<?php echo nl2br(sanitize_output($review_accept)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Compose standard rejection email<input type="hidden" name="review_reject" value="<?php echo sanitize_output(remove_quotes($review_reject)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">
<?php echo nl2br(sanitize_output($review_reject)); ?>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.4</b>&nbsp;</td><td colspan="3"><b>Set Up an Invited Speakers Section</b>: <font class="instructions"><?php echo sanitize_output($invited_papers); ?></font><input type="hidden" name="invited_papers" value="<?php echo sanitize_output($invited_papers); ?>"></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) To invite presenters to the conference, email or otherwise contact them with the conference name, themes, location and dates, as well as with the nature of the invitation, including the particular focus and type of talk requested, costs covered, if any, and honorarium, if any. Also you might let them know about the conference URL, where they can read more about the event.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Once the presenter has agreed, enter their name, affiliation, and email address in the <a href="<?php echo print_url("invitedspeakers.php"); ?>" target="_blank">Invited Speakers List</a> and send out the invitational email.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Email message for invited speakers:<input type="hidden" name="invited_email" value="<?php echo sanitize_output(remove_quotes($invited_email)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">
<?php echo nl2br(sanitize_output($invited_email)); ?>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.5</b>&nbsp;</td><td colspan="3"><b>Allow Comments and/or Add a Pre- and Post-Conference Discussion</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.5.1 Allow comments to be posted on conference papers</b>: <font class="instructions"><?php echo sanitize_output($allow_comments); ?></font><input type="hidden" name="allow_comments" value="<?php echo sanitize_output($allow_comments); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.5.2 Link to a pre- and post-conference discussion forum</b>: <font class="instructions"><?php echo sanitize_output($discussion); ?></font><input type="hidden" name="discussion" value="<?php echo sanitize_output($discussion); ?>"></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
a) URL for discussion forum: <font class="instructions"><?php echo sanitize_output($discussion_url); ?></font><input type="hidden" name="discussion_url" value="<?php echo sanitize_output($discussion_url); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
b) Email inviting registrants and presenters to pre-conference discussion of papers:<input type="hidden" name="discussion_email" value="<?php echo sanitize_output(remove_quotes($discussion_email)); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">
<?php echo nl2br(sanitize_output($discussion_email)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

</table>
<?php
}


// show form
else {
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>2.1</b>&nbsp;</td><td colspan="3"><b>Deadlines</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Abstracts: <?php date_menu("abstract", sanitize_output($abstract_deadline)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Papers: <?php date_menu("paper", sanitize_output($paper_deadline)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
c) Notification to presenters on acceptance of papers: <?php date_menu("accept", sanitize_output($accept_deadline)); ?>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
d) <input type="checkbox" name="deadline_close" value="true"<?php
if($deadline_close=="true") {
	echo " checked";
}
?>> Close off the submission process once the deadline for abstracts has passed.
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<a name="call_for_papers"></a><tr><td><b>2.2</b>&nbsp;</td><td colspan="3"><b><input type="checkbox" name="call_for_papers" value="true"<?php if($call_for_papers=="true") echo " checked"; ?>> Set Up a Call for Papers Page</b></td></tr>
<tr><td>&nbsp;</td><td colspan="3" class="instructions">In order to accept non-invited abstract and paper submissions on your site, you must check this box.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Presentation Formats
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<p><input type="checkbox" name="present_format[single]" value="true"<?php if($present_format[single]=="true") echo " checked"; ?>> Single-paper presentations<br />
Abstract (max words): <input type="text" name="presentlength[single]" size="6" value="<?php echo sanitize_output($presentlength[single]); ?>"> Presentation time (minutes): <input type="text" name="presenttime[single]" size="6" value="<?php echo sanitize_output($presenttime[single]); ?>"></p>

<p><input type="checkbox" name="present_format[multiple]" value="true"<?php
if($present_format[multiple]=="true") {
	echo " checked";
}
?>> Multiple-paper sessions<br />
In addition to abstracts, overview of session (max words): <input type="text" name="presentlength[multiple]" size="6" value="<?php echo sanitize_output($presentlength[multiple]); ?>"><br />
Presentation time (minutes): <input type="text" name="presenttime[multiple]" size="6" value="<?php echo sanitize_output($presenttime[multiple]); ?>"></p>

<p><input type="checkbox" name="present_format[other]" value="true"<?php if($present_format[other]=="true") echo " checked"; ?>> Other<br />
<?php
// get number of other present formats
if(!$present_other_desc) {
	$numother = 1;
}
else {
	$numother = count($present_other_desc);
	
	// increment number of formats, if adding one
	if($add_present_format) {
		$numother++;
	}
}

// get id of format to delete, if applicable
if($del_present_format) {
	$del_present_format = str_replace("Delete #","",$del_present_format);
}

// print out list of formats
for($i=0; $i<$numother; $i++) {
	$x = $i+1;
	// print out format info if not deleting
	if($del_present_format!=$x) {
		// decrement number of formats if deleting
		if($hasdelformat) {
			$x--;
		}
		echo "Description: <input type=\"text\" name=\"present_other_desc[]\" size=\"50\" value=\"";
		echo sanitize_html_output(add_quotes($present_other_desc[$i]));
		echo "\"><br />
		Abstract (max words): <input type=\"text\" name=\"presentlength[other][]\" size=\"6\" value=\"";
		echo sanitize_html_output($presentlength[other][$i]);
		echo "\"> Presentation time (minutes): <input type=\"text\" name=\"presenttime[other][]\" size=\"6\" value=\"";
		echo sanitize_html_output($presenttime[other][$i]);
		echo "\"> <input type=\"submit\" name=\"del_present_format\" value=\"Delete #$x\" class=\"button\"><br />";
		
	}
	// note a format has been deleted
	else {
		$hasdelformat=1;
	}
}

?>
<input type="submit" name="add_present_format" value="Add Additional Formats" class="button"></p>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Call for Papers announcement
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">Use your Conference Overview to get started.  OCS will automatically include the conference title, dates, location, etc., as well as abstract and paper deadlines, and the URLs for conference and submission pages. The text on this page can be pasted into email messages to promote the conference.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<textarea name="call_notice" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($call_notice)); ?></textarea>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
c) <input type="checkbox" name="ref_distinguish" value="true"<?php
if($ref_distinguish=="true") {
	echo " checked";
}
?>> Distinguish between invited and refereed papers on <a href="<?php echo print_url("../papers.php"); ?>" target="_blank">Papers</a> page.
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.3</b>&nbsp;</td><td colspan="3"><b>Submission, Review and Posting Process</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">This system offers three models for what should be submitted (abstract and/or paper) and how it should be reviewed (internal or external), and what should be posted (abstracts and/or papers). Select the option that best fits the needs of your conference. Abstracts and papers will be indexed. You will be able to set up deadlines for each stage.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.3.1 Submission, Review, and Posting Sequence (Select one)</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3"><input type="radio" name="submission_type" value="abstract_only"<?php echo ($submission_type == "abstract_only" ? " checked" : "") ?>> a) Submit abstract &gt; Review &gt; Post abstract</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><input type="radio" name="submission_type" value="both"<?php echo ($submission_type == "both" ? " checked" : "") ?>> b) Submit full paper with abstract &gt; Review &gt; Post paper with abstract</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><input type="radio" name="submission_type" value="abstract_first"<?php echo ($submission_type == "abstract_first" || empty($submission_type) ? " checked" : "") ?>> c) Submit abstract &gt; Review &gt; Post abstract &gt; Submit paper &gt; Post paper</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.3.2 Review Process for Conference Submissions</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3"><input type="radio" name="peer_review" value="internal"<?php if($peer_review=="internal" || !$peer_review) {
	echo " checked";
}
?>> Set Up an Internal Review System</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">Conference directors or designates review and select from among submissions.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><input type="radio" name="peer_review" value="online"<?php
if($peer_review=="online") {
	echo " checked";
}
?>> Set Up an Online Peer Review System</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">Submissions are peer reviewed, with final decision made by conference directors. Accepted papers are identified as "peer-reviewed conference papers."</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2"><input type="radio" name="review_blind" value="false"<?php echo ($review_blind == "false" || empty($review_blind) ? " checked" : "") ?>> Name of authors made available to reviewers.</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2"><input type="radio" name="review_blind" value="true"<?php echo ($review_blind == "true" ? " checked" : "") ?>> Blind review (authors unknown to reviewer).</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2"><input type="checkbox" name="review_anon" value="true"<?php echo ($review_anon == "true" || empty($review_anon) ? " checked" : "") ?>> Provide reviewers with option of revealing their name to authors.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">i) Review deadline: <?php date_menu("review", sanitize_output($review_deadline)); ?></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">ii) Add names to <a href="<?php echo print_url("reviewers.php"); ?>" target="_blank">Peer Reviewers List</a></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">iii) Assign number of reviewers per proposal: <input type="text" name="num_reviewers" size="6" value="<?php echo sanitize_output($num_reviewers); ?>"></td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
<input type="radio" name="review_assign" value="automatic"<?php
if($review_assign=="automatic" || !$review_assign) {
	echo " checked";
}
?>> Randomly assign proposals to reviewers on <a href="<?php echo print_url("reviewers.php"); ?>" target="_blank">Peer Reviewers List</a>
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
<input type="radio" name="review_assign" value="manual"<?php
if($review_assign=="manual") {
	echo " checked";
}
?>> You will assign proposal numbers on <a href="<?php echo print_url("reviewers.php"); ?>" target="_blank">Peer Reviewers List</a></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">iv) Compose an email message inviting proposal reviewers</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">Automatically includes conference title, dates, location, etc., as well as username, password, and URLs for proposals to be reviewed. Signed by and cc'd to the principal conference contact. The email message can be sent out by clicking on the <a href="<?php echo print_url("people.php"); ?>" target="_blank">People</a> link from the main Conference Manager page.</font></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
<textarea name="review_email" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($review_email)); ?></textarea>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
v) Provide options (e.g., a rating scale) for reviewers asked to judge conference submissions.
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">Includes comments and recommendations.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Proposal Quality<br />
<textarea name="review_com" wrap="virtual" cols="30" rows="3"><?php echo sanitize_html_output(add_quotes($review_com)); ?></textarea>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Recommendation<br />
<textarea name="review_rec" wrap="virtual" cols="30" rows="3"><?php echo sanitize_html_output(add_quotes($review_rec)); ?></textarea>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Compose standard acceptance email
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">This will be sent on acceptance of each paper and can be edited with each paper, prior to sending. It will automatically include the author's name with an option to include a link to reviewers' comments. It will be signed by and cc'd to the principal conference contact. Conference directors: You may also wish to include notice of any online forums you have set up, inviting presenters to post ideas as part of the pre-conference exchange.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<textarea name="review_accept" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($review_accept)); ?></textarea>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Compose standard rejection email
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">This will be sent with the decision not to accept a paper and can be edited with each paper, prior to sending, with an option to include a link to reviewers' comments. It will automatically include the author's name and be signed by and cc'd to the principal conference contact.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<textarea name="review_reject" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($review_reject)); ?></textarea>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.4</b>&nbsp;</td><td colspan="3"><b><input type="checkbox" name="invited_papers" value="true"<?php
if($invited_papers=="true") {
	echo " checked";
}
?>> Set Up an Invited Speakers Section</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) To invite presenters to the conference, email or otherwise contact them with the conference name, themes, location, dates, as well as with the nature of the invitation, including particular focus and type of talk requested, costs covered, if any, and honorarium, if any. Also you might let them know about the conference URL, where they can read more about the event.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Once the presenter has agreed, enter their name, affiliation, and email address in the <a href="<?php echo print_url("invitedspeakers.php"); ?>" target="_blank">Invited Speakers List</a> and send out the invitational email.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
c) Compose an email message for invited speakers
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">Automatically includes conference title, dates, location, etc., as well as abstract and paper deadlines, username, password, and URL for invited submission. The email message can be sent out by clicking on the <a href="<?php echo print_url("people.php"); ?>" target="_blank">People</a> link from the main Conference Manager page.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<textarea name="invited_email" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($invited_email)); ?></textarea>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>2.5</b>&nbsp;</td><td colspan="3"><b>Allow Comments and/or Add a Pre- and Post-Conference Discussion</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.5.1 <input type="checkbox" name="allow_comments" value="true"<?php
if($allow_comments=="true") {
	echo " checked";
}
?>> Allow comments to be posted on conference papers.</b></td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">Comments posted on conference papers will be cc'd to the Principal Contact and can be deleted if required.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>2.5.2 <input type="checkbox" name="discussion" value="true"<?php
if($discussion=="true") {
	echo " checked";
}
?>> Link to a pre- and post-conference discussion forum.</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
a) URL for discussion forum: <input type="text" name="discussion_url" size="40" value="<?php echo sanitize_output($discussion_url); ?>">
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">This requires having access to discussion board or forum software, whether on the same server the conference is using or another server. Free forum software is available from, for example, <a href="http://www.phpbb.com/" target="_blank">phpBB</a> or <a href="http://www.hotscripts.com/" target="_blank">HotScripts.com</a>. Contact the server's system administrator for assistance. You will need the URL for the forum software.</font></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
b) Email inviting registrants and presenters to pre-conference discussion of papers
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">This will be sent to all who register (including those presenting) and Automatically includes conference title, dates, location, etc., as well as the URL for the discussion forum.  It is signed by and cc'd to the principal conference contact. The email message can be sent out by clicking on the <a href="<?php echo print_url("people.php"); ?>" target="_blank">People</a> link from the main Conference Manager page.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
<textarea name="discussion_email" wrap="virtual" cols="50" rows="15"><?php echo sanitize_html_output(add_quotes($discussion_email)); ?></textarea>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>

</table>

<?php

}

?>