<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/include/step3.inc.php
// 
// $Id: step3.inc.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// Step 3 of the conference set up


if(!eregi("setup.php", $PHP_SELF)) { die("Access denied."); }


// print JavaScript functions to show a citation and preview a RST
?>
<script language="JavaScript">
// function to show citation style
function show_citation(url) {
url+=document.setup.citation_style.value;
window.open(url,"citation","width=350,height=350,location=no,menubar=no,status=no,toolbar=no,resizable=no,scrollbars=no");	
}

// function to preview a RST
function preview_rst(url) {
url+=document.setup.rst.value;
window.open(url,"rst","width=725,height=600,location=no,menubar=no,status=no,toolbar=no,resizable=no,scrollbars=yes");	
}
</script>
<?php


// define default value of certain variables
if($submit || $preview) {
	if(!$multilingual) {
		$multilingual = "false";
	}
	
	if(!$language) {
		$language = "en";
	}
	
	if(!$include_bio) {
		$include_bio = "false";
	}
	
	if(!$author_options[delete_paper]) {
		$author_options[delete_paper] = "false";
	}
	if(!$author_options[restrict_access]) {
		$author_options[restrict_access] = "false";
	}
	$author_options = array("delete_paper"=>$author_options[delete_paper],"restrict_access"=>$author_options[restrict_access]);

	if(!$rst) {
		$rst = "Generic";
	}

}

if($submit) {
	// check if rst is valid
	if(empty($rst) || strstr($rst, "./") || !file_exists($fullpath."rst/modules/$rst/rst.inc.php")) {
		echo "<p class=\"instructions\">Invalid RST selected. Using Generic.</p>";	
		$rst = "Generic";
	}

	// prepare some variables for submission	
	$author_options = join("\n",$author_options);
	
	$copyright_notice = add_quotes($copyright_notice);
	
	list($discipline_ex, $coverage_geo_ex, $coverage_hist_ex, $coverage_sample_ex, $type_ex, $multilingual, $language, $include_bio, $bio_length, $paper_access, $wordview, $author_options, $rst, $citation_style) = strip_html($discipline_ex, $coverage_geo_ex, $coverage_hist_ex, $coverage_sample_ex, $type_ex, $multilingual, $language, $include_bio, $bio_length, $paper_access, $wordview, $author_options, $rst, $citation_style);

	list($discipline_ex, $coverage_geo_ex, $coverage_hist_ex, $coverage_sample_ex, $type_ex, $multilingual, $language, $include_bio, $bio_length, $paper_access, $wordview, $copyright_notice, $author_options, $rst, $citation_style) = sanitize_db_input($discipline_ex, $coverage_geo_ex, $coverage_hist_ex, $coverage_sample_ex, $type_ex, $multilingual, $language, $include_bio, $bio_length, $paper_access, $wordview, $copyright_notice, $author_options, $rst, $citation_style);

	// database query
	$query_txt = "update $dbtable[conference] set discipline_ex='$discipline_ex', coverage_geo_ex='$coverage_geo_ex', coverage_hist_ex='$coverage_hist_ex', coverage_sample_ex='$coverage_sample_ex', type_ex='$type_ex', multilingual='$multilingual', language='$language', include_bio='$include_bio', bio_length='$bio_length', paper_access='$paper_access', wordview='$wordview', copyright_notice='$copyright_notice', author_options='$author_options', rst='$rst', citation_style='$citation_style'";
}

// show preview
else if($preview) {
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>3.1</b>&nbsp;</td><td colspan="3"><b>Assisting Authors in Indexing Their Papers</b></td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td><img src="../images/spacer.gif" width="18" height="1"></td><td><img src="../images/spacer.gif" width="500" height="1"></td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>3.1.1 Providing Authors with Examples for Indexing</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
a) Discipline(s)
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="13" height="1"></td><td>
Relevant examples for authors: <font class="instructions"><?php echo sanitize_output($discipline_ex); ?></font><input type="hidden" name="discipline_ex" value="<?php echo sanitize_output($discipline_ex); ?>"></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
b) Subject(s)
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
c) Coverage
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Geo-Spatial or geographical examples: <font class="instructions"><?php echo sanitize_output($coverage_geo_ex); ?></font><input type="hidden" name="coverage_geo_ex" value="<?php echo sanitize_output($coverage_geo_ex); ?>"><br />
Chronological or historical examples: <font class="instructions"><?php echo sanitize_output($coverage_hist_ex); ?></font><input type="hidden" name="coverage_hist_ex" value="<?php echo sanitize_output($coverage_hist_ex); ?>"><br />
Research sample characteristics examples: <font class="instructions"><?php echo sanitize_output($coverage_sample_ex); ?></font><input type="hidden" name="coverage_sample_ex" value="<?php echo sanitize_output($coverage_sample_ex); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
d) Type (Method/Approach)
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Relevant examples for authors: <font class="instructions"><?php echo sanitize_output($type_ex); ?></font><input type="hidden" name="type_ex" value="<?php echo sanitize_output($type_ex); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>3.1.2 Language</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
Papers will be multilingual: <font class="instructions"><?php echo sanitize_output($multilingual); ?></font><input type="hidden" name="multilingual" value="<?php echo sanitize_output($multilingual); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
Document Language: <font class="instructions"><?php echo sanitize_output($language); ?></font><input type="hidden" name="language" value="<?php echo sanitize_output($language); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.2</b>&nbsp;</td><td colspan="3"><b>Biographies</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
<input type="hidden" name="include_bio" value="<?php echo sanitize_output($include_bio); ?>">Include a request to authors for a biographical statement of the following<br />
length (words): <font class="instructions"><?php echo sanitize_output($bio_length); ?></font><input type="hidden" name="bio_length" value="<?php echo sanitize_output($bio_length); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.3</b>&nbsp;</td><td colspan="3"><b>Posting Conference Papers</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Access to papers: <font class="instructions"><?php
if($paper_access=="open") { echo "OCS default."; }
else if($paper_access=="restrict") { echo "Restricted to conference participants."; }
?></font><input type="hidden" name="paper_access" value="<?php echo sanitize_output($paper_access); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Uploading options
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
Path to MSWordView on your server: <font class="instructions"><?php echo sanitize_output($wordview); ?></font><input type="hidden" name="wordview" value="<?php echo sanitize_output($wordview); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.4</b>&nbsp;</td><td colspan="3"><b>Copyright Notice for Authors</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">
<input type="hidden" name="copyright_notice" value="<?php echo sanitize_output(remove_quotes($copyright_notice)); ?>">
<?php echo nl2br(sanitize_output($copyright_notice)); ?>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.5</b>&nbsp;</td><td colspan="3"><b>Options Presented to Authors</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">a) Email me when a comment is posted on this abstract or paper.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">b) Email me when a paper is posted on the site.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">c) Delete my paper at the conference's conclusion: <font class="instructions"><?php echo sanitize_output($author_options[delete_paper]); ?></font><input type="hidden" name="author_options[delete_paper]" value="<?php echo sanitize_output($author_options[delete_paper]); ?>"></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">d) Restrict access to registered conference participants.: <font class="instructions"><?php echo sanitize_output($author_options[restrict_access]); ?></font><input type="hidden" name="author_options[restrict_access]" value="<?php echo sanitize_output($author_options[restrict_access]); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.6</b>&nbsp;</td><td colspan="3"><b>Research Support Tool</b>: <font class="instructions"><?php echo sanitize_output($rst); ?></font><input type="hidden" name="rst" value="<?php echo sanitize_output($rst); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.7</b>&nbsp;</td><td colspan="3"><b>Citation Style for Identifying Papers</b>: <font class="instructions"><?php echo sanitize_output($citation_style); ?></font><input type="hidden" name="citation_style" value="<?php echo sanitize_output($citation_style); ?>">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>

</table>

<?php
}


// show form
else {
?>

<p>This page allows you to create an <a href="http://www.openarchives.org/" target="_blank">Open Archives</a>-compliant database which will make the posted conference papers universally accessible, based on the indexing terms generated by both you and the

 authors.</p>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>3.1</b>&nbsp;</td><td colspan="3"><b>Assisting Authors in Indexing Their Papers</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">Authors will be asked to index the content of their papers by a) Discipline, b) Subject, c) Coverage, and d) Type. You can further assist them in this process by providing a set of examples (4-6 items) that are relevant to your field, for Discipline, Coverage, and Type. Authors will be invited to use more than one item for each heading.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>3.1.1 Providing Authors with Examples for Indexing</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
a) Discipline(s)
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="13" height="1"></td><td>
Relevant examples for authors: <input type="text" name="discipline_ex" size="40" value="<?php echo sanitize_output($discipline_ex); ?>"><br />
<font class="instructions">(E.g., History, Education, Sociology, Psychology, Cultural Studies, Law.)</font></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
b) Subject(s)
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">
This is the closest of the four items to the traditional keyword, which this system does not use in favor of a more fine grained indexing.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
c) Coverage
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
<font class="instructions">Coverage includes geo-spatial or geographical location, chronological or historical coverage, and characteristics of research sample (e.g., age, gender, etc.). Leave blank if not applicable.</font><br />
Geo-Spatial or geographical examples: <input type="text" name="coverage_geo_ex" size="30" value="<?php echo sanitize_output($coverage_geo_ex); ?>"><br />
Chronological or historical examples: <input type="text" name="coverage_hist_ex" size="30" value="<?php echo sanitize_output($coverage_hist_ex); ?>"><br />
Research sample characteristics examples: <input type="text" name="coverage_sample_ex" size="30" value="<?php echo sanitize_output($coverage_sample_ex); ?>">
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
d) Type (Method/Approach)
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Relevant examples for authors: <input type="text" name="type_ex" size="40" value="<?php echo sanitize_output($type_ex); ?>"><br />
<font class="instructions">(E.g., Historical Inquiry, Quasi-Experimental, Literary Analysis, Survey/Interview.)</font>
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3"><b>3.1.2 Language</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<input type="checkbox" name="multilingual" value="true"<?php
if($multilingual=="true") {
	echo " checked";
}
?>> Papers will be accepted in languages other than the language specified below, in which case this item will appear for authors to complete.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
Document Language: <input type="text" name="language" size="3" value="<?php if(!$language) { $language="en"; } echo sanitize_output($language); ?>"><br />
<font class="instructions">English=en; French=fr; Spanish=es (<a href="http://www.loc.gov/standards/iso639-2/langcodes.html" target="_blank">Additional codes</a>).</font>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.2</b>&nbsp;</td><td colspan="3"><b>Biographies</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
<input type="checkbox" name="include_bio" value="true"<?php
if($include_bio=="true") {
	echo " checked";
}
?>> Include a request to authors for a biographical statement of the following length (words): <input type="text" name="bio_length" size="10" value="<?php if(!empty($bio_length)) { echo sanitize_output($bio_length); } else { echo 250; } ?>"?
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.3</b>&nbsp;</td><td colspan="3"><b>Posting Conference Papers</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Access to papers
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<input type="radio" name="paper_access" value="open"<?php if($paper_access=="open" || !$paper_access) { echo " checked"; } ?>> OCS Default: Invite presenters to post papers and provide open access to them.
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
<input type="radio" name="paper_access" value="restrict"<?php if($paper_access=="restrict") { echo " checked"; } ?>> Invite posting of papers, but restrict paper access to registered conference participants.
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">The intent of Open Conference Systems is to increase global access to well-indexed scholarship by enabling presenters to upload and post their papers to this site. However, we recognize that this may not be appropriate for every conference. Individual authors can be offered the option of restricting access to their own paper (see 3.5), or you can restrict access for all papers using the options below. If posted papers are appropriate in some sessions and not others in your conference, you can also set out those terms in the Call for Papers and the acceptance letters. If presenters are invited to post their papers, they will be offered <a href="<?php echo print_url("../tenreasons.php"); ?>" target="_blank">ten reasons</a> for doing so.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) If presenters are to post papers to conference site
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2" class="instructions">Authors will have the option of uploading their paper as HTML, PDF, or plain text files, or, optionally, in Microsoft Word format.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td colspan="2">
Enabling the uploading of Microsoft Word documents
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>
Path to MSWordView on your server: <input type="text" name="wordview" value="<?php echo sanitize_output($wordview); ?>">
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">E.g., /usr/local/bin/mswordview<br />
To give users the option of uploading MS Word documents, which are then automatically converted to HTML, install <a href="http://www.wvware.com/" target="_blank">MSWordView</a> on your server. Contact the system administrator of the server that the conference is using for assistance. Leave the field blank if you do not plan on using this feature.
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.4</b>&nbsp;</td><td colspan="3"><b>Copyright Notice for Authors</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">This text can be edited for your conference.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
<textarea name="copyright_notice" wrap="virtual" cols="50" rows="10"><?php
if($copyright_notice) {
	echo sanitize_html_output(add_quotes($copyright_notice));
}
// print default copyright notice if not defined
else {
	echo "The authors retain the copyright for the papers posted here, having granted permission for their use only on this conference site. Authors can ask to have their papers removed from this site at any time. While the papers will otherwise remain available to the public through this site, authors still have the right to publish their papers elsewhere (unless expressly forbidden by the publisher).";
}
?></textarea>
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.5</b>&nbsp;</td><td colspan="3"><b>Options Presented to Authors</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">Authors will have the following options available to them when they submit their paper.</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
a) Email me when a comment is posted on this abstract or paper.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
b) Email me when a paper is posted on the site.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>


<tr><td>&nbsp;</td><td colspan="3">
<input type="checkbox" name="author_options[delete_paper]" value="true"<?php
if($author_options[delete_paper]=="true" || $author_options[delete_paper]=="") {
	echo " checked";
}
?>> c) Delete my paper at conference's conclusion.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>


<tr><td>&nbsp;</td><td colspan="3">
<input type="checkbox" name="author_options[restrict_access]" value="true"<?php
if($author_options[restrict_access]=="true" || $author_options[restrict_access]=="") {
	echo " checked";
}
?>> d) For my paper, restrict access to registered conference participants.
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr valign="top"><td><b>3.6</b>&nbsp;</td><td colspan="3"><b>Research Support Tool</b>: <select name="rst">
<?php

// build list of available Research Support Tools
include_once("../rst/functions.inc.php");
$rsts = rst_list_modules("../rst/modules");
foreach($rsts as $k => $v) {
	echo "<option value=\"$k\"";
	if($rst == $k) { echo " selected"; }
	echo ">$v</option>\n";
}

?>
</select><br />
<b><a href="javascript:preview_rst('<?php
$url = $baseurl.print_url("admin/previewrst.php");
if(eregi("\?", $url)) { $url .= "&"; }
else { $url .= "?"; }
$url .= "rst=";
echo $url;
?>');">Preview</a></b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">The Public Knowledge Project has built the Research Support Tool to link each abstract and study posted on the conference site to a number of related open access resources, including related studies, glossaries, and other relevant materials. The RST uses the metadata provided by the authors to search the designated databases for related resources, and is designed to provide a stronger context for understanding, interpreting, and evaluating the research by a wide range of readers.
<br /><br />
You can select a Research Support Tool for the relevant discipline or the 
Generic RST, and preview its resources using About the RST. There is also 
a RST <a href="http://www.pkp.ubc.ca/demos/rsttour/index.html" target="_blank">tour</a> and working <a href="http://www.pkp.ubc.ca/rst/rstdemo.php" target="_blank">demo</a> that can be previewed.</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.7</b>&nbsp;</td><td colspan="3"><b>Citation Style for Identifying Papers</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">Default is American Psychological Association (APA).</td></tr>

<tr><td>&nbsp;</td><td colspan="3">
<select name="citation_style">
<option value="APA"<?php
if($citation_style=="APA") {
	echo " selected";
}
?>>APA</option>
<option value="MLA"<?php
if($citation_style=="MLA") {
	echo " selected";
}
?>>Modern Language Association (MLA)</option>
<option value="Turabian"<?php
if($citation_style=="Turabian") {
	echo " selected";
}
?>>Turabian</option>
<option value="CBE"<?php
if($citation_style=="CBE") {
	echo " selected";
}
?>>Council of Biology Editors (CBE)</option>
</select><br />
<b><a href="javascript:show_citation('<?php
$url = $baseurl.print_url("admin/citationstyle.php");
if(eregi("\?", $url)) { $url .= "&"; }
else { $url .= "?"; }
$url .= "style=";
echo $url;
?>');">Preview</a></b>
</td></tr>

<?php
if(!$multiple) {
?>
<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>3.9</b>&nbsp;</td><td colspan="3"><b>Register Your Archive</b></td></tr>

<tr><td>&nbsp;</td><td colspan="3" class="instructions">You can ensure that your website, with its research archive, forms part of a globally distributed archive of research databases (which are indexed for accurate searching by an Open Archives search engine) by <a href="http://www.pkp.ubc.ca/harvester/add.php" target="_blank">registering</a> your website with our Public Knowledge Project metadata <a href="http://www.pkp.ubc.ca/harvester/" target="_blank">harvester</a> that gathers metadata on the research in your database.<br /><br />
<a href="http://www.pkp.ubc.ca/harvester/add.php" target="_blank">Click here</a> and enter <b><?php echo $baseurl; ?></b> under Site URL, and <b><?php echo $baseurl."oai/"; ?></b> under Base URL for OAI Archive.
</td></tr>
<?php
}
?>


<tr><td colspan="4">&nbsp;</td></tr>

</table>

<?php

}

?>
