<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/include/step4.inc.php
// 
// $Id: step4.inc.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// Step 4 of the conference set up


if(!eregi("setup.php", $PHP_SELF)) { die("Access denied."); }


// define default value of certain variables
if($submit || $preview || $anchor) {
	if(!$registration) {
		$registration = "false";
	}
	
	if(checkdate($reg_close_month, $reg_close_day, $reg_close_year)) {
		$reg_close_date = "$reg_close_year-$reg_close_month-$reg_close_day";
	}
	else if(!$reg_close_date) {
		$reg_close_date = $conference_items[start_date];
	}
	
	if(checkdate($reg_late_month, $reg_late_day, $reg_late_year)) {
		$reg_late_date = "$reg_late_year-$reg_late_month-$reg_late_day";
	}
	else if(!$reg_late_date) {
		$reg_late_date = $reg_close_date;
	}
	
	if(!$reg_invoice) {
		$reg_invoice = "false";
	}
	
	if(!$reg_options[reg_email]) {
		$reg_options[reg_email] = "false";
	}
	if(!$reg_options[exempt_presenters]) {
		$reg_options[exempt_presenters] = "false";
	}
	if(!$reg_options[exempt_speakers]) {
		$reg_options[exempt_speakers] = "false";
	}
	$reg_options = array("reg_email"=>$reg_options[reg_email],"exempt_presenters"=>$reg_options[exempt_presenters],"exempt_speakers"=>$reg_options[exempt_speakers]);
	
	if(is_uploaded_file($reg_map_file)) {
		// check that papers directory is writeable
		if(is_writeable($fullpath."papers")) {
			// upload map file
			move_uploaded_file($reg_map_file, $fullpath."papers/map-$cf");
			
			// store file's type
			$reg_map = $reg_map_file_type;
		}
		else {
			echo "<p class=\"instructions\"><b>Unable to upload map file to papers/map-$cf. Please ensure that the papers directory is writeable. Contact your system administrator for assistance.</b></p>";
		}
	}
	
	if(!$reg_map) {
		$reg_map = "false";
	}

}

// split variables back into array
if($edit) {
	$reg_levels = explode("; ",$reg_levels);
	$reg_fees = explode("; ",$reg_fees);
	$reg_levels_late = explode("; ",$reg_levels_late);
	$reg_fees_late = explode("; ",$reg_fees_late);
}

if($submit) {
	// prepare some variables for submission
	if(!is_array($reg_levels)) {
		$reg_levels = explode("; ",$reg_levels);
	}
	if(!empty($reg_levels)) { $reg_levels = join("\n",$reg_levels); }
	
	if(!is_array($reg_fees)) {
		$reg_fees = explode("; ",$reg_fees);
	}
	if(!empty($reg_fees)) { $reg_fees = join("\n",$reg_fees); }
	
	if(!is_array($reg_levels_late)) {
		$reg_levels_late = explode("; ",$reg_levels_late);
	}
	if(!empty($reg_levels_late)) { $reg_levels_late = join("\n",$reg_levels_late); }
	
	if(!is_array($reg_fees_late)) {
		$reg_fees_late = explode("; ",$reg_fees_late);
	}
	if(!empty($reg_fees_late)) { $reg_fees_late = join("\n",$reg_fees_late); }
	
	$reg_options = join("\n",$reg_options);

	$reg_details = add_quotes($reg_details);
	
	$reg_pay_options = add_quotes($reg_pay_options);
	
	$reg_accomm = add_quotes($reg_accomm);
	
	$reg_travel = add_quotes($reg_travel);
	
	// delete old map file, if applicable
	if($reg_map == "false" && file_exists($fullpath."papers/map-$cf")) {
		unlink($fullpath."papers/map-$cf");
	}
	
	list($registration, $reg_limit, $reg_close_date, $reg_levels, $reg_fees, $reg_late_date, $reg_levels_late, $reg_fees_late, $reg_invoice, $reg_options, $reg_map) = strip_html($registration, $reg_limit, $reg_close_date, $reg_levels, $reg_fees, $reg_late_date, $reg_levels_late, $reg_fees_late, $reg_invoice, $reg_options, $reg_map);

	list($registration, $reg_limit, $reg_close_date, $reg_details, $reg_levels, $reg_fees, $reg_late_date, $reg_levels_late, $reg_fees_late, $reg_invoice, $reg_pay_options, $reg_options, $reg_accomm, $reg_travel, $reg_map) = sanitize_db_input($registration, $reg_limit, $reg_close_date, $reg_details, $reg_levels, $reg_fees, $reg_late_date, $reg_levels_late, $reg_fees_late, $reg_invoice, $reg_pay_options, $reg_options, $reg_accomm, $reg_travel, $reg_map);

	// database query
	$query_txt = "update $dbtable[conference] set registration='$registration', reg_limit='$reg_limit', reg_close_date='$reg_close_date', reg_details='$reg_details', reg_levels='$reg_levels', reg_fees='$reg_fees', reg_late_date='$reg_late_date', reg_levels_late='$reg_levels_late', reg_fees_late='$reg_fees_late', reg_invoice='$reg_invoice', reg_pay_options='$reg_pay_options', reg_options='$reg_options', reg_accomm='$reg_accomm', reg_travel='$reg_travel', reg_map='$reg_map'";
}

// show preview
else if($preview) {
	// fix some variables
	if(empty($reg_levels)) { $reg_levels = array(); }
	if(empty($reg_fees)) { $reg_fees = array(); }
	if(empty($reg_levels_late)) { $reg_levels_late = array(); }
	if(empty($reg_fees_late)) { $reg_fees_late = array(); }
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>4.1</b>&nbsp;</td><td colspan="2"><b>Set Up Online Conference Registration</b>: <font class="instructions"><?php echo sanitize_output($registration); ?></font><input type="hidden" name="registration" value="<?php echo sanitize_output($registration); 
?>"></td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td><img src="../images/spacer.gif" width="500" height="1"></td></tr>

<tr><td>&nbsp;</td><td colspan="2">
a) Limit number who can register: <font class="instructions"><?php echo sanitize_output($reg_limit); ?></font><input type="hidden" name="reg_limit" value="<?php echo sanitize_output($reg_limit); ?>">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
b) Registration close date: <font class="instructions"><?php echo $reg_close_date ?></font><input type="hidden" name="reg_close_date" value="<?php echo sanitize_output($reg_close_date); ?>">
<td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
c) Registration details<input type="hidden" name="reg_details" value="<?php echo sanitize_output(remove_quotes($reg_details)); ?>">
<td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">
<?php echo nl2br(sanitize_output($reg_details)); ?>
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.2</b>&nbsp;</td><td colspan="2"><b>Registration Fees</b><input type="hidden" name="reg_levels" value="<?php echo sanitize_output(join("; ",$reg_levels)); ?>"><input type="hidden" name="reg_fees" value="<?php echo sanitize_output(join("; ",$reg_fees))
; ?>"><input type="hidden" name="reg_levels_late" value="<?php echo sanitize_output(join("; ",$reg_levels_late)); ?>"><input type="hidden" name="reg_fees_late" value="<?php echo sanitize_output(join("; ",$reg_fees_late))
; ?>"></td></tr>

<tr><td colspan="3">&nbsp;</td></tr>


<tr><td>&nbsp;</td><td colspan="2">
a) Regular registration fee
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<?php
// get number of registration levels
if(!$reg_levels) {
	$numlevels = 0;
}
else {
	$numlevels = count($reg_levels);
}
// print out list of levels
for($i=0; $i<$numlevels; $i++) {
	$y=$i+1;
	echo "Level $y: <font class=\"instructions\">";
	echo sanitize_output($reg_levels[$i]);
	echo "</font> &nbsp;&nbsp;&nbsp; Amount: <font class=\"instructions\">$";
	echo sanitize_output($reg_fees[$i]);
	echo "</font><br />";
}
?>
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
b) Late registration fee, past date: <font class="instructions"><?php echo $reg_late_date ?></font><input type="hidden" name="reg_late_date" value="<?php echo sanitize_output($reg_late_date); ?>">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<?php
// get number of registration levels
if(!$reg_levels_late) {
	$numlevels = 0;
}
else {
	$numlevels = count($reg_levels_late);
}
// print out list of levels
for($i=0; $i<$numlevels; $i++) {
	$y=$i+1;
	echo "Level $y: <font class=\"instructions\">";
	echo sanitize_output($reg_levels_late[$i]);
	echo "</font> &nbsp;&nbsp;&nbsp; Amount: <font class=\"instructions\">$";
	echo sanitize_output($reg_fees_late[$i]);
	echo "</font><br />";
}
?>
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
c) Payment options
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
Enable printable Conference Fee Invoice: <font class="instructions"><?php echo sanitize_output($reg_invoice); ?></font><input type="hidden" name="reg_invoice" value="<?php echo sanitize_output($reg_invoice); ?>">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
Other payment options<input type="hidden" name="reg_pay_options" value="<?php echo sanitize_output(remove_quotes($reg_pay_options)); ?>">
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">
<?php echo nl2br(sanitize_output($reg_pay_options)); ?>
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.3</b>&nbsp;</td><td colspan="2"><b>Options</b></td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
a) Give registrants the following option: "Email me when individual papers are available at the conference site": <font class="instructions"><?php echo sanitize_output($reg_options[reg_email]); ?></font><input type="hidden" name="reg_options[reg_email]" value="<?php echo sanitize_output($reg_options[reg_email]); ?>">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">b) Exempt presenters from registration fee: <font class="instructions"><?php echo sanitize_output($reg_options[exempt_presenters]); ?></font><input type="hidden" name="reg_options[exempt_presenters]" value="<?php echo sanitize_output($reg_options[exempt_presenters]); ?>">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">c) Exempt invited speakers from registration fee: <font class="instructions"><?php echo sanitize_output($reg_options[exempt_speakers]); ?></font><input type="hidden" name="reg_options[exempt_speakers]" value="<?php echo sanitize_output($reg_options[exempt_speakers]); ?>">
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.4</b>&nbsp;</td><td colspan="2"><b>Accommodation</b><input type="hidden" name="reg_accomm" value="<?php echo sanitize_output(remove_quotes($reg_accomm)); ?>"></td></tr>
<td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2" class="instructions"><?php echo nl2br(sanitize_output($reg_accomm)); ?></td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.5</b>&nbsp;</td><td colspan="2"><b>Travel</b></td></tr>
<td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">a) Travel information:<input type="hidden" name="reg_travel" value="<?php echo sanitize_output(remove_quotes($reg_travel)); ?>"></td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td class="instructions"><?php echo nl2br(sanitize_output($reg_travel)); ?></td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">b) Include a link to a map to the conference location: <font class="instructions"><?php if($reg_map && $reg_map != "false") { echo "true"; } else { echo "false"; } ?></font><input type="hidden" name="reg_map" value="<?php echo sanitize_output($reg_map); ?>"></td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

</table>

<?php
}


// show form
else {
	if(!$reg_close_date || $reg_close_date == "0000-00-00") { $reg_close_date = $conference_items[start_date]; }
	if(!$reg_late_date || $reg_late_date == "0000-00-00") { $reg_late_date = $conference_items[start_date]; }
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr><td><b>4.1</b>&nbsp;</td><td colspan="2"><b><input type="checkbox" name="registration" value="true"<?php
if($registration=="true") {
	echo " checked";
}
?>> Set Up Online Conference Registration</b></td></tr>

<tr><td>&nbsp;</td><td colspan="2" class="instructions">This will set up a Registration, Accommodation, and Travel page for those who wish to attend the conference.</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
a) Limit number who can register (blank=unlimited): <input type="text" name="reg_limit" value="<?php echo sanitize_output($reg_limit); ?>" size="3">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
b) Registration close date: <?php date_menu("reg_close", $reg_close_date); ?>
</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">By default, registration will close on the conference start date.</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
c) Registration details
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">Use the text box below to include a message to conference participants regarding registration. For example, you may want to list what the conference fees include or that special rates for conference participants can be attained at a particular accommodation site.</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<textarea name="reg_details" cols="50" rows="10" wrap="virtual"><?php echo sanitize_html_output(add_quotes($reg_details)); ?></textarea>
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.2</b>&nbsp;</td><td colspan="2"><b>Registration Fees</b></td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
<a name="fees"></a>a) Regular registration fee
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">To set the regular registration fee for faculty, students, unwaged, etc., enter the name of the level (e.g. Faculty) in the first box and the amount in the second box, and then add another level (e.g., for Students). If registration is free, leave blank.</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<?php
// get number of registration levels
if(!$reg_levels) {
	$numlevels = 1;
}
else {
	$numlevels = count($reg_levels);
		
	// increment number of levels, if adding one
	if($add_reg_level) {
		$numlevels++;
	}
}

// get id of level to delete, if applicable
if($del_reg_level) {
	$del_reg_level = str_replace("Delete Level #","",$del_reg_level);
}

// print out list of levels
for($i=0; $i<$numlevels; $i++) {
	$y=$i+1;
	// print out level info if not deleting
	if($del_reg_level!=$y) {
		// decrement number of levels if deleting
		if($hasdel_reg_level) {
			$y--;
		}
		echo "Level $y: <input type=\"text\" name=\"reg_levels[]\" value=\"";
		echo sanitize_output($reg_levels[$i]);
		echo "\"> &nbsp;&nbsp;&nbsp; Amount: $<input type=\"text\" name=\"reg_fees[]\" size=\"10\" value=\"";
		echo sanitize_output($reg_fees[$i]);
		echo "\"> <input type=\"submit\" name=\"del_reg_level\" value=\"Delete Level #$y\" class=\"button\"><br />";
	}
	// note a level has been deleted
	else {
		$hasdel_reg_level=1;
	}
}
?>
<input type="submit" name="add_reg_level" value="Add Additional Level" class="button">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
<a name="late_fees"></a>b) Late registration fee, past date: <?php date_menu("reg_late", $reg_late_date); ?>
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td class="instructions">Set the late registration fee similar to above. If not applicable or the same as above, leave blank.</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<?php
// get number of registration levels
if(!$reg_levels_late) {
	$numlevels = 1;
}
else {
	$numlevels = count($reg_levels_late);
	
	// increment number of levels, if adding one
	if($add_reg_level_late) {
		$numlevels++;
	}
}

// get id of level to delete, if applicable
if($del_reg_level_late) {
	$del_reg_level_late = str_replace("Delete Level #","",$del_reg_level_late);
}

// print out list of levels
for($i=0; $i<$numlevels; $i++) {
	$y=$i+1;
	// print out level info if not deleting
	if($del_reg_level_late!=$y) {
		// decrement number of levels if deleting
		if($hasdel_reg_level_late) {
			$y--;
		}
		echo "Level $y: <input type=\"text\" name=\"reg_levels_late[]\" value=\"";
		echo sanitize_output($reg_levels_late[$i]);
		echo "\"> &nbsp;&nbsp;&nbsp; Amount: $<input type=\"text\" name=\"reg_fees_late[]\" size=\"10\" value=\"";
		echo sanitize_output($reg_fees_late[$i]);
		echo "\"> <input type=\"submit\" name=\"del_reg_level_late\" value=\"Delete Level #$y\" class=\"button\"><br />";
	}
	// note a level has been deleted
	else {
		$hasdel_reg_level_late=1;
	}
}
?>
<input type="submit" name="add_reg_level_late" value="Add Additional Level" class="button">
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
c) Payment options
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<input type="checkbox" name="reg_invoice" value="true"<?php
if($reg_invoice=="true") {
	echo " checked";
}
?>>Enable printable Conference Fee Invoice
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
Other payment include, paying by phone, mailing a cheque, or a link to a <a href="http://www.paypal.com" target="_blank">PayPal</a> account. Please note: this system is not currently integrated with any credit card services.
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<textarea name="reg_pay_options" cols="50" rows="10" wrap="virtual"><?php echo sanitize_html_output(add_quotes($reg_pay_options)); ?></textarea>
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.3</b>&nbsp;</td><td colspan="2"><b>Options</b></td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
a) <input type="checkbox" name="reg_options[reg_email]" value="true"<?php
if($reg_options[reg_email]=="true" || $reg_options[reg_email]=="") {
	echo " checked";
}
?>> Give registrants the following option: "Email me when individual papers<br />
are available at the conference site."
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
b) <input type="checkbox" name="reg_options[exempt_presenters]" value="true"<?php
if($reg_options[exempt_presenters]=="true" || $reg_options[exempt_presenters]=="") {
	echo " checked";
}
?>> Exempt presenters from registration fee.
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
c) <input type="checkbox" name="reg_options[exempt_speakers]" value="true"<?php
if($reg_options[exempt_speakers]=="true" || $reg_options[exempt_speakers]=="") {
	echo " checked";
}
?>> Exempt invited speakers from registration fee.
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2" class="instructions">Presenters and invited speakers will be notified on on the submission page as to whether they must pay registration fees or are automatically registered with their submission.
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.4</b>&nbsp;</td><td colspan="2"><b>Accommodation</b></td></tr>

<tr><td>&nbsp;</td><td colspan="2" class="instructions">
To provide details for accommodation, enter name of facilities, URL, contact information, etc. below. If no accommodation information is to be supplied, leave blank. 
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">
<textarea name="reg_accomm" cols="50" rows="10" wrap="virtual"><?php echo sanitize_html_output(add_quotes($reg_accomm)); ?></textarea>
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>


<tr><td><b>4.5</b>&nbsp;</td><td colspan="2"><b>Travel</b></td></tr>

<tr><td>&nbsp;</td><td colspan="2" class="instructions">
Provide details such as directions from the airport etc. to the conference site. If no travel information is to be supplied, leave blank. You can also upload a map of the conference site, with a link, on the registration page.
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">a) Travel information:</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
<textarea name="reg_travel" cols="50" rows="10" wrap="virtual"><?php echo sanitize_html_output(add_quotes($reg_travel)); ?></textarea>
</td></tr>

<tr><td colspan="3">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td colspan="2">b) <input type="checkbox" name="reg_map" value="<?php if(!empty($reg_map)) { echo $reg_map; } else { echo 1; } ?>"<?php if($reg_map && $reg_map!="false") { echo " checked"; } ?>> Include a link to a map.</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td>
Upload map file: <input type="file" name="reg_map_file">
</td></tr>


<tr><td colspan="3">&nbsp;</td></tr>

</table>

<?php

}

?>
