<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/include/step5.inc.php
// 
// $Id: step5.inc.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// Step 5 of the conference set up


if(!eregi("setup.php", $PHP_SELF)) { die("Access denied."); }


// print JavaScript function to preview a theme
?>
<script language="JavaScript">
// function to preview a theme
function preview_theme(url) {
url+=document.setup.new_theme.value;
window.open(url,"theme","width=725,height=600,location=no,menubar=no,status=no,toolbar=no,resizable=no,scrollbars=yes");	
}
</script>
<?php


if($submit) {
	// check if theme is valid
	if(empty($new_theme) || strstr($new_theme, "./") || !file_exists($fullpath."themes/$new_theme/theme.inc.php")) {
		echo "<p class=\"instructions\">Invalid theme selected. Using default.</p>";	
		$new_theme = "Default";
	}
	
	// upload images, if applicable
	if(is_uploaded_file($upload_title_image)) {
		// check that images directory is writeable
		if(is_writeable($fullpath."images")) {
			// overwrite the old title image with the new one
			move_uploaded_file($upload_title_image, $fullpath."images/title-$cf.gif");
		}
		else {
			echo "<p class=\"instructions\">Unable to upload new title image to images/title-$cf.gif. Please ensure that the images directory is writeable. Contact your system administrator for assistance.</p>";
			$new_title_image = "default";
		}
		
	}
	if(is_uploaded_file($upload_logo_image)) {
		// check that images directory is writeable
		if(is_writeable($fullpath."images")) {	
			// overwrite the old logo image with the new one
			move_uploaded_file($upload_logo_image, $fullpath."images/logo-$cf.gif");
		}
		else {
			echo "<p class=\"instructions\">Unable to upload new logo image to images/logo-$cf.gif. Please ensure that the images directory is writeable. Contact your system administrator for assistance.</p>";
			$logo_image = "default";
		}
	}
	
	list($new_theme, $new_title_image, $title_text, $new_logo_image) = strip_html($new_theme, $new_title_image, $title_text, $new_logo_image);

	list($new_theme, $new_title_image, $title_text, $new_logo_image) = sanitize_db_input($new_theme, $new_title_image, $title_text, $new_logo_image);
	
	// database query
	$query_txt = "update $dbtable[conference] set theme='$new_theme', title_image='$new_title_image', title_text='$title_text', logo_image='$new_logo_image'";
}


// show form
else {
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<tr valign="top"><td><b>5.1</b>&nbsp;</td><td colspan="3"><b>Theme</b>: <select name="new_theme">
<option value="Default"<?php if($new_theme=="Default") { echo " selected"; } ?>>Default</option>
<?php

// build list of available themes
$themes = array();
$themes_dir = opendir("../themes");
while(false !== ($file = readdir($themes_dir))) {
	if($file != "Default" && $file != "." && $file != "..") {
		array_push($themes, $file);

	}
}
closedir($themes_dir);

sort($themes);

foreach($themes as $a_theme) {
	echo "<option value=\"$a_theme\"";
	if($new_theme==$a_theme) { echo " selected"; }
	echo ">".str_replace("_", " ", $a_theme)."</option>\n";
}

?>
</select><br />
<b><a href="javascript:preview_theme('<?php
$url = $baseurl.print_url("admin/previewtheme.php");
if(eregi("\?", $url)) { $url .= "&"; }
else { $url .= "?"; }
$url .= "theme=";
echo $url;
?>');">Preview</a></b></td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>5.2</b>&nbsp;</td><td colspan="3"><b>Title Image</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<input type="radio" name="new_title_image" value="default"<?php if($new_title_image == "default" || !$new_title_image) { echo " checked"; } ?>> Use the default title image for the selected theme.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<input type="radio" name="new_title_image" value="custom"<?php if($new_title_image == "custom") { echo " checked"; } ?>> Upload your own title image: <input name="upload_title_image" type="file">
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">
JPEG and GIF files only. This image will replace the current title image at the top of each page. It should have dimensions of roughly 500 pixels wide x 40 pixels high.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<input type="radio" name="new_title_image" value="text"<?php if($new_title_image == "text") { echo " checked"; } ?>> Use text title.
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">
if you do not have a title image available, enter a title of approximately 32 characters or less in the below box to use instead.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td>
Title: <input name="title_text" type="text" value="<?php echo sanitize_output($title_text); ?>" size="32">
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>


<tr><td><b>5.3</b>&nbsp;</td><td colspan="3"><b>Logo Image</b></td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<input type="radio" name="new_logo_image" value="default"<?php if($new_logo_image == "default" || !$new_logo_image) { echo " checked"; } ?>> Use the default logo image for the selected theme.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<input type="radio" name="new_logo_image" value="custom"<?php if($new_logo_image == "custom") { echo " checked"; } ?>> Upload your own logo image: <input name="upload_logo_image" type="file">
</td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td class="instructions">
JPEG and GIF files only. This image will replace the current logo image at the top left of each page. It should have dimensions of roughly 40 pixels wide x 55 pixels high.
</td></tr>

<tr><td colspan="4">&nbsp;</td></tr>

<tr><td>&nbsp;</td><td><img src="../images/spacer.gif" width="18" height="1"></td><td colspan="2">
<input type="radio" name="new_logo_image" value="none"<?php if($new_logo_image == "none") { echo " checked"; } ?>>Do not include a logo image.
</td></tr>


<tr><td colspan="4">&nbsp;</td></tr>

</table>

<?php

}

?>
