<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/index.php
// 
// $Id: index.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// login page for the conference admin section


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// include cookie script
include("include/cookie.inc.php");

if(!$login) { getadmincookie(); }

// this page's title
$title = "Login";

// if logging in, validate the supplied username and password and store in cookie if valid
if($login) {
	if(validate($username,$password,true)) {
		setadmincookie($username, $password, $save);
		// if login is valid forward to admin options page
		Header("Location: ".$baseurl.print_url("admin/index2.php"));
		exit;
	}
}
// if login is valid forward to admin options page
else if(($username && validate($username,$password))) {
	Header("Location: ".$baseurl.print_url("admin/index2.php"));
	exit;
}


// unset selected conference if multiple so global theme loads
unset($sel_cf);
if($multiple && isset($cf)) {
	$sel_cf = $cf;
	unset($cf);
	$theme = $global_items[theme];
}


// include the html header file
include("../include/header.inc.php");

// print out the login form
?>

<?php
if($login && $errormsg) {
	echo "<p class=\"instructions\"><b>".sanitize_output($errormsg)."</b></p>";
}
?>

<p><b>Access restricted. Please login to access.</b></p>
<p><form action="index.php" method="post">
<input type="hidden" name="login" value="1">
Username: <input type="text" name="username"><br />
Password: <input type="password" name="password"><br />
<?php

// show list of conferences for multiple system
if($multiple) {
	?>Conference: <select name="cf">
	<option value="">Multiple Conference Manager</option>
	<?php
	
	// get list of conferences
	$result = $db->query("select id, name from $dbtable[conference] order by lower(name)");
	
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		// shorten long names
		$name = explode(" ", $items[name]);
		$name_length = count($name);
		$name = join(" ", array_splice($name, 0, 5));
		if($name_length > 5) { $name .= "..."; }
		echo "<option value=\"$items[id]\"";
		if($sel_cf == $items[id]) { echo " selected"; }
		echo ">$name</option>\n";
	}
	
	?>
	</select><br />
	<font class="instructions">Select a conference above to administrate, or Multiple Conference Manager to administrate the multiple conference system.</font><br />
	<?php
}

?>
<input type="checkbox" name="save" value="1"> Save username and password in cookie for one month<br />
<input type="submit" value="Login" class="button"> <input type="reset" class="button">
</form></p>
<script type="text/javascript">
document.forms[0].username.focus();
</script>

<p><b><a href="<?php echo print_url("forgotpw.php"); ?>">Forgot Password?</a></b></p>

<?php

// include the html footer file
include("../include/footer.inc.php");

?>
