<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/index2.php
// 
// $Id: index2.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// generates list of links to applicable conference administration options


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Open Conference Systems";


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


// check if logging out
if($action == "logout") {
	deleteadmincookie();
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// show conference administration options
if($cf) {
?>

<p><font class="ArticleTitle">Open Conference Systems</font></p>

<p>Open Conference Systems has been developed by the <a href="http://www.pkp.ubc.ca/" target="_blank">Public Knowledge Project</a> to improve the organization and access of online research and thus increase its scholarly and public value. It takes advantage of <a href="http://www.openarchives.org/" target="blank">Open Archives</a> standards in metadata that will enable the posted papers to form part of a universal, indexed research library of Open Archives databases for scholarly and public use.</p>

<p><font class="ArticleTitle">Conference Manager</font></p>

<p>Use the following administrative pages to setup and manage your conference website. Note: You can return to this section to add or edit entries at any point, so there is no need to complete all of the items at one sitting. However, do save your work each time by using the "Submit" button.</p>

<blockquote>

<table border="0" width="400" cellpadding="2" cellspacing="0" border="0" cols="2">

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" name="setup"></td><td width="390"><b><a href="<?php echo print_url("setup.php"); ?>">Set Up the Conference Website</a></b></td></tr>

<?php

// only show additional items if database has been set up
if($conference_items) {

?>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("people.php"); ?>">People</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" name="edit"></td><td width="390"><b><a href="<?php echo print_url("editpaper.php"); ?>">Edit a Submitted Paper</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" name="reviews"></td><td><b><a href="<?php echo print_url("reviews.php"); ?>">Review Submissions</a></b> (<?php

// print out number of unaccepted papers awaiting approval (only counting papers in a multiple paper presentation as one)
$result = $db->query("Select id from $dbtable[papers] where accepted='false' and (present_format!='multiple' or (present_format='multiple' and multiple_title!='')) and cf='$cf'");
echo $db->num_rows($result);
?> paper<?php
if($db->num_rows($result)!=1) {
	echo "s";
}
?> awaiting approval)</td></tr>

<?php

// print out link to review comments, if applicable
if($conference_items[allow_comments]=="true") {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("comments.php"); ?>">View/Delete Comments</a></b></td></tr>
<?php
}

// print out link to edit schedule
if($conference_items[schedule]=="true") {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("scheduler.php"); ?>">Conference Scheduler</a></b></td></tr>
<?php
}

// print out link to add/edit related links
if($conference_items[related_links]=="true") {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("relatedlinks.php"); ?>">Add/Edit Related Links</a></b></td></tr>
<?php
}

?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("changepw.php"); ?>">Change Admin Password</a></b></td></tr>

<?php

}

// show link to convert to multiple system, if applicable
if(!$multiple) {
?>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("backup.php"); ?>">Backup/Restore Conference Database</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("convertsystem.php?convert=multiple"); ?>">Convert to Multiple Conference System</a></b></td></tr>

<?php

}
?>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>

</table>
</blockquote>

<?php
}

// show multiple conference administration options
else {

?>

<p><font class="ArticleTitle">Open Conference Systems</font></p>

<p>Open Conference Systems has been developed by the <a href="http://www.pkp.ubc.ca/" target="_blank">Public Knowledge Project</a> to improve the organization and access of online research and thus increase its scholarly and public value. It takes advantage of <a href="http://www.openarchives.org/" target="blank">Open Archives</a> standards in metadata that will enable the posted papers to form part of a universal, indexed research library of Open Archives databases for scholarly and public use.</p>

<p><font class="ArticleTitle">Multiple Conference Site Manager</font></p>

<p>The Multiple Conference Site Manager enables a university library, department, or a professional organization to set up an ongoing variety of conference websites for its associated faculty using the PKP's Open Conference Systems. These conference websites will help conference directors manage the online presence of their conferences, as well as establish an indexed, Open-Archive-compliant database for the conference abstracts and papers as an archived online research resource. Begin by filling out the basic details of your conference web site in the "Set Up the Multiple Conference Website" section. Then you can add or modify conferences using the other links below.</p>

<blockquote>

<table border="0" width="400" cellpadding="2" cellspacing="0" border="0" cols="2">

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("globalsetup.php"); ?>">Set Up the Multiple Conference Website</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("createconference.php"); ?>">Create a New Conference</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("editconference.php"); ?>">Edit an Existing Conference</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("adminconference.php"); ?>">Administrate a Specific Conference</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("changepw.php"); ?>">Change Admin Password</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("backup.php"); ?>">Backup/Restore Conference Database</a></b></td></tr>

<?php

// show link to convert to single system, if applicable
$result = $db->query("select count(*) as count from $dbtable[conference]");
$items = $db->assoc_array($result);

if($items[count] == 1) {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" name="multiple"></td><td><b><a href="<?php echo print_url("convertsystem.php?convert=single"); ?>">Convert to Single Conference System</a></b></td></tr>

<?php

}
?>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>

</table>
</blockquote>

<?php

}

// include the html footer file
include("../include/footer.inc.php");

?>
