<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/invitedspeakers.php
// 
// $Id: invitedspeakers.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// script to view and edit list of invited speakers


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Invited Speakers";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// add a new invited speaker
if($add) {
	check_referer();

	// check that required fields are complete
	if(empty($name) || empty($email) || empty($login) || empty($upassword)) {
		?>
		<p>Submission incomplete. Please go <a href="javascript:history.go(-1)">back</a> and complete all fields.</p>
		<?php
	}
	// check if username is valid
	else if(!check_name($login)) {
		?>
		<p>Username is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	// check if password is valid
	else if(!check_name($upassword)) {
		?>
		<p>Password is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	// check if email is valid
	else if(!check_email($email)) {
		?>
		<p>Email address is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	// add entry to database
	else {
		list($login, $upassword, $name, $email, $affiliation) = strip_html($login, $upassword, $name, $email, $affiliation);

		list($login, $upassword, $name, $email, $affiliation) = sanitize_db_input($login, $upassword, $name, $email, $affiliation);

		// check that this isn't a duplicate
		$result = $db->query("Select login from $dbtable[invited_speakers] where lower(login)=lower('$login') and cf='$cf'");
		$bresult = $db->query("Select login from $dbtable[papers] where lower(login)=lower('$login') and cf='$cf'");
		if($db->num_rows($result)==0 && $db->num_rows($bresult)==0) {
			$db->query("insert into $dbtable[invited_speakers] (cf, login, password, name, email, affiliation) values  ('$cf', '$login','".base64_encode($upassword)."', '$name', '$email', '$affiliation')") or die("Unable to add entry to database");

			?>
			<p><?php echo sanitize_output($name); ?> has been added.</p>
				<p><a href="<?php echo print_url("invitedspeakers.php"); ?>"><b>Back to Invited Speakers</b></a></p>
			<?php
		
		}
		// else print error if duplicate
		else {
		
			?>
			<p>An invited speaker or presenter already exists with this username. Please go <a href="javascript:history.go(-1)">back</a> and modify the username field in order to add this speaker.</p>
			<?php
			
		}
	}

}

// edit an existing invited speaker's information
else if($edit) {
	$edit = sanitize_db_input($edit);

	// get the speaker's current info from database
	$result = $db->query("Select * from $dbtable[invited_speakers] where login='$edit' and cf='$cf'");
	$items = $db->assoc_array($result);
	// check if it's a valid speaker
	if($items[name]) {
		// print out edit form
		?>
		<p><form action="<?php echo print_url("invitedspeakers.php"); ?>" method="post"><input type="hidden" name="update" value="<?php echo $items[login]; ?>"><table border="0" cellpadding="0" cellspacing="0">
<tr><td width="125">Name: </td><td><input type="text" name="name" value="<?php echo $items[name]; ?>"><br /></td></tr>
<tr><td width="125" background="<?php echo $themesdir; ?>images/srchbg.gif">Email: </td><td><input type="text" name="email" value="<?php echo $items[email]; ?>"><br /></td></tr>
<tr><td width="125">Affiliation: </td><td><input type="text" name="affiliation" value="<?php echo $items[affiliation]; ?>"><br /></td></tr>
<tr><td width="125" background="<?php echo $themesdir; ?>images/srchbg.gif">Username: </td><td><?php echo $items[login]; ?><input type="hidden" name="login" value="<?php echo $items[login]; ?>"><br /></td></tr>
<tr><td width="125">Password: </td><td><input type="text" name="upassword" value="<?php echo base64_decode($items[password]); ?>"><br /></td></tr>
<tr><td colspan="2"><font class="instructions">Usernames and passwords may contain only alphanumeric characters.</font></td></tr>
<tr><td colspan="2">Delete: <input type="checkbox" name="delete" value="true"> <font class="SmallText">(Check box to delete this invited speaker)</font><br /></td></tr>
<tr><td colspan="2"><br /><input type="submit" value="Update Invited Speaker" class="button"> <input type="reset" class="button"></td></tr></table>
</form></p>
		<p class="instructions">Note: usernames and passwords are case sensitive.</p>
		<?php
	}
	else {
		?>
		<p>Requested invited speaker not found.</p>
		<?php
	}
}

// update an existing invited speaker's information
else if($update) {
	check_referer();

	$update = sanitize_db_input($update);

	// check that required fields are complete
	if(empty($name) || empty($email) || empty($login) || empty($upassword)) {
		?>
		<p>Submission incomplete. Please go <a href="javascript:history.go(-1)">back</a> and complete all fields.</p>
		<?php
	}
	// check if username is valid
	else if(!check_name($login)) {
		?>
		<p>Username is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	// check if password is valid
	else if(!check_name($upassword)) {
		?>
		<p>Password is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	// check if email is valid
	else if(!check_email($email)) {
		?>
		<p>Email address is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	// check if deleting
	else if($delete=="true") {
		$db->query("delete from $dbtable[invited_speakers] where login='$update' and cf='$cf'") or die("Unable to delete entry from database");
		?>
		<p><?php echo $name; ?> has been deleted.</p>
			<p><a href="<?php echo print_url("invitedspeakers.php"); ?>"><b>Back to Invited Speakers</b></a></p>
		<?php
	}
	// update entry in database
	else {
		list($login, $upassword, $name, $email, $affiliation) = strip_html($login, $upassword, $name, $email, $affiliation);

		list($login, $upassword, $name, $email, $affiliation) = sanitize_db_input($login, $upassword, $name, $email, $affiliation);

		$db->query("update $dbtable[invited_speakers] set password='".base64_encode($upassword)."', name='$name', email='$email', affiliation='$affiliation' where login='$update' and cf='$cf'") or die("Unable to update entry in database");
		// update password in papers table
		$db->query("update $dbtable[papers] set password='".base64_encode($upassword)."' where login='$login' and cf='$cf'");
		?>
		<p><?php echo sanitize_output($name); ?> has been updated.</p>
			<p><a href="<?php echo print_url("invitedspeakers.php"); ?>"><b>Back to Invited Speakers</b></a></p>
		<?php
	}	
}

// else show list of invited speakers
else {
	?>

	<p><b>Invited Speakers</b><br />
	<font class="SmallText">(Click on a person's name to view details)</font></p>
	
	<p><a href="<?php echo print_url("invitedemail.php"); ?>"><b>Preview and Send Notification Email</b></a></p>
	
	<p><a href="#add">Add Invited Speaker</a></p>
	
	<?php
	// print correct message if viewing all speakers or not
	if($view!="all") {
		?>
		<p><a href="<?php echo print_url("invitedspeakers.php?view=all"); ?>">View Details on All Invited Speakers</a></p>
		<?php
	}
	else {
		?>
		<p><a href="<?php echo print_url("invitedspeakers.php"); ?>">Hide Details on All Invited Speakers</a></p>
		<?php
	}
	?>
	
	<table border="0" cellpadding="0" cellspacing="0" width="600">
	
	<?php
	// get list of invited speakers from database
	$result = $db->query("Select * from $dbtable[invited_speakers] where cf='$cf' order by login");
	
	// get rid of extraneous slashes from variable
	if($view) {
		$view = sanitize_output(urldecode($view));
	}
	
	if($db->num_rows($result) == 0) { echo "<tr><td>No invited speakers.</td></tr>\n"; }
	
	// print out list
	for ($count = 0; $count<$db->num_rows($result); $count++) {
		$items = $db->assoc_array($result,$count);
		$urlname = urlencode($items[login]);
		$url = "invitedspeakers.php";
		// print out link to view full info, if applicable
		if($view!=$items[login] && $view!="all") {
			$url .= "?view=$urlname";
		}		
		echo "<tr valign=\"top\"><td width=\"10\"><a href=\"".print_url($url)."\"><img src=\"".$themesdir."images/arrow";
		// print out correct arrow image
		if($view!=$items[login] && $view!="all") {
			echo "";
		}
		else {
			echo "down";
		}
		echo ".gif\" width=\"12\" height=\"12\" border=\"0\"></a>&nbsp;</td><td width=\"590\"><a href=\"".print_url($url)."\" class=\"AuthorTextLink\">$items[name]</a> <font class=\"SmallText\">(<a href=\"".print_url("invitedspeakers.php?edit=$urlname")."\">Edit</a>)</font>";
		// print out full info if viewing this speaker
		if($view==$items[login] || $view=="all") {
			echo "<br />\nAffiliation: $items[affiliation]<br />
			Email Address: <a href=\"mailto:$items[email]\">$items[email]</a><br />
			Username: $items[login]<br />
			Password: ".base64_decode($items[password]);
		}
		echo "</td></tr>
		<tr height=\"2\" colspan=\"2\"><td>&nbsp;</td></tr>";
	
	}
	
	// print out form to add an invited speaker
	?>
	
	</table>
	
	<hr size="1" width="100%">
	
	<a name="add"></a><p><b>Add Invited Speaker</b></p>
	
	<script language="JavaScript">
	// script to create a user's username and password from their name
	function setlogin(name,form) {
		var newname = name.split(" ");
		var newpassword = "";
		var namelength = newname.length;
		// their username is their surname
		var newlogin = newname[namelength-1];
		// get rid of any quotes in their username
		newlogin = newlogin.replace(/[^A-Z0-9]/ig,"");
		form.login.value = newlogin.toLowerCase();
		// their password is their firstname (and middlename(s), if applicable)
		for(var i=0;i<namelength-1;i++) {
			newpassword += newname[i];
		}
		// get rid of any quotes in their password
		newpassword = newpassword.replace(/[^A-Z0-9]/ig,"");
		form.upassword.value = newpassword.toLowerCase();
	}
	</script>
	
	<p><form action="<?php echo print_url("invitedspeakers.php"); ?>" method="post"><table border="0" cellpadding="0" cellspacing="0">
	<tr><td width="125">Name: </td><td><input type="text" name="name" onchange="setlogin(this.value,this.form);"><br /></td></tr>
	<tr><td width="125" background="<?php echo $themesdir; ?>images/srchbg.gif">Email: </td><td><input type="text" name="email"><br /></td></tr>
	<tr><td width="125">Affiliation: </td><td><input type="text" name="affiliation"><br /></td></tr>
	<tr><td width="125" background="<?php echo $themesdir; ?>images/srchbg.gif">Username: </td><td><input type="text" name="login"><br /></td></tr>
	<tr><td width="125">Password: </td><td><input type="text" name="upassword"><br /></td></tr>
	<tr><td colspan="2"><font class="instructions">Usernames and passwords may contain only alphanumeric characters.</font></td></tr>
	<tr><td colspan="2"><br /><input type="submit" name="add" value="Add Invited Speaker" class="button"> <input type="reset" class="button"></td></tr></table>
	</form></p>
	<p class="instructions">Note: usernames and passwords are case sensitive.</p>

<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
