<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/masterlist.php
// 
// $Id: masterlist.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// print out a masterlist of all conference participants, including presenters, registrants, directors, etc.


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Master List";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");

?>

<p>Master List of registrants, presenters, directors, etc., with affiliations. Can be used for name tags, handouts, etc.</p>

<p><b>Display</b>: <?php
// show display options
if(empty($view)) { echo "<b>All</b>"; }
else { echo "<a href=\"".print_url("masterlist.php")."\">All</a>"; }

echo " | ";

if($view == "directors") { echo "<b>Directors</b>"; }
else { echo "<a href=\"".print_url("masterlist.php?view=directors")."\">Directors</a>"; }

echo " | ";

if($view == "presenters") { echo "<b>Presenters</b>"; }
else { echo "<a href=\"".print_url("masterlist.php?view=presenters")."\">Presenters</a>"; }

echo " | ";

if($view == "registrants") { echo "<b>Registrants</b>"; }
else { echo "<a href=\"".print_url("masterlist.php?view=registrants")."\">Registrants</a>"; }
?></p>

<?php
if(empty($view) || $view == "directors") {
	?>
	<h4>Directors</h4>
	<?php
	// print out list of directors
	if($conference_items[directors]) {
		$directors = explode("\n",$conference_items[directors]);
		$director_titles = explode("\n",$conference_items[director_titles]);
		$director_emails = explode("\n",$conference_items[director_emails]);
	
		for($i=0; $i<count($directors); $i++) {
			echo "<p><b>$directors[$i]</b><br />
				$director_titles[$i]</p>";
		}
	}
	
	if(empty($conference_items[directors])) { echo "<p>No directors.</p>\n"; }
}


if(empty($view) || $view == "presenters") {
	?>
	<h4>Presenters</h4>
	<?php
	// get list of presenters from database
	$result = $db->query("Select first_name, surname, affiliation from $dbtable[papers] where accepted='true' and cf='$cf' order by lower(surname)");
	
	// print out list of presenters
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result,$i);
		echo "<p><b>$items[first_name] $items[surname]</b><br />
			$items[affiliation]</p>";
	}
	
	if($db->num_rows($result) == 0) { echo "<p>No presenters.</p>\n"; }
}


if(empty($view) || $view == "registrants") {
	?>
	<h4>Registrants</h4>
	<?php
	// get list of registrants from database
	$result = $db->query("Select name, affiliation from $dbtable[registrants] where cf='$cf' order by lower(name)");
	
	// print out list of registrants
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result,$i);
		echo "<p><b>$items[name]</b><br />
			$items[affiliation]</p>";
	}
	
	if($db->num_rows($result) == 0) { echo "<p>No registrants.</p>\n"; }
}
?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
