<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/index2.php
// 
// $Id: people.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// generates list of links to applicable conference administration options


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "People";


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");

?>

<p>Use the following functions to view and edit the conference directors and contacts, invited speakers, and reviewers lists, view conference registrants, and send out notification emails to conference participants.</p>

<blockquote>

<table border="0" width="400" cellpadding="2" cellspacing="0" border="0" cols="2">

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("contacts.php"); ?>">View/Edit Conference Directors and Contacts List</a></b></td></tr>

<?php

// print out link edit invited speakers list, if applicable
if($conference_items[invited_papers]=="true") {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("invitedspeakers.php"); ?>">View/Edit Invited Speakers List</a></b></td></tr>
<?php
}

// print out link to edit reviewers list, if applicable
if($conference_items[peer_review]=="online") {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("reviewers.php"); ?>">View/Edit Reviewers List</a></b></td></tr>
<?php
}

// print out link to registrants list, if applicable
if($conference_items[registration]=="true") {
?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("registrants.php"); ?>">View/Edit Registrants List</a></b></td></tr>
<?php
}

?>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("notification.php"); ?>">Preview and Send Notification Emails</a></b></td></tr>

<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("masterlist.php"); ?>">View Master Contact List</a></b></td></tr>

</table>
</blockquote>


<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
