<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/previewtheme.php
// 
// $Id: previewtheme.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// generates a preview of a specified theme


$preview_theme = $theme;

// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!$preview_theme || strstr($preview_theme, "./") || !file_exists($fullpath."themes/$preview_theme/theme.inc.php")) { $preview_theme = "Default"; }

// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Theme Preview: ".sanitize_output($preview_theme);

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


// set theme stuff

$themesdir = $basedir."themes/$preview_theme/";

include($fullpath."themes/$preview_theme/theme.inc.php");

// set title image (or text)
theme_set_images();


// print out the header
theme_header();
theme_title();
theme_middle_header();

?>

<p>This is a preview of the <b><?php echo sanitize_output($preview_theme); ?></b> theme.</p>

<p>&nbsp;</p>

<p>&nbsp;</p>

<p>&nbsp;</p>

<p><b><a href="javascript:top.close()">Close Window</a></b></p>

<?php

// print out the footer
theme_footer();

?>
