<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/registrants.php
// 
// $Id: registrants.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// script to view and edit list of registrants


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Registrants";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));

// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");

// delete a registrant
if($delete) {
	if($confirm) {
	$delete = sanitize_db_input(urldecode($delete));
	$db->query("delete from $dbtable[registrants] where id='$delete' and cf='$cf'") or die("Unable to delete entry from database");
	?>
		<p>The registrant has been deleted.</p>
		<p><a href="<?php echo print_url("registrants.php"); ?>"><b>Back to Registrants</b></a></p>
	<?php
	} else {
		$delete = sanitize_output($delete);
		?>
		<p>Are you sure you want to delete this registrant?<br />
		<b><a href="<?php echo print_url("registrants.php?delete=$delete&confirm=1"); ?>">Yes</a></b> | <b><a href="<?php echo print_url("registrants.php"); ?>">No</a></b></p>
		<p><a href="<?php echo print_url("registrants.php"); ?>"><b>Back to Registrants</b></a></p>
		<?php
	}
}


// else show list of users
else {
	// check if conference uses paid registration
	if($conference_items[reg_fees] || $conference_items[reg_fees_late]) {
		if($conference_items[reg_levels]) { $reg_levels = explode("\n", $conference_items[reg_levels]); }
		if($conference_items[reg_levels_late]) { $reg_levels_late = explode("\n", $conference_items[reg_levels_late]); }
		$reg_fees = true;
	} else {
		$reg_levels = "";
		$reg_levels_late = "";
		$reg_fees = false;
	}
	
	// clean up view variables
	if($reg_fees) {
		if($level) { $level = strip_html($level); }
		if($late_level) { $late_level = strip_html($late_level); }
		if($view_paid != "y" && $view_paid != "n") { unset($view_paid); }
	} else {
		unset($level);
		unset($late_level);
		unset($view_paid);
	}


	// mark a user has having paid
	if($reg_fees && $paid) {
		$paid = sanitize_db_input(urldecode($paid));
		$db->query("update $dbtable[registrants] set has_paid='paid' where id='$paid' and cf='$cf'") or die("Unable to update entry in database");
		$view = $paid;
	}
	
	?>
	
	<p><b>Registrants</b><br />
	<font class="SmallText">(Click on a person's name to view details)<?php
	// print instructions to mark a registrant as paid, if conference uses fees
	if($conference_items[reg_fees]) {
		echo "<br />(To mark a registrant as having paid, click the Mark as Paid link next to their registration level)";
	}
	?></font></p>
	
	<?php
	
	// build query to get list of registrants from database
	$sql = "Select * from $dbtable[registrants] where cf='$cf' ";
	
	
	// show options to restrict viewed registrants to paid/non-paid or specific registration level
	if($reg_fees) {
		$url = "";
		if($level) { $url = "?level=$level"; }
		else if($late_level) { $url .= "?late_level=$late_level"; }
		
		echo "<p><b>Display</b>: ";
		if(!isset($level) && !isset($late_level) && !isset($view_paid)) {
			echo "<b>All</b>";
		} else {
			echo " <a href=\"".print_url("registrants.php")."\">All</a>";
		}
		
		echo " | ";
		
		if(!isset($level) && !isset($late_level) && $view_paid=="y") {
			echo "<b>Paid</b>";
		} else {
			echo "<a href=\"".print_url("registrants.php?view_paid=y")."\">Paid</a>";
		}
		
		echo " | ";
		
		if(!isset($level) && !isset($late_level) && $view_paid=="n") {
			echo "<b>Non-paid</b>";
		} else {
			echo "<a href=\"".print_url("registrants.php?view_paid=n")."\">Non-paid</a>";
		}
		
		echo "<br />\n";
		
		
		if(!empty($reg_levels)) {
			echo "<br />\n<b>Registration level</b>: ";
			for($i=0; $i<count($reg_levels); $i++) {
				if($i > 0) { echo " | "; }
				if(($level-1) == $i) {
					echo "<b>$reg_levels[$i]</b> ";
				} else {
					echo "<a href=\"".print_url("registrants.php?level=".($i+1))."\">$reg_levels[$i]</a> ";
				}
			}
		}
		
		if(!empty($reg_levels_late)) {
			echo "<br />\n<b>Late registration level</b>: ";
			for($i=0; $i<count($reg_levels_late); $i++) {
				if($i > 0) { echo " | "; }
				if(($late_level-1) == $i) {
					echo "<b>$reg_levels_late[$i]</b> ";
				} else {
					echo "<a href=\"".print_url("registrants.php?late_level=".($i+1))."\">$reg_levels_late[$i]</a> ";
				}
			}
		}
		
		if($url && (!empty($reg_levels) || !empty($reg_levels_late))) {
			echo "<br />\n<b>For current level display</b>: ";
			if(empty($view_paid)) {
				echo "<b>All</b>";
			} else {
				echo "<a href=\"".print_url("registrants.php".$url)."\">All</a>";
			}
			
			echo " | ";
			
			if($view_paid == "y") {
				echo "<b>Paid</b>";
			} else {
				echo "<a href=\"".print_url("registrants.php".$url."&view_paid=y")."\">Paid</a>";
			}
			
			echo " | ";
			
			if($view_paid == "n") {
				echo "<b>Non-paid</b>";
			} else {
				echo "<a href=\"".print_url("registrants.php".$url."&view_paid=n")."\">Non-paid</a>";
			}
		}
		echo "</p>";
		
			
		// check if viewing specific registration level
		if($level) {
			$level = (int) $level;
			$sql .= "and reg_level='".$reg_levels[$level-1]."' and date_registered<'$conference_items[reg_late_date]' ";
		} else if($late_level) {
			$late_level = (int) $late_level;
			$sql .= "and reg_level='".$reg_levels_late[$late_level-1]."' and date_registered>='$conference_items[reg_late_date]' ";
		}
		
		// check if viewing paid/non-paid
		if($view_paid == "y") {
			$sql .= "and (has_paid='paid' or has_paid='n/a') ";
		} else if($view_paid == "n") {
			$sql .= "and has_paid='false' ";
		}
	}
	
	
	// add currently viewed level, paid/non-paid to url
	$url = "";
	if($level) {
		$url .= "?level=".sanitize_output($level);
	} else if($late_level) {
		$url .= "?late_level=".sanitize_output($late_level);
	}
	if($view_paid) {
		if($url) { $url .= "&"; }
		else { $url .= "?"; }
		$url .= "view_paid=$view_paid";
	}
	$extra_parms = $url;
	
	
	// print correct message if viewing all registrants or not
	if($view!="all") {
		if($url) { $url .= "&"; }
		else { $url = "?"; }
		?>
		<p><a href="<?php echo print_url("registrants.php".$url."view=all"); ?>">View Details on All Displayed Registrants</a></p>
		<?php
	}
	else {
		?>
		<p><a href="<?php echo print_url("registrants.php".$url); ?>">Hide Details on All Displayed Registrants</a></p>
		<?php
	}
	
	
	// get list of registrants from database
	$sql .= "order by lower(name)";
	$result = $db->query($sql);
	?>
	
	<table border="0" cellpadding="0" cellspacing="0" width="600">
	
	<?php
	// get rid of extraneous slashes from variable
	if($view) {
		$view = sanitize_output($view);
	}
	
	if($db->num_rows($result) == 0) { echo "<tr><td>No registrants.</td></tr>\n"; }
	

	// print out list
	for ($count = 0; $count<$db->num_rows($result); $count++) {
		$items = $db->assoc_array($result,$count);
		$url = "registrants.php";
		if($extra_parms) { $url .= "$extra_parms"; }
		
		// print out link to view full info, if applicable
		if($view!=$items[id] && $view!="all") {
			if($extra_parms) { $url .= "&"; }
			else { $url = "?"; }
			$url .= "view=$items[id]";
		}
		
		echo "<tr valign=\"top\"><td width=\"10\"><a href=\"".print_url($url)."\"><img src=\"".$themesdir."images/arrow";
		// print out correct arrow image
		if(!($view!=$items[id] && $view!="all")) {
			echo "down";
		}
		echo ".gif\" width=\"12\" height=\"12\" border=\"0\"></a>&nbsp;</td><td width=\"590\"><a href=\"".print_url($url)."\" class=\"AuthorTextLink\">$items[name]</a> <font class=\"SmallText\">(<a href=\"".print_url("registrants.php?delete=$items[id]")."\">Delete</a>)</font>";
		// print out full info if viewing this registrant
		if($view==$items[id] || $view=="all") {
			echo "<br />\nAffiliation: $items[affiliation]<br />
			Email Address: <a href=\"mailto:$items[email]\">$items[email]</a><br />
			Phone: $items[phone]<br />
			Fax: $items[fax]<br />
			Address: ";
			echo str_replace("\n","<br />\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$items[address]);
			// print out fee information, if conference uses fees
			if($conference_items[reg_fees]) {
				echo "<br />\nRegistration Level: $items[reg_level] - \$$items[reg_fee]";
				// print out link to mark user as paid
				if($items[has_paid]!="paid") {
					echo " <font class=\"SmallText\">(<a href=\"".print_url("registrants.php?paid=$items[id]")."\">Mark as Paid</a>)</font>";
				}
				else {
					echo " <font class=\"SmallText\">(Payment Received)</font>";
					echo "<br />\nDate paid: ".date("Y-m-d", strtotime($items[date_paid]));
				}
			}
			// print out special requests, if applicable
			if($items[special_requests]) {
				echo "<br />\nSpecial Requests: ";
				echo str_replace("\n","<br />\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$items[special_requests]);
				
			}
			// print out notification option info, if applicable
			if($reg_options[reg_email]=="true") {
				echo "<br />Email me when individual papers are available at the conference site: $items[reg_email]";
			}
			echo "<br />\nDate registered: ".date("Y-m-d", strtotime($items[date_registered]));
		}
		echo "</td></tr>
		<tr height=\"2\" colspan=\"2\"><td>&nbsp;</td></tr>";
	}
	
	?>
	
	</table>
	
	<?php

}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
