<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/relatedlinks.php
// 
// $Id: relatedlinks.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// add/edit links for the Related Links page


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Related Links";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");


// add a new link
if($add) {
	check_referer();

	list($link_title, $link_url, $link_annotation) = strip_html($link_title, $link_url, $link_annotation);

	list($link_title, $link_url, $link_annotation) = sanitize_db_input($link_title, $link_url, $link_annotation);
	
	// check that all required fields were completed
	if(empty($link_title) || empty($link_url)) {
		?>
		<p>Submission incomplete. Please go <a href="javascript:history.go(-1)">back</a> and complete all fields.</p>
		<?php
	}
	
	else {
		// check for duplicates
		$result = $db->query("select * from $dbtable[links] where url='$link_url' and cf='$cf'");
		if($db->num_rows($result) != 0) {
			?>
			<p>This URL has already been added. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
			<?php
		}
	
		// insert into database
		else {
			$db->query("insert into $dbtable[links] (cf, title, url, annotation) values ('$cf', '$link_title', '$link_url', '$link_annotation')");
			?>
			<p>Link added successfully.</p>
			<p><a href="<?php echo print_url("relatedlinks.php"); ?>"><b>Back to Related Links</b></a></p>
			<?php
		}
	}
}


// edit a link
else if($edit) {
	$link_id = sanitize_db_input($link_id);

	// get link info
	$result = $db->query("select * from $dbtable[links] where id='$link_id' and cf='$cf'");
	$items = $db->assoc_array($result);
	
	if(!$items[id]) { echo "Requested link not found."; }
	else {
?>

<p><font class="ArticleTitle">Edit Link</font></p>

<form action="<?php echo print_url("relatedlinks.php"); ?>" method="post">
<input type="hidden" name="link_id" value="<?php echo $link_id; ?>">
<p><b>Title</b>: <input type="text" name="link_title" size="40" value="<?php echo $items[title]; ?>"></p>

<p><b>URL</b>: <input type="text" name="link_url" size="40" value="<?php echo $items[url]; ?>"></p>

<p><b>Annotation</b><br />
<textarea name="link_annotation" cols="50" rows="4" wrap="virtual"><?php echo $items[annotation]; ?></textarea></p>

<p><input type="submit" name="update" value="Update Link" class="button"> <input type="submit" name="delete" value="Delete Link" class="button"></p>
</form>


<?php	
	}
}


// update a link
else if($update) {
	check_referer();

	list($link_title, $link_url, $link_annotation) = strip_html($link_title, $link_url, $link_annotation);

	list($link_title, $link_url, $link_annotation, $link_id) = sanitize_db_input($link_title, $link_url, $link_annotation, $link_id);

	// update database
	$db->query("update $dbtable[links] set title='$link_title', url='$link_url', annotation='$link_annotation' where id='$link_id' and cf='$cf'");
	?>
	<p>Link updated successfully.</p>
		<p><a href="<?php echo print_url("relatedlinks.php"); ?>"><b>Back to Related Links</b></a></p>
	<?php
}


// delete a link
else if($delete) {
	check_referer();

	$link_id = sanitize_db_input($link_id);

	// delete from database
	$db->query("delete from $dbtable[links] where id='$link_id' and cf='$cf'");
	?>
	<p>Link deleted successfully.</p>
		<p><a href="<?php echo print_url("relatedlinks.php"); ?>"><b>Back to Related Links</b></a></p>
	<?php
}


// show options
else {

?>

<p>Use this form to edit the links that will appear on your site's <a href="<?php echo print_url("../relatedlinks.php"); ?>">Related Links</a> page, if you have enabled this option in the conference set up.</p>


<p><font class="ArticleTitle">Add a Link</font></p>

<form action="<?php echo print_url("relatedlinks.php"); ?>" method="post">
<p><b>Title</b>: <input type="text" name="link_title" size="40"></p>

<p><b>URL</b>: <input type="text" name="link_url" size="40"></p>

<p><b>Annotation</b><br />
<textarea name="link_annotation" cols="50" rows="4" wrap="virtual"></textarea></p>

<p><input type="submit" name="add" value="Add Link" class="button"> <input type="reset" class="button"></p>
</form>


<p>&nbsp;</p>


<p><font class="ArticleTitle">Edit a Link</font></p>

<?php

// print list of links
$result = $db->query("select id, title from $dbtable[links] where cf='$cf' order by lower(title)");
if($db->num_rows($result)> 0) {
	?>
	<form action="<?php echo print_url("relatedlinks.php"); ?>" method="post">
	<p>Select a link to edit: <select name="link_id">
	<?php
	
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		echo "<option value=\"$items[id]\">$items[title]</option>\n";
	}
	
	?>
	</select></p>
	
	<p><input type="submit" name="edit" value="Edit Link" class="button"> <input type="submit" name="delete" value="Delete Link" class="button"></p>
	</form>
	<?php
}
else {
	?>
	<p>No links have been submitted.</p>	
	<?php
}

?>

<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
