<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/revemail.php
// 
// $Id: revemail.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// script to preview and send out a notification email to reviewers


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

// get cookie
if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Send Notification Email to Reviewers";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}

// include the html header file
include("../include/header.inc.php");

// include script to generate formatted date
include("../include/date.inc.php");


// send out the emails
if($email) {
	check_referer();
	
	// check if cc'ing conference contact
	if(isset($cc)) {
		$bcc = "\nbcc: $conference_items[contact_email]";
	}
	else {
		$bcc = "";
	}

	// get list of reviewers from database
	$sql = "Select * from $dbtable[reviewers] where";
	// send to an individual reviewer
	if(!empty($email_to)) { $sql .= " login='".sanitize_db_input($email_to)."' and"; }
	$sql .= " cf='$cf' order by login";
	$result = $db->query($sql);
	
	// send out email to each reviewer
	for ($count = 0; $count<$db->num_rows($result); $count++) {
		$items = $db->assoc_array($result,$count);
		
		// the body of the email
		$emailbody = "$conference_items[name]\n";
		$emailbody .= "$conference_items[sponsor]\n";
		$emailbody .= printdate()."\n";
		$emailbody .= print_url($baseurl."index.php")."\n\n";
		
		$emailbody .= "$items[name]:\n";
		
		$emailbody .= "$conference_items[review_email]\n\n";
		
		$emailbody .= "Note that the refereed proceedings of this conference will be published online through an open-access, fully indexed system compliant with Open Archives <a href=\"http://www.openarchives.org\">(http://www.openarchives.org)</a> standards for research databases.\n\n";
		
		$emailbody .= "Username: $items[login]\n";
		$emailbody .= "Password: ".base64_decode($items[password])."\n";
		$emailbody .= "Review Submission URL: ".$baseurl.print_url("reviews.php")."\n";
		$emailbody .= "Review Deadline: ".date("F j, Y", strtotime($conference_items[review_deadline]))."\n\n";
		
		$emailbody .= "Sincerely,\n";
		$emailbody .= email_footer();
	
		// send out the email	
		if(!mail("$items[email] ($items[name])", "$conference_items[name]", $emailbody, "From: $conference_items[contact_email] ($conference_items[contact_name])$bcc", "-f$conference_items[contact_email]")) {
			echo "Failed to send notification email to $items[email] ($items[name])<br />";
		}
	
	}

	// print acknowledgement message
	?>
	<p>Notification email sent.</p>
		<p><a href="<?php echo print_url("people.php"); ?>"><b>Back to People</b></a></p>
	<?php
}

// show a preview of the email
else {

	?>
	<form action="<?php echo print_url("revemail.php"); ?>" method="post">
	<h4>Preview of Notification Email to Reviewers</h4>
		
	<p>To make changes to the text of the email, please modify the Email Message for Reviewers on the <a href="<?php echo print_url("setup.php?show_step=2"); ?>">Set Up</a> page. If you are ready to send out the notifications, simply click the button below (this may take a few moments so please click only once).</p>

	<p><b>To</b>: <select name="email_to">
	<option value="">All Reviewers</option>
	<?php
	// get list of invited speakers
	$result = $db->query("select * from $dbtable[reviewers] where cf='$cf' order by login");
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result, $i);
		echo "<option value=\"$items[login]\">$items[name] ($items[email])</option>\n";
	}
	?>
	</select></p>
	
	<p><b>From:</b> <?php echo $conference_items[contact_name]." (".$conference_items[contact_email].")"; ?></p>
	
	<p><b>Subject:</b> <?php echo $conference_items[name] ?></p>
	
	<p><b>Body:</b><br /><?php
	
	// the body of the email
	$emailbody = "$conference_items[name]\n";
	$emailbody .= "$conference_items[sponsor]\n";
	$emailbody .= printdate()."\n";
	$emailbody .= print_url($baseurl."index.php")."\n\n";
	
	$emailbody .= "[Reviewer's Name]:\n";
	
	$emailbody .= "$conference_items[review_email]\n\n";
	
	$emailbody .= "Note that the refereed proceedings of this conference will be published online through an open-access, fully indexed system compliant with Open Archives (http://www.openarchives.org) standards for research databases.\n\n";
	
	$emailbody .= "Username: [Reviewer's Username]\n";
	$emailbody .= "Password: [Reviewer's Password]\n";
	$emailbody .= "Review Submission URL: ".$baseurl.print_url("reviews.php")."\n";
	$emailbody .= "Review Deadline: ".date("F j, Y", strtotime($conference_items[review_deadline]))."\n\n";
	
	$emailbody .= "Sincerely,\n";
	$emailbody .= email_footer();
	
	echo nl2br($emailbody);
	
	?></p>
	
	<p><input type="checkbox" name="cc" value="1"> CC a copy of each notification email to the conference contact.</p>
	
	<p><input type="submit" name="email" value="Send Notification Email" class="button"></p>
	</form>
	
	<?php
}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>