<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/reviews.php
// 
// $Id: reviews.php,v 1.5 2003/04/02 23:48:15 kevin Exp $
// 
// script to view reviews on a specified proposal, and accept or reject it


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Review Submissions";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


// include the html header file
include("../include/header.inc.php");


include("../include/date.inc.php");


// delete rejected papers
if($delete=="true") {
	check_referer();

	$db->query("delete from $dbtable[papers] where accepted='reject' and cf='$cf'") or die("Failed to delete rejected papers");
	?>
	<p>Rejected papers have been deleted.</p>
	<p><b><a href="<?php echo print_url("reviews.php"); ?>">Back to Reviews</a></b></p>
	<?php
}

// accept/reject a paper
else if($id && $submit && ($accept == "accept" || $accept == "reject")) {
	check_referer();
	
	// check if cc'ing conference contact
	if(isset($cc)) {
		$bcc = "\nbcc: $conference_items[contact_email]";
	}
	else {
		$bcc = "";
	}

	$id = sanitize_db_input($id);

	// get paper info from database
	$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf'");
	$items = $db->assoc_array($result);
	
	// create the standard email if message has not been edited
	if(!$emailbody) {
		// the body of the email
		$emailbody = "$conference_items[name]\n";
		$emailbody .= "$conference_items[sponsor]\n";
		$emailbody .= printdate()."\n";
		$emailbody .= print_url($baseurl."index.php")."\n\n";
		
		$emailbody .= "$items[first_name] $items[surname]:\n";
		
		// print default accept/reject message from database
		if($accept=="accept") {
			$emailbody .= "$conference_items[review_accept]\n\n";
		}
		else if($accept=="reject") {
			$emailbody .= "$conference_items[review_reject]\n\n";
		}
			
		// show link to submission page if paper has been accepted
		if($accept=="accept") {
			$emailbody .= "Username: $items[login]\n";
			$emailbody .= "Password: ".base64_decode($items[password]);
			$emailbody .= "\nSubmission URL: ".$baseurl.print_url("submit.php");
			$emailbody .= "\n\n";

			if($conference_items[paper_access] == "open") {
				$emailbody .= "Please login and submit your paper at the above URL when ready.\n\n";
			}
			else if($conference_items[paper_access] == "restrict") {
				$emailbody .= "Please login and submit your paper at the above URL when ready. Access to your paper will be restricted to registered participants in the conference.\n\n";
			}
			else if($conference_items[paper_access] == "none") {
				$emailbody .= "Login at the URL above to view or update your abstract or metadata information up until the time of the conference.\n\n";
			}
				
			if($conference_items[allow_comments] == "true") {
				$emailbody .= "We are about to make your conference abstract public, which will enable readers to make comments on it and pose questions about it. You will be notified by email each time this happens, unless you wish not to be notified. In which case, you can change this preference by logging in to the submission area.\n\n";
			}
		}
	
		// print link to view comments, if applicable
		if($sharecomments=="true") {
			$emailbody .= "You can view the comments made by reviewers on your proposal at ".$baseurl.print_url("reviews.php")."\n\n";
		}

		if($accept=="accept") {
			$emailbody .= "Note that the refereed proceedings of this conference will be published online through an open-access, fully indexed system compliant with Open Archives (http://www.openarchives.org) standards for research databases.\n\n";
		}
		
		$emailbody .= "Sincerely,\n";
		$emailbody .= email_footer();
	}
	else if($multiple_presenters) {
		// create copy of modified message for multiple presenters, if applicable
		$emailbodytmp = $emailbody;
		$emailbody = str_replace("[name]","$items[first_name] $items[surname]",$emailbody);
		$emailbody = str_replace("[login]","$items[login]",$emailbody);
		$emailbody = str_replace("[password]","$items[password]",$emailbody);
	}
	
	// update database entry for this paper
	if($accept=="accept") {
		$subject = ": Proposal Accepted";
		$accepted = "true";
	}
	else if($accept=="reject") {
		$subject = ": Proposal Rejected";
		$accepted = "reject";
	}
	else {
		$subject = ": Proposal Rejected";
		$accepted = "false";
	}
	if(!$sharecomments) {
		$sharecomments = "false";
	}
	
	list($accepted, $sharecomments, $id) = strip_html($accepted, $sharecomments, $id);

	list($accepted, $sharecomments, $id) = sanitize_db_input($accepted, $sharecomments, $id);

	$db->query("update $dbtable[papers] set accepted='$accepted', view_reviews='$sharecomments' where id='$id' and cf='$cf'") or die("Failed to update database entry");

	// build cc list for additional authors
	$cc = array();
	$add_emails = explode("\n", $items[add_emails]);
	$add_first_names = explode("\n", $items[add_first_names]);
	$add_surnames = explode("\n", $items[add_surnames]);
	for($i=0; $i<count($add_emails); $i++) {
		if(check_email($add_emails[$i])) {
			array_push($cc, "$add_emails[$i] ($add_first_names[$i] $add_surnames[$i])");
		}
	}
	if(!empty($cc)) {
		$cc = "\ncc:".join(", ", $cc);
	}
	else { $cc = ""; }
	
	// send out the email
	if(!mail("$items[email] ($items[first_name] $items[surname])", "$conference_items[name]$subject", sanitize_html_output($emailbody),"From: $conference_items[contact_email] ($conference_items[contact_name])$cc$bcc", "-f$conference_items[contact_email]")) {
		echo "Failed to send out email to $items[email] ($items[first_name] $items[surname])<br />";
	}

	// update and email multiple presenters, if applicable
	if($multiple_presenters) {
		$multiple_presenters = explode("; ",$multiple_presenters);
		for($i=0; $i<count($multiple_presenters); $i++) {
			// get paper info from database
			$result = $db->query("Select * from $dbtable[papers] where email='$multiple_presenters[$i]' and cf='$cf'");
			$items = $db->assoc_array($result);
			// update database entry for this paper
			$db->query("update $dbtable[papers] set accepted='$accepted', view_reviews='$sharecomments' where id='$items[id]' and cf='$cf'") or die("Failed to update database entry");
			// create default email for multiple presenters
			if(!$emailbodytmp) {
				// the body of the email
				$emailbody = "$conference_items[name]\n";
				$emailbody .= "$conference_items[sponsor]\n";
				$emailbody .= printdate()."\n";
				$emailbody .= print_url($baseurl."index.php")."\n\n";
				
				$emailbody .= "$items[first_name] $items[surname]:\n";
				
				// print default accept/reject message from database
				if($accept=="accept") {
					$emailbody .= "$conference_items[review_accept]\n\n";
				}
				else if($accept=="reject") {
					$emailbody .= "$conference_items[review_reject]\n\n";
				}
				
				// show link to submission page if paper has been accepted
				if($accept=="accept") {
					$emailbody .= "Username: $items[login]\n";
					$emailbody .= "Password: ".base64_decode($items[password]);
					$emailbody .= "\nSubmission URL: ".$baseurl.print_url("submit.php");
					
					$emailbody .= "\n\n";
					
					if($conference_items[paper_access] == "open") {
						$emailbody .= "Please login and submit your paper at the above URL when ready.\n\n";
					}
					else if($conference_items[paper_access] == "restrict") {
						$emailbody .= "Please login and submit your paper at the above URL when ready. Access to your paper will be restricted to registered participants in the conference.\n\n";
					}
					else if($conference_items[paper_access] == "none") {
						$emailbody .= "Login at the URL above to view or update your abstract or metadata information up until the time of the conference.\n\n";
					}
				
					if($conference_items[allow_comments] == "true") {
						$emailbody .= "We are about to make your conference abstract public, which will enable readers to make comments on it and pose questions about it. You will be notified by email each time this happens, unless you wish not to be notified. In which case, you can change this preference by logging in to the submission area.\n\n";
					}
				}
				
				// print link to view comments, if applicable
				if($sharecomments=="true") {
					$emailbody .= "You can view the comments made by reviewers on your proposal at ".$baseurl.print_url("reviews.php")."\n\n";
				}

				if($accept=="accept") {
					$emailbody .= "Note that the refereed proceedings of this conference will be published online through an open-access, fully indexed system compliant with Open Archives (http://www.openarchives.org) standards for research databases.\n\n";
				}
				
				$emailbody .= "Sincerely,\n";
				$emailbody .= email_footer();
			}
			// else use modified message
			else if($multiple_presenters) {
				$emailbody = $emailbodytmp;
				$emailbody = str_replace("[name]","$items[first_name] $items[surname]",$emailbody);
				$emailbody = str_replace("[login]","$items[login]",$emailbody);
				$emailbody = str_replace("[password]","$items[password]",$emailbody);
			}
			
			// build cc list for additional authors
			$cc = array();
			$add_emails = explode("\n", $items[add_emails]);
			$add_first_names = explode("\n", $items[add_first_names]);
			$add_surnames = explode("\n", $items[add_surnames]);
			for($j=0; $j<count($add_emails); $j++) {
				if(check_email($add_emails[$j])) {
					array_push($cc, "$add_emails[$j] ($add_first_names[$j] $add_surnames[$j])");
				}
			}
			if(!empty($cc)) {
				$cc = "\ncc:".join(", ", $cc);
			}
			else { $cc = ""; }
			
			// send out the email
			if(!mail("$items[email] ($items[first_name] $items[surname])", "$conference_items[name]$subject", sanitize_html_output($emailbody),"From: $conference_items[contact_email] ($conference_items[contact_name])$cc$bcc", "-f$conference_items[contact_email]")) {
				echo "Failed to send out email to $items[email] ($items[first_name] $items[surname])";
			}
		}
	}

	?>
	<p>Submission updated successfully.</p>
		<p><b><a href="<?php echo print_url("reviews.php"); ?>">Back to Reviews</a></b></p>
	<?php
}

// show reviews on a specific paper
else if($id) {
	$id = sanitize_db_input($id);

	// get paper info from database
	$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf'");
	$items = $db->assoc_array($result);
	
	// show title/overview of multiple paper presentation, if applicable
	if($items[present_format]=="multiple") {
		echo "<p>a) Title of Multiple Paper Presentation: $items[multiple_title]</p>
	<p>b) Overview:<br />".nl2br($items[multiple_overview])."</p>";
	}
	
	// print out paper info
	?>
	<table border="0" width="600" cellpadding="2" cellspacing="0">
	<tr valign="top"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" name="papers"></td><td width="590"><b><font class="instructions">Proposal #<?php echo $items[id]; ?></font><br />
	<?php
	
	echo "<a href=\"mailto:$items[email]\">$items[first_name] $items[surname]</a>";
	if($items[affiliation]) {
		echo ", $items[affiliation]";
	}
	echo "</b><br />";
	// print out additional authors, if applicable
	if($items[add_first_names]) {
		$add_first_names = explode("\n",$items[add_first_names]);
		$add_surnames = explode("\n",$items[add_surnames]);
		$add_emails = explode("\n",$items[add_emails]);
		$add_affiliations = explode("\n",$items[add_affiliations]);
		for($x=0; $x<count($add_first_names); $x++) {
			echo "<b><a href=\"mailto:$add_emails[$x]\">$add_first_names[$x] $add_surnames[$x]</a>";
			if($add_affiliations[$x]) {
				echo ", $add_affiliations[$x]";
			}
			echo "</b><br />";
		}
	}
	echo "<font class=\"ArticleTitle\">$items[title]</font><br />
	<font class=\"instructions\">";
	// print out correct presentation format
	if($items[present_format]=="single") {
		echo "Single paper presentation: $conference_items[present_single_length] words, $conference_items[present_single_time] minutes";
	}
	else if($items[present_format]=="multiple") {
		echo "Multiple paper presentation: $conference_items[present_multiple_length] words, $conference_items[present_multiple_time] minutes";
	}
	else if($conference_items[present_other]=="true") {
		// go through other present formats looking for a match
		if($items[present_format]) {
			$present_othertmp = str_replace("other % ","",$items[present_format]);
		}
		$present_other_desc = explode("\n",$conference_items[present_other_desc]);
		$present_other_length = explode("\n",$conference_items[present_other_length]);
		$present_other_time = explode("\n",$conference_items[present_other_time]);
		for($i=0; $i<count($present_other_desc); $i++) {
			$y=$i+1;
			if($present_othertmp==$y) {
				echo "$present_other_desc[$i]: $present_other_length[$i] words, $present_other_time[$i] minutes";
			}
	
		}
	}
	echo "</font><br /><br />
	<b>Abstract</b><br />";
	echo nl2br($items[abstract]);
	
	echo "<br /><br />";
	
	// show additional abstracts if multiple paper presentation
	if($items[present_format]=="multiple" && $items[multiple_presenters]) {
		$multiple_presenters = explode("; ",$items[multiple_presenters]);
		for($i=0; $i<count($multiple_presenters); $i++) {
			$tmppaper_result = $db->query("select * from $dbtable[papers] where email='$multiple_presenters[$i]' and cf='$cf'");
			$tmpitems = $db->assoc_array($tmppaper_result);
			echo "<b><font class=\"instructions\">Proposal #$tmpitems[id]</font><br />
			$tmpitems[first_name] $tmpitems[surname]";
			if($tmpitems[affiliation]) {
				echo ", $tmpitems[affiliation]";
			}
			echo "</b><br />";
			// print out additional authors, if applicable
			if($tmpitems[add_first_names]) {
				$add_first_names = explode("\n",$tmpitems[add_first_names]);
				$add_surnames = explode("\n",$tmpitems[add_surnames]);
				$add_emails = explode("\n",$tmpitems[add_emails]);
				$add_affiliations = explode("\n",$tmpitems[add_affiliations]);
				for($x=0; $x<count($add_first_names); $x++) {
					echo "<b>$add_first_names[$x] $add_surnames[$x]";
					if($add_affiliations[$x]) {
						echo ", $add_affiliations[$x]";
					}
					echo "</b><br />";
				}
			}
			echo "<font class=\"ArticleTitle\">$tmpitems[title]</font><br /><br />
			<b>Abstract</b><br />";
			echo nl2br($tmpitems[abstract]);
			
			echo "<br /><br />";
		}
	}
				
	if($conference_items[submission_type] == "both") {
		// show link to full-text
		echo "<b>Full Text</b><br />";
		
		if($items[paper]=="PDF") {
			// print link to pdf
			$paper_file = "$items[pdf]";
			
			// remove troublesome characters
			$paper_file = str_replace(" ","",$paper_file);
			$paper_file = str_replace("/","",$paper_file);
			$paper_file = str_replace("'","",$paper_file);
			$paper_file = str_replace("\"","",$paper_file);
			$paper_file = str_replace("\\","",$paper_file);
			
			$paper_file = $baseurl."papers/".$paper_file;
			
			echo "The full text of this paper is available <a class=\"MainTextLink\" href=\"$paper_file\">here</a> in PDF format";
	
		} else {
			echo $items[paper];
		}
			
		echo "<br /><br />";
	}
	
	// print out reviewers and reviews, if applicable
	if($conference_items[peer_review]=="online") {
		?>
		<font class="instructions"><b>Reviewers</b></font><br />
		
		<?php
		// assign a new reviewer to this proposal
		if($items[accepted] == "false" && isset($assign) && !empty($assign)) {
			check_referer();
			
			// check if reviewer is valid
			$assign = sanitize_db_input($assign);
			$result = $db->query("select login from $dbtable[reviewers] where login='$assign'");
			if($db->num_rows($result) != 0) {
				$db->query("insert into $dbtable[reviewer_proposals] (cf, reviewer, paper) values ('$cf', '$assign', '$id')");
			}
		}
		
		// unassign a reviewer from this proposal
		if(isset($unassign) && !empty($unassign)) {
			check_referer();
			
			// unassign reviewer
			$db->query("delete from $dbtable[reviewer_proposals] where reviewer='$unassign' and paper='$id' and cf='$cf'");
			$db->query("delete from $dbtable[reviews] where reviewer='$unassign' and paper='$id' and cf='$cf'");
		}
		
		// get list of reviewers for this proposal
		$reviewers = array();
		$result = $db->query("select r.login, r.name from $dbtable[reviewers] as r, $dbtable[reviewer_proposals] as p where r.login=p.reviewer and p.paper='$id' and r.cf=p.cf and r.cf='$cf' order by r.name");
		for($i=0; $i<$db->num_rows($result); $i++) {
			$reviewer_items = $db->assoc_array($result, $i);
			echo $reviewer_items[name]; ?> <font class="SmallText">(<a href="<?php echo print_url("reviews.php?id=$id&unassign=".urlencode($reviewer_items[login])); ?>">Unassign</a>)</font><br />
			<?php
			array_push($reviewers, $reviewer_items[login]);
		}
		if($db->num_rows($result) == 0) { echo "No reviewers are assigned to this proposal."; }
		
		// show form to add new reviewer if paper hasn't been accepted
		if($items[accepted] == "false") {
			$result = $db->query("select login, name from $dbtable[reviewers] where cf='$cf' order by name");
			$new_reviewers = array();
			for($i=0; $i<$db->num_rows($result); $i++) {
				$reviewer_items = $db->assoc_array($result, $i);
				if(!in_array($reviewer_items[login], $reviewers)) {
					$new_reviewers[$reviewer_items[login]] = $reviewer_items[name];
				}
			}
			
			if(!empty($new_reviewers)) {
				?>
				<form action="<?php echo print_url("reviews.php?id=$id"); ?>" method="post">
				Assign a new reviewer to this proposal: <select name="assign" size="1">
				<option value=""></option>
				<?php
				foreach($new_reviewers as $k => $v) {
					echo "<option value=\"$k\">$v</option>\n";
				}
				?>
				</select> <input type="submit" value="Assign Reviewer" class="button">
				</form>
				<?php
			}
			else { echo "<br />\n"; }
			?>
			
			To send an email inviting reviewers go to <a href="<?php echo print_url("revemail.php") ?>">preview and send notification emails</a>.<br /><br />
			<?php
		}
		else {
			echo "<br />";
		}
		?>
		
		<font class="instructions"><b>Reviews Submitted</b></font><br />
		
		<?php
		// get reviews from database
		$review_result = $db->query("Select * from $dbtable[reviews] where paper='$items[id]' and cf='$cf' order by timestamp");
		// print out each review
		for($y=0; $y<$db->num_rows($review_result); $y++) {
			$x=$y+1;
			$review_items = $db->assoc_array($review_result,$y);
			$reviewer_result = $db->query("Select name from $dbtable[reviewers] where login='$review_items[reviewer]' and cf='$cf'");
			$reviewer_items = $db->assoc_array($reviewer_result);
			if($review_items[reveal_name] == "true") { $review_items[reveal_name] = "Yes"; }
			else { $review_items[reveal_name] = "No"; }
			echo "<p><font class=\"instructions\"><b>Reviewer #$x</b>: $reviewer_items[name]</font><br />
			Date submitted: ".date("F j, Y g:i A", timestamp2php($review_items[timestamp]))."</p>
				<p><b>a) Comments</b><br />
				<blockquote>
				".nl2br($review_items[comments])."
				</blockquote></p>
				<p><b>b) Recommendation</b><br />
				<blockquote>
				".nl2br($review_items[recommendation])."
				</blockquote></p>";
			if($conference_items[review_anon]=="true") {
				echo "<p><b>c) Reveal reviewer's name to author(s)</b>: $review_items[reveal_name]</p>";
			}
		}
		// print message if there aren't any reviews on this paper
		if($y==0) {
			echo "No reviews have been submitted for this paper.";
		}
	}
	?>
	</td></tr>
	<tr height="16"><td colspan="2">&nbsp;</td></tr></table>
	
	<p><font class="instructions"><b>Conference Director(s) Decision</b>:</font></p>
	<?php

	// print out form if paper has not been accepted or rejected
	if($items[accepted]=="false") {
	
		echo "<form action=\"".print_url("reviews.php")."\" method=\"post\">
		<input type=\"hidden\" name=\"id\" value=\"$items[id]\">";
		
		// if conference is using peer review, show option to share reviewer comments
		if($conference_items[peer_review]=="online") {
			echo "<p><input type=\"checkbox\" name=\"sharecomments\" value=\"true\"";
			if($sharecomments=="true") {
				echo " checked";
			}
			echo ">Share reviewers' comments with author(s).</p>";
		}
		
		// show accept option
		echo "<p><input type=\"radio\" name=\"accept\" value=\"accept\"";
		if($accept=="accept") {
			echo " checked";
		}
		?>>Accept<br />
		<font class="instructions">Acceptance (a) places the submission on the Participants, Abstracts, and Papers page and (b) sends the standard acceptance message to author(s), which automatically includes conference title, dates, location, etc., as well as username, password and URL for the Paper Submission page, signed by and cc'd to principal conference contact.</font><br />
		<?php
		
		// if editing the email message, get the default message
		if($edit_accept || $edit_reject) {
			// the body of the email
			$emailbody = "$conference_items[name]\n";
			$emailbody .= "$conference_items[sponsor]\n";
			$emailbody .= printdate()."\n";
			$emailbody .= print_url($baseurl."index.php")."\n\n";
			
			if($items[present_format]=="multiple") {
				$emailbody .= "[name]:\n";
			}
			else {
				$emailbody .= "$items[first_name] $items[surname]:\n";
			}
			
			// print default accept/reject message from database
			if($edit_accept) {
				$emailbody .= "$conference_items[review_accept]\n\n";
			}
			else if($edit_reject) {
				$emailbody .= "$conference_items[review_reject]\n\n";
			}
			
			if($edit_accept) {
				if($items[present_format]=="multiple") {
					$emailbody .= "Username: [login]\n";
					$emailbody .= "Password: [password]\n";
				}
				else {
					$emailbody .= "Username: $items[login]\n";
					$emailbody .= "Password: ".base64_decode($items[password]);
				}
				
				$emailbody .= "\nSubmission URL: ".$baseurl.print_url("submit.php");
				$emailbody .= "\n\n";
				
				if($conference_items[paper_access] == "open") {
					$emailbody .= "Please login and submit your paper at the above URL when ready.\n\n";
				}
				else if($conference_items[paper_access] == "restrict") {
					$emailbody .= "Please login and submit your paper at the above URL when ready. Access to your paper will be restricted to registered participants in the conference.\n\n";
				}
				else if($conference_items[paper_access] == "none") {
					$emailbody .= "Login at the URL above to view or update your abstract or metadata information up until the time of the conference.\n\n";
				}
				
				if($conference_items[allow_comments] == "true") {
					$emailbody .= "We are about to make your conference abstract public, which will enable readers to make comments on it and pose questions about it. You will be notified by email each time this happens, unless you wish not to be notified. In which case, you can change this preference by logging in to the submission area.\n\n";
				}
			}
			
			// print link to view comments, if applicable
			if($sharecomments=="true") {
				$emailbody .= "You can view the comments made by reviewers on your proposal at ".$baseurl.print_url("reviews.php")."\n\n";
			}
			
			if($edit_accept) {
				$emailbody .= "Note that the refereed proceedings of this conference will be published online through an open-access, fully indexed system compliant with Open Archives (http://www.openarchives.org) standards for research databases.\n\n";
			}
			
			
			$emailbody .= "Sincerely,\n";
			$emailbody .= email_footer();
		}
		
		// show form to edit default accept message
		if($edit_accept) {
			echo "<textarea name=\"emailbody\" wrap=\"virtual\" cols=\"75\" rows=\"20\">".sanitize_html_output($emailbody)."</textarea>";
		}
		else { echo "<input type=\"submit\" name=\"edit_accept\" value=\"Edit Message\" class=\"button\">"; }
		
		echo "</p>
		
		<p><input type=\"radio\" name=\"accept\" value=\"reject\"";
		if($accept=="reject") {
			echo " checked";
		}
		echo ">Reject<br />
		<font class=\"instructions\">Rejection sends the standard rejection message to author(s),
		signed by and cc'd to principal conference contact.</font><br />";
	
		// show form to edit default reject message
		if($edit_reject) {
			echo "<textarea name=\"emailbody\" wrap=\"virtual\" cols=\"75\" rows=\"20\">".sanitize_html_output($emailbody)."</textarea>";
		}
		else { echo "<input type=\"submit\" name=\"edit_reject\" value=\"Edit Message\" class=\"button\">"; }
		
		
		echo "</p>";
		
		// add hidden form field for multiple presenters, if applicable
		if($items[present_format]=="multiple") {
			?>
			<input type="hidden" name="multiple_presenters" value="<?php echo $items[multiple_presenters]; ?>">
			<p>Note: [name], [login], and [password] will be replaced with the appropriate values in the message sent out to each participant in the multiple paper presentation.</p>
			<?php
		}
		
		?>
	
		<p><input type="checkbox" name="cc" value="1"<?php if($cc) { echo " checked"; } ?>> CC a copy of the acceptance/rejection email to your contact email for your records.</p>

		<p><input type="submit" name="submit" value="Submit" class="button">
		<?php
	}
		
	else if($items[accepted]=="true") {
		?>
		<p>This paper has been accepted.</p>
		<?php
	}
	else if($items[accepted]=="reject") {
		?>
		<p>This paper has been rejected.</p>
		<?php
	}
		
	?>
	<p><b><a href="<?php echo print_url("reviews.php"); ?>">Back to Reviews</a></b></p>
	<?php
}


// else show list of papers
else {
	$unreviewedout = "";
	$rejectedout = "";
	$acceptedout = "";
	
	// check what we're sorting by
	if($sort == "surname") { $sortsql = "lower(surname)"; }
	else if($sort == "modified") { $sortsql = "timestamp desc"; }
	else { $sort = "chrono"; $sortsql = "id"; }
	
	// get non-invited paper info from database
	$result = $db->query("Select * from $dbtable[papers] where (accepted='false' or accepted='reject' or relation not like 'Invited%') and (present_format!='multiple' or (present_format='multiple' and multiple_title!='')) and cf='$cf' order by $sortsql");

	if($conference_items[peer_review]=="online") {
		?>
		<p><a href="<?php echo print_url("reviewers.php"); ?>">Add/Edit Reviewers List</a></p>
		<?php
	}

	if($db->num_rows($result) == 0) {
		?>
		<p>No submissions found.</p>
		<?php
	}
	else {
		echo "<p><font class=\"SmallText\">Sort by: ";
		if($sort == "chrono") { echo "<b>Chronological</b>"; }
		else { echo "<a href=\"".print_url("reviews.php")."\">Chronological</a>"; }
		echo " | ";
		if($sort == "surname") { echo "<b>Surname</b>"; }
		else { echo "<a href=\"".print_url("reviews.php?sort=surname")."\">Surname</a>"; }
		echo " | ";
		if($sort == "modified") { echo "<b>Last Modified</b>"; }
		else { echo "<a href=\"".print_url("reviews.php?sort=modified")."\">Last Modified</a>"; }
		echo "</font></p>";
	}
	
	// print list of papers
	for($i=0; $i<$db->num_rows($result); $i++) {
		$items = $db->assoc_array($result,$i);
		$output = "";
		$output .= "<tr valign=\"top\"><td width=\"10\"><img src=\"".$themesdir."images/arrow.gif\" width=\"12\" height=\"12\" border=\"0\" name=\"papers\"></td><td width=\"590\"><b><font class=\"instructions\">Proposal #$items[id]</font><br />
		<a href=\"mailto:$items[email]\">$items[first_name] $items[surname]</a>";
		if($items[affiliation]) {
			$output .= ", $items[affiliation]";
		}
		$output .= "</b><br />";
		// print out additional authors, if applicable
		if($items[add_first_names]) {
			$add_first_names = explode("\n",$items[add_first_names]);
			$add_surnames = explode("\n",$items[add_surnames]);
			$add_emails = explode("\n",$items[add_emails]);
			$add_affiliations = explode("\n",$items[add_affiliations]);
			for($x=0; $x<count($add_first_names); $x++) {
				$output .= "<b><a href=\"mailto:$add_emails[$x]\">$add_first_names[$x] $add_surnames[$x]</a>";
				if($add_affiliations[$x]) {
					$output .= ", $add_affiliations[$x]";
				}
				$output .= "</b><br />";
			}
		}
		
		$output .= "Submission date: ".date("F j, Y g:i A", strtotime($items[created]))."<br />
		Last modified: ".date("F j, Y g:i A", timestamp2php($items[timestamp]))."<br />
		<font class=\"ArticleTitle\"><a href=\"".print_url("reviews.php?id=$items[id]")."\">$items[title]</a></font>";
		// print out number of reviews on this paper, if applicable
		if($conference_items[peer_review]=="online") {
			$reviewresult = $db->query("Select paper from $dbtable[reviews] where paper='$items[id]' and cf='$cf'");
			$output .= " (".$db->num_rows($reviewresult)." reviews submitted) ";
		}
		$output .= "</td></tr>
		<tr height=\"16\"><td colspan=\"2\">&nbsp;</td></tr>";

		// separate paper into unreviewed, rejected, and accepted categories
		if($items[accepted]=="false") {
			$unreviewedout .= $output;
		}
		else if($items[accepted]=="reject") {
			$rejectedout .= $output;
		}
		else if($items[accepted]=="true") {
			$acceptedout .= $output;
		}
	}
		
		// print out unreviewed papers, if applicable
		if($unreviewedout) {
			echo "<h4>Unreviewed Papers</h4>
		<table border=\"0\" width=\"600\" cellpadding=\"2\" cellspacing=\"0\">
		$unreviewedout
		</table>";
		}
		
		// print out accepted papers, if applicable
		if($acceptedout) {
			echo "<h4>Accepted Papers</h4>
		<table border=\"0\" width=\"600\" cellpadding=\"2\" cellspacing=\"0\">
		$acceptedout
		</table>";
		}
		
		// print out rejected papers, if applicable
		if($rejectedout) {
			echo "<h4>Rejected Papers</h4>
		<p><a href=\"".print_url("reviews.php?delete=true")."\"><b>Delete Rejected Papers</b></a><br />
		<font class=\"SmallText\">(Suggest deleting rejected proposals at conference's conclusion in case a review is needed.)</font></p>
		<table border=\"0\" width=\"600\" cellpadding=\"2\" cellspacing=\"0\">
		$rejectedout
		</table>";
		}

}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
