<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// admin/setup.php
// 
// $Id: setup.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// script to setup the conference system


// include necessary files
include("include/validate.inc.php");
include("../include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get cookie
include("include/cookie.inc.php");
getadmincookie();

// this page's title
$title = "Set Up";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));

// validate the user's username and password, and formard to login page if invalid
if(!validate($username,$password)) {
	Header("Location: ".$baseurl.print_url("admin/index.php"));
	exit;
}


$steptitles = array("Getting the Details Down","Inviting Papers and Discussion","Creating an Archive for Papers","Registering Participants","Customizing Your Conference Web Site");

// specify an anchor to move to if adding or deleting certain options
if($add_director || $del_director) {
	$anchor = "directors";
}
if($add_contributor || $del_contributor) {
	$anchor = "contributors";
}
if($add_present_format || $del_present_format) {
	$anchor = "call_for_papers";
}
if($add_reg_level || $del_reg_level) {
	$anchor = "fees";
}
if($add_reg_level_late || $del_reg_level_late) {
	$anchor = "late_fees";
}

// specify step
if($anchor) {
	$show_step = $step;
}

if($show_step) {
	$show_step = (int) $show_step;
}
if($step) {	
	$step = (int) $step;
}


// include the html header file
include("../include/header.inc.php");


// function to print out nav footer on each setup page
function printnav() {
	global $step, $show_step, $themesdir;
	if($show_step) {
		$step = $show_step;
	}
	$prevstep = $step-1;
	$nextstep = $step+1;
	
	?>
	<table border="0" width="100%" cellpadding="0" cellspacing="0"><tr><td align="left"><b><?php
	
	// print out link to previous step
	if($step>1) {
		echo "<a href=\"".print_url("setup.php?show_step=$prevstep")."\">Go to <img src=\"".$themesdir."images/".$prevstep."off.gif\" width=\"15\" height=\"15\" border=\"0\"></a>";
	}
	// print out divider between previous and next step
	if($step>1 && $step<5) {
		echo " | ";
	}
	// print out link to next step
	if($step<5) {
		echo "<a href=\"".print_url("setup.php?show_step=$nextstep")."\">Go to <img src=\"".$themesdir."images/".$nextstep."off.gif\" width=\"15\" height=\"15\" border=\"0\"></a>";
	}
 	?></b></td><td align="right"><b><a href="<?php echo print_url("setup.php"); ?>">Return to Set Up Contents</a></b></td></tr></table>
	<?php
}


// insert the conference information into the database
if($submit) {
	check_referer();

	// include appropriate step file
	if(!strstr($step, "./") && file_exists("include/step".$step.".inc.php")) {
		include("include/step".$step.".inc.php");
	}
	else {
		echo "<p><b>Step $step not found</b></p>";
	}
	// update database entry
	$query_txt .= " where id='$cf'";
	$db->query($query_txt) or die("Failed to update database entry in conference table");
	
?>

<p><font class="ArticleTitle"><img src="<?php echo $themesdir; ?>images/<?php echo $step; ?>on.gif" width="15" height="15" border="0"> <?php echo $steptitles[$step-1]; ?></font></p>

<p>Your conference setup has been updated.</p>
<?php printnav(); ?>

<?php
}

// show a preview
else if($preview) {
?>
<p><font class="ArticleTitle"><img src="<?php echo $themesdir; ?>images/<?php echo $step; ?>on.gif" width="15" height="15" border="0"> <?php echo $steptitles[$step-1]; ?></font></p>

<form action="<?php echo print_url("setup.php"); ?>" method="post" name="setup"><input type="hidden" name="step" value="<?php echo $step; ?>">

<?php

// include appropriate step file
if(!strstr($step, "./") && file_exists("include/step".$step.".inc.php")) {
	include("include/step".$step.".inc.php");
}
else {
	echo "<p><b>Step $step not found</b></p>";
}

?>


<p><input type="submit" name="edit" value="Make Changes" class="button"> <input type="submit" name="submit" value="Submit" class="button"></p>
</form>

<?php printnav(); ?>

<?php

}


else {

	if($edit) {
		$show_step = $step;
	}

	// define variables, if applicable
	if(!$anchor && !$edit) {
		extract($conference_items);

		// step 1 items
		$contributors = explode("\n",$conference_items[contributors]);
		$contributor_urls = explode("\n",$conference_items[contributor_urls]);

		// step 2 items
		$present_format[single] = $conference_items[present_single];
		$presentlength[single] = $conference_items[present_single_length];
		$presenttime[single] = $conference_items[present_single_time];
		$present_format[other] = $conference_items[present_other];
		$present_other_desc = explode("\n",$conference_items[present_other_desc]);
		$presentlength[other] = explode("\n",$conference_items[present_other_length]);
		$presenttime[other] = explode("\n",$conference_items[present_other_time]);
		$present_format[multiple] = $conference_items[present_multiple];
		$presentlength[multiple] = $conference_items[present_multiple_length];
		$presenttime[multiple] = $conference_items[present_multiple_time];
		
		// step 3 items
		$author_options = explode("\n",$conference_items[author_options]);
		$author_options[delete_paper] = $author_options[0];
		$author_options[restrict_access] = $author_options[1];

		// step 4 items
		$reg_levels = explode("\n",$conference_items[reg_levels]);
		$reg_fees = explode("\n",$conference_items[reg_fees]);
		$reg_levels_late = explode("\n",$conference_items[reg_levels_late]);
		$reg_fees_late = explode("\n",$conference_items[reg_fees_late]);
		$reg_options = explode("\n",$conference_items[reg_options]);
		$reg_options[reg_email] = $reg_options[0];
		$reg_options[exempt_presenters] = $reg_options[1];
		$reg_options[exempt_speakers] = $reg_options[2];
		
		// step 5 items
		$new_theme = $conference_items[theme];
		$new_title_image = $conference_items[title_image];
		$new_logo_image = $conference_items[logo_image];
	}


// show a specific step
if($show_step) {
?>
<p><font class="ArticleTitle"><img src="<?php echo $themesdir; ?>images/<?php echo $show_step; ?>on.gif" width="15" height="15" border="0"> <?php echo $steptitles[$show_step-1]; ?></font></p>
<form action="<?php echo print_url("setup.php"); ?>" enctype="multipart/form-data" method="post" name="setup"><input type="hidden" name="step" value="<?php echo $show_step; ?>">

<?php

// include appropriate step file
if(!strstr($show_step, "./") && file_exists("include/step".$show_step.".inc.php")) {
	include("include/step".$show_step.".inc.php");
}
else {
	echo "<p><b>Step $show_step not found</b></p>";
}

?>

<p><?php if($show_step!=5) { ?><input type="submit" name="preview" value="Preview" class="button"> <?php } ?><input type="submit" name="submit" value="Submit" class="button"></p>
</form>

<?php printnav(); ?>

<?php
}


else {

// print out index and instructions

?>

<p><font class="ArticleTitle">Setting up a Conference Website</font></p>

<p>Design your conference website using the following five steps. Remember, you can return to and re-submit these pages at any point.</p>

<blockquote class="ArticleTitle">
<a href="<?php echo print_url("setup.php?show_step=1"); ?>"><img src="<?php echo $themesdir; ?>images/1on.gif" width="15" height="15" border="0" alt="Step 1"></a> <a href="<?php echo print_url("setup.php?show_step=1"); ?>">Getting the Details Down</a><br />
<a href="<?php echo print_url("setup.php?show_step=2"); ?>"><img src="<?php echo $themesdir; ?>images/2on.gif" width="15" height="15" border="0" alt="Step 2"></a> <a href="<?php echo print_url("setup.php?show_step=2"); ?>">Inviting Papers and Discussion</a><br />
<a href="<?php echo print_url("setup.php?show_step=3"); ?>"><img src="<?php echo $themesdir; ?>images/3on.gif" width="15" height="15" border="0" alt="Step 3"></a> <a href="<?php echo print_url("setup.php?show_step=3"); ?>">Creating an Archive for Papers</a><br />
<a href="<?php echo print_url("setup.php?show_step=4"); ?>"><img src="<?php echo $themesdir; ?>images/4on.gif" width="15" height="15" border="0" alt="Step 4"></a> <a href="<?php echo print_url("setup.php?show_step=4"); ?>">Registering Participants</a><br />
<a href="<?php echo print_url("setup.php?show_step=5"); ?>"><img src="<?php echo $themesdir; ?>images/5on.gif" width="15" height="15" border="0" alt="Step 5"></a> <a href="<?php echo print_url("setup.php?show_step=5"); ?>">Customizing Your Conference Web Site</a>
</blockquote>

<p>These five steps will help you set up the following conference pages, which will appear on your conference homepage: 

<blockquote>
<table border="0" width="400" cellpadding="2" cellspacing="0" border="0" cols="2">
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Overview</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Program</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Call for Papers (Optional)</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Abstract and Paper Submission</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Presenters, Abstracts, and Papers</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Discussion (Optional)</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Registration, Accommodation, and Travel (Optional)</b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Conference Organizers and Key Partners </b></td></tr>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="384"><b>Related Links (Optional)</b></td></tr>
</table>
</blockquote></p>

<?php

}

}

?>

<p><b><a href="<?php echo print_url("index2.php"); ?>">Return to Conference Manager</a></b></p>

<table>
<tr valign="middle" height="16"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("index2.php?action=logout"); ?>">Log Out</a></b></td></tr>
</table>

<?php


// include the html footer file
include("../include/footer.inc.php");

?>
