<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Bosto3n, MA  02111-1307  USA
// 
// callforpapers.php
// 
// $Id: callforpapers.php,v 1.6 2003/04/01 07:58:46 kevin Exp $
// 
// generates a Call for Papers page with conference contact info, deadlines, applicable formats, and announcement


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Call for Papers";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));

// include the html header file
include("include/header.inc.php");


// check that conference is using a call for papers page
if($conference_items[call_for_papers]!="true") {
	echo "This conference is not using a call for papers page.";
	include("include/footer.inc.php");
	exit;
}

?>

<p><b><?php echo $conference_items[sponsor]; ?></b><br />
<?php

// print out location
if($items[institution]) { echo "&nbsp;$items[institution]<br />"; }
if($items[department]) { echo "&nbsp;$items[department]<br />"; }
if($items[address]) { echo "&nbsp;$items[address]<br />"; }
echo "&nbsp;";
if($items[city]) { echo "$items[city]"; }
if($items[city] && ($items[province] || $items[country])) { echo ", "; }
if($items[province]) { echo "$items[province]"; }
if($items[province] && $items[country]) { echo ", "; }
if($items[country]) { echo "$items[country]"; }
if($items[postal_code]) { echo "<br />&nbsp;$items[postal_code]"; }

?></p>

<p><b>Abstract Deadline</b>: <?php echo date("F j, Y",strtotime($conference_items[abstract_deadline])); ?><br />
<b>Paper Deadline</b>: <?php echo date("F j, Y",strtotime($conference_items[paper_deadline])); ?></p>

<p>This conference, which uses Open Conference Systems developed by the <a href="http://www.pkp.ubc.ca/">Public Knowledge Project</a>, enables participants to submit abstracts online at <a href="<?php echo print_url("submit.php"); ?>"><?php echo $baseurl; ?><?php echo print_url("submit.php"); ?></a>.</p>

<p>Presentations can include:<br />
<div style="padding-left: 10px"><?php

// print out list of applicable presentaton formats, as specified in the conference setup
// variables to keep track of number of formats
$x = 0;
$num_other = 0;

// print single presentation format if applicable
if($conference_items[present_single]=="true") {
	echo "&#8226; Single papers (abstract max of $conference_items[present_single_length] words)<br />";
	$x++;
}

// check for multiple presentation format
if($conference_items[present_multiple]=="true") {
	$x++;
}

// add other presentation formats to output variable
if($conference_items[present_other]) {
	$other_output = "";
	$present_other_desc = explode("\n",$conference_items[present_other_desc]);
	$present_other_length = explode("\n",$conference_items[present_other_length]);
	
	// loop to print out each "other" presentation format
	for($i=0; $i<count($present_other_desc); $i++) {
		if($present_other_desc[$i]) {
			if($x>0 || $num_other>0) {
				//$other_output .= ", ";
			}
			if($i==count($present_other_desc)-1) {
				//$other_output .= "and ";
			}
			$other_output .= "&#8226; $present_other_desc[$i] (abstract max of $present_other_length[$i] words)<br />";
			$num_other++;
		}
	}
}

// print multiple presentation format if applicable
if($conference_items[present_multiple]=="true") {
	if($x>1 && $num_other>0) {
		//echo ", ";	
	}
	else if($x>1) echo " and ";
	echo "&#8226; Multiple paper sessions (overview max of $conference_items[present_multiple_length] words)<br />";
}

// print other presentation formats if applicable
if($other_output) {
	echo $other_output;
}

?></div></p>

<p><font class="ArticleTitle"><b>Call for Papers Announcement</b></font></p>

<p><?php echo nl2br($conference_items[call_notice]); ?></p>

<?php

// include the html footer file
include("include/footer.inc.php");

?>
