<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// forgotpw.php
// 
// $Id: forgotpw.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// tool for resetting a forgotten password


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Forgotten Password";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Conference Manager"=>print_url("index.php"));


if(isset($cancel)) {
	Header("Location: ".$baseurl.print_url("index.php"));
	exit;
}

switch($type) {
	case "invited":
		$users_table = $dbtable[invited_speakers];
		$page = "invitedsubmit.php";
		break;
	case "noninvited":
		$users_table = $dbtable[papers];
		$page = "submit.php";
		break;
	case "reviewer":
		$page = "reviews.php?action=submit";
		$users_table = $dbtable[reviewers];
		break;
	default:
		Header("Location: ".$baseurl.print_url("index.php"));
		exit;
		break;
}


// include the html header file
include("include/header.inc.php");

unset($err);


// email notification code
if($action == "emailcode") {
	check_referer();
	
	// get current email address and password
	$user = sanitize_db_input($user);
	$result = $db->query("select email, password from $users_table where login='$user' and cf='$cf'");

	if($db->num_rows($result) == 0) {
		?>
		<p>Sorry, the username you entered was not found. <a href="<?php echo print_url("forgotpw.php?type=$type"); ?>">Click here</a> to try again.</p>
		<?php
	}
	else {
		$items = $db->assoc_array($result);
		$code = substr(md5($items[password]), 0, 6);
		mail("$items[email]", "$conference_items[name]: Forgotten Password", "Greetings, someone (possibly you) has requested to reset your password for the $conference_items[name] site at ".print_url($baseurl."index.php").". In order to receive a new password, click on the link below:\n\n".print_url($baseurl."forgotpw.php?action=resetpw&code=$code&user=$user&type=$type")."\n\nIf you did not request this email it may safely be ignored.\n", "From: $conference_items[contact_email]", "-f$conference_items[contact_email]");
		?>
		<p>An email containing instructions for obtaining a new password has been sent to <?php echo $items[email]; ?>.</p>
		<?php
		
	}
}


// reset password
else if($action == "resetpw" && !empty($code)) {
	// get current email address and password
	$user = sanitize_db_input($user);
	$result = $db->query("select email, password from $users_table where login='$user' and cf='$cf'");

	if($db->num_rows($result) == 0) {
		?>
		<p>Sorry, the username you entered was not found.</p>
		<?php
	}
	else {
		$items = $db->assoc_array($result);
		$check_code = substr(md5($items[password]), 0, 6);
		
		if($check_code == $code) {
			// reset password
			$new_pass = substr(md5(time()), 0, 8);
			
			if($type == "invited") {
				$db->query("update $dbtable[invited_speakers] set password='".base64_encode($new_pass)."' where login='$user' and cf='$cf'");
				$users_table = $dbtable[papers];
			}
			$db->query("update $users_table set password='".base64_encode($new_pass)."' where login='$user' and cf='$cf'");
			
			// send email
			mail("$items[email]", "$conference_items[name]: Forgotten Password", "Your password for the $conference_items[name] site at ".print_url($baseurl."index.php")." has been reset:\n\nUsername: $user\nPassword: $new_pass\n\nYou may login at ".print_url($baseurl.$page)." and change this password if you wish\n", "From: $conference_items[contact_email]", "-f$conference_items[contact_email]");
	
			?>
			<p>An email containing your new password has been sent to <?php echo $items[email]; ?>. <a href="<?php echo print_url($page); ?>">Click here</a> to login.</p>
			<?php
		}
		else {
			?>
			<p>Sorry, your password cannot be reset as the code you entered was invalid. <a href="<?php echo print_url("forgotpw.php?type=$type"); ?>">Click here</a> to try again.</p>
			<?php
		}
	}
}


// show form
else {

?>
<p>If you've forgotten your password enter your username below and instructions for resetting your password will be sent to your email address.</p>

<form action="<?php echo print_url("forgotpw.php"); ?>" method="post">
<input type="hidden" name="action" value="emailcode">
<input type="hidden" name="type" value="<?php echo $type; ?>">
<p>Username: <input type="text" name="user">
<input type="submit" name="continue" value="Continue" class="button"> <input type="submit" name="cancel" value="Cancel" class="button">
</p>
</form>

<?php
}


// include the html footer file
include("include/footer.inc.php");

?>
