<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/citation.inc.php
// 
// $Id: citation.inc.php,v 1.4 2003/04/01 07:58:47 kevin Exp $
// 
// prints out a paper's citation in the specified format


// get info on multiple authors
if($items[add_first_names]) {
	$add_first_names = explode("\n",$items[add_first_names]);
}
if($items[add_surnames]) {
	$add_surnames = explode("\n",$items[add_surnames]);
}


// show citation in APA style
if($conference_items[citation_style]=="APA") {
	echo $items[surname].", ".substr($items[first_name],0,1).".";
	// print out additional authors
	if($items[add_surnames] && $add_first_names) {
		$numauthors = count($add_first_names);
		for($i=0; $i<$numauthors; $i++) {
			echo ", ";
			if($i==($numauthors-1)) {
				echo " &amp; ";
			}
			echo $add_surnames[$i].", ".substr($add_first_names[$i],0,1).".";
		}
	}
	echo " (".date("F, Y",strtotime($conference_items[start_date]))."). <i>$items[title]</i>. Paper presented at $conference_items[name], $conference_items[institution], $conference_items[city], $conference_items[province], $conference_items[country].";
}


// show citation in MLA style
else if($conference_items[citation_style]=="MLA") {
	echo $items[surname].", ".$items[first_name];
	// print out additional authors
	if($items[add_surnames] && $add_first_names) {
		$numauthors = count($add_first_names);
		for($i=0; $i<$numauthors; $i++) {
			echo ", ";
			if($i==($numauthors-1)) {
				echo " and ";
			}
			echo $add_surnames[$i].", ".$add_first_names[$i];
		}
	}
	echo ". \"$items[title].\" $conference_items[name]. $conference_items[institution], $conference_items[city], $conference_items[province], $conference_items[country], ".date("F, Y",strtotime($conference_items[start_date]))."."; 
}


// show citation in Turabian style
else if($conference_items[citation_style]=="Turabian") {
	echo $items[surname].", ".substr($items[first_name],0,1).".";
	// print out additional authors
	if($items[add_surnames] && $add_first_names) {
		$numauthors = count($add_first_names);
		for($i=0; $i<$numauthors; $i++) {
			echo ", ";
			if($i==($numauthors-1)) {
				echo " &amp; ";
			}
			echo substr($add_first_names[$i],0,1).". ".$add_surnames[$i];
		}
		echo ".";
	}
	echo " \"$items[title].\" Paper presented at $conference_items[name], $conference_items[institution], $conference_items[city], $conference_items[province], $conference_items[country], ".date("F, Y",strtotime($conference_items[start_date]))."."; 
}


// show citation in CBE style
else if($conference_items[citation_style]=="CBE") {
	echo $items[surname].", ".substr($items[first_name],0,1).".";
	// print out additional authors
	if($items[add_surnames] && $add_first_names) {
		$numauthors = count($add_first_names);
		for($i=0; $i<$numauthors; $i++) {
			echo ", ";
			if($i==($numauthors-1)) {
				echo " and ";
			}
			echo $add_surnames[$i].", ".substr($add_first_names[$i],0,1).".";
		}
	}
	echo " ".date("Y",strtotime($conference_items[start_date])).". <i>$items[title]</i>. Paper presented at $conference_items[name], ".date("F",strtotime($conference_items[start_date])).", $conference_items[institution], $conference_items[city], $conference_items[province], $conference_items[country]."; 
}

// print link
//echo " Available at <a href=\"".$baseurl.print_url("viewabstract.php?id=$items[id]")."\">".$baseurl.print_url("viewabstract.php?id=$items[id]")."</a>";
echo " Available at ".$baseurl.print_url("viewabstract.php?id=$items[id]");

?>

