<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/common.inc.php
// 
// $Id: common.inc.php,v 1.7 2003/04/01 08:49:48 kevin Exp $
// 
// defines several configuration variables needed throughout the site


// so PHP < 4.1.0 can find include files
ini_set("include_path", ini_get("include_path") . ":" . dirname(__FILE__));


// include common functions
include("functions.inc.php");


// hack for servers with register_globals turned off
if(!((bool) ini_get("register_globals"))) {
	// extract $_SERVER, $_POST, $_GET, and $_SESSION into the global namespace
	if(isset($_SERVER) && is_array($_SERVER)) {
		extract($_SERVER);
	} else if(isset($HTTP_SERVER_VARS) && is_array($HTTP_SERVER_VARS)) {
		extract($HTTP_SERVER_VARS);
	}
	
	if(isset($_GET) && is_array($_GET)) {
		extract($_GET);
	} else if(isset($HTTP_GET_VARS) && is_array($HTTP_GET_VARS)) {
		extract($HTTP_GET_VARS);
	}
	
	if(isset($_POST) && is_array($_POST)) {
		extract($_POST);
	} else if(isset($HTTP_POST_VARS) && is_array($HTTP_POST_VARS)) {
		extract($HTTP_POST_VARS);
	}
	
	if(isset($_SESSION) && is_array($_SESSION)) {
		extract($_SESSION);
	} else if(isset($HTTP_SESSION_VARS) && is_array($HTTP_SESSION_VARS)) {
		extract($HTTP_SESSION_VARS);
	}
}


// initiate a new database connection
$db = new db_connection($db_type);
$db->connect($db_host, $db_port, $db_login, $db_password, $enable_pconnect, $db_name);
$db_connected = true;


// get configuration variables
$global_result = $db->query("select * from $dbtable[conference_global]");
$global_items = $db->assoc_array($global_result);


// set up a multiple conference web site (0 = no, 1 = yes)
$multiple = $global_items[multi];

// base URL of the conference web site, with trailing slash, e.g., http://www.yourconference.com/ or http://www.yourconference.com/conference/
$baseurl = $global_items[baseurl];

// base directory of the conference web site, with trailing slash, e.g., / or /conference/
$basedir = $global_items[basedir];

// temporary directory that can be written to for handling uploaded files
$tmpdir = $global_items[tmpdir];

// repository identifier - for the Open Archives front-end. Typically a lowercase abbreviation of the sponsor organization or conference name (no spaces or punctuation marks)
$repositoryid = $global_items[repositoryid];

// default font(s) for paper text (should be the same as the ArticleAbstract style in include/style.css)
$defaultfonts = $global_items[defaultfonts];

// global theme
$theme = $global_items[theme];


// get id of this conference if not multiple
if(!$multiple) {
	$config_result = $db->query("select id from $dbtable[conference]");
	$global_items = $db->assoc_array($config_result);
	$cf = $global_items[id];
}

// get conference info from database
if(isset($cf)) {
	$cf = (int) $cf;
	$conference_result = $db->query("select * from $dbtable[conference] where id='$cf'");
	
	// store the conference info in an associative array
	if($db->num_rows($conference_result) != 0) {
		$conference_items = $db->assoc_array($conference_result);
		
		// set theme, if applicable
		if($conference_items[theme]) { $theme = $conference_items[theme]; }
		else { $conference_items[theme] = "Default"; }
		
		// create an associative array with the different navigation sections and their URLs
		$nav_items = array("home"=>print_url($baseurl."index.php"), "overview"=>print_url($baseurl."overview.php"), "program"=>print_url($baseurl."program.php"));
		
		// include call for papers page, if applicable
		if($conference_items[call_for_papers]=="true") {
			$nav_items["call for papers"] = print_url($baseurl."callforpapers.php");
		}
		
		$nav_items["submission"]=print_url($baseurl."submission.php");

		$nav_items["papers"]=print_url($baseurl."papers.php");
				
		// include discussion forums, if applicable
		if($conference_items[discussion]=="true" && !empty($conference_items[discussion_url])) {
			$nav_items["discussion"]=$conference_items[discussion_url];
		}
		
		// include online registration page, if applicable
		if($conference_items[registration]=="true") {
			$nav_items["registration"]=print_url($baseurl."registration.php");
		}
		
		$nav_items["organization"]=print_url($baseurl."organization.php");

		// include conference schedule, if applicable
		if($conference_items[schedule]=="true") {
			$nav_items["schedule"] = print_url($baseurl."schedule.php");
		}
		
		// include related links page, if applicable
		if($conference_items[related_links]=="true") {
			$nav_items["links"]=print_url($baseurl."relatedlinks.php");
		}
	}
	else {
		unset($cf);
		$nav_items = array("home"=>$baseurl."index.php");
	}
}
else { $nav_items = array("home"=>$baseurl."index.php"); }


// determine full path
$fullpath = preg_replace("/include$/", "", dirname(__FILE__)) . "/";
