<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/db.inc.php
// 
// $Id: db.inc.php,v 1.8 2003/04/01 07:59:26 kevin Exp $
// 
// defines a database class. currently only supports MySQL and PostgreSQL
// classes are included for other databases but are untested and probably will not work
// if you're able to help test one of these classes, email ocs@pkp.ubc.ca


// type of database being used - currently only mysql and pgsql are supported
$db_type = "mysql";

// name of database - letters only, no spaces
$db_name = "ocsdemo";

// hostname, port, username, and password to database server
$db_host = "localhost";
$db_port = "";
$db_login = "root";
$db_password = "";

// use persistent connections, typically more efficient but may increase system load
$enable_pconnect = 1;

// enable full text indexes for more accurate searching within your archive
// set this variable to 1 if you are using MySQL 3.23.23 or later, and to 0
// if using any other database system
$enable_fulltext = 1;


// database table names
// (no need to really modify these unless you plan on sharing
// the conference database with other tables)
$dbtable = array();

$dbtable[conference_global] = "conference_global";
$dbtable[conference] = "conference";
$dbtable[papers] = "papers";
$dbtable[invited_speakers] = "invited_speakers";
$dbtable[registrants] = "registrants";
$dbtable[reviewers] = "reviewers";
$dbtable[reviewer_proposals] = "reviewer_proposals";
$dbtable[reviews] = "reviews";
$dbtable[comments] = "comments";
$dbtable[links] = "links";

// scheduler tables
$dbtable[scheduler_locations] = "scheduler_locations";
$dbtable[scheduler_session_times] = "scheduler_session_times";
$dbtable[scheduler_themes] = "scheduler_themes";
$dbtable[scheduler_session_types] = "scheduler_session_types";
$dbtable[scheduler_presentations] = "scheduler_presentations";
$dbtable[scheduler_chairs] = "scheduler_chairs";
$dbtable[scheduler_functions] = "scheduler_functions";

// OAI tables
$dbtable[oai_resumption_tokens] = "oai_resumption_tokens";


// include selected database class
require("db/db.$db_type.inc.php");
