<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/db/db.OCI.inc.php
// 
// $Id: db.oci8.inc.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// defines an Oracle 8 database class using the Oracle8 Call-Interface (OCI8)
// this class is untested, please report problems/bugs to ocs@pkp.ubc.ca


class db_connection {
	// create a new connection object
	function db_connection($type="") { }
	
	// connect to the database server
	function connect($host, $port, $login, $password, $pconnect, $database="") {				
		if($pconnect) {
			if(!@OCIPLogon($login, $password, $database)) { return false; }
		}
		else {
			if(!@OCILogon($login, $password, $database)) { return false; }
		}
		
		return true;
	}
	
	// create a new database
	function create_db($db) {
		return OCI_create_db($db);
	}
	
	// execute a database query
	function query($query) {
		return OCIExecute(OCIParse($query));
	}
	
	// return the number of rows in a query result
	function num_rows($result) {
		return @OCIFetchStatement($result, $array);
	}
	
	// create an associative array from a query result
	function assoc_array($result, $row=0) {
		@OCIFetchInto($result, $array, OCI_ASSOC);
		return $array;
	}

	// return last error message
	function error() {
		return OCIError();
	}
}

?>