<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/db/db.pgsql.inc.php
// 
// $Id: db.pgsql.inc.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// defines a PostgreSQL database class


class db_connection {
	// create a new connection object
	function db_connection($type="") { }
	
	// connect to the database server
	function connect($host, $port, $login, $password, $pconnect, $database="template1") {
		if($host) { $connstr = "host=$host "; }
		if($port) { $connstr .= "port=$port "; }
		$connstr .= "dbname=$database user=$login password=$password";
					
		if($pconnect) {
			return @pg_pconnect($connstr);
		}
		else {
			return @pg_connect($connstr);
		}
	}

	// create a new database
	function create_db($db) {
		return pg_exec("create database $db");
	}
	
	// execute a database query
	function query($query) {
		return pg_exec($query);
	}
	
	// return the number of rows in a query result
	function num_rows($result) {
		return @pg_numrows($result);
	}
	
	// create an associative array from a query result
	function assoc_array($result, $row=0) {
		return @pg_fetch_array($result, $row, PGSQL_BOTH);
	}
	
	// return the number of fields in a query result
	function num_fields($result) {
		return @pg_numfields($result);
	}
	
	// return the field name in a query result
	function field_name($result, $index=0) {
		return @pg_fieldname($result, $index);
	}
	
	// return the field type in a query result
	function field_type($result, $index=0) {
		return @pg_fieldtype($result, $index);
	}

	// return last error message
	function error() {
		return @pg_errormessage();
	}
}

?>