<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/dcmeta.inc.php
// 
// $Id: dcmeta.inc.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// print out Dublin Core HTML metatags for inclusion in viewabstract.php and viewpaper.php


// include default values of various Dublin Core elements
include("include/defaults.inc.php");

$dcheaders = "	<!-- START Dublin Core metatags -->
	<meta name=\"DC.Title\" content=\"$items[title]\">
	<meta name=\"DC.Creator\" content=\"$items[surname], $items[first_name]; $items[affiliation]; $items[email]\">\n";

// print out additional authors, if applicable
if($items[add_first_names]) {
	$add_first_names = explode("\n",$items[add_first_names]);
	$add_surnames = explode("\n",$items[add_surnames]);
	$add_emails = explode("\n",$items[add_emails]);
	$add_affiliations = explode("\n",$items[add_affiliations]);
	for($i=0; $i<count($add_first_names); $i++) {
		$dcheaders .= "	<meta name=\"DC.Creator\" content=\"$add_surnames[$i], $add_first_names[$i]; $add_affiliations[$i]; $add_emails[$i]\">\n";
	}
}

$dcheaders .= "	<meta name=\"DC.Subject\" content=\"$items[discipline]\">
	<meta name=\"DC.Subject\" content=\"$items[topic]\">
	<meta name=\"DC.Description\" content=\"$items[abstract]\">
	<meta name=\"DC.Publisher\" content=\"$def_publisher\">
	<meta name=\"DC.Contributor\" content=\"$items[sponsor]\">
	<meta name=\"DC.Contributor\" content=\"$def_contributor\">
	<meta name=\"DC.Date\" content=\"$def_date\">
	<meta name=\"DC.Type\" content=\"$def_type\">
	<meta name=\"DC.Type\" content=\"$items[approach]\">
	<meta name=\"DC.Format\" content=\"$items[format]\">
	<meta name=\"DC.Identifier\" content=\"".$baseurl.print_url("viewabstract.php?id=$items[id]")."\">
	<meta name=\"DC.Source\" content=\"$def_source\">
	<meta name=\"DC.Language\" content=\"$items[language]\">
	<meta name=\"DC.Relation\" content=\"$items[relation]\">
	<meta name=\"DC.Coverage\" content=\"$items[coverage]\">
	<meta name=\"DC.Rights\" content=\"$def_rights\">
	<!-- END Dublin Core metatags -->\n";
	
?>