<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/defaults.inc.php
// 
// $Id: defaults.inc.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// define the default value of various Dublin Core elements, to be used in the submission forms and OAI front-end


// default type
$def_type = "Conference Paper";

// default format (changed to application/pdf in submission form, if applicable)
$def_format = "text/html";

// default rights
if(!empty($conference_items[copyright_notice])) {
	$def_rights = $conference_items[copyright_notice];
}
else {
	$def_rights = "Authors retain copyright, with permission granted for use on the original conference website at $baseurl.";
}

// default source
$def_source = "$conference_items[name].";

// default relation - either invited, refereed, or non-refereed
if($is_invited) {
	$def_relation = "Invited";
}
else if($conference_items[peer_review]=="online") {
	$def_relation = "Refereed";
}
else {
	$def_relation = "Non-refereed";
}

// default publisher - conference location
$def_publisher = array();
if($conference_items[sponsor]) { array_push($def_publisher, $conference_items[sponsor]); }
if($conference_items[address]) { array_push($def_publisher, $conference_items[address]); }
if($conference_items[institution]) { array_push($def_publisher, $conference_items[institution]); }
if($conference_items[department]) { array_push($def_publisher, $conference_items[department]); }
if($conference_items[city]) { array_push($def_publisher, $conference_items[city]); }
if($conference_items[province]) { array_push($def_publisher, $conference_items[province]); }
if($conference_items[country]) { array_push($def_publisher, $conference_items[country]); }
if($conference_items[postal_code]) { array_push($def_publisher, $conference_items[postal_code]); }
$def_publisher = join(", ", $def_publisher)." $baseurl";

// default contributor - conference director(s)
$def_contributor = "";
if($conference_items[directors]) {
	$directors = explode("\n",$conference_items[directors]);
	// loop and add each director's name to output
	for($i=0; $i<count($directors); $i++) {
		if($i>0) $def_contributor .= ", ";
		$def_contributor .= $directors[$i];
	}
	$def_contributor .= ", Conference Director";
	if($i>1) {
		$def_contributor .= "s";
	}
}

// default date - start date
$def_date = date("Y-m-d", strtotime($conference_items[start_date]));

// default language
$def_language = $conference_items[language];
$multilingual = $conference_items[multilingual];


?>