<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/submitform.inc.php
// 
// $Id: submitform.inc.php,v 1.7 2003/04/01 08:22:30 kevin Exp $
// 
// generates a paper submission form used in invitedsubmit.php and submit.php


if(!eregi("submit.php", $PHP_SELF)) { die("Access denied."); }


// include default values of various Dublin Core elements
include("include/defaults.inc.php");

// split author options into array
if($conference_items[author_options]) {
	$author_options = explode("\n",$conference_items[author_options]);
	$author_options[delete_paper] = $author_options[0];
	$author_options[restrict_access] = $author_options[1];
}
else { $author_options = ""; }


// check if papers are being accepted by this conference
if($step == 2 && ($conference_items[paper_access] == "none" || $conference_items[submission_type] == "abstract_only")) {
	echo "This conference is not accepting papers.";
	return;
}


// check if submitting
if($submit) {
	check_referer();

	// check that required fields are complete
	if($step==1 && (empty($first_name) || empty($surname) || empty($papertitle) || empty($abstract) || empty($email))) {
		echo "Submission incomplete. You must enter your ";
		if(empty($first_name) || empty($surname)) { echo "full name"; }
		else if(empty($email)) { echo "email address"; }
		else if(empty($papertitle)) { echo "paper's title"; }
		else if(empty($abstract)) { echo "paper's abstract"; }
		echo ". Please go <a href=\"javascript:history.go(-1)\">back</a> complete your submission.";
	}
	// check that email address is valid
	else if(!check_email($email)) {
		echo "You entered an invalid email address. Please go <a href=\"javascript:history.go(-1)\">back</a> and correct your submission."; 
	}
	// add the data to the database
	else {
	
		// if this is a new non-invited submission, give the user a username and password
		if(empty($username)) {
			$username = preg_replace("/[^A-Z0-9]/i", "", strip_html(strtolower($surname)));
			if(empty($username)) { $username = substr(md5(microtime()), 0, 6); }
			
			$new_password = preg_replace("/[^A-Z0-9]/i", "", strip_html(strtolower($first_name)));
			if(empty($new_password)) { $new_password = substr(md5(microtime()), 0, 6); }
			
			$dontcheckpw = false;
		}
		else {
			$dontcheckpw = true;
		}
		
		// if non-invited, check that this username/password combo does not exist
		if($is_noninvited && $update=="false" && !$dontcheckpw) {
			$x=0;
			$usernametmp = sanitize_db_input($username);
			// keep looping and adding a number to the user's username until we find one that doesn't exist
			for($i=1; $x==0; $i++) {
				$checkresult = $db->query("Select id from $dbtable[papers] where login='$usernametmp' and cf='$cf'");
				$checkresultb = $db->query("Select login from $dbtable[invited_speakers] where login='$usernametmp' and cf='$cf'");
				if($db->num_rows($checkresult)>0 || $db->num_rows($checkresultb)>0) {
					$usernametmp = $username.$i;
				}
				else {
					$x=1;
				}
			}
			$username = $usernametmp;
		}
		
		// format various variables for submission
		if($username == "") { $username = $new_username; }
		
		if($add_first_names) {
			$add_first_names = join("\n",$add_first_names);
		}
		if($add_surnames) {
			$add_surnames = join("\n",$add_surnames);
		}
		if($add_emails) {
			$add_emails = join("\n",$add_emails);
		}
		if($add_affiliations) {
			$add_affiliations = join("\n",$add_affiliations);
		}
		if($add_urls) {
			$add_urls = join("\n",$add_urls);
		}
		
		if($abstract) {
			$abstract=add_quotes($abstract);
		}
		
		if($sponsor) {
			$sponsor=add_quotes($sponsor);
		}
		
		if($paper) {
			$paper=add_quotes($paper);
			$paper=str_replace("&amp;","&",$paper);
			
		}
				
		// change format if this paper is in PDF format
		if($paper=="PDF") {
			$def_format = "application/pdf";
		}
				
		if($bio) {
			$bio = join("\n<!-- BEGIN NEW BIO -->\n",$bio);
			$bio = add_quotes($bio);
		}
		
		// if papers are in multiple languages, language is specified by the author 
		if($multilingual=="true") {
			$def_language = $language;
		}
		
		// appendices stuff
		if($appendix_names) {
			$appendix_names = join("\n",$appendix_names);
		}
		if($appendix_dates) {
			$appendix_dates = join("\n",$appendix_dates);
		}
		if($appendix) {
			$appendix = join("\n<!-- BEGIN NEW APPENDIX -->\n",$appendix);
			$appendix=add_quotes($appendix);
			$appendix=str_replace("&amp;","&",$appendix);
		}
		if($appendix_pdf) {
			$appendix_pdf_arr = $appendix_pdf;
			$appendix_pdf = join("\n",$appendix_pdf);
		}
		
		list($first_name, $surname, $username, $new_password, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $paper_date, $def_language, $def_relation, $pdf, $appendix_names, $appendix_dates, $appendix_pdf, $comment_email, $paper_email, $delete_paper, $restrict_access, $accepted) = strip_html($first_name, $surname, $username, $new_password, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $paper_date, $def_language, $def_relation, $pdf, $appendix_names, $appendix_dates, $appendix_pdf, $comment_email, $paper_email, $delete_paper, $restrict_access, $accepted);
		
		list($first_name, $surname, $username, $new_password, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $abstract, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $bio, $paper, $paper_date, $def_language, $def_relation, $pdf, $appendix_names, $appendix_dates, $appendix, $appendix_pdf, $comment_email, $paper_email, $delete_paper, $restrict_access, $accepted) = sanitize_db_input($first_name, $surname, $username, $new_password, $email, $affiliation, $url, $add_first_names, $add_surnames, $add_emails, $add_affiliations, $add_urls, $present_format, $multiple_title, $multiple_org_name, $multiple_org_aff, $multiple_org_email, $multiple_overview, $multiple_presenters, $multiple_disc_name, $multiple_disc_aff, $multiple_disc_email, $papertitle, $abstract, $sponsor, $discipline, $topic, $approach, $coverage, $def_format, $bio, $paper, $paper_date, $def_language, $def_relation, $pdf, $appendix_names, $appendix_dates, $appendix, $appendix_pdf, $comment_email, $paper_email, $delete_paper, $restrict_access, $accepted);
		
		if($papertitle) {
			$papertitle=add_quotes($papertitle);
			$papertitle = str_replace("&quot;", "\"", $papertitle);
		}
		
		// query to create a new database entry
		if($update=="false") {
			
			// get password if not a new paper or if an invited paper
			if($is_invited) {
				$pass_result = $db->query("select password from $dbtable[invited_speakers] where login='$username' and cf='$cf'");
				if($db->num_rows($pass_result) != 0) {
					$pass_items = $db->assoc_array($pass_result);
					$new_password = base64_decode($pass_items[password]);
				}
			}
			else if($is_noninvited) {
				$pass_result = $db->query("select password from $dbtable[papers] where login='$username' and cf='$cf'");
				if($db->num_rows($pass_result) != 0) {
					$pass_items = $db->assoc_array($pass_result);
					$new_password = base64_decode($pass_items[password]);
				}
			}
			else {
				$accepted = "false";
			}
			
			$comment_email = "true";
			$paper_email = "false";
			
			$query_txt = "insert into $dbtable[papers] (cf, first_name, surname, login, password, email, affiliation, url, add_first_names, add_surnames, add_emails, add_affiliations, add_urls, present_format, multiple_title, multiple_org_name, multiple_org_aff, multiple_org_email, multiple_overview, multiple_presenters, multiple_disc_name, multiple_disc_aff, multiple_disc_email, title, abstract, sponsor, discipline, topic, approach, coverage, format, bio, paper, paper_date, language, relation, pdf, appendix_names, appendix_dates, appendix, appendix_pdf, comment_email, paper_email, delete_paper, restrict_access, accepted, view_reviews, created) values ('$cf', '$first_name','$surname','$username','".base64_encode($new_password)."','$email','$affiliation','$url','$add_first_names','$add_surnames','$add_emails','$add_affiliations','$add_urls','$present_format','$multiple_title','$multiple_org_name','$multiple_org_aff','$multiple_org_email','$multiple_overview','$multiple_presenters','$multiple_disc_name','$multiple_disc_aff','$multiple_disc_email','$papertitle','$abstract','$sponsor','$discipline','$topic','$approach','$coverage','$def_format','$bio','$paper','$paper_date','$def_language','$def_relation','$pdf', '$appendix_names', '$appendix_dates', '$appendix', '$appendix_pdf', '$comment_email','$paper_email','$delete_paper', '$restrict_access', '$accepted','false', now())";
		}
		
		// query to update an existing entry
		else {
			if($accepted=="reject") { $accepted = "false"; }
			$update = sanitize_db_input($update);
			$id = $update;
			if($step==1) {
				$update_items = "first_name='$first_name', surname='$surname', email='$email', affiliation='$affiliation', url='$url', add_first_names='$add_first_names', add_surnames='$add_surnames', add_emails='$add_emails', add_affiliations='$add_affiliations', add_urls='$add_urls', present_format='$present_format', multiple_title='$multiple_title', multiple_org_name='$multiple_org_name', multiple_org_aff='$multiple_org_aff', multiple_org_email='$multiple_org_email', multiple_overview='$multiple_overview', multiple_presenters='$multiple_presenters', multiple_disc_name='$multiple_disc_name', multiple_disc_aff='$multiple_disc_aff', multiple_disc_email='$multiple_disc_email', title='$papertitle', abstract='$abstract', sponsor='$sponsor', discipline='$discipline', topic='$topic', approach='$approach', coverage='$coverage', bio='$bio', language='$def_language', accepted='$accepted'";
			}
			else if($step==2) {
				// check for old appendices and delete any old pdf's
				$result = $db->query("select appendix_pdf from $dbtable[papers] where id='$update' and login='$username' and cf='$cf'");
				$tmp_items = $db->assoc_array($result);
				if($tmp_items[appendix_pdf]) {
					$tmp_appendix_pdf = explode("\n", $tmp_items[appendix_pdf]);
					for($i=0; $i<count($tmp_appendix_pdf); $i++) {
						if($tmp_appendix_pdf[$i] && @!in_array($tmp_appendix_pdf[$i], $appendix_pdf_arr)) {
							if(file_exists("papers/$tmp_appendix_pdf[$i]")) {
								unlink("papers/$tmp_appendix_pdf[$i]");
							}	
						}	
					}
				}
				$update_items = "format='$def_format', paper='$paper', paper_date='$paper_date', pdf='$pdf', appendix_names='$appendix_names', appendix_dates='$appendix_dates', appendix='$appendix', appendix_pdf='$appendix_pdf', delete_paper='$delete_paper', restrict_access='$restrict_access'";
			}
			else if($step==3) {
				if(!$comment_email) { $comment_email = "false"; }
				if(!$paper_email) { $paper_email = "false"; }
				$update_items = "comment_email='$comment_email', paper_email='$paper_email'";
			}
			$query_txt = "update $dbtable[papers] set $update_items where id='$update' and login='$username' and cf='$cf'";
		}
		
		// execute the query
		$query = $db->query($query_txt) or die("Unable to add submission to database");

		// send notification email if uploading new paper		
		if($hasuploadedpaper=="false" && $paper) {
		
			// send notification to conference contact
			if($conference_items[contact_notify]) {
				mail("$conference_items[contact_email] ($conference_items[contact_name])", "$conference_items[name]: New Paper Submitted", stripslashes($first_name)." ".stripslashes($surname)." has submitted an abstract/paper, \"".stripslashes($papertitle)."\", at the $conference_items[name] web site, viewable at ".$baseurl.print_url("viewabstract.php?id=$id")."\n\nYou may wish to login at ".print_url($baseurl."admin/index.php")." and edit the paper if any formatting adjustments are needed.","From: $conference_items[contact_email] ($conference_items[contact_name])", "-f$conference_items[contact_email]");
			}

			// send emails to presenters that have selected the notification option
			if($db_type == "pgsql") { $sql = "Select distinct on (email)"; }
			else { $sql = "Select"; }
			$sql .= " email, first_name, surname from $dbtable[papers] where paper_email='true' and cf='$cf'";
			if($db_type == "mysql") { $sql .= " group by email"; }
			$sql .= " order by email";
			$emailresult = $db->query($sql);
			for ($count = 0; $count<$db->num_rows($emailresult); $count++) {
				$emailitems = $db->assoc_array($emailresult,$count);
				$message = "$emailitems[first_name] $emailitems[surname]:

".stripslashes($first_name)." ".stripslashes($surname)." has submitted a paper, \"".stripslashes($papertitle)."\", at the $conference_items[name] web site, viewable at ".$baseurl.print_url("viewabstract.php?id=$id")."\n\n";
				$message .= "If you would prefer not to receive notifications of new paper submissions in the future, you may log in at ".$baseurl.print_url("submission.php")." to adjust this preference.\n\n";
				$message .= "Sincerely,\n";
				$message .= email_footer();
				mail("$emailitems[email]", "$conference_items[name]: New Paper Submitted", $message,"From: $conference_items[contact_email] ($conference_items[contact_name])", "-f$conference_items[contact_email]");
			}
			
			// send emails to registrants that have selected the notification option
			if($db_type == "pgsql") { $sql = "Select distinct on (email)"; }
			else { $sql = "Select"; }
			$sql .= " email, name from $dbtable[registrants] where reg_email='true' and cf='$cf'";
			if($db_type == "mysql") { $sql .= " group by email"; }
			$sql .= " order by email";
			$emailresult = $db->query($sql);
			for ($count = 0; $count<$db->num_rows($emailresult); $count++) {
				$emailitems = $db->assoc_array($emailresult,$count);
				$message = "$emailitems[name]:

".stripslashes($first_name)." ".stripslashes($surname)." has submitted a paper, \"".stripslashes($papertitle)."\", at the $conference_items[name] web site, viewable at ".$baseurl.print_url("viewabstract.php?id=$id")."\n\n";
				$message .= "If you would prefer not to receive notifications of new paper submissions in the future, please contact the primary conference contact at $conference_items[contact_email]\n\n";
				$message .= "Sincerely,\n";		
				$message .= email_footer();
				mail("$emailitems[email]", "$conference_items[name]: New Paper Submitted", $message,"From: $conference_items[contact_email] ($conference_items[contact_name])", "-f$conference_items[contact_email]");
			}
		}
		
		// send acknowledgement of submission to non-invited participant
		if($update=="false" && $is_noninvited) {
			// check if cc'ing conference contact
			if($conference_items[contact_notify]) {
				$bcc = "\nbcc: $conference_items[contact_email]";
			}
			else {
				$bcc = "";
			}
	
			// build cc list for additional authors
			$cc = array();
			$add_emails = explode("\n", $items[add_emails]);
			$add_first_names = explode("\n", $items[add_first_names]);
			$add_surnames = explode("\n", $items[add_surnames]);
			for($i=0; $i<count($add_emails); $i++) {
				if(check_email($add_emails[$i])) {
					array_push($cc, "$add_emails[$i] ($add_first_names[$i] $add_surnames[$i])");
				}
			}
			if(!empty($cc)) {
				$cc = "\ncc:".join(", ", $cc);
			}
			else { $cc = ""; }
			$message = stripslashes($first_name)." ".stripslashes($surname).":
Your proposal for $conference_items[name], \"".stripslashes($papertitle)."\", has been successfully submitted. If you wish to edit or change it, you can return to the conference site at ".$baseurl.print_url("submit.php")." before the abstract deadline of ".date("F j, Y",strtotime($conference_items[abstract_deadline]))."

Username: $username
Password: $new_password

Sincerely,\n";	
			$message .= email_footer();
			mail("$email", "$conference_items[name]: Submission Received", $message,"From: $conference_items[contact_email] ($conference_items[contact_name])$cc$bcc", "-f$conference_items[contact_email]");
		}
		
		// get submission ID
		if(!$id) {
			$tmp_result = $db->query("select MAX(id) AS id from $dbtable[papers] where login='$username' and title='$papertitle' and cf='$cf'");
			$tmp_items = $db->assoc_array($tmp_result);
			$id = $tmp_items[id];
		}
		
		// print acknowledgement message
		if($is_noninvited && $step == 1 && $accepted=="false") {
			echo "<p>Your proposal has been successfully submitted. You will be notified by email
about whether it has been accepted for presentation at the conference by ".date("F j, Y",strtotime($conference_items[accept_deadline])).". For further information, contact <a href=\"mailto:$conference_items[contact_email]\">$conference_items[contact_name]</a>.</p>";

			// print username and password if new submission
			if($update=="false") {
				echo "<p>To come back and make changes to your submission your username is <b>".sanitize_output($username)."</b> and password is <b>".sanitize_output($new_password)."</b>.</p>";
			}
				
			if($conference_items[paper_access] != "none" && $conference_items[submission_type] == "both") {
				echo "<p>To submit your paper and/or appendices, <a href=\"".print_url("submit.php?id=$id&step=2")."\">click here</a>.</p>";
			}
			
			echo "<p><a href=\"".print_url($PHP_SELF)."\"><b>Back to $title</b></a></p>
			<p><a href=\"".print_url("index.php")."\"><b>Back to Home</b></a></p>";
		}
		else if($step==3) {
			echo "<p>Your paper preferences have been successfully submitted.</p>
					<p><a href=\"".print_url($PHP_SELF)."\"><b>Back to $title</b></a></p>
					<p><a href=\"".print_url("index.php")."\"><b>Back to Home</b></a></p>";
		}
		else if($step==2) {
			echo "<p>Your paper has been successfully submitted.</p>
					<p><a href=\"".print_url($PHP_SELF)."\"><b>Back to $title</b></a></p>
					<p><a href=\"".print_url("index.php")."\"><b>Back to Home</b></a></p>";
		}
		else if($step==1) {

			echo "<p>Your document metadata has been successfully submitted.</p>
				<p>To review your metadata, <a href=\"".print_url("rst.php?id=$id&op=show_meta")."\">click here</a>.</p>
				<p>";
				
			if($conference_items[paper_access] != "none" && $conference_items[submission_type] != "abstract_only") {
				echo "To submit your paper and/or appendices, <a href=\"";
				if($is_invited) {
					echo "invited";
				}
				echo print_url("submit.php?id=$id&step=2")."\">click here</a>. ";
			}
				
			echo "You may return to the <a href=\"";
			if($is_invited) {
				echo "invited";
			}
			echo print_url("submit.php")."\">submission form</a> at any time to ";

			if($conference_items[paper_access] != "none" && $conference_items[submission_type] != "abstract_only") {
				echo "submit your paper or ";
			}
			
			echo "modify your paper's metadata.</p>";
			
			echo "<p><a href=\"".print_url($PHP_SELF)."\"><b>Back to $title</b></a></p>
			<p><a href=\"".print_url("index.php")."\"><b>Back to Home</b></a></p>";
		}
	}
}

// show preview of submission
else if($preview) {
	check_referer();
	
	// set default values of various variables
	if(empty($present_format)) {
		$present_format = "single";
	}
	
	if(empty($delete_paper)) {
		$delete_paper = "false";
	}
	if(empty($restrict_access)) {
		$restrict_access = "false";
	}
		
	// upload paper/appendices
	include("submitupload.inc.php");

// print out the preview


// show step 1 preview
if($step==1) {
?>

<p class="ArticleTitle">A. Document Metadata</p>

<?php
}
// show step 2 preview
else if($step==2) {
?>

<p class="ArticleTitle">B. Document Submission</p>

<?php
}
?>


<form action="<?php
if($is_invited) {
	echo "invited";
}
?><?php echo print_url("submit.php"); ?>" method="post">
<input type="hidden" name="update" value="<?php echo sanitize_output($update); ?>"><input type="hidden" name="accepted" value="<?php echo sanitize_output($accepted); ?>"><input type="hidden" name="ispreview" value="true"><input type="hidden" name="hasuploadedpaper" value="<?php echo sanitize_output($hasuploadedpaper); ?>"><input type="hidden" name="paper_date" value="<?php echo sanitize_output($paper_date); ?>"><input type="hidden" name="step" value="<?php echo sanitize_output($step); ?>">

<?php
// show step 1 preview
if($step==1) {
?>

<p><b>Document Author(s)</b></p>
<p><b>Primary Author</b><br />
First name: <font class="instructions"><?php echo sanitize_output($first_name); ?></font><input type="hidden" name="first_name" value="<?php echo sanitize_output($first_name); ?>"><br />
Surname: <font class="instructions"><?php echo sanitize_output($surname); ?></font><input type="hidden" name="surname" value="<?php echo sanitize_output($surname); ?>"><br />
Email address: <font class="instructions"><?php echo sanitize_output($email); ?></font><input type="hidden" name="email" value="<?php echo sanitize_output($email); ?>"><br />
<?php
// print out bio statement field, if applicable
if($conference_items[include_bio]=="true") {
	?>
	Biographical Statement<br /><font class="instructions"><?php echo nl2br(sanitize_html_output($bio[0])); ?></font><input type="hidden" name="bio[]" value="<?php echo sanitize_html_output(remove_quotes($bio[0])); ?>"></br>
	<?php
}
?>

Department and University Affiliation: <font class="instructions"><?php echo sanitize_output($affiliation); ?></font><input type="hidden" name="affiliation" value="<?php echo sanitize_output($affiliation); ?>"><br />
Personal or Institutional Website URL: <font class="instructions"><?php echo sanitize_output($url); ?></font><input type="hidden" name="url" value="<?php echo sanitize_output($url); ?>"></p>
<?php

// print out additional authors, if applicable
if(!$add_first_names) {
	$numauthors = 0;
}
else {
	$numauthors = count($add_first_names);
}
if($numauthors>0) {
	echo "<p><b>Additional Author(s)</b><br />";
}
for($i=0; $i<$numauthors; $i++) {
	echo "First name: <font class=\"instructions\">".sanitize_output($add_first_names[$i])."</font><input type=\"hidden\" name=\"add_first_names[]\" value=\"".sanitize_output($add_first_names[$i])."\"><br />
		Surname: <font class=\"instructions\">".sanitize_output($add_surnames[$i])."</font><input type=\"hidden\" name=\"add_surnames[]\" value=\"".sanitize_output($add_surnames[$i])."\"><br />
		Email address: <font class=\"instructions\">".sanitize_output($add_emails[$i])."</font><input type=\"hidden\" name=\"add_emails[]\" value=\"".sanitize_output($add_emails[$i])."\"><br />\n";
		if($conference_items[include_bio]=="true") {
			echo "Biographical Statement<br /><font class=\"instructions\">".nl2br(sanitize_html_output($bio[$i+1]))."</font><input type=\"hidden\" name=\"bio[]\" value=\"".sanitize_html_output(remove_quotes($bio[$i+1]))."\"></br>\n";
		}
		echo "Department and University Affiliation: <font class=\"instructions\">".sanitize_output($add_affiliations[$i])."</font><input type=\"hidden\" name=\"add_affiliations[]\" value=\"".sanitize_output($add_affiliations[$i])."\"><br />
		Personal or Institutional Website URL: <font class=\"instructions\">".sanitize_output($add_urls[$i])."</font><input type=\"hidden\" name=\"add_urls[]\" value=\"".sanitize_output($add_urls[$i])."\"><br />";
}
if($numauthors>0) {
	echo "</p>";
}
?>


<?php
if($is_invited) {
	echo "<input type=\"hidden\" name=\"present_format\" value=\"single\">";
}
else {
	// presentation format information for non-invited papers
	echo "<p><b>2. Presentation Format</b><br />\n";
	// present format is single
	if($present_format=="single") {
		echo "<input type=\"hidden\" name=\"present_format\" value=\"single\"><font class=\"instructions\">Single paper presentation</font><br />
	Abstract length (max words): $conference_items[present_single_length] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $conference_items[present_single_time]<br />";
	}
	
	// present format is other
	if($conference_items[present_other]=="true") {
		// get other format this paper is using
		if($present_format) {
			$present_othertmp = str_replace("other % ","",$present_format);
		}
		// split other formats into an array
		$present_other_desc = explode("\n",$conference_items[present_other_desc]);
		$present_other_length = explode("\n",$conference_items[present_other_length]);
		$present_other_time = explode("\n",$conference_items[present_other_time]);
		// loop through other present formats and look for a match
		for($i=0; $i<count($present_other_desc); $i++) {
			$y=$i+1;
			if($present_othertmp==$y) {
				echo "<font class=\"instructions\">Other:<br />";
				echo "<input type=\"hidden\" name=\"present_format\" value=\"other % $y\">$present_other_desc[$i]";
				if($present_other_desc[$i]) {
					echo "<br />";
				}
				echo "</font>Abstract length (max words): $present_other_length[$i] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $present_other_time[$i]<br />";
			}
	
		}
	
	}
	?>
	</p>
	<?php
	
	// present format is multiple
	if($present_format=="multiple") {
		echo "<input type=\"hidden\" name=\"present_format\" value=\"multiple\"><font class=\"instructions\">Multiple-paper sessions</font><br />
	Overview of session (max words): $conference_items[present_multiple_length] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $conference_items[present_multiple_time]<br />";
		// print out additional multiple paper information, if applicable
		if($multiple_title) {
			echo "<p>a) Title of Multiple Paper Presentation: <font class=\"instructions\">".sanitize_output($multiple_title)."</font><input type=\"hidden\" name=\"multiple_title\" value=\"".sanitize_output($multiple_title)."\"></p>
				<p>b) Multiple Paper Organizer<br />
				Name: <font class=\"instructions\">".sanitize_output($multiple_org_name)."</font><input type=\"hidden\" name=\"multiple_org_name\" value=\"".sanitize_output($multiple_org_name)."\"><br />
				Title and Affiliation: <font class=\"instructions\">".sanitize_output($multiple_org_aff)."</font><input type=\"hidden\" name=\"multiple_org_aff\" value=\"".sanitize_output($multiple_org_aff)."\"><br />
				Email: <font class=\"instructions\">".sanitize_output($multiple_org_email)."</font><input type=\"hidden\" name=\"multiple_org_email\" value=\"".sanitize_output($multiple_org_email)."\"></p>
				<p>c) Overview of Session<br />
				<font class=\"instructions\">".nl2br(sanitize_output($multiple_overview))."</font><input type=\"hidden\" name=\"multiple_overview\" value=\"".sanitize_output(remove_quotes($multiple_overview))."\"></p>
				<p>d) To link participants, list their emails (without yours) separated by a semicolon<br />
				<font class=\"instructions\">".sanitize_output($multiple_presenters)."</font><input type=\"hidden\" name=\"multiple_presenters\" size=\"50\" value=\"".sanitize_output($multiple_presenters)."\"></p>
				<p>e) Multiple Paper Discussant<br />
				Name: <font class=\"instructions\">".sanitize_output($multiple_disc_name)."</font><input type=\"hidden\" name=\"multiple_disc_name\" value=\"".sanitize_output($multiple_disc_name)."\"><br />
				Title and Affiliation: <font class=\"instructions\">".sanitize_output($multiple_disc_aff)."</font><input type=\"hidden\" name=\"multiple_disc_aff\" value=\"".sanitize_output($multiple_disc_aff)."\"><br />
				Email: <font class=\"instructions\">".sanitize_output($multiple_disc_email)."</font><input type=\"hidden\" name=\"multiple_disc_email\" value=\"".sanitize_output($multiple_disc_email)."\"></p>";
		}
	}
}
?>

<p><b><?php if($is_invited) { echo "2"; } else { echo "3"; } ?>. Document Title</b>: <font class="instructions"><?php echo sanitize_output($papertitle); ?></font><input type="hidden" name="papertitle" value="<?php echo sanitize_output(remove_quotes($papertitle)); ?>"></p>

<p><b><?php if($is_invited) { echo "3"; } else { echo "4"; } ?>. Document Abstract</b><br />
<font class="instructions"><?php echo nl2br(sanitize_html_output($abstract)); ?></font><input type="hidden" name="abstract" value="<?php echo sanitize_html_output(remove_quotes($abstract)); ?>"></p>


<?php

// if paper is invited or has been accepted, show paper upload form and other additional items
if($accepted=="true") {

?>

<p><b><?php if($is_invited) { echo "4"; } else { echo "5"; } ?>. Document Content</b></p>

<blockquote>
<p>a) Discipline(s): <font class="instructions"><?php echo sanitize_output($discipline); ?></font><input type="hidden" name="discipline" value="<?php echo sanitize_output($discipline); ?>"></p>

<p>b) Subject(s): <font class="instructions"><?php echo sanitize_output($topic); ?></font><input type="hidden" name="topic" value="<?php echo sanitize_output($topic); ?>"></p>

<p>c) Coverage: <font class="instructions"><?php echo sanitize_output($coverage); ?></font><input type="hidden" name="coverage" value="<?php echo sanitize_output($coverage); ?>"></p>

<p>d) Type (Method/Approach): <font class="instructions"><?php echo sanitize_output($approach); ?></font><input type="hidden" name="approach" value="<?php echo sanitize_output($approach); ?>"></p>
</blockquote>

<?php

// print out language input field, if applicable
if($multilingual=="true") {
	?>
	
	<p><b><?php if($is_invited) { echo "5"; } else { echo "6"; } ?>. Document Language</b>: <font class="instructions"><?php
	if($language) {
		echo sanitize_output($language);
	}
	else {
		echo $conference_items[language];
	}
	?></font><input type="hidden" name="language" value="<?php if($language) { echo sanitize_output($language); } else { echo $conference_items[language]; } ; ?>"></p>
	
	<?php
}
?>

<p><b><?php if($is_invited && $multilingual=="true") { echo "6"; } else if($is_invited) { echo "5"; } else if($multilingual) { echo "7"; } else { echo "6"; } ?>. Document Sponsor</b><br />
<font class="instructions"><?php echo nl2br(sanitize_output($sponsor)); ?><input type="hidden" name="sponsor" value="<?php echo sanitize_output(remove_quotes($sponsor)); ?>"></font></p>

<?php
}
}
// show step 2 preview
else if($step==2) {
?>

<input type="hidden" name="first_name" value="<?php echo sanitize_output($first_name); ?>">
<input type="hidden" name="surname" value="<?php echo sanitize_output($surname); ?>">
<input type="hidden" name="papertitle" value="<?php echo sanitize_output($papertitle); ?>">

<p><b>1. Paper</b><br />
<?php
// check for upload error
if($paper_err) {
	echo "<p><b><font class=\"instructions\">$paper_err</font></b></p>";
}

// print out filename uploaded and date, if applicable
else if($paper_file_name) {
	echo "<font class=\"instructions\">File Uploaded: ".sanitize_output($paper_file_name)." Date: ".date("m/d/Y")."</font><br />";
}
?>

<?php
if($paper!="PDF") {
	echo str_replace("&amp;","&", sanitize_html_output($paper));
}
else {
	echo "<blockquote><font class=\"instructions\">Current paper is a PDF.</font></blockquote><input type=\"hidden\" name=\"pdf\" value=\"".sanitize_output($pdf)."\">";
}
?><input type="hidden" name="paper" value="<?php
// replace quotes and ampersands with special characters to prevent weird formatting issues
$paper=remove_quotes($paper);
$paper=str_replace("&", "&amp;", $paper);
echo sanitize_html_output($paper);


?>"></p>

<p><b>2. Appendices</b></p>
<?php
for($i=0; $i<$num_appendix; $i++) {
	if($appendix_names[$i]!="") {
		// print out filename uploaded and date, if applicable
		echo "<p><b>Name</b>: ".sanitize_output($appendix_names[$i])."<br />";
		if($appendix_err[$i]) {
			echo "<font class=\"instructions\">".sanitize_output($appendix_err[$i])."</font>"; 
		}
		else if($appendix_file_name[$i]) {
			echo "<font class=\"instructions\">File Uploaded: ".sanitize_output($appendix_file_name[$i])." Date: ".date("m/d/Y")."</font><br />";
		}
		
		if($appendix[$i]!="PDF") {
			echo str_replace("&amp;","&", sanitize_html_output($appendix[$i]));
		}
		else {
			echo "<blockquote><font class=\"instructions\">Current appendix is a PDF.</font></blockquote>";
		}
		?>
		<input type="hidden" name="appendix_names[]" value="<?php echo sanitize_output($appendix_names[$i]); ?>">
		<input type="hidden" name="appendix_dates[]" value="<?php echo sanitize_output($appendix_dates[$i]); ?>">
		<input type="hidden" name="appendix_pdf[]" value="<?php echo sanitize_output($appendix_pdf[$i]); ?>">
		<input type="hidden" name="appendix[]" value="<?php echo sanitize_html_output(str_replace("&","&amp;",remove_quotes($appendix[$i]))); ?>">
		<?php
	}
}
?>


<p><b>3. Additional Options</b><br />
<?php
	// print out additional author options, as applicable
	if($author_options[delete_paper]=="true") {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Delete my paper at conference's conclusion: <font class=\"instructions\">".sanitize_output($delete_paper)."</font><br />";
	}
	echo "<input type=\"hidden\" name=\"delete_paper\" value=\"".sanitize_output($delete_paper)."\">";
	if($author_options[restrict_access]=="true") {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For my paper, restrict access to registered conference participants: <font class=\"instructions\">".sanitize_output($restrict_access)."</font><br />";
	}
	echo "<input type=\"hidden\" name=\"restrict_access\" value=\"".sanitize_output($restrict_access)."\">";
?></p>

<?php
}
?>

<p><input type="submit" name="submit" value="Submit" class="button"> <input type="submit" name="edit" value="Make Changes" class="button"></p>
</form>

<?php
}


// else display submission form form
else {

// if logging in to edit a previously submitted paper, get that paper's info
if(!$edit && ($login || $is_invited || $id) && !$anchor && $action!="new") {
	// see if they have already submitted their paper and if so, get the info from the database
	$username = sanitize_db_input($username);
	$query_txt = "select * from $dbtable[papers] where login='$username'";
	if($id) {
		$id = sanitize_db_input($id);
		$query_txt .= " and id='$id'";
	}
	$query_txt .= " and cf='$cf'";

	$result = $db->query($query_txt);
	$items = $db->assoc_array($result);
	
	// assign variables to paper items from the database
	if($items[id]) {
		$first_name = $items[first_name];
		$surname = $items[surname];
		$email = $items[email];
		$affiliation = $items[affiliation];
		$url = $items[url];
		
		// split additional author info into arrays
		if($items[add_first_names]) {
			$add_first_names = explode("\n",$items[add_first_names]);
		}
		if($items[add_surnames]) {
			$add_surnames = explode("\n",$items[add_surnames]);
		}
		if($items[add_emails]) {
			$add_emails = explode("\n",$items[add_emails]);
		}
		if($items[add_affiliations]) {
			$add_affiliations = explode("\n",$items[add_affiliations]);
		}
		if($items[add_urls]) {
			$add_urls = explode("\n",$items[add_urls]);
		}
		
		$present_format = $items[present_format];
		$multiple_title = $items[multiple_title];
		$multiple_org_name = $items[multiple_org_name];
		$multiple_org_aff = $items[multiple_org_aff];
		$multiple_org_email = $items[multiple_org_email];
		$multiple_overview = $items[multiple_overview];
		$multiple_presenters = $items[multiple_presenters];
		$multiple_disc_name = $items[multiple_disc_name];
		$multiple_disc_aff = $items[multiple_disc_aff];
		$multiple_disc_email = $items[multiple_disc_email];
		
		$papertitle = $items[title];
		
		$abstract = $items[abstract];
		
		$paper = $items[paper];
		$paper_date = $items[paper_date];
		
		$sponsor = $items[sponsor];
		
		$discipline = $items[discipline];
		$topic = $items[topic];
		$approach = $items[approach];
		$coverage = $items[coverage];
		$language = $items[language];
		
		if($items[bio]) {
			$bio = explode("\n<!-- BEGIN NEW BIO -->\n",$items[bio]);
		}
		
		$pdf = $items[pdf];
		
		if($items[appendix_names]) {
			$appendix_names = explode("\n",$items[appendix_names]);
		}
		if($items[appendix_dates]) {
			$appendix_dates = explode("\n",$items[appendix_dates]);
		}
		if($items[appendix]) {
			$appendix = explode("\n<!-- BEGIN NEW APPENDIX -->\n",$items[appendix]);
		}
		if($items[appendix_pdf]) {
			$appendix_pdf = explode("\n",$items[appendix_pdf]);
		}

		$comment_email = $items[comment_email];
		$paper_email = $items[paper_email];
		$delete_paper = $items[delete_paper];
		$restrict_access = $items[restrict_access];
		
		$update = $items[id];
		
		$accepted = $items[accepted];
	}
	else if($id) {
		echo "<p>Requested paper not found.</p>";
		return;
	}
	
}

// this is a new paper
if(empty($update)) {
	$update = "false";
}

// if it's an invited paper, automatically mark as accepted
if($is_invited) {
	$accepted = "true";
}

// default value for unreviewed non-invited papers
if(!$accepted) {
	$accepted = "false";
}

// default to step 1
if(!$step) { $step = 1; }

// show step 1 submission form
if($step==1) {
	if($update!="false") {
		echo "<p align=\"center\"><font class=\"SmallText\"><b>Document Metadata</b>";
		if($conference_items[paper_access] != "none" && $conference_items[submission_type] != "abstract_only" && ($accepted == "true" || $conference_items[submission_type] == "both")) {
			echo " | <a href=\"";
			if($is_invited) { echo "invited"; }
			echo print_url("submit.php?id=$id&step=2")."\">Document Submission</a>";
		}
		echo " | <a href=\"";
		if($is_invited) { echo "invited"; }
		echo print_url("submit.php?id=$id&step=3")."\">Preferences</a></font></p>";
	}
?>

<p class="ArticleTitle">A. Document Metadata</p>

<p class="instructions">The following indexing information (or metadata) for your paper will permit highly accurate online searching among a growing number of research publications and databases that comply with <a href="http://www.openarchives.org/" target="_blank">Open Archives Initiative</a> standards. You may skip items that do not apply. This metadata template will gather information for this document under the following headings:</p>

<ol class="instructions">
<li>Document Author(s)</li>
<?php if($is_noninvited) { echo "<li>Document Presentation Format</li>"; } ?>
<li>Document Title</li>
<li>Document Abstract</li>
<?php
if($accepted=="true") {
?>
<li>Document Content</li>
<?php
if($multilingual=="true") { echo "<li>Document Language</li>"; }
?>
<li>Document Sponsor</li>
<?php
}
?>
</ol>

<?php
}
// show step 2 submission form
else if($step==2 && $conference_items[paper_access] != "none" && $conference_items[submission_type] != "abstract_only" && ($accepted == "true" || $conference_items[submission_type] == "both")) {
	if($update!="false") {
		echo "<p align=\"center\"><font class=\"SmallText\"><a href=\"";
		if($is_invited) { echo "invited"; }
		echo print_url("submit.php?id=$id&step=1")."\">Document Metadata</a> | <b>Document Submission</b> | <a href=\"";
		if($is_invited) { echo "invited"; }
		echo print_url("submit.php?id=$id&step=3")."\">Preferences</a></font></p>";
	}
?>

<p class="ArticleTitle">B. Document Submission</p>

<?php
}
// show step 3 submision form
else if($step==3 && $update!="false") {
	echo "<p align=\"center\"><font class=\"SmallText\"><a href=\"";
	if($is_invited) { echo "invited"; }
	echo print_url("submit.php?id=$id&step=1")."\">Document Metadata</a>";
	if($conference_items[paper_access] != "none" && $conference_items[submission_type] != "abstract_only" && ($accepted == "true" || $conference_items[submission_type] == "both")) {
		echo " | <a href=\"";
		if($is_invited) { echo "invited"; }
		echo print_url("submit.php?id=$id&step=2")."\">Document Submission</a>";
	}
	echo " | <b>Preferences</b></font></p>";
?>
<p class="ArticleTitle">Preferences</p>
<?php
}
else {
	$step = 0;
}

?>

<form enctype="multipart/form-data" action="<?php
if($is_invited) {
	echo "invited";
}
?><?php echo print_url("submit.php"); ?>" method="post">
<input type="hidden" name="update" value="<?php echo sanitize_output($update); ?>"><input type="hidden" name="accepted" value="<?php echo sanitize_output($accepted); ?>"><input type="hidden" name="hasuploadedpaper" value="<?php
if($hasuploadedpaper) {
	echo sanitize_output($hasuploadedpaper);
}
else {
	if($paper) {
		echo "true";
	}
	else {
		echo "false";
	}
} ?>"><input type="hidden" name="step" value="<?php echo sanitize_output($step); ?>">

<?php
// show step 1 submission form
if($step==1) {
?>

<a name="authors"></a><p><b>1. Document Author(s)</b></p>
<p><b>Primary Author</b><br />
First name: <input type="text" name="first_name" value="<?php echo sanitize_output($first_name); ?>"><br />
Surname: <input type="text" name="surname" value="<?php echo sanitize_output($surname); ?>"><br />
Email address: <input type="text" name="email" value="<?php echo sanitize_output($email); ?>"><br />
<?php
// print out bio statement field, if applicable
if($conference_items[include_bio]=="true") {
	?>
	Biographical Statement (<?php if($conference_items[bio_length]) { echo $conference_items[bio_length]; } else { echo "20-300"; } ?> words)<br />
	<textarea name="bio[]" wrap="virtual" cols="75" rows="8"><?php if($bio[0]) { echo sanitize_output(add_quotes($bio[0])); } ?></textarea><br />
	<?php
}
?>

Department and University Affiliation: <input type="text" name="affiliation" value="<?php echo sanitize_output($affiliation); ?>"><br />
Personal or Institutional Website URL: <input type="text" name="url" value="<?php echo sanitize_output($url); ?>"><br />

<?php
// print out additional authors, if applicable
if(!$add_first_names) {
	$numauthors = 0;
}
else {
	$numauthors = count($add_first_names);
}

// an additional author is being added
if($add_author) {
	$numauthors++;
}

// get id of author to be deleted, if applicable
if($del_author) {
	$del_author = str_replace("Delete Author #","",$del_author);
}

// print out title only if there are additional authors
if($numauthors>0) {
	echo "</p><p><b>Additional Author(s)</b><br />";
}

// loop and print out additional authors
for($i=0; $i<$numauthors; $i++) {
	// y keeps track of author's id
	$y=$i+2;
	// only print author if it isn't specified to be deleted
	if($del_author!=$y) {
		// decrement id if an author has been deleted
		if($has_del_author) {
			$y--;
		}
		echo "First name: <input type=\"text\" name=\"add_first_names[]\" value=\"".sanitize_output($add_first_names[$i])."\"> <input type=\"submit\" name=\"del_author\" value=\"Delete Author #$y\" class=\"button\"><br />
		Surname: <input type=\"text\" name=\"add_surnames[]\" value=\"".sanitize_output($add_surnames[$i])."\"><br />
		Email address: <input type=\"text\" name=\"add_emails[]\" value=\"".sanitize_output($add_emails[$i])."\"><br />\n";
		if($conference_items[include_bio]=="true") {
			echo "Biographical Statement (";
			if($conference_items[bio_length]) { echo $conference_items[bio_length]; } else { echo "20-300"; }
			echo " words)<br />
	<textarea name=\"bio[]\" wrap=\"virtual\" cols=\"75\" rows=\"8\">";
			if($bio[$i+1]) { echo sanitize_output(add_quotes($bio[$i+1])); }
			echo "</textarea><br />\n";
		}
		echo "Department and University Affiliation: <input type=\"text\" name=\"add_affiliations[]\" value=\"".sanitize_output($add_affiliations[$i])."\"><br />
		Personal or Institutional Website URL: <input type=\"text\" name=\"add_urls[]\" value=\"".sanitize_output($add_urls[$i])."\"><br />";
	}
	// note that an author has been deleted
	else {
		$has_del_author=1;
	}
}
?></p>
<p><input type="submit" name="add_author" value="Add Additional Author" class="button"></p>


<?php
if($is_invited) {
	echo "<input type=\"hidden\" name=\"present_format\" value=\"single\">";
}
else {
	// presentation format information for non-invited papers
	echo "<a name=\"present_formats\"></a><p><b>2. Document Presentation Format</b><br />";
	// print out single present format option, if applicable
	if($conference_items[present_single]=="true") {
		echo "<p><input type=\"radio\" name=\"present_format\" value=\"single\"";
		// mark as checked if author is using this present format
		if($present_format=="single" || empty($present_format)) {
			echo " checked";
		}
		echo ">Single paper presentation<br />
	Abstract length (max words): $conference_items[present_single_length] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $conference_items[present_single_time]</p>";
	}
	
	// print out other present format options, if applicable
	if($conference_items[present_other]=="true") {
		if($present_format) {
			// get other format this paper is using
			$present_othertmp = str_replace("other % ","",$present_format);
		}
		echo "<p>Other<br />";
		// split other formats into an array
		$present_other_desc = explode("\n",$conference_items[present_other_desc]);
		$present_other_length = explode("\n",$conference_items[present_other_length]);
		$present_other_time = explode("\n",$conference_items[present_other_time]);
		// loop through other present formats and look for a match
		for($i=0; $i<count($present_other_desc); $i++) {
			$y=$i+1;
			echo "<input type=\"radio\" name=\"present_format\" value=\"other % $y\"";
			// mark as checked if author is using this present format
			if($present_othertmp==$y) {
				echo " checked";
			}
			echo ">$present_other_desc[$i]";
			if($present_other_desc[$i]) {
				echo "<br />";
			}
			echo "Abstract length (max words): $present_other_length[$i] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $present_other_time[$i]<br />";	
		}
		echo "</p>";
	
	}
	
	// print out multiple present format option, if applicable
	if($conference_items[present_multiple]=="true") {
		echo "<p><input type=\"radio\" name=\"present_format\" value=\"multiple\"";
		// mark as checked if author is using this present format
		if($present_format=="multiple") {
			echo " checked";
		}
		// print instructions
		echo ">Multiple-paper sessions<br />
	Overview of session (max words): $conference_items[present_multiple_length] &nbsp;&nbsp;&nbsp; Presentation time (minutes): $conference_items[present_multiple_time]<br />
			<font class=\"instructions\">Each of the papers in this session should be submitted separately by the authors. The multiple paper organizer alone should also submit the following information, which will enable the papers to be linked.</font><br />";
		// show additional multiple paper information, if applicable
		if(($add_multiple_info || $multiple_title) && !$del_multiple_info) {
			// show button to remove multiple paper info
			echo "<input type=\"submit\" name=\"del_multiple_info\" value=\"Delete Multiple Paper Information\" class=\"button\"></p>
				<p>a) Title of Multiple Paper Presentation: <input type=\"text\" name=\"multiple_title\" size=\"50\" value=\"".sanitize_output($multiple_title)."\"></p>
				<p>b) Multiple Paper Organizer<br />
				Name: <input type=\"text\" name=\"multiple_org_name\" value=\"".sanitize_output($multiple_org_name)."\"><br />
				Title and Affiliation: <input type=\"text\" name=\"multiple_org_aff\" value=\"".sanitize_output($multiple_org_aff)."\"><br />
				Email: <input type=\"text\" name=\"multiple_org_email\" value=\"".sanitize_output($multiple_org_email)."\"></p>
				<p>c) Overview of Session (max $conference_items[present_multiple_length] words)<br />
				<textarea name=\"multiple_overview\" wrap=\"virtual\" cols=\"50\" rows=\"10\">".sanitize_output(add_quotes($multiple_overview))."</textarea></p>
				<p>d) To link participants, list their emails (without yours) separated by a semicolon<br /><input type=\"text\" name=\"multiple_presenters\" size=\"50\" value=\"".sanitize_output($multiple_presenters)."\"></p>
				<p>e) Multiple Paper Discussant<br />
				Name: <input type=\"text\" name=\"multiple_disc_name\" value=\"".sanitize_output($multiple_disc_name)."\"><br />
				Title and Affiliation: <input type=\"text\" name=\"multiple_disc_aff\" value=\"".sanitize_output($multiple_disc_aff)."\"><br />
				Email: <input type=\"text\" name=\"multiple_disc_email\" value=\"".sanitize_output($multiple_disc_email)."\"></p>";
		}
		// else show button to add multiple paper info
		else {
			echo "<input type=\"submit\" name=\"add_multiple_info\" value=\"Add Multiple Paper Information\" class=\"button\"></p>";
		}
	}
}
?>

<p><b><?php if($is_invited) { echo "2"; } else { echo "3"; } ?>. Document Title</b>: <input type="text" name="papertitle" size="50" value="<?php echo sanitize_output(add_quotes($papertitle)); ?>"></p>

<p><b><?php if($is_invited) { echo "3"; } else { echo "4"; } ?>. Document Abstract</b><br />
Abstract deadline: <?php echo date("F j, Y",strtotime($conference_items[abstract_deadline])); ?><br />
<textarea name="abstract" wrap="virtual" cols="75" rows="15"><?php
if($abstract) {
	echo sanitize_output(add_quotes($abstract));
}
?></textarea></p>


<?php
// if paper is invited or has been accepted, show upload form and other items
if($accepted=="true") {
?>

<p><b><?php if($is_invited) { echo "4"; } else { echo "5"; } ?>. Document Content</b><br />
<font class="instructions">More than one term (separated by semi-colons, e.g., "item1; item2") can be used for any of these items, while items that do not apply to your paper can be skipped.</font></p>


<blockquote>
<p>a) Discipline(s): <input type="text" name="discipline" size="50" value="<?php echo sanitize_output($discipline); ?>">
<?php if($conference_items[discipline_ex]) { ?>
<br />
<font class="instructions">E.g., <?php echo $conference_items[discipline_ex]; ?>.</font><?php } ?></p>

<p>b) Subject(s): <input type="text" name="topic" size="50" value="<?php echo sanitize_output($topic); ?>">
<br />
<font class="instructions">This is similar to traditional keyword items.</font></p>

<p>c) Coverage: <input type="text" name="coverage" size="50" value="<?php echo sanitize_output($coverage); ?>">
<?php if($conference_items[coverage_geo_ex] || $conference_items[coverage_hist_ex] || $conference_items[coverage_sample_ex]) { ?>
<br />
<font class="instructions">E.g., <?php
if($conference_items[coverage_geo_ex]) {
	echo "Geo-spatial (e.g., $conference_items[coverage_geo_ex])";
	$has_cov = 1;
}
if($conference_items[coverage_hist_ex]) {
	if($has_cov) { echo "; "; }
	echo "Chronological (e.g., $conference_items[coverage_hist_ex])";
	$has_cov = 2;
}
if($conference_items[coverage_sample_ex]) {
	if($has_cov) { echo "; "; }
	if($has_cov==2) { echo "and/or "; }
	echo "Research sample (e.g., $conference_items[coverage_sample_ex])";
}

?>.</font><?php } ?></p>

<p>d) Type (Method/Approach):  <input type="text" name="approach" size="50" value="<?php echo sanitize_output($approach); ?>">
<?php if($conference_items[type_ex]) { ?>
<br />
<font class="instructions">E.g., <?php echo $conference_items[type_ex]; ?>.</font><?php } ?></p>
</blockquote>

<?php

// print out language input field, if applicable
if($multilingual=="true") {
	?>
<p><b><?php if($is_invited) { echo "5"; } else { echo "6"; } ?>. Document Language</b>: <input type="text" name="language" size="10" value="<?php if($language) { echo sanitize_output($language); } else { echo $conference_items[language]; } ?>"><br />
<font class="instructions">English=en; French=fr; Spanish=es (<a href="http://www.loc.gov/standards/iso639-2/langcodes.html" target="_blank">Additional codes</a>).</font>
</p>
	<?php
}
?>

<p><b><?php if($is_invited && $multilingual=="true") { echo "6"; } else if($is_invited) { echo "5"; } else if($multilingual) { echo "7"; } else { echo "6"; } ?>. Document Sponsor</b><br />
<font class="instructions">Research grants or other forms of support, for acknowledgement and analysis.</font><br />
<textarea name="sponsor" wrap="virtual" cols="75" rows="5"><?php if($sponsor) { echo sanitize_output(add_quotes($sponsor)); } ?></textarea></p>


<?php
}
}
// show step 2 submission form
else if($step==2 && ($accepted=="true" || $conference_items[submission_type] == "both")) {
?>

<input type="hidden" name="first_name" value="<?php echo sanitize_output($first_name); ?>">
<input type="hidden" name="surname" value="<?php echo sanitize_output($surname); ?>">
<input type="hidden" name="papertitle" value="<?php echo sanitize_output($papertitle); ?>">

<?php
if($conference_items[paper_access] == "restrict") {
	echo "<p class=\"instructions\">Access to your paper and appendices will be restricted to registered participants in the conference.</p>";
}
?>

<p><b>1. To Submit Your Paper</b><br />
Paper deadline: <?php echo date("F j, Y",strtotime($conference_items[paper_deadline])); ?>
<?php
if($conference_items[paper_access] == "open") {
	echo "<br />
<a href=\"".print_url("tenreasons.php")."\" target=\"_blank\">Reasons to post your paper on this conference site</a>";
}
?>
</p>
<p class="instructions"><b>Upload single-spaced copy without title, author, abstract, or citations, in HTML, PDF,<?php
if($conference_items[wordview]) {
	echo " Microsoft Word,";
}
?> or plain-text format</b> by browsing and opening file on your hard drive. If you are using a word processing application such as Microsoft Word, you may save your documents as web pages (HTML) and upload them as HTML files. If you have difficulties uploading your paper, email it as an attachment to <a href="mailto:<?php echo $conference_items[support_email]; ?>"><?php echo $conference_items[support_name]; ?></a>.</p>

<p class="instructions"><b>If Your Paper Uses Figures (diagrams, pictures, etc.)</b><br />
To ensure that your paper's figures are accurately represented online, the paper needs to be saved as a PDF (Portable Document Format) file before uploading. PDF is the standard for many scientific papers and other documents on the web. You can turn your word processing file into a PDF file by using Adobe Acrobat software or by visiting Adobe's <a href="http://createpdf.adobe.com" target=
_blank">Create PDF</a> site which allows you to create up to 5 PDF files at no cost. Prior to saving your paper as a PDF file, it should look exactly as you would like it viewed, with tables and figures placed where they should appear within the text, and allowing for page breaks if the paper is printed. For technical help, email <a href="mailto:<?php echo $conference_items[support_email]; ?>"><?php echo $conference_items[support_name]; ?></a>.

</p>

<p><input name="paper_file" type="file"><br />
Type of file: <input type="radio" name="filetype" value="html" checked>HTML <input type="radio" name="filetype" value="pdf">PDF <?php if($conference_items[wordview]) { ?><input type="radio" name="filetype" value="word">Word <?php } ?><input type="radio" name="filetype" value="text">Plain text
<?php
$date = explode("-",$paper_date);
// print date paper was last modified
if($paper && $paper_date) {
	echo "<br />Last modified: ".$date[1]."/".$date[2]."/".$date[0];
}
echo "</p>";
// print textarea with the full text of the paper if it is not a PDF
if($paper && $paper!="PDF") {
	echo "<p><font class=\"instructions\">Or edit a paper you have already submitted.</font><br />
	<textarea name=\"paper\" wrap=\"virtual\" cols=\"75\" rows=\"20\">";
	// replace quotes and ampersands with special characters to prevent weird formatting issues
	$paper=add_quotes($paper);
	echo sanitize_output($paper);
	echo "</textarea></p>";
}
// print hidden paper field if paper is a PDF
if($paper=="PDF") {
	echo "<blockquote><font class=\"instructions\">Current paper is a PDF.</font></blockquote><input type=\"hidden\" name=\"paper\" value=\"PDF\"><input type=\"hidden\" name=\"pdf\" value=\"".sanitize_output($pdf)."\">";
}
// print hidden date field with last modification date
echo "<input type=\"hidden\" name=\"paper_date\" value=\"".sanitize_output($paper_date)."\">";
?>


<a name="appendices"></a><p><b>2. To Submit Appendices (Research Instruments, Data, Transcripts, Materials, etc.)</b><br />
<p class="instructions">Post research materials to support and extend readers' engagement with your work after ensuring that they do not compromise research subject anonymity.</p>
<?php
if($appendix_names) {
	$num_appendix = count($appendix_names);
}
else { $num_appendix = 1; }
if($add_appendix) { $num_appendix++; }

for($i=0; $i<$num_appendix; $i++) {
?>
<p>Descriptive name for Appendix: <input type="text" name="appendix_names[]" value="<?php echo sanitize_output($appendix_names[$i]); ?>"><br />
<input name="appendix_file[<?php echo $i; ?>]" type="file"><br />
Type of file: <input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="html" checked>HTML <input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="pdf">PDF <?php if($conference_items[wordview]) { ?><input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="word">Word <?php } ?><input type="radio" name="appendix_filetype[<?php echo $i; ?>]" value="text">Plain text
<?php
$date = explode("-",$appendix_dates[$i]);
// print date appendix was last modified
if($appendix[$i] && $appendix_dates[$i]) {
	echo "<br />Last modified: ".$date[1]."/".$date[2]."/".$date[0];
}
echo "</p>";
// print textarea with the full text of the appendix if it is not a PDF
if($appendix[$i] && $appendix[$i]!="PDF") {
	echo "<p><font class=\"instructions\">Or edit the appendix directly</font><br />
	<textarea name=\"appendix[]\" wrap=\"virtual\" cols=\"75\" rows=\"20\">";
	// replace quotes and ampersands with special characters to prevent weird formatting issues
	$appendix[$i]=add_quotes($appendix[$i]);
	echo sanitize_output($appendix[$i]);
	echo "</textarea></p>";
}
// print hidden appendix field if appendix is a PDF
if($appendix[$i]=="PDF") {
	echo "<blockquote><font class=\"instructions\">Current appendix is a PDF.</font></blockquote><input type=\"hidden\" name=\"appendix[]\" value=\"PDF\"><input type=\"hidden\" name=\"appendix_pdf[]\" value=\"".sanitize_output($appendix_pdf[$i])."\">";
}
else {
	echo "<input type=\"hidden\" name=\"appendix_pdf[]\" value=\"0\">";
}
// print hidden date field with last modification date
echo "<input type=\"hidden\" name=\"appendix_dates[]\" value=\"".sanitize_output($appendix_dates[$i])."\">";
}
?>
<p><input type="submit" name="add_appendix" value="Add Additional Appendix" class="button"></p>


<p><b>3. Additional Options</b><br />
<?php
	// print out additional author options, as applicable
	if($author_options[delete_paper]=="true") {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"checkbox\" name=\"delete_paper\" value=\"true\"";
		if($delete_paper=="true") { echo " checked"; }
		echo "> Delete my paper at conference's conclusion.<br />";
	}
	if($conference_items[paper_access] == "open" && $conference_items[submission_type] != "abstract_only" && $author_options[restrict_access]=="true") {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"checkbox\" name=\"restrict_access\" value=\"true\"";
		if($restrict_access=="true") { echo " checked"; }
		echo "> For my paper, restrict access to registered conference participants.<br />";
	}

?></p>

<p><?php
// print out copyright notice
echo nl2br($conference_items[copyright_notice]);
?></p>


<?php
// show appropriate note regarding registration
if($conference_items[reg_options]) {
	$reg_options = explode("\n",$conference_items[reg_options]);
	$reg_options[exempt_presenters]=$reg_options[1];
	$reg_options[exempt_speakers]=$reg_options[2];
	?>
	<p>Note: <?php
	if($is_invited) {
		if($reg_options[exempt_speakers]=="true") {
			echo "Invited speakers are exempt from <a href=\"".print_url("registration.php")."\" target=\"_blank\">Registration</a>.";
		}
		else {
			echo "Invited speakers must <a href=\"".print_url("registration.php")."\" target=\"_blank\">Register</a>.";
		}
	}
	else {
		if($reg_options[exempt_presenters]=="true") {
			echo "Accepted presenters are exempt from <a href=\"".print_url("registration.php")."\" target=\"_blank\">Registration</a>.";
		}
		else {
			echo "Accepted presenters must <a href=\"".print_url("registration.php")."\" target=\"_blank\">Register</a>.";
		}
	}
	?></p>
<?php
}
?>

<?php
}


// show step 3 submission form
else if($step == 3) {
	?>
	<p class="instructions">The following additional preferences are available.</p>
	<blockquote>
	<?php
	if($conference_items[allow_comments]=="true") {
		?>
		<p><input type="checkbox" name="comment_email" value="true"<?php if($comment_email=="true") { echo " checked"; } ?>> Email me when a comment is posted on this paper.</p>
		<?php
	}

	?>
	<p><input type="checkbox" name="paper_email" value="true"<?php if($paper_email=="true") { echo " checked"; } ?>> Email me when a paper is posted on the site.</p>
	</blockquote>
	<?php
}


// print ten reasons link
if($accepted == "false" && $conference_items[paper_access] == "open" && $conference_items[submission_type] == "abstract_first") {
	?>
	<p class="instructions">If your abstract is accepted for this conference, you will be invited to post the full paper on this site, and there are at least <a href="<?php echo print_url("tenreasons.php"); ?>" target="_blank">ten good reasons</a> for doing so.</p>
	<?php
}
else if($accepted == "false" && $conference_items[paper_access] == "restrict") {
	?>
	<p class="instructions">If your abstract is accepted for this conference, you will be invited to post the full paper on this site, with access restricted to conference participants.</p>
	<?php
}
?>

<p class="instructions">Open Conference Systems has been developed by the <a href="http://www.pkp.ubc.ca/" target="_blank">Public Knowledge Project</a> to improve the organization and access of online research and thus increase its scholarly and public value.</p>

<?php
if($step && $step != 3) {
	?>
<p><input type="submit" name="preview" value="Preview and Continue" class="button"> <input type="reset" value="Reset Form" class="button"></p>
	<?php
}
else if($step == 3) {
	?>
<p><input type="submit" name="submit" value="Submit" class="button"></p>
	<?php
}
?>
</form>

<p><font class="MainText"><b><a href="<?php echo print_url($PHP_SELF); ?>">Back to <?php echo $title; ?></a></b></font></p>

<p><font class="MainText"><b><a href="<?php echo print_url("privacy.php"); ?>" target="_blank">Privacy Policy</a></b></font></p>

<?php
}
?>
