<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/submitform.inc.php
// 
// $Id: submitupload.inc.php,v 1.5 2003/04/01 07:58:47 kevin Exp $
// 
// handles uploading of submitted papers/appendices

if(eregi("submit.php", $PHP_SELF) || eregi("editpaper.php", $PHP_SELF)) {
	
	$paper_err = "";
	$paper_file = $HTTP_POST_FILES[paper_file][tmp_name];
	$paper_file_name = $HTTP_POST_FILES[paper_file][name];
	$paper_file_type = $HTTP_POST_FILES[paper_file][type];
	
	// date this paper was last modified
	$paper_date = date("Y-m-d");
	
	// get the uploaded paper
	if(is_uploaded_file($paper_file)) {
		list($id, $username) = sanitize_db_input($id, $username);
	
		// remove old paper PDF if uploading replacement
		if($id) {
			$result = $db->query("select pdf from $dbtable[papers] where id='$id' and login='$username' and cf='$cf'");
			if($db->num_rows($result) != 0) {
				$tmp_items = $db->assoc_array($result);
				if($tmp_items[pdf] && file_exists($fullpath . "papers/$tmp_items[pdf]")) {
					unlink($fullpath . "papers/$tmp_items[pdf]");
				}
			}
			$db->query("update $dbtable[papers] set pdf='' where id='$id' and login='$username' and cf='$cf'");
		}
		
		// get rid of troublesome characters
		$paper_name = str_replace(" ","",$paper_file_name);
		$paper_name = str_replace("/","",$paper_name);
		$paper_name = str_replace("'","",$paper_name);
		$paper_name = str_replace("\"","",$paper_name);
		
		$old_file = $paper_file;
		$new_file = $tmpdir.$paper_name.html;
		
		// if the uploaded file is a word document
		if($filetype=="word") {
			if(!eregi("application/msword", $paper_file_type)) {
				$paper_err = "Unable to upload $paper_file_name. It is not a Microsoft Word file.";
			}
			else {
				// convert the word file to html using mswordview
				exec("$conference_items[wordview] $old_file -o $new_file");
				$paper = addslashes(join("", file($new_file)));
				unlink($old_file);
				unlink($new_file);
			}
		}
		
		// if the uploaded file is an html document
		else if($filetype=="html") {
			if(!eregi("text/html", $paper_file_type) && !eregi("application/octet-stream", $paper_file_type)) {
				$paper_err = "Unable to upload $paper_file_name. It is not an HTML file.";
			}
			else {
				$paper = addslashes(join("", file($old_file)));
				unlink($old_file);
			}
		}
		
		// if the uploaded file is a pdf document
		else if($filetype=="pdf") {
			if(!eregi("application/pdf", $paper_file_type)) {
				$paper_err = "Unable to upload $paper_file_name. It is not a PDF file.";
			}
			else {
				// store "PDF" in the paper database column to indicate paper is in PDF format
				$paper = "PDF";
				
				// give random name to uploaded PDF
				$new_file = substr(md5(microtime()), 0, 28).".pdf";
							
				// check that someone else hasn't uploaded a file with the same name
				while(file_exists($fullpath."papers/".$new_file)) {
					$new_file = substr(md5(microtime()), 0, 28).".pdf";
				}
				
				$pdf = $new_file;
								
				// upload the file to the papers directory
				$new_file = $fullpath."papers/".$new_file;
				move_uploaded_file($old_file,$new_file);
				
				// update pdf name in database
				if($id) {
					$db->query("update $dbtable[papers] set pdf='$pdf' where id='$id' and login='$username' and cf='$cf'");
				}
			}
		}
		
		// if the uploaded file is a plain text document
		else {
			if(!eregi("text/plain", $paper_file_type) && !eregi("application/octet-stream", $paper_file_type)) {
				$paper_err = "Unable to upload $paper_file_name. It is not a plain text file.";
			}
			else {
				$paper = addslashes(join("", file($old_file)));
				unlink($old_file);
				
				// remove Windows and Mac line breaks
				$paper = str_replace("\r\n", "\n", $paper);
				$paper = str_replace("\r", "\n", $paper);
				
				// convert line breaks to html line breaks
				$paper= str_replace("\n", "<br />\n", $paper);
			}
		}
		
		// remove custom body background color in an uploaded html file
		$paper = preg_replace("/ bgcolor=[^\s]*/i","",$paper);
		
		// remove custom fonts
		//$paper = preg_replace("/ face=\"[^\"]*/i"," face=\"$defaultfonts",$paper);
		//$paper = preg_replace("/ face=[^\"][^\s>]*/i"," face=\"$defaultfonts\"",$paper);
		//$paper = preg_replace("/font-family:[^;\n]*/i","font-family:$defaultfonts",$paper);
		//$paper = str_replace("<p>","<p class=\"ArticleAbstract\">",$paper);
		
	}
	
	
	if($appendix_names) {
		$num_appendix = count($appendix_names);
	}
	else {
		$num_appendix = 0;
	}
	
	// handle uploaded appendices
	for($i=0; $i<$num_appendix; $i++) {
		$appendix_file[$i] = $HTTP_POST_FILES[appendix_file][tmp_name][$i];
		$appendix_file_name[$i] = $HTTP_POST_FILES[appendix_file][name][$i];
		$appendix_file_type[$i] = $HTTP_POST_FILES[appendix_file][type][$i];
	
		if($appendix_names[$i]!="" && is_uploaded_file($appendix_file[$i])) {
		
			// get current append
			$appendix_dates[$i] = date("Y-m-d");
			if(!$appendix_pdf[$i]) { $appendix_pdf[$i] = "0"; }
			// get rid of troublesome characters
			
			$appendix_filename[$i] = preg_replace("/[^A-Z]/i", "", $appendix_file_name[$i]);
			
			$old_file = $appendix_file[$i];
			$new_file = $tmpdir.$appendix_filename[$i].html;
			
			// if the uploaded file is a word document
			if($appendix_filetype[$i]=="word") {
				if(!eregi("application/msword", $appendix_file_type[$i])) {
					$appendix_err[$i] = "Unable to upload $appendix_file_name[$i]. It is not a Microsoft Word file.";
				}
				else {		
					// convert the word file to html using mswordview
					exec("$conference_items[wordview] $old_file -o $new_file");
					$appendix[$i] = addslashes(join("", file($new_file)));
					unlink($old_file);
					unlink($new_file);
				}
			}
			
			// if the uploaded file is an html document
			else if($appendix_filetype[$i]=="html") {
				if(!eregi("text/html", $appendix_file_type[$i]) && !eregi("application/octet-stream", $appendix_file_type[$i])) {
					$appendix_err[$i] = "Unable to upload $appendix_file_name[$i]. It is not an HTML file.";
				}
				else {		
					$appendix[$i] = addslashes(join("", file($old_file)));
					unlink($old_file);
				}
			}
			
			// if the uploaded file is a pdf document
			else if($appendix_filetype[$i]=="pdf") {
				if(!eregi("application/pdf", $appendix_file_type[$i])) {
					$appendix_err[$i] = "Unable to upload $appendix_file_name[$i]. It is not a PDF file.";
				}
				else {		
					// store "PDF" in the database column to indicate appendix is in PDF format
					$appendix[$i] = "PDF";
					
					// set the name of the uploaded pdf
					$new_file = "$surname-$first_name-A";
					
					// remove troublesome characters
					$new_file = preg_replace("/[^A-Z0-9]/i", "", $new_file);
					
					// check that someone else hasn't uploaded a file with the same name
					if($appendix_pdf[$i]!="$new_file.pdf") {
						$x=1;
						while(file_exists($fullpath."papers/$new_file.pdf")) {
							$new_file = "$surname-$first_name-A$x";
							$new_file = preg_replace("/[^A-Z0-9]/i", "", $new_file);
							$x++;
						}
					}
					
					$new_file = "$new_file.pdf";
					
					$appendix_pdf[$i] = $new_file;
									
					// upload the file to the papers directory
					$new_file = $fullpath."papers/".$new_file;
					move_uploaded_file($old_file,$new_file);
				}
			}
			
			// if the uploaded file is a plain text document
			else {
				if(!eregi("text/plain", $appendix_file_type[$i]) && !eregi("application/octet-stream", $appendix_file_type[$i])) {
					$appendix_err[$i] = "Unable to upload $appendix_file_name[$i]. It is not a plain text file.";
				}
				else {
					$appendix[$i] = addslashes(join("", file($old_file)));
					unlink($old_file);
					
					// remove Windows and Mac line breaks
					$appendix[$i] = str_replace("\r\n", "\n", $appendix[$i]);
					$appendix[$i] = str_replace("\r", "\n", $appendix[$i]);
					
					// convert line breaks to html line breaks
					$appendix[$i] = str_replace("\n", "<br />\n", $appendix[$i]);
				}
			}
			
		}
	}
}
