<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// include/validate.inc.php
// 
// $Id: validate.inc.php,v 1.3 2003/04/01 07:58:47 kevin Exp $
// 
// validates a supplied username and password in the indicated database, as well as returning the user's name, email, and other info


// include necessary files
include_once("include/db.inc.php");

// validate username and password
function validate($username, $password, $table, $where = "", $md5 = false) {
	// global variables
	global $db, $cf, $errormsg;
	global $fullname, $name, $first_name, $surname, $email, $affiliation, $url;
	
	list($username, $password) = sanitize_db_input($username, $password);
	
	if(!$username || !$password) { return false; }
	
	if($md5) { $password = md5($password); }
	
	// check the user's username in the database
	$sql = "select * from $table where login='$username'";
	if($where) { $sql .= " and $where"; }
	$sql .= " and cf='$cf'";
	$result = $db->query($sql);
	$items = $db->assoc_array($result);
		
	// if username is valid, check the password
	if($items[login]) {
		// check that the password is valid and return true
		if($password == md5(base64_decode($items[password]))) {
			// set the value of various variables
			if($items[name]) {
				$fullname = $items[name];
				$name = explode(" ",$fullname);
				// make sure first_name field includes any middle names as well
				if(!$first_name) {
					for($i=0; $i<count($name); $i++) {
						if($i>0) {
							if($i == count($name) - 1) { break; }
							$first_name .= " ";
						}
						$first_name .= $name[$i];
					 }
				}
				if(!$surname && count($name) > 1) {
					$surname = $name[count($name)-1];
				}
			}
			else {
				$fullname = "$items[first_name] $items[surname]";
				if(!$first_name) { $first_name = $items[first_name]; }
				if(!$surname) { $surname = $items[surname]; }
			}
			if(!$email) {
				$email = $items[email];
			}
			if(!$affiliation) {
				$affiliation = $items[affiliation];
			}
			if(!$url) {
				$url = $items[url];
			}
			return true;
		}
		
		// if password is invalid, return false and error message
		else {
			$errormsg = "Login failed. Sorry, the password you entered was incorrect. Remember that your username and password are case sensitive.";
			return false;
		}
	}
	
	// if login is invalid, return false and error message
	else {
		$errormsg = "Login failed. ";
		if($username) {
			$errormsg .= "Sorry, the username $username is not in our database. Remember that your username and password are case sensitive.";
		}
		return false;
	}
}


// function to determine if user can view a paper

function paper_access($items, $username, $password) {
	global $conference_items, $dbtable;
	
	list($username, $password) = sanitize_db_input($username, $password);

	// check if author has submitted full text and paper can be accessed
	if(!$items[paper] || $conference_items[paper_access] == "none") {
		$can_view = "Not available";
	}
	
	// check if author has selected to delete paper at conference's conclusion
	else if($items[delete_paper]=="true" && time()>=(strtotime($conference_items[end_date])+86400)) {
		$can_view = "Paper removed by author";
	}
	
	// check if access is restricted to participants
	else if($items[restrict_access] == "true" || $conference_items[paper_access] == "restrict") {
		// validate user
		if(validate($username,$password,$dbtable[invited_speakers]) || validate($username,$password,$dbtable[papers],"accepted='true'")) {
			$can_view = "true";
		}
		else {
			$can_view = "<a href=\"".print_url("viewabstract.php?id=$items[id]&show=login")."\">Login to access</a>";
		}
	}
	
	else {
		$can_view = "true";
	}
	
	return $can_view;
	
}

?>