<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// install.php
// 
// $Id: install.php,v 1.12 2003/04/01 08:04:46 kevin Exp $
// 
// script to install Open Conference Systems
// please remove/rename this script when finished installation so it is not accidentally rerun


// hack for servers with register_globals turned off
if(!((bool) ini_get("register_globals"))) {
	// extract $_SERVER, $_POST, $_GET, and $_SESSION into the global namespace
	if(isset($_SERVER) && is_array($_SERVER)) {
		extract($_SERVER);
	} else if(isset($HTTP_SERVER_VARS) && is_array($HTTP_SERVER_VARS)) {
		extract($HTTP_SERVER_VARS);
	}
	
	if(isset($_GET) && is_array($_GET)) {
		extract($_GET);
	} else if(isset($HTTP_GET_VARS) && is_array($HTTP_GET_VARS)) {
		extract($HTTP_GET_VARS);
	}
	
	if(isset($_POST) && is_array($_POST)) {
		extract($_POST);
	} else if(isset($HTTP_POST_VARS) && is_array($HTTP_POST_VARS)) {
		extract($HTTP_POST_VARS);
	}
	
	if(isset($_SESSION) && is_array($_SESSION)) {
		extract($_SESSION);
	} else if(isset($HTTP_SESSION_VARS) && is_array($HTTP_SESSION_VARS)) {
		extract($HTTP_SESSION_VARS);
	}
}


// this page's title
$title = "Install Open Conference Systems";

// include theme file
include("include/theme.inc.php");
	
// include the html header file
include("include/header.inc.php");


unset($error);
function error($msg) {
	echo "<p><font color=\"#ff0000\">$msg</font></p>";
}


function theme_set_images() {
	global $themesdir;
	global $title_image, $logo_image;
	
	$title_image = "<img src=\"".$themesdir."images/title.gif\" border=\"0\" vspace=\"0\" hspace=\"0\" alt=\"$items[name]\">";

	$logo_image = "<img src=\"".$themesdir."images/logo.gif\" border=\"0\" vspace=\"0\" hspace=\"0\">";
}


// handle what needs to be done for each step

// handle database configuration
if($step==2 && !$edit_db_config && !$skip) {
	// set values for persistent connections and full text search options
	if(!$db_pconnect) { $db_pconnect = "0"; }
	if($db_dbtype == "mysql") { $db_enable_fulltext = "1"; }
	else { $db_enable_fulltext = "0"; }
	if($db_dbtype == "mysql_old") { $db_dbtype = "mysql"; }
	
	// include database class definition
	include("include/db/db.$db_dbtype.inc.php");
	
	// check that we can connect to the database server
	$db = new db_connection($db_dbtype);
	$db->connect($db_hostname, $db_port, $db_username, $db_pass, $db_pconnect) or $error = "connectdb";
	
	// create the database, if necessary
	if(!isset($error) && !$db_exists) {
		$db->create_db($db_database) or $error = "createdb";
	}
	
	// connect to the database
	if(!isset($error)) {
		$db->connect($db_hostname, $db_port, $db_username, $db_pass, $db_pconnect, $db_database) or $error = "selectdb";
	}
	
	// create the tables
	if(!isset($error)) {
		// create the global conference table
		$db->query("create table $db_table_global (
			multi INT NOT  NULL DEFAULT 0,
			baseurl VARCHAR(255) NOT NULL DEFAULT '',
			basedir VARCHAR(255) NOT NULL DEFAULT '',
			tmpdir VARCHAR(255) NOT NULL DEFAULT '',
			repositoryid VARCHAR(60) NOT NULL DEFAULT '',
			defaultfonts VARCHAR(255) NOT NULL DEFAULT '',
			admin_login VARCHAR(32) NOT NULL DEFAULT '',
			admin_password VARCHAR(32) NOT NULL DEFAULT '',
			name VARCHAR(255) NOT NULL DEFAULT '',
			sponsor VARCHAR(255) NOT NULL DEFAULT '',
			sponsor_url VARCHAR(255) NOT NULL DEFAULT '',
			institution VARCHAR(255) NOT NULL DEFAULT '',
			department VARCHAR(255) NOT NULL DEFAULT '',
			address VARCHAR(255) NOT NULL DEFAULT '',
			city VARCHAR(60) NOT NULL DEFAULT '',
			province VARCHAR(60) NOT NULL DEFAULT '',
			country VARCHAR(60) NOT NULL DEFAULT '',
			postal_code VARCHAR(12) NOT NULL DEFAULT '',
			contact_email VARCHAR(60) NOT NULL DEFAULT '',
			intro TEXT NOT NULL DEFAULT '',
			theme VARCHAR(32) NOT NULL DEFAULT '',
			title_image VARCHAR(12) NOT NULL DEFAULT '',
			title_text VARCHAR(255) NOT NULL DEFAULT '',
			logo_image VARCHAR(12) NOT NULL DEFAULT ''
		)") or $error = "createtables";

		if(!isset($error)) { $db->query("insert into $db_table_global (name) values ('Open Conference Systems')") or $error = "createtables"; }
	}
	if(!isset($error)) {	
		// create the conference table
		if($db_dbtype == "pgsql") {
			$db->query("create table $db_table_conference (
				id SERIAL PRIMARY KEY,
				admin_login VARCHAR(32) NOT NULL DEFAULT '',
				admin_password VARCHAR(32) NOT NULL DEFAULT '',
				name VARCHAR(255) NOT NULL DEFAULT '',
				directors TEXT NOT NULL DEFAULT '',
				director_titles TEXT NOT NULL DEFAULT '',
				director_emails TEXT NOT NULL DEFAULT '',
				contact_name VARCHAR(60) NOT NULL DEFAULT '',
				contact_title VARCHAR(60) NOT NULL DEFAULT '',
				contact_email VARCHAR(60) NOT NULL DEFAULT '',
				contact_address VARCHAR(255) NOT NULL DEFAULT '',
				contact_phone VARCHAR(20) NOT NULL DEFAULT '',
				contact_fax VARCHAR(20) NOT NULL DEFAULT '',
				contact_notify INT NOT NULL DEFAULT 0,
				support_name VARCHAR(60) NOT NULL DEFAULT '',
				support_email VARCHAR(60) NOT NULL DEFAULT '',
				sponsor VARCHAR(255) NOT NULL DEFAULT '',
				sponsor_url VARCHAR(255) NOT NULL DEFAULT '',
				institution VARCHAR(255) NOT NULL DEFAULT '',
				department VARCHAR(255) NOT NULL DEFAULT '',
				address VARCHAR(255) NOT NULL DEFAULT '',
				city VARCHAR(60) NOT NULL DEFAULT '',
				province VARCHAR(60) NOT NULL DEFAULT '',
				country VARCHAR(60) NOT NULL DEFAULT '',
				postal_code VARCHAR(12) NOT NULL DEFAULT '',
				contributors TEXT NOT NULL DEFAULT '',
				contributor_urls TEXT NOT NULL DEFAULT '',
				start_date DATE,
				end_date DATE,
				abstract_deadline DATE,
				paper_deadline DATE,
				accept_deadline DATE,
				deadline_close TEXT NOT NULL DEFAULT '',
				intro TEXT NOT NULL DEFAULT '',
				overview TEXT NOT NULL DEFAULT '',
				program TEXT NOT NULL DEFAULT '',
				call_for_papers VARCHAR(5) NOT NULL DEFAULT '',
				present_single VARCHAR(5) NOT NULL DEFAULT '',
				present_single_length INT NOT NULL DEFAULT 0,
				present_single_time INT NOT NULL DEFAULT 0,
				present_other VARCHAR(5) NOT NULL DEFAULT '',
				present_other_desc VARCHAR(255) NOT NULL DEFAULT '',
				present_other_length INT NOT NULL DEFAULT 0,
				present_other_time INT NOT NULL DEFAULT 0,
				present_multiple VARCHAR(5) NOT NULL DEFAULT '',
				present_multiple_length INT NOT NULL DEFAULT 0,
				present_multiple_time INT NOT NULL DEFAULT 0,
				call_notice TEXT NOT NULL DEFAULT '',
				ref_distinguish VARCHAR(5) NOT NULL DEFAULT '',
				submission_type VARCHAR(24) NOT NULL DEFAULT '',
				peer_review VARCHAR(12) NOT NULL DEFAULT '',
				review_blind VARCHAR(12) NOT NULL DEFAULT '',
				review_deadline DATE,
				num_reviewers INT NOT NULL DEFAULT 0,
				review_assign VARCHAR(12) NOT NULL DEFAULT '',
				review_email TEXT NOT NULL DEFAULT '',
				review_com VARCHAR(255) NOT NULL DEFAULT '',
				review_rec VARCHAR(255) NOT NULL DEFAULT '',
				review_anon VARCHAR(5) NOT NULL DEFAULT '',
				review_accept TEXT NOT NULL DEFAULT '',
				review_reject TEXT NOT NULL DEFAULT '',
				invited_papers VARCHAR(5) NOT NULL DEFAULT '',
				invited_email TEXT NOT NULL DEFAULT '',
				allow_comments VARCHAR(5) NOT NULL DEFAULT '',
				discussion VARCHAR(5) NOT NULL DEFAULT '',
				discussion_url VARCHAR(255) NOT NULL DEFAULT '',
				discussion_email TEXT NOT NULL DEFAULT '',
				discipline_ex VARCHAR(255) NOT NULL DEFAULT '',
				coverage_geo_ex VARCHAR(255) NOT NULL DEFAULT '',
				coverage_hist_ex VARCHAR(255) NOT NULL DEFAULT '',
				coverage_sample_ex VARCHAR(255) NOT NULL DEFAULT '',
				type_ex VARCHAR(255) NOT NULL DEFAULT '',
				multilingual VARCHAR(5) NOT NULL DEFAULT '',
				language VARCHAR(30) NOT NULL DEFAULT '',
				include_bio VARCHAR(5) NOT NULL DEFAULT '',
				bio_length INT NOT NULL DEFAULT 0,
				paper_access VARCHAR(12) NOT NULL DEFAULT '',
				wordview VARCHAR(255) NOT NULL DEFAULT '',
				copyright_notice TEXT NOT NULL DEFAULT '',
				author_options TEXT NOT NULL DEFAULT '',
				rst VARCHAR(32) NOT NULL DEFAULT '',
				citation_style VARCHAR(5) NOT NULL DEFAULT '',
				related_links VARCHAR(5) NOT NULL DEFAULT '',
				schedule VARCHAR(5) NOT NULL DEFAULT '',
				registration VARCHAR(5) NOT NULL DEFAULT '',
				reg_limit VARCHAR(6) NOT NULL DEFAULT '',
				reg_close_date DATE,
				reg_details TEXT NOT NULL DEFAULT '',
				reg_levels TEXT NOT NULL DEFAULT '',
				reg_fees TEXT NOT NULL DEFAULT '',
				reg_late_date DATE,
				reg_levels_late TEXT NOT NULL DEFAULT '',
				reg_fees_late TEXT NOT NULL DEFAULT '',
				reg_invoice VARCHAR(5) NOT NULL DEFAULT '',
				reg_pay_options TEXT NOT NULL DEFAULT '',
				reg_options TEXT NOT NULL DEFAULT '',
				reg_accomm TEXT NOT NULL DEFAULT '',
				reg_travel TEXT NOT NULL DEFAULT '',
				reg_map VARCHAR(255) NOT NULL DEFAULT '',
				theme VARCHAR(32) NOT NULL DEFAULT '',
				title_image VARCHAR(12) NOT NULL DEFAULT '',
				title_text VARCHAR(255) NOT NULL DEFAULT '',
				logo_image VARCHAR(12) NOT NULL DEFAULT '',
				active INT NOT NULL DEFAULT 0
			)") or $error = "createtables";
		}
		else {
			 $db->query("create table $db_table_conference (
				id INT AUTO_INCREMENT PRIMARY KEY,
				admin_login VARCHAR(32) NOT NULL DEFAULT '',
				admin_password VARCHAR(32) NOT NULL DEFAULT '',
				name VARCHAR(255) NOT NULL DEFAULT '',
				directors TEXT NOT NULL DEFAULT '',
				director_titles TEXT NOT NULL DEFAULT '',
				director_emails TEXT NOT NULL DEFAULT '',
				contact_name VARCHAR(60) NOT NULL DEFAULT '',
				contact_title VARCHAR(60) NOT NULL DEFAULT '',
				contact_email VARCHAR(60) NOT NULL DEFAULT '',
				contact_address VARCHAR(255) NOT NULL DEFAULT '',
				contact_phone VARCHAR(20) NOT NULL DEFAULT '',
				contact_fax VARCHAR(20) NOT NULL DEFAULT '',
				contact_notify INT NOT NULL DEFAULT 0,
				support_name VARCHAR(60) NOT NULL DEFAULT '',
				support_email VARCHAR(60) NOT NULL DEFAULT '',
				sponsor VARCHAR(255) NOT NULL DEFAULT '',
				sponsor_url VARCHAR(255) NOT NULL DEFAULT '',
				institution VARCHAR(255) NOT NULL DEFAULT '',
				department VARCHAR(255) NOT NULL DEFAULT '',
				address VARCHAR(255) NOT NULL DEFAULT '',
				city VARCHAR(60) NOT NULL DEFAULT '',
				province VARCHAR(60) NOT NULL DEFAULT '',
				country VARCHAR(60) NOT NULL DEFAULT '',
				postal_code VARCHAR(12) NOT NULL DEFAULT '',
				contributors TEXT NOT NULL DEFAULT '',
				contributor_urls TEXT NOT NULL DEFAULT '',
				start_date DATE,
				end_date DATE,
				abstract_deadline DATE,
				paper_deadline DATE,
				accept_deadline DATE,
				deadline_close TEXT NOT NULL DEFAULT '',
				intro LONGTEXT NOT NULL DEFAULT '',
				overview LONGTEXT NOT NULL DEFAULT '',
				program LONGTEXT NOT NULL DEFAULT '',
				call_for_papers VARCHAR(5) NOT NULL DEFAULT '',
				present_single VARCHAR(5) NOT NULL DEFAULT '',
				present_single_length INT NOT NULL DEFAULT 0,
				present_single_time INT NOT NULL DEFAULT 0,
				present_other VARCHAR(5) NOT NULL DEFAULT '',
				present_other_desc VARCHAR(255) NOT NULL DEFAULT '',
				present_other_length INT NOT NULL DEFAULT 0,
				present_other_time INT NOT NULL DEFAULT 0,
				present_multiple VARCHAR(5) NOT NULL DEFAULT '',
				present_multiple_length INT NOT NULL DEFAULT 0,
				present_multiple_time INT NOT NULL DEFAULT 0,
				call_notice LONGTEXT NOT NULL DEFAULT '',
				ref_distinguish VARCHAR(5) NOT NULL DEFAULT '',
				submission_type VARCHAR(24) NOT NULL DEFAULT '',
				peer_review VARCHAR(12) NOT NULL DEFAULT '',
				review_blind VARCHAR(12) NOT NULL DEFAULT '',
				review_deadline DATE,
				num_reviewers INT NOT NULL DEFAULT 0,
				review_assign VARCHAR(12) NOT NULL DEFAULT '',
				review_email LONGTEXT NOT NULL DEFAULT '',
				review_com VARCHAR(255) NOT NULL DEFAULT '',
				review_rec VARCHAR(255) NOT NULL DEFAULT '',
				review_anon VARCHAR(5) NOT NULL DEFAULT '',
				review_accept LONGTEXT NOT NULL DEFAULT '',
				review_reject LONGTEXT NOT NULL DEFAULT '',
				invited_papers VARCHAR(5) NOT NULL DEFAULT '',
				invited_email LONGTEXT NOT NULL DEFAULT '',
				allow_comments VARCHAR(5) NOT NULL DEFAULT '',
				discussion VARCHAR(5) NOT NULL DEFAULT '',
				discussion_url VARCHAR(255) NOT NULL DEFAULT '',
				discussion_email LONGTEXT NOT NULL DEFAULT '',
				discipline_ex VARCHAR(255) NOT NULL DEFAULT '',
				coverage_geo_ex VARCHAR(255) NOT NULL DEFAULT '',
				coverage_hist_ex VARCHAR(255) NOT NULL DEFAULT '',
				coverage_sample_ex VARCHAR(255) NOT NULL DEFAULT '',
				type_ex VARCHAR(255) NOT NULL DEFAULT '',
				multilingual VARCHAR(5) NOT NULL DEFAULT '',
				language VARCHAR(30) NOT NULL DEFAULT '',
				include_bio VARCHAR(5) NOT NULL DEFAULT '',
				bio_length INT NOT NULL DEFAULT 0,
				paper_access VARCHAR(12) NOT NULL DEFAULT '',
				wordview VARCHAR(255) NOT NULL DEFAULT '',
				copyright_notice TEXT NOT NULL DEFAULT '',
				author_options TEXT NOT NULL DEFAULT '',
				rst VARCHAR(32) NOT NULL DEFAULT '',
				citation_style VARCHAR(5) NOT NULL DEFAULT '',
				related_links VARCHAR(5) NOT NULL DEFAULT '',
				schedule VARCHAR(5) NOT NULL DEFAULT '',
				registration VARCHAR(5) NOT NULL DEFAULT '',
				reg_limit VARCHAR(6) NOT NULL DEFAULT '',
				reg_close_date DATE,
				reg_details TEXT NOT NULL DEFAULT '',
				reg_levels TEXT NOT NULL DEFAULT '',
				reg_fees TEXT NOT NULL DEFAULT '',
				reg_late_date DATE,
				reg_levels_late TEXT NOT NULL DEFAULT '',
				reg_fees_late TEXT NOT NULL DEFAULT '',
				reg_invoice VARCHAR(5) NOT NULL DEFAULT '',
				reg_pay_options TEXT NOT NULL DEFAULT '',
				reg_options TEXT NOT NULL DEFAULT '',
				reg_accomm TEXT NOT NULL DEFAULT '',
				reg_travel TEXT NOT NULL DEFAULT '',
				reg_map VARCHAR(255) NOT NULL DEFAULT '',
				theme VARCHAR(32) NOT NULL DEFAULT '',
				title_image VARCHAR(12) NOT NULL DEFAULT '',
				title_text VARCHAR(255) NOT NULL DEFAULT '',
				logo_image VARCHAR(12) NOT NULL DEFAULT '',
				active INT NOT NULL DEFAULT 0
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {	
		// create the papers table
		if($db_dbtype == "pgsql") {
			$db->query("create table $db_table_papers (
				cf INT NOT NULL,
				id SERIAL PRIMARY KEY,
				first_name VARCHAR(60) NOT NULL DEFAULT '',
				surname VARCHAR(60) NOT NULL DEFAULT '',
				login VARCHAR(60) NOT NULL DEFAULT '',
				password VARCHAR(60) NOT NULL DEFAULT '',
				email VARCHAR(60) NOT NULL DEFAULT '',
				affiliation VARCHAR(60) NOT NULL DEFAULT '',
				url VARCHAR(255) NOT NULL DEFAULT '',
				add_first_names TEXT NOT NULL DEFAULT '',
				add_surnames TEXT NOT NULL DEFAULT '',
				add_emails TEXT NOT NULL DEFAULT '',
				add_affiliations TEXT NOT NULL DEFAULT '',
				add_urls TEXT NOT NULL DEFAULT '',
				present_format VARCHAR(255) NOT NULL DEFAULT '',
				multiple_title VARCHAR(255) NOT NULL DEFAULT '',
				multiple_org_name VARCHAR(255) NOT NULL DEFAULT '',
				multiple_org_aff VARCHAR(60) NOT NULL DEFAULT '',
				multiple_org_email VARCHAR(60) NOT NULL DEFAULT '',
				multiple_overview TEXT NOT NULL DEFAULT '',
				multiple_presenters TEXT NOT NULL DEFAULT '',
				multiple_disc_name VARCHAR(255) NOT NULL DEFAULT '',
				multiple_disc_aff VARCHAR(60) NOT NULL DEFAULT '',
				multiple_disc_email VARCHAR(60) NOT NULL DEFAULT '',
				title VARCHAR(255) NOT NULL DEFAULT '',
				abstract TEXT NOT NULL DEFAULT '',
				sponsor TEXT NOT NULL DEFAULT '',
				discipline VARCHAR(255) NOT NULL DEFAULT '',
				topic VARCHAR(255) NOT NULL DEFAULT '',
				approach VARCHAR(255) NOT NULL DEFAULT '',
				coverage VARCHAR(255) NOT NULL DEFAULT '',
				format VARCHAR(255) NOT NULL DEFAULT '',
				bio TEXT NOT NULL DEFAULT '',
				paper TEXT NOT NULL DEFAULT '',
				paper_date DATE,
				language VARCHAR(30) NOT NULL DEFAULT '',
				relation VARCHAR(255) NOT NULL DEFAULT '',
				pdf VARCHAR(255) NOT NULL DEFAULT '',
				appendix_names TEXT NOT NULL DEFAULT '',
				appendix_dates TEXT NOT NULL DEFAULT '',
				appendix TEXT NOT NULL DEFAULT '',
				appendix_pdf TEXT NOT NULL DEFAULT '',
				comment_email VARCHAR(5) NOT NULL DEFAULT '',
				paper_email VARCHAR(5) NOT NULL DEFAULT '',
				delete_paper VARCHAR(5) NOT NULL DEFAULT '',
				restrict_access VARCHAR(5) NOT NULL DEFAULT '',
				accepted VARCHAR(12) NOT NULL DEFAULT '',
				view_reviews VARCHAR(5) NOT NULL DEFAULT '',
				created DATETIME,
				timestamp TIMESTAMP NOT NULL DEFAULT NOW()
			)") or $error = "createtables";
		}
		else {
			if($db_enable_fulltext) {
				$db->query("create table $db_table_papers (
					cf INT NOT NULL,
					id INT AUTO_INCREMENT PRIMARY KEY,
					first_name VARCHAR(60) NOT NULL DEFAULT '',
					surname VARCHAR(60) NOT NULL DEFAULT '',
					login VARCHAR(60) NOT NULL DEFAULT '',
					password VARCHAR(60) NOT NULL DEFAULT '',
					email VARCHAR(60) NOT NULL DEFAULT '',
					affiliation VARCHAR(60) NOT NULL DEFAULT '',
					url VARCHAR(255) NOT NULL DEFAULT '',
					add_first_names TEXT NOT NULL DEFAULT '',
					add_surnames TEXT NOT NULL DEFAULT '',
					add_emails TEXT NOT NULL DEFAULT '',
					add_affiliations TEXT NOT NULL DEFAULT '',
					add_urls TEXT NOT NULL DEFAULT '',
					present_format VARCHAR(255) NOT NULL DEFAULT '',
					multiple_title VARCHAR(255) NOT NULL DEFAULT '',
					multiple_org_name VARCHAR(255) NOT NULL DEFAULT '',
					multiple_org_aff VARCHAR(60) NOT NULL DEFAULT '',
					multiple_org_email VARCHAR(60) NOT NULL DEFAULT '',
					multiple_overview LONGTEXT NOT NULL DEFAULT '',
					multiple_presenters TEXT NOT NULL DEFAULT '',
					multiple_disc_name VARCHAR(255) NOT NULL DEFAULT '',
					multiple_disc_aff VARCHAR(60) NOT NULL DEFAULT '',
					multiple_disc_email VARCHAR(60) NOT NULL DEFAULT '',
					title VARCHAR(255) NOT NULL DEFAULT '',
					abstract TEXT NOT NULL DEFAULT '',
					sponsor TEXT NOT NULL DEFAULT '',
					discipline VARCHAR(255) NOT NULL DEFAULT '',
					topic VARCHAR(255) NOT NULL DEFAULT '',
					approach VARCHAR(255) NOT NULL DEFAULT '',
					coverage VARCHAR(255) NOT NULL DEFAULT '',
					format VARCHAR(255) NOT NULL DEFAULT '',
					bio LONGTEXT NOT NULL DEFAULT '',
					paper LONGTEXT NOT NULL DEFAULT '',
					paper_date DATE,
					language VARCHAR(30) NOT NULL DEFAULT '',
					relation VARCHAR(255) NOT NULL DEFAULT '',
					pdf VARCHAR(255) NOT NULL DEFAULT '',
					appendix_names TEXT NOT NULL DEFAULT '',
					appendix_dates TEXT NOT NULL DEFAULT '',
					appendix LONGTEXT NOT NULL DEFAULT '',
					appendix_pdf TEXT NOT NULL DEFAULT '',
					comment_email VARCHAR(5) NOT NULL DEFAULT '',
					paper_email VARCHAR(5) NOT NULL DEFAULT '',
					delete_paper VARCHAR(5) NOT NULL DEFAULT '',
					restrict_access VARCHAR(5) NOT NULL DEFAULT '',
					accepted VARCHAR(12) NOT NULL DEFAULT '',
					view_reviews VARCHAR(5) NOT NULL DEFAULT '',
					created DATETIME,
					timestamp TIMESTAMP,
					fulltext(title),
					fulltext(paper),
					fulltext(first_name, surname, email, affiliation, add_first_names, add_surnames, add_emails, add_affiliations, bio),
					fulltext(abstract),
					fulltext(discipline),
					fulltext(topic),
					fulltext(approach),
					fulltext(coverage),
					fulltext(discipline, topic, sponsor, approach, format, language, relation, coverage)
				)") or $error = "createtables";
			}
			else {
				$db->query("create table $db_table_papers (
					cf INT NOT NULL,
					id INT AUTO_INCREMENT PRIMARY KEY,
					first_name VARCHAR(60) NOT NULL DEFAULT '',
					surname VARCHAR(60) NOT NULL DEFAULT '',
					login VARCHAR(60) NOT NULL DEFAULT '',
					password VARCHAR(60) NOT NULL DEFAULT '',
					email VARCHAR(60) NOT NULL DEFAULT '',
					affiliation VARCHAR(60) NOT NULL DEFAULT '',
					url VARCHAR(255) NOT NULL DEFAULT '',
					add_first_names TEXT NOT NULL DEFAULT '',
					add_surnames TEXT NOT NULL DEFAULT '',
					add_emails TEXT NOT NULL DEFAULT '',
					add_affiliations TEXT NOT NULL DEFAULT '',
					add_urls TEXT NOT NULL DEFAULT '',
					present_format VARCHAR(255) NOT NULL DEFAULT '',
					multiple_title VARCHAR(255) NOT NULL DEFAULT '',
					multiple_org_name VARCHAR(255) NOT NULL DEFAULT '',
					multiple_org_aff VARCHAR(60) NOT NULL DEFAULT '',
					multiple_org_email VARCHAR(60) NOT NULL DEFAULT '',
					multiple_overview LONGTEXT NOT NULL DEFAULT '',
					multiple_presenters TEXT NOT NULL DEFAULT '',
					multiple_disc_name VARCHAR(255) NOT NULL DEFAULT '',
					multiple_disc_aff VARCHAR(60) NOT NULL DEFAULT '',
					multiple_disc_email VARCHAR(60) NOT NULL DEFAULT '',
					title VARCHAR(255) NOT NULL DEFAULT '',
					abstract TEXT NOT NULL DEFAULT '',
					sponsor TEXT NOT NULL DEFAULT '',
					discipline VARCHAR(255) NOT NULL DEFAULT '',
					topic VARCHAR(255) NOT NULL DEFAULT '',
					approach VARCHAR(255) NOT NULL DEFAULT '',
					coverage VARCHAR(255) NOT NULL DEFAULT '',
					format VARCHAR(255) NOT NULL DEFAULT '',
					bio LONGTEXT NOT NULL DEFAULT '',
					paper LONGTEXT NOT NULL DEFAULT '',
					paper_date DATE,
					language VARCHAR(30) NOT NULL DEFAULT '',
					relation VARCHAR(255) NOT NULL DEFAULT '',
					pdf VARCHAR(255) NOT NULL DEFAULT '',
					appendix_names TEXT NOT NULL DEFAULT '',
					appendix_dates TEXT NOT NULL DEFAULT '',
					appendix LONGTEXT NOT NULL DEFAULT '',
					appendix_pdf TEXT NOT NULL DEFAULT '',
					comment_email VARCHAR(5) NOT NULL DEFAULT '',
					paper_email VARCHAR(5) NOT NULL DEFAULT '',
					delete_paper VARCHAR(5) NOT NULL DEFAULT '',
					restrict_access VARCHAR(5) NOT NULL DEFAULT '',
					accepted VARCHAR(12) NOT NULL DEFAULT '',
					view_reviews VARCHAR(5) NOT NULL DEFAULT '',
					created DATETIME,
					timestamp TIMESTAMP
				)") or $error = "createtables";
			}
		}
	}
	if(!isset($error)) {	
		// create the invited speakers table
		$db->query("create table $db_table_invited_speakers (
			cf INT NOT NULL,
			login VARCHAR(60) NOT NULL DEFAULT '',
			password VARCHAR(60) NOT NULL DEFAULT '',
			name VARCHAR(90) NOT NULL DEFAULT '',
			email VARCHAR(60) NOT NULL DEFAULT '',
			affiliation VARCHAR(60) NOT NULL DEFAULT '',
			PRIMARY KEY(cf, login)
		)") or $error = "createtables";
	}
	if(!isset($error)) {	
		// create the registrants table
		if($db_dbtype == "pgsql") {
			$db->query("create table $db_table_registrants (
				cf INT NOT NULL,
				id SERIAL PRIMARY KEY,
				name VARCHAR(90) NOT NULL DEFAULT '',
				affiliation VARCHAR(60) NOT NULL DEFAULT '',
				email VARCHAR(60) NOT NULL DEFAULT '',
				phone VARCHAR(20) NOT NULL DEFAULT '',
				fax VARCHAR(20) NOT NULL DEFAULT '',
				address VARCHAR(255) NOT NULL DEFAULT '',
				reg_level VARCHAR(60) NOT NULL DEFAULT '',
				reg_fee VARCHAR(20) NOT NULL DEFAULT '',
				has_paid VARCHAR(5) NOT NULL DEFAULT '',
				reg_email VARCHAR(5) NOT NULL DEFAULT '',
				special_requests TEXT NOT NULL DEFAULT '',
				date_registered DATETIME,
				date_paid DATETIME
			)") or $error = "createtables";
		}
		else {
			$db->query("create table $db_table_registrants (
				cf INT NOT NULL,
				id INT AUTO_INCREMENT PRIMARY KEY,
				name VARCHAR(90) NOT NULL DEFAULT '',
				affiliation VARCHAR(60) NOT NULL DEFAULT '',
				email VARCHAR(60) NOT NULL DEFAULT '',
				phone VARCHAR(20) NOT NULL DEFAULT '',
				fax VARCHAR(20) NOT NULL DEFAULT '',
				address VARCHAR(255) NOT NULL DEFAULT '',
				reg_level VARCHAR(60) NOT NULL DEFAULT '',
				reg_fee VARCHAR(20) NOT NULL DEFAULT '',
				has_paid VARCHAR(5) NOT NULL DEFAULT '',
				reg_email VARCHAR(5) NOT NULL DEFAULT '',
				special_requests TEXT NOT NULL DEFAULT '',
				date_registered DATETIME,
				date_paid DATETIME
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {	
		// create the reviewers table
		$db->query("create table $db_table_reviewers (
			cf INT NOT NULL,
			login VARCHAR(60) NOT NULL DEFAULT '',
			password VARCHAR(60) NOT NULL DEFAULT '',
			name VARCHAR(90) NOT NULL DEFAULT '',
			email VARCHAR(60) NOT NULL DEFAULT '',
			PRIMARY KEY(cf, login)
		)") or $error = "createtables";
	}
	if(!isset($error)) {	
		// create the reviewer proposals table
		$db->query("create table $db_table_reviewer_proposals (
			cf INT NOT NULL,
			reviewer VARCHAR(60) NOT NULL DEFAULT '',
			paper INT NOT NULL,
			PRIMARY KEY(cf, reviewer, paper)
		)") or $error = "createtables";
	}
	if(!isset($error)) {	
		// create the reviews table
		if($db_dbtype == "pgsql") {
			$db->query("create table $db_table_reviews (
				cf INT NOT NULL,
				paper INT NOT NULL,
				reviewer VARCHAR(60) NOT NULL DEFAULT '',
				timestamp TIMESTAMP NOT NULL DEFAULT NOW(),
				comments TEXT NOT NULL DEFAULT '',
				recommendation TEXT NOT NULL DEFAULT '',
				reveal_name VARCHAR(5) NOT NULL DEFAULT '',
				PRIMARY KEY(cf, paper, reviewer)
			)") or $error = "createtables";
		}
		else {
			$db->query("create table $db_table_reviews (
				cf INT NOT NULL,
				paper INT NOT NULL,
				reviewer VARCHAR(60) NOT NULL DEFAULT '',
				timestamp TIMESTAMP,
				comments LONGTEXT NOT NULL DEFAULT '',
				recommendation LONGTEXT NOT NULL DEFAULT '',
				reveal_name VARCHAR(5) NOT NULL DEFAULT '',
				PRIMARY KEY(cf, paper, reviewer)
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		// create the comments table
		if($db_dbtype == "pgsql") {
			$db->query("create table $db_table_comments (
				cf INT NOT NULL,
				id SERIAL PRIMARY KEY,
				paper INT NOT NULL,
				date DATE,
				author VARCHAR(90) NOT NULL DEFAULT '',
				email VARCHAR(60) NOT NULL DEFAULT '',
				title VARCHAR(255) NOT NULL DEFAULT '',
				comments TEXT NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
		else {
			$db->query("create table $db_table_comments (
				cf INT NOT NULL,
				id INT AUTO_INCREMENT PRIMARY KEY,
				paper INT NOT NULL,
				date DATE,
				author VARCHAR(90) NOT NULL DEFAULT '',
				email VARCHAR(60) NOT NULL DEFAULT '',
				title VARCHAR(255) NOT NULL DEFAULT '',
				comments LONGTEXT NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		// create the related links table
		if($db_dbtype == "pgsql") {
			$db->query("create table $db_table_links (
				cf INT NOT NULL,
				id SERIAL PRIMARY KEY,
				title VARCHAR(90) NOT NULL DEFAULT '',
				url VARCHAR(255) NOT NULL DEFAULT '',
				annotation VARCHAR(255) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
		else {
			$db->query("create table $db_table_links (
				cf INT NOT NULL,
				id INT AUTO_INCREMENT PRIMARY KEY,
				title VARCHAR(90) NOT NULL DEFAULT '',
				url VARCHAR(255) NOT NULL DEFAULT '',
				annotation VARCHAR(255) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
	}
	
	
	// create cconference scheduler tables
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_locations (
				cf INT NOT NULL,
				location_id SERIAL PRIMARY KEY,
				building VARCHAR(120) NOT NULL DEFAULT '',
				building_short VARCHAR(20) NOT NULL DEFAULT '',
				room VARCHAR(60) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_locations (
				cf INT NOT NULL,
				location_id INT AUTO_INCREMENT PRIMARY KEY,
				building VARCHAR(90) NOT NULL DEFAULT '',
				building_short VARCHAR(20) NOT NULL DEFAULT '',
				room VARCHAR(60) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_session_times (
				cf INT NOT NULL,
				time_id SERIAL PRIMARY KEY,
				date DATE NOT NULL,
				start_time TIME WITHOUT TIME ZONE NOT NULL,
				end_time TIME WITHOUT TIME ZONE NOT NULL
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_session_times (
				cf INT NOT NULL,
				time_id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,
				date DATE NOT NULL,
				start_time TIME NOT NULL,
				end_time TIME NOT NULL
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_themes (
				cf INT NOT NULL,
				theme_id SERIAL PRIMARY KEY,
				theme VARCHAR(90) NOT NULL DEFAULT '',
				theme_short VARCHAR(20) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_themes (
				cf INT NOT NULL,
				theme_id INT AUTO_INCREMENT PRIMARY KEY,
				theme VARCHAR(90) NOT NULL DEFAULT '',
				theme_short VARCHAR(20) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_session_types (
				cf INT NOT NULL,
				type_id SERIAL PRIMARY KEY,
				type VARCHAR(90) NOT NULL DEFAULT '',
				type_short VARCHAR(20) NOT NULL DEFAULT '',
				num_presenters INT NOT NULL DEFAULT 0,
				chair_required SMALLINT NOT NULL DEFAULT 0,
				discussant_required SMALLINT NOT NULL DEFAULT 0
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_session_types (
				cf INT NOT NULL,
				type_id INT AUTO_INCREMENT PRIMARY KEY,
				type VARCHAR(90) NOT NULL DEFAULT '',
				type_short VARCHAR(20) NOT NULL DEFAULT '',
				num_presenters INT NOT NULL DEFAULT 0,
				chair_required TINYINT NOT NULL DEFAULT 0,
				discussant_required TINYINT NOT NULL DEFAULT 0
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_presentations (
				cf INT NOT NULL,
				present_id SERIAL PRIMARY KEY,
				time INT NOT NULL DEFAULT 0,
				location INT NOT NULL DEFAULT 0,
				room VARCHAR(20) NOT NULL DEFAULT '',
				paper INT NOT NULL DEFAULT 0,
				type INT NOT NULL DEFAULT 0,
				theme INT NOT NULL DEFAULT 0
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_presentations (
				cf INT NOT NULL,
				present_id INT AUTO_INCREMENT PRIMARY KEY,
				time INT NOT NULL DEFAULT 0,
				location INT NOT NULL DEFAULT 0,
				room VARCHAR(20) NOT NULL DEFAULT '',
				paper INT NOT NULL DEFAULT 0,
				type INT NOT NULL DEFAULT 0,
				theme INT NOT NULL DEFAULT 0
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_chairs (
				cf INT NOT NULL,
				chair_id SERIAL PRIMARY KEY,
				time INT NOT NULL DEFAULT 0,
				location INT NOT NULL DEFAULT 0,
				room VARCHAR(20) NOT NULL DEFAULT '',
				chair VARCHAR(255) NOT NULL DEFAULT '',
				chair_affiliation VARCHAR(255) NOT NULL DEFAULT '',
				discussant VARCHAR(255) NOT NULL DEFAULT '',
				discussant_affiliation VARCHAR(255) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_chairs (
				cf INT NOT NULL,
				chair_id INT AUTO_INCREMENT PRIMARY KEY,
				time INT NOT NULL DEFAULT 0,
				location INT NOT NULL DEFAULT 0,
				room VARCHAR(20) NOT NULL DEFAULT '',
				chair VARCHAR(255) NOT NULL DEFAULT '',
				chair_affiliation VARCHAR(255) NOT NULL DEFAULT '',
				discussant VARCHAR(255) NOT NULL DEFAULT '',
				discussant_affiliation VARCHAR(255) NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {
		if($db_dbtype == "pgsql") {
			$db->query("CREATE TABLE $db_table_scheduler_functions (
				cf INT NOT NULL,
				function_id SERIAL PRIMARY KEY,
				time INT NOT NULL DEFAULT 0,
				location INT NOT NULL DEFAULT 0,
				room VARCHAR(20) NOT NULL DEFAULT '',
				event VARCHAR(255) NOT NULL DEFAULT '',
				description TEXT NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
		else {
			$db->query("CREATE TABLE $db_table_scheduler_functions (
				cf INT NOT NULL,
				function_id INT AUTO_INCREMENT PRIMARY KEY,
				time INT NOT NULL DEFAULT 0,
				location INT NOT NULL DEFAULT 0,
				room VARCHAR(20) NOT NULL DEFAULT '',
				event VARCHAR(255) NOT NULL DEFAULT '',
				description TEXT NOT NULL DEFAULT ''
			)") or $error = "createtables";
		}
	}
	if(!isset($error)) {	
		// create the OAI resumption tokens table
		$db->query("CREATE TABLE $db_table_oai_resumption_tokens (
			token VARCHAR(32) PRIMARY KEY,
			expiration_date BIGINT NOT NULL DEFAULT 0,
			record_offset INT NOT NULL DEFAULT 0,
			params TEXT NOT NULL DEFAULT ''
		)") or $error = "createtables";
	}

	
	if(!isset($error)) {
		// get old db file and replace variables
		$db_config_file = join("",file("include/db.inc.php"));

		$db_replace_array = array(
			'$db_type' => $db_dbtype,
			'$db_name' => $db_database,
			'$db_host' => $db_hostname,
			'$db_login' => $db_username,
			'$db_password' => $db_pass,
			'$dbtable[conference_global]' => $db_table_global,
			'$dbtable[conference]' => $db_table_conference,
			'$dbtable[papers]' => $db_table_papers,
			'$dbtable[invited_speakers]' => $db_table_invited_speakers,
			'$dbtable[registrants]' => $db_table_registrants,
			'$dbtable[reviewers]' => $db_table_reviewers,
			'$dbtable[reviewer_proposals]' => $db_table_reviewer_proposals,
			'$dbtable[reviews]' => $db_table_reviews,
			'$dbtable[comments]' => $db_table_comments,
			'$dbtable[links]' => $db_table_links,
			'$dbtable[scheduler_locations]' => $db_table_scheduler_locations,
			'$dbtable[scheduler_session_times]' => $db_table_scheduler_session_times,
			'$dbtable[scheduler_themes]' => $db_table_scheduler_themes,
			'$dbtable[scheduler_session_types]' => $db_table_scheduler_session_types,
			'$dbtable[scheduler_presentations]' => $db_table_scheduler_presentations,
			'$dbtable[scheduler_chairs]' => $db_table_scheduler_chairs,
			'$dbtable[scheduler_functions]' => $db_table_scheduler_functions,
			'$dbtable[oai_resumption_tokens]' => $db_table_oai_resumption_tokens
		);
		foreach ($db_replace_array as $name=>$value) {
			$db_config_file = preg_replace("/" . preg_quote($name) . "\s*=\s*\".*\"\s*;/","$name = \"$value\";",$db_config_file);
		}
		$db_config_file = preg_replace("/\\\$enable_pconnect\s*=\s*.*\s*;/","\$enable_pconnect = $db_pconnect;",$db_config_file);
		$db_config_file = preg_replace("/\\\$enable_fulltext\s*=\s*.*\s*;/","\$enable_fulltext = $db_enable_fulltext;",$db_config_file);
		
		// write database config file
		if(is_writeable("include/db.inc.php")) {
			// write the file here
			$fp = fopen("include/db.inc.php", "w") or $error = "writedbconfig";
			fwrite($fp, $db_config_file) or $error = "writedbconfig";
			fclose($fp);
		}
		else { $error = "writedbconfig"; }
	}
	
	// an error occurred, don't go to next step
	if(isset($error)) { $step = 1; }	
}


// handle conference web site settings
if($step==3 && !$skip) {
	// check that all fields were filled out
	if(empty($conference_name)) {
		$error = "incomplete";
	}
	
	// set value for multiple conference system
	if(!$conference_multiple) { $conference_multiple = "0"; }
	
	// include database class
	include("include/db.inc.php");
		
	if(!isset($error)) {
		$db = new db_connection($db_type);
		$db->connect($db_host, $db_port, $db_login, $db_password, $enable_pconnect, $db_name);
		
		$db->query("update $dbtable[conference_global] set multi='$conference_multiple', name='$conference_name'") or $error = "dberror";
		
		if(!$conference_multiple) {
			// if single conference system create initial conference entry and gratuitous link to PKP
			if(!isset($error)) { $db->query("insert into $dbtable[conference] (name, active) values ('$conference_name', '1')") or $error = "createtables"; }
			if(!isset($error)) { $db->query("insert into $dbtable[links] (cf, title, url, annotation) values ('1', 'The Public Knowledge Project', 'http://www.pkp.ubc.ca', 'A federally funded research initiative that seeks to improve the scholarly and public quality of academic research through innovative online environments such as this one.')"); }
		}

	}

	// an error occurred, don't go to next step
	if(isset($error)) { $step = 2; }	
}


// handle path configuration
if($step==4 && !$skip) {
	// check that all fields were filled out
	if(empty($path_baseurl) || empty($path_basedir) || empty($path_tmpdir)) {
		$error = "incomplete";
	}
	
	// include database class
	include("include/db.inc.php");
		
	if(!isset($error)) {
		$db = new db_connection($db_type);
		$db->connect($db_host, $db_port, $db_login, $db_password, $enable_pconnect, $db_name);
		
		$db->query("update $dbtable[conference_global] set baseurl='$path_baseurl', basedir='$path_basedir', tmpdir='$path_tmpdir'") or $error = "dberror";
	}

	// an error occurred, don't go to next step
	if(isset($error)) { $step = 3; }	
}


// handle other settings
if($step==5 && !$skip) {
	// check that all fields were filled out
	if(empty($other_repid) || empty($other_fonts)) {
		$error = "incomplete";
	}
	
	// include database class
	include("include/db.inc.php");
		
	if(!isset($error)) {
		$db = new db_connection($db_type);
		$db->connect($db_host, $db_port, $db_login, $db_password, $enable_pconnect, $db_name);

		$db->query("update $dbtable[conference_global] set repositoryid='$other_repid', defaultfonts='$other_fonts'") or $error = "dberror";
	}

	// an error occurred, don't go to next step
	if(isset($error)) { $step = 4; }	
}


// handle admin configuration
if($step==6 && !$skip) {
	// check that all fields were filled out
	if(empty($admin_login) || empty($admin_password) || empty($admin_password2)) {
		$error = "incomplete";
	}
	// check that passwords match
	else if($admin_password != $admin_password2) {
		$error = "pass";
	}
	
	// include database class
	include("include/db.inc.php");
	
	if(!isset($error)) {
		$db = new db_connection($db_type);
		$db->connect($db_host, $db_port, $db_login, $db_password, $enable_pconnect, $db_name);
		
		$db->query("update $dbtable[conference_global] set admin_login='$admin_login', admin_password='".md5($admin_password)."'") or $error = "dberror";

		$db->query("update $dbtable[conference] set admin_login='$admin_login', admin_password='".md5($admin_password)."'") or $error = "dberror";
	}

	// an error occurred, don't go to next step
	if(isset($error)) { $step = 5; }	
}

?>
   <form action="install.php" method="post">


<?php

// show the forms for each step

// show database configuration text
if($error=="writedbconfig") {
	?><p class="ArticleTitle">Database Configuration</p><?php
	error("Unable to write to the database configuration file. Please open the file include/db.inc.php with a text editor and replace the text in that file with the text in the field below. Do this before proceeding to the next step or you will be unable to complete installation.");
	?>
	<input type="hidden" name="edit_db_config" value="true">
	<p><textarea name="db_db_config_text" cols="85" rows="20" wrap="virtual"><?php echo htmlspecialchars($db_config_file); ?></textarea></p>
	<p align="right"><input type="hidden" name="step" value="2"><input type="submit" value="Continue >>" class="button"></p>
	<?php
}


// show database configuration
else if($step==1) {
?>

<p class="ArticleTitle">Database Configuration</p>
<p>Fill out the following information regarding your database server. If you are not sure, ask your system administrator.</p>

<p class="ArticleTitle">Database Server Information</p>

<?php
if($error=="connectdb") {
	error("Unable to connect to database server. Error ".$db->error());
}
else if($error=="createdb") {
	error("Unable to create database $db_database. Error ".$db->error());
}
else if($error=="selectdb") {
	error("Unable to select database $db_database. Error ".$db->error());
}

?>

<p><b>Database Type</b>: <select name="db_dbtype">
<option value="mysql"<?php if($db_dbtype == "mysql") { echo " selected"; } ?>>MySQL 3.23.23 or later</option>
<option value="mysql_old"<?php if($db_dbtype == "mysql_old") { echo " selected"; } ?>>MySQL 3.23.22 or earlier</option>
<option value="pgsql"<?php if($db_dbtype == "pgsql") { echo " selected"; } ?>>PostgreSQL</option>
</select><br />
<font class="instructions">Currently only MySQL and PostgreSQL database servers are supported.</font>

<p><b>Hostname</b>: <input type="text" name="db_hostname" value="<?php if(isset($db_hostname)) { echo $db_hostname; } else { echo "localhost"; } ?>"><br />
<input type="checkbox" name="db_pconnect" value="1"<?php if($db_pconnect) { echo " checked"; } ?>> Use persistent connections<br />
<font class="instructions">The hostname of your database server, typically localhost. If you are connecting locally over Unix domain sockets instead of TCP/IP you can leave this blank (you may need to do this with PostgreSQL, as TCP/IP connections are turned off by default). <a href="http://www.php.net/manual/en/features.persistent-connections.php" target="_blank">Persistent connections</a> are typically more efficient, but may increase system load on your database server.</font></p>

<p><b>Port</b>: <input type="text" name="db_port" value="<?php if($db_port) { echo $db_port; } else { echo ""; } ?>"><br />
<font class="instructions">The port number of your database server. You can leave this blank if your database server is running on the default port (3306 for MySQL, 5432 for PostgreSQL), or if you're connecting over Unix domain sockets.</font></p>

<p><b>Username</b>: <input type="text" name="db_username" value="<?php echo $db_username; ?>"><br />
<font class="instructions">The username to use when connecting to the database server.</font></p>

<p><b>Password</b>: <input type="password" name="db_pass" value="<?php echo $db_pass; ?>"><br />
<font class="instructions">The password to use when connecting to the database server.</font></p>

<p><b>Conference Database</b>: <input type="text" name="db_database" value="<?php echo $db_database; ?>"><br />
<input type="checkbox" name="db_exists" value="1"<?php if($db_exists) { echo " checked"; } ?>> Database exists<br />
<font class="instructions">The database where your conference will be stored. If the database has already been created check the box above. In order to create a database, your user must have the correct permissions. If you don't have permission to create a database, you will need to get your system administrator to create a database for you and give full access to the database for your username and password.</font></p>


<p class="ArticleTitle">Database Tables</p>
<p>If you are working with an existing database containing other tables, you may wish to change the table names from the default to avoid conflicting names. If you are using a database just for Open Conference Systems, there is no need to change the table names. If you do change the table names, be sure not to use spaces or special characters in the names.</p>

<?php
if($error=="createtables") {
	error("An error occurred creating the tables. Error ".$db->error());
}
?>

<p><b>Global Conference Table</b>: <input type="text" name="db_table_global" value="<?php if($db_table_global) { echo $db_table_global; } else { echo "conference_global"; } ?>"><br />
<font class="instructions">This table stores global conference data and configuration variables.</font></p>

<p><b>Conference Table</b>: <input type="text" name="db_table_conference" value="<?php if($db_table_conference) { echo $db_table_conference; } else { echo "conference"; } ?>"><br />
<font class="instructions">This table stores information about your conference.</font></p>

<p><b>Papers Table</b>: <input type="text" name="db_table_papers" value="<?php if($db_table_papers) { echo $db_table_papers; } else { echo "papers"; } ?>"><br />
<font class="instructions">This table stores submitted abstracts and papers.</font></p>

<p><b>Invited Speakers Table</b>: <input type="text" name="db_table_invited_speakers" value="<?php if($db_table_invited_speakers) { echo $db_table_invited_speakers; } else { echo "invited_speakers"; } ?>"><br />
<font class="instructions">This table stores information about invited conference participants.</font></p>

<p><b>Registrants Table</b>: <input type="text" name="db_table_registrants" value="<?php if($db_table_registrants) { echo $db_table_registrants; } else { echo "registrants"; } ?>"><br />
<font class="instructions">This table stores information about conference registrants.</font></p>

<p><b>Reviewers Table</b>: <input type="text" name="db_table_reviewers" value="<?php if($db_table_reviewers) { echo $db_table_reviewers; } else { echo "reviewers"; } ?>"><br />
<font class="instructions">This table stores information about conference reviewers.</font></p>

<p><b>Reviewer Proposals Table</b>: <input type="text" name="db_table_reviewer_proposals" value="<?php if($db_table_reviewer_proposals) { echo $db_table_reviewer_proposals; } else { echo "reviewer_proposals"; } ?>"><br />
<font class="instructions">This table stores a mapping of which proposals are assigned to which reviewers.</font></p>

<p><b>Reviews Table</b>: <input type="text" name="db_table_reviews" value="<?php if($db_table_reviews) { echo $db_table_reviews; } else { echo "reviews"; } ?>"><br />
<font class="instructions">This table stores submitted reviews.</font></p>

<p><b>Comments Table</b>: <input type="text" name="db_table_comments" value="<?php if($db_table_comments) { echo $db_table_comments; } else { echo "comments"; } ?>"><br />
<font class="instructions">This table stores comments posted on papers.</font></p>

<p><b>Related Links Table</b>: <input type="text" name="db_table_links" value="<?php if($db_table_links) { echo $db_table_links; } else { echo "links"; } ?>"><br />
<font class="instructions">This table stores related links.</font></p>

<p class="instructions"><b>Conference Scheduler Tables</b></p>

<p><b>Locations Table</b>: <input type="text" name="db_table_scheduler_locations" value="<?php if($db_table_scheduler_locations) { echo $db_table_scheduler_locations; } else { echo "scheduler_locations"; } ?>"></p>

<p><b>Session Times Table</b>: <input type="text" name="db_table_scheduler_session_times" value="<?php if($db_table_scheduler_session_times) { echo $db_table_scheduler_session_times; } else { echo "scheduler_session_times"; } ?>"></p>

<p><b>Themes/Strands Table</b>: <input type="text" name="db_table_scheduler_themes" value="<?php if($db_table_scheduler_themes) { echo $db_table_scheduler_themes; } else { echo "scheduler_themes"; } ?>"></p>

<p><b>Session Types Table</b>: <input type="text" name="db_table_scheduler_session_types" value="<?php if($db_table_scheduler_session_types) { echo $db_table_scheduler_session_types; } else { echo "scheduler_session_types"; } ?>"></p>

<p><b>Presentations Table</b>: <input type="text" name="db_table_scheduler_presentations" value="<?php if($db_table_scheduler_presentations) { echo $db_table_scheduler_presentations; } else { echo "scheduler_presentations"; } ?>"></p>

<p><b>Chairs/Discussants Table</b>: <input type="text" name="db_table_scheduler_chairs" value="<?php if($db_table_scheduler_chairs) { echo $db_table_scheduler_chairs; } else { echo "scheduler_chairs"; } ?>"></p>

<p><b>Additional Conference Functions Table</b>: <input type="text" name="db_table_scheduler_functions" value="<?php if($db_table_scheduler_functions) { echo $db_table_scheduler_functions; } else { echo "scheduler_functions"; } ?>"></p>

<p class="instructions"><b>OAI Front-end Tables</b></p>

<p><b>OAI Resumption Tokens Table</b>: <input type="text" name="db_table_oai_resumption_tokens" value="<?php if($db_table_oai_resumption_tokens) { echo $db_table_oai_resumption_tokens; } else { echo "oai_resumption_tokens"; } ?>"></p>

<p align="right"><input type="hidden" name="step" value="2"><input type="checkbox" name="skip" value="true"> <font color="#000066"><b>Skip this step</b></font><br /><br />
<input type="submit" value="Continue >>" class="button"></p>

<?php

}


// show conference web site settings
else if($step==2) {

?>
<p class="ArticleTitle">Conference Web Site Settings</p>

<?php
if($error=="incomplete") { error("Incomplete submission. Please fill out all fields."); }
else if($error=="dberror") { error("Unable to add values to database. Please check that your database configuration is set up correctly."); }
?>

<p><b>Conference Title</b>: <input type="text" name="conference_name" size="50" value="<?php if($conference_name) { echo $conference_name; } else { echo "Open Conference Systems"; } ?>"><br />
<font class="instructions">Enter the title of your conference, or the title of your multiple conference web site if you select that option. It may be changed later if needed.</font></p>

<p><input type="checkbox" name="conference_multiple" value="1"<?php if($conference_multiple) { echo " checked"; } ?>> <b>Set Up a Multiple Conference System</b><br />
<font class="instructions">This will allow you to host a number of conferences using one installation of Open Conference Systems. If you elect to host just a single conference initially, you may always convert a single conference system to a multiple conference later on from the Conference Administration pages.</font></p>

<p align="right"><input type="hidden" name="step" value="3"><input type="checkbox" name="skip" value="true"> <font color="#000066"><b>Skip this step</b></font><br /><br />
<input type="submit" value="Continue >>" class="button"></p>

<?php

}


// show path configuration
else if($step==3) {

?>

<p class="ArticleTitle">Path Configuration</p>
<p>Fill out the following information regarding file paths on your web server. In most cases using the default values should be fine. If you are not sure, ask your system administrator. Be sure to include the trailing slash in all path names.</p>

<?php
if($error=="incomplete") { error("Incomplete submission. Please fill out all fields."); }
else if($error=="dberror") { error("Unable to add values to database. Please check that your database configuration is set up correctly."); }
?>

<p><b>Base URL</b>: <input type="text" name="path_baseurl" size="50" value="<?php if($path_baseurl) { echo $path_baseurl; } else { echo preg_replace("/^(http:\/\/)?(.+)$/","http://$2",preg_replace("/^(.+)\//","$1",$HTTP_HOST)).str_replace("install.php","",$PHP_SELF); } ?>"><br />
<font class="instructions">The base URL of the conference web site, e.g. http://www.yourwebsite.com/conference/</font></p>

<p><b>Base Directory</b>: <input type="text" name="path_basedir" size="50" value="<?php if($path_basedir) { echo $path_basedir; } else { echo str_replace("install.php","",$PHP_SELF); } ?>"><br />
<font class="instructions">The base directory of the conference web site, e.g. /conference/</font></p>

<p><b>Temporary Directory</b>: <input type="text" name="path_tmpdir" size="50" value="<?php if($path_tmpdir) { echo $path_tmpdir; } else { echo "/tmp/"; } ?>"><br />
<font class="instructions">A temporary directory that can be written to, used for handling uploaded files, e.g. /tmp/</font></p>

<p align="right"><input type="hidden" name="step" value="4"><input type="checkbox" name="skip" value="true"> <font color="#000066"><b>Skip this step</b></font><br /><br />
<input type="submit" value="Continue >>" class="button"></p>

<?php

}


// show other settings
else if($step==4) {

?>
<p class="ArticleTitle">Other Settings</p>

<?php
if($error=="incomplete") { error("Incomplete submission. Please fill out all fields."); }
else if($error=="dberror") { error("Unable to add values to database. Please check that your database configuration is set up correctly."); }
?>

<p><b>Repository Identifier</b>: <input type="text" name="other_repid" size="50" value="<?php if($other_repid) { echo $other_repid; } else { echo "ocs"; } ?>"><br />
<font class="instructions">This is used for the Open Archives front-end. It can be anything, but is typically a lowercase abbreviation of the sponsor organization or conference name (without spaces or punctuation marks).</font></p>

<input type="hidden" name="other_fonts" value="Verdana,Arial,Geneva,Helvetica,sans-serif">

<p align="right"><input type="hidden" name="step" value="5"><input type="checkbox" name="skip" value="true"> <font color="#000066"><b>Skip this step</b></font><br /><br />
<input type="submit" value="Continue >>" class="button"></p>

<?php

}


// show admin configuration
else if($step==5) {

?>
<p class="ArticleTitle">Admin Configuration</p>
<p>Specify a username and password to be required to access the conference administrative and set up pages. The username and password can be changed later from the conference admin.</p>

<?php
if($error=="incomplete") { error("Incomplete submission. Please fill out all fields."); }
else if($error=="pass") { error("Your passwords do not match."); }
else if($error=="dberror") { error("Unable to add values to database. Please check that your database configuration is set up correctly."); }
?>

<p><b>Username</b>: <input type="text" name="admin_login" size="50" value="<?php if($admin_login) { echo $admin_login; } else { echo "admin"; } ?>"></p>

<p><b>Password</b>: <input type="password" name="admin_password" size="50" value="<?php if($admin_password) { echo $admin_password; } ?>"></p>

<p><b>Password Again</b>: <input type="password" name="admin_password2" size="50" value="<?php if($admin_password2) { echo $admin_password2; } ?>"></p>

<p align="right"><input type="hidden" name="step" value="6"><input type="checkbox" name="skip" value="true"> <font color="#000066"><b>Skip this step</b></font><br /><br />
<input type="submit" value="Continue >>" class="button"></p>

<?php

}


// show final instruction
else if($step==6) {

?>
<p class="ArticleTitle">Final Instructions</p>
<p>Congratulations, installation of Open Conference Systems is nearly complete. To ensure proper operation of your conference web site, the following directory needs to be set so that the web server can write to it:</p>
<ul>
	<li>papers <font class="instructions">(currently <?php if(!is_writeable("papers")) { echo "not "; } ?>writeable)</font></li>
</ul>

<p>Additionally, if you want to be able to upload title and logo images from within the conference administration pages, the following directory also needs to be writeable by the web server:</p>
<ul>
	<li>images <font class="instructions">(currently <?php if(!is_writeable("images")) { echo "not "; } ?>writeable)</font></li>
</ul>

<p>These directories and files can be made writeable by two methods, under Unix and compatible operating systems. If you have permission to, you can simply change the owner to the webserver, e.g. "chown nobody.nobody papers" (other common usernames the web server may be running under are www, www-data, or apache). If you don't have permission to change ownership, you can simply make the files world-writeable, e.g. "chmod 777 papers" for directories, or "chmod 666 images/title.gif" for files.</p>

<p>It is <b>strongly recommended</b> that you remove this file (install.php) from your web documents tree, or rename it so that it is not parsed by PHP (e.g. to install.bak) so that your settings aren't overridden if it is accidentally re-run. You may want to keep a copy saved somewhere in case you need to modify your configuration at a later time.</p>

<p class="ArticleTitle">Setting Up Your Conference Web Site</p>
<p>That's it, your conference is now ready to be set up. When you're ready, proceed to the <a href="admin/">Conference Administration</a> pages (login with the username and password set in the previous step) and begin setting up your conference.</p>

<p>For more information about Open Conference Systems and other open research systems from the Public Knowledge Project, please visit our <a href="http://www.pkp.ubc.ca/">web site</a>.</p>

<?php

}


// show intro
else {

	?>
	
<p class="ArticleTitle">Welcome to Open Conference Systems v1.1.3</p>
<p>Thank you for downloading the Public Knowledge Project's <b>Open Conference Systems</b>. Before proceeding, please read the <a href="docs/README">README</a> file included with this software. For more information about the Public Knowledge Project and our software, please visit our <a href="http://www.pkp.ubc.ca/">web site</a>. Send bug reports or technical support inquiries to <a href="mailto:ocs@pkp.ubc.ca">ocs@pkp.ubc.ca</a>, or visit our online <a href="http://www.pkp.ubc.ca/bugzilla/">bug report system</a>.

<p>This script will guide you through the process of installing this software on your web server in the following sections:</p>
<ul>
	<li><font class="instructions">Database Configuration</font></li>
	<li><font class="instructions">Conference Web Site Settings</font></li>
	<li><font class="instructions">Path Configuration</font></li>
	<li><font class="instructions">Other Settings</font></li>
	<li><font class="instructions">Admin Configuration</font></li>
	<li><font class="instructions">Final Instructions</font></li>
</ul>

<p>If you need to modify your conference's configuration at any time, you can rerun this script and skip any steps that don't need to be repeated.</p>

<p class="ArticleTitle">System Requirements</p>
<p>Make sure your server meets the necessary requirements to install and use this software:</p>
<ul>
	<li><a href="http://www.php.net/">PHP</a> 4.0.5 or later (PHP 4.1.2 or later recommended), compiled with MySQL or PostgreSQL support</li>
	<li>Note: Due to a <a href="http://security.e-matters.de/advisories/012002.html">security issue</a> in PHP versions prior to 4.1.2, it is strongly recommended that you use PHP 4.1.2 or later with OCS, or <a href="http://www.php.net/downloads.php">patch</a> your version of PHP 4.0.6, 4.1.0, or 4.1.1.</li>
		<li>It is recommended that certain PHP settings in your php.ini configuration file be enabled that may not be enabled by default in recent releases of PHP:<br />
		register_globals must be on (<span class="instructions_red">currently <?php echo (ini_get("register_globals") ? "on" : "off") ?></span>)<br />
		magic_quotes_gpc must be on (<span class="instructions_red">currently <?php echo (ini_get("magic_quotes_gpc") ? "on" : "off") ?></span>)<br />
		It is also recommend that run-time notices be disabled, by setting error_reporting to a value such as "E_ALL & ~E_NOTICE" (<span class="instructions_red">currently <?php echo ini_get("error_reporting") ?></span>)</li>
	<li><a href="http://www.mysql.com/">MySQL</a> 3.22 or later (MySQL 3.23.23 or later recommended), or <a href="http://www.postgresql.org/">PostgreSQL</a> 7.0 or later</li>
	<li>UNIX-like OS recommended (such as <a href="http://www.linux.org/">Linux</a>, <a href="http://www.freebsd.org/">FreeBSD</a>, <a href="http://www.sun.com/">Solaris</a>, <a href="http://www.apple.com/macosx/">Mac OS X</a>, etc.). OCS has not been tested on Windows OS's, but should work.</li>
</ul>

<p>If your server meets the above requirements, click the button below to begin installation.</p>

<p align="right"><input type="hidden" name="step" value="1"><input type="submit" value="Continue >>" class="button"></p>

	<?php
}

// include the html footer file
include("include/footer.inc.php");

?>