<?php

// PKP Open Archives Initiative Interface v2.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
// 
// include/config.inc.php
//
// configuration variables for the OAI interface

/*
 *
 * Include additional files here
 * e.g., database classes, configuration files, etc. needed below or in functions.inc.php 
 *
 */
 
include("../include/db.inc.php");
include("../include/common.inc.php");



/*
 *
 * OAI configuration
 *
 */

$oai_config = array();

// base url to the OAI interface
$oai_config[baseurl] = "http://" . $_SERVER[HTTP_HOST] . preg_replace("/\?.*$/", "", $_SERVER[REQUEST_URI]);

// repository name
if($multiple) {
	$oai_config[repositoryname] = $global_items[name];
} else {
	$oai_config[repositoryname] = $conference_items[name];
}

// version of the OAI protocol supported
$oai_config[protocolversion] = "2.0";

// email address of the administrator of the repository
if($multiple) {
	$oai_config[adminemail] = $global_items[contact_email];
} else {
	$oai_config[adminemail] = $conference_items[contact_email];
}

// granularity supported by the repository
// (must be either YYYY-MM-DD or YYYY-MM-DDThh:mm:ssZ)
$oai_config[granularity] = "YYYY-MM-DDThh:mm:ssZ";

// unique identifier for this repository
// format must be "domainname-word.domainname" (e.g. "oai.yourdomain.com")
$oai_config[repositoryidentifier] = preg_replace("/[^\w\d]/", "", $repositoryid) . "." . $_SERVER[HTTP_HOST];

// delimiter between fields in the identifier
$oai_config[delimiter] = ":";

// sample identifier
$oai_config[sampleidentifier] = "oai".$oai_config[delimiter].$oai_config[repositoryidentifier].$oai_config[delimiter]."paper/1";

// how long resumption tokens are valid for (seconds)
$oai_config[token_lifetime] = 3600;

// max identifiers to display per request for ListIdentifiers requests
$oai_config[max_identifiers] = 500;

// max records to display per request for ListRecords requests
$oai_config[max_records] = 250;

// max sets to display per request for ListSets requests
// set to 0 if this repository does not support sets
$oai_config[max_sets] = 50;