<?php

// PKP Open Archives Initiative Interface v2.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
// 
// include/formats/marcxml.inc.php
//
// output metadata in MARCXML format

function metadataMARCXML($metadata) {
	
	$response = "        <record\n" .
				'           xmlns="http://www.loc.gov/MARC21/slim"' . "\n" .
				'           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"' . "\n" .
				'           xsi:schemaLocation="http://www.loc.gov/MARC21/slim' . "\n" .
				'           http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd">' . "\n" .
				"          <leader>     cam         3u     </leader>\n" .
				'          <controlfield tag="008">' . date("ymd", strtotime($metadata[date])) . " " . date("Y", strtotime($metadata[date])) ."                        eng  </controlfield>\n" .
				getElementMARCXML("042", " ", " ", "a", "dc") .
				getElementMARCXML("245", "0", "0", "a", $metadata[title]) .
				getElementMARCXML("720", " ", " ", "a", $metadata[creator]) .
				getElementMARCXML("653", " ", " ", "a", $metadata[subject]) .
				getElementMARCXML("520", " ", " ", "a", $metadata[description]) .
				getElementMARCXML("260", " ", " ", "b", $metadata[publisher]) .
				getElementMARCXML("720", " ", " ", "a", $metadata[contributor]) .
				getElementMARCXML("260", " ", " ", "c", $metadata[date]) .
				getElementMARCXML("655", " ", "7", "a", $metadata[type]) .
				getElementMARCXML("856", " ", " ", "q", $metadata[format]) .
				getElementMARCXML("856", "4", "0", "u", $metadata[identifier]) .
				getElementMARCXML("786", "0", " ", "n", $metadata[source]) .
				getElementMARCXML("546", " ", " ", "a", $metadata[language]) .
				getElementMARCXML("787", "0", " ", "n", $metadata[relation]) .
				getElementMARCXML("500", " ", " ", "a", $metadata[coverage]) .
				getElementMARCXML("540", " ", " ", "a", $metadata[rights]) .
				"        </record>\n";
	return $response;
}


function getElementMARCXML($tag, $ind1, $ind2, $code, $value) {
	if(!is_array($value)) { $value = array($value); }
	$response = "";
	foreach($value as $v) {
		$response .= "          <dataField tag=\"$tag\" ind1=\"$ind1\" ind2=\"$ind2\">\n" .
		             "            <subfield code=\"$code\">$v</subfield>\n" .
		             "          </dataField>\n";
	}
	return $response;
}