<?php

// PKP Open Archives Initiative Interface v2.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
// 
// include/formats/oai_marc.inc.php
//
// output metadata in MARC format

function metadataOAI_MARC($metadata) {
	
	$response = '        <oai_marc status="c" type="t" level="m" encLvl="u" catForm="u"' . "\n" .
				'           xmlns="http://www.openarchives.org/OAI/1.1/oai_marc"' . "\n" .
				'           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"' . "\n" .
				'           xsi:schemaLocation="http://www.openarchives.org/OAI/1.1/oai_marc' . "\n" .
				'           http://www.openarchives.org/OAI/1.1/oai_marc.xsd">' . "\n" .
				"          <leader>     cam         3u     </leader>\n" .
				'          <fixfield id="008">"' . date("ymd", strtotime($metadata[date])) . " " . date("Y", strtotime($metadata[date])) . '												eng"</fixfield>' . "\n" .
				getElementOAI_MARC("042", " ", " ", "a", "dc") .
				getElementOAI_MARC("245", "0", "0", "a", $metadata[title]) .
				getElementOAI_MARC("720", " ", " ", "a", $metadata[creator]) .
				getElementOAI_MARC("653", " ", " ", "a", $metadata[subject]) .
				getElementOAI_MARC("520", " ", " ", "a", $metadata[description]) .
				getElementOAI_MARC("260", " ", " ", "b", $metadata[publisher]) .
				getElementOAI_MARC("720", " ", " ", "a", $metadata[contributor]) .
				getElementOAI_MARC("260", " ", " ", "c", $metadata[date]) .
				getElementOAI_MARC("655", " ", "7", "a", $metadata[type]) .
				getElementOAI_MARC("856", " ", " ", "q", $metadata[format]) .
				getElementOAI_MARC("856", "4", "0", "u", $metadata[identifier]) .
				getElementOAI_MARC("786", "0", " ", "n", $metadata[source]) .
				getElementOAI_MARC("546", " ", " ", "a", $metadata[language]) .
				getElementOAI_MARC("787", "0", " ", "n", $metadata[relation]) .
				getElementOAI_MARC("500", " ", " ", "a", $metadata[coverage]) .
				getElementOAI_MARC("540", " ", " ", "a", $metadata[rights]) .
				"        </oai_marc>\n";
	return $response;
}


function getElementOAI_MARC($id, $i1, $i2, $label, $value) {
	if(!is_array($value)) { $value = array($value); }
	$response = "";
	foreach($value as $v) {
		$response .= "          <varfield id=\"$id\" i1=\"$i1\" i2=\"$i2\">\n" .
		             "            <subfield label=\"$label\">$v</subfield>\n" .
		             "          </varfield>\n";
	}
	return $response;
}