<?php

// PKP Open Archives Initiative Interface v2.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
// 
// include/formats/rfc1807.inc.php
//
// output metadata in RFC 1807 format

function metadataRFC1807($metadata) {
	
	$response = "        <rfc1807\n" .
				'           xmlns="http://info.internet.isi.edu:80/in-notes/rfc/files/rfc1807.txt"' . "\n" .
				'           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"' . "\n" .
				'           xsi:schemaLocation="http://info.internet.isi.edu:80/in-notes/rfc/files/rfc1807.txt' . "\n" .
				'           http://www.openarchives.org/OAI/1.1/rfc1807.xsd">' . "\n" .
				"          <bib-version>v2</bib-version>\n" .
				getElementRFC1807("id", $metadata[identifier]) .
				getElementRFC1807("entry", $metadata[datestamp]) .
				getElementRFC1807("organization", $metadata[publisher]) .
				getElementRFC1807("organization", $metadata[source]) .
				getElementRFC1807("title", $metadata[title]) .
				getElementRFC1807("type", $metadata[type]) .
				getElementRFC1807("type", $metadata[relation]) .
				getElementRFC1807("author", $metadata[creator]) .
				getElementRFC1807("date", $metadata[date]) .
				getElementRFC1807("copyright", $metadata[rights]) .
				getElementRFC1807("other_access", "url:" . $metadata[identifier]) .
				getElementRFC1807("keyword", $metadata[subject]) .
				getElementRFC1807("period", $metadata[coverage]) .
				getElementRFC1807("monitoring", $metadata[contributor]) .
				getElementRFC1807("language", $metadata[language]) .
				getElementRFC1807("abstract", $metadata[abstract]) .
				"        </rfc1807>\n";
	return $response;
}


function getElementRFC1807($name, $value) {
	if(!is_array($value)) { $value = array($value); }
	$response = "";
	foreach($value as $v) {
		$response .= "          <$name>$v</$name>\n";
	}
	return $response;
}