<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// organization.php
// 
// $Id: organization.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// generates an Organization page with conference contact info, including sponsoring organization, contributors, director(s), and principal and technical contacts


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Conference Organizers and Key Partners";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));

// include the html header file
include("include/header.inc.php");

?>

<p><font class="ArticleTitle"><b>Sponsoring Organization</b></font><br />
&nbsp; &nbsp; <font class="MainText"><b><?php echo $conference_items[sponsor]; ?></b></font></p>

<p><font class="ArticleTitle"><b>Director(s)</b></font><br />
<?php 

// print out a list of the conference director(s), including name, title, and email
if($conference_items[directors]) {
	$directors = explode("\n",$conference_items[directors]);
	$director_titles = explode("\n",$conference_items[director_titles]);
	$director_emails = explode("\n",$conference_items[director_emails]);
}
else { $directors = array(); }

for($i=0; $i<count($directors); $i++) {
	if($i > 0) { echo "<br /><br />\n"; }
	?>
	&nbsp; &nbsp; <font class="MainText"><b><?php echo $directors[$i]; ?></b></font><br />
	&nbsp; &nbsp; <?php echo $director_titles[$i]; ?><br />
	&nbsp; &nbsp; <a class="MainTextLink" href="mailto:<?php echo $director_emails[$i]; ?>"><?php echo $director_emails[$i]; ?></a></font>
	<?php
}

?></p>
 

<p><font class="ArticleTitle"><b>Principal Contact</b></font><br />

<?php

// print out the principal contact's information
?>
	&nbsp; &nbsp; <font class="MainText"><b><?php echo $conference_items[contact_name]; ?></b></font><br />
	<?php
	
	if(!empty($conference_items[contact_title])) {
	?>
	&nbsp; &nbsp; <?php echo $conference_items[contact_title]; ?><br />
	<?php
	}
	?>
	&nbsp; &nbsp; <a class="MainTextLink" href="mailto:<?php echo $conference_items[contact_email]; ?>"><?php echo $conference_items[contact_email]; ?></a></font><br />
	<?php
	
	if(!empty($conference_items[contact_address])) {
	?>
	<br />
	&nbsp; &nbsp; <?php echo str_replace("\n","<br />\n	&nbsp; &nbsp; ", $conference_items[contact_address]) ?>
	<?php }
	
	if(!empty($conference_items[contact_phone])) {
	?>
	<br />
	&nbsp; &nbsp; Phone: <?php echo $conference_items[contact_phone]; ?>
	<?php }
	
	if(!empty($conference_items[contact_fax])) {
	?>
	<br />
	&nbsp; &nbsp; Fax: <?php echo $conference_items[contact_fax]; ?>
	<?php } ?></font></p>


<p><font class="ArticleTitle"><b>Technical Contact</b></font><br />

<?php

// print out the technical contact's name and email
if(empty($conference_items[support_name])) { $conference_items[support_name] = $conference_items[contact_name]; }
if(empty($conference_items[support_email])) { $conference_items[support_email] = $conference_items[contact_email]; }

?>
&nbsp; &nbsp; <font class="MainText"><b><?php echo $conference_items[support_name]; ?></b></font><br />
&nbsp; &nbsp; <a class="MainTextLink" href="mailto:<?php echo $conference_items[support_email]; ?>"><?php echo $conference_items[support_email]; ?></a></p>


<p><font class="ArticleTitle"><b>PKP Technical Contact</b></font><br />
&nbsp; &nbsp; <a class="MainTextLink" href="mailto:ocs@pkp.ubc.ca">ocs@pkp.ubc.ca</a><br />
&nbsp; &nbsp; <a class="MainTextLink" href="http://www.pkp.ubc.ca/bugzilla/">PKP Bug Reporting System</a></p>


<p><font class="ArticleTitle"><b>Funding and In-Kind Contributors</b></font><br />
<?php 

// print out a list of conference contributors and their URLs
if($conference_items[contributors]) {
	$contributors = explode("\n",$conference_items[contributors]);
	$contributor_urls = explode("\n",$conference_items[contributor_urls]);
}
else { $contributors = array(); }

for($i=0; $i<count($contributors); $i++) {
	?>
	&nbsp; &nbsp; <font class="MainText"><b><?php echo $contributors[$i]; ?></b></font><br />
	&nbsp; &nbsp; <a class="MainTextLink" href="<?php echo $contributor_urls[$i]; ?>"><?php echo $contributor_urls[$i]; ?></a><br /><br />
	<?php
}

?></p>
<?php


// include the html footer file
include("include/footer.inc.php");

?>
