<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// papers.php
// 
// $Id: papers.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// generates a page with a list of accepted papers


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Presenters, Abstracts, and Papers";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));


// include the html header file
include("include/header.inc.php");


echo "<p align=\"center\"><font class=\"SmallText\">Browse by: ";
list($sort, $first_letter) = strip_html($sort, $first_letter);
list($sort, $first_letter) = sanitize_db_input($sort, $first_letter);
if($sort=="surname" || !$sort) {
	echo "<b>Author</b> | ";
}
else {
	$url = "papers.php?sort=surname";
	if($first_letter) { $url .= "&first_letter=$first_letter"; }
	echo "<a href=\"".print_url($url)."\">Author</a> | ";
}
if($sort=="title") {
	echo "<b>Title</b>";
}
else {
	$url = "papers.php?sort=title";
	if($first_letter) { $url .= "&first_letter=$first_letter"; } 
	echo "<a href=\"".print_url($url)."\">Title</a>";
}
echo "</font></p>";

// get number of papers
$paper_result = $db->query("Select id from $dbtable[papers] where accepted='true' and cf='$cf'");
if(!$first_letter) {
	if($db->num_rows($paper_result)<20) { $first_letter = "all"; }
	else { $first_letter="A"; }
}

echo "<p align=\"center\"><font class=\"SmallText\">";
foreach (explode(" ","A B C D E F G H I J K L M N O P Q R S T U V W X Y Z") as $letter) {
	if($first_letter!=$letter) {
		$url = "papers.php?";
		if($sort) { $url .= "sort=$sort&"; }
		$url .= "first_letter=$letter";
		echo "<a href=\"".print_url($url)."\">$letter</a>";
	}
	else { echo "<b>$letter</b>"; }
	echo " | ";
}
if($first_letter!="all") {
	$url = "papers.php?";
	if($sort) { $url .= "sort=$sort&"; }
	$url .= "first_letter=all";
	echo "<a href=\"".print_url($url)."\">All</a>";
}
else { echo "<b>All</b>"; }
echo "</font></p>";


if(!$sort) { $sort="surname"; }

// show list of papers
// get info from database
$query_txt = "Select id, first_name, surname, affiliation, add_first_names, add_surnames, add_affiliations, title, relation from $dbtable[papers] where accepted='true'";
// restrict to certain letter
if($first_letter!="all") {
	if($db_type == "pgsql") { $like = "ilike"; }
	else { $like = "like"; }
	$query_txt .= " and $sort $like '$first_letter%'";
}
$query_txt .= " and cf='$cf' order by lower($sort)";
$result = $db->query($query_txt);

// print info on each paper
$invited_papers = "";
$noninvited_papers = "";

// loop and add each result to a variable
for ($count = 0; $count<$db->num_rows($result); $count++) {
	$items = $db->assoc_array($result,$count);
	$output = "";
	$output .= "<p><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td width=\"16\" height=\"18\" valign=\"top\"><img src=\"".$themesdir."images/arrow.gif\" width=\"12\" height=\"12\" border=\"0\" vspace=\"4\" hspace=\"0\"></td><td valign=\"top\">
			<b>$items[first_name] $items[surname]";
		if($items[affiliation]) { $output .= ", $items[affiliation]"; }
		$output .= "</b><br />";
		if($items[add_first_names]) {
			$add_first_names = explode("\n",$items[add_first_names]);
			$add_surnames = explode("\n",$items[add_surnames]);
			$add_emails = explode("\n",$items[add_emails]);
			$add_affiliations = explode("\n",$items[add_affiliations]);
			// print out additional authors
			for($i=0; $i<count($add_first_names); $i++) {
				$output .= "<b>$add_first_names[$i] $add_surnames[$i]";
				if($add_affiliations[$i]) {
					$output .= ", $add_affiliations[$i]";
				}
				$output .= "</b><br />";
			}
		}
	$output .= "<a class=\"ArticleTitle\" href=\"".print_url("viewabstract.php?id=$items[id]")."\">$items[title]</a><br />
</td></tr><tr><td colspan=\"2\"> </td></tr></table></p>";
	
	
	// check if it's an invited paper if distinguishing
	if($conference_items[ref_distinguish]=="true" && strstr($items[relation],"Invited")) {
		$invited_papers .= $output;
	}
	// else it's a non-invited paper
	else {
		$noninvited_papers .= $output;
	}

}

// print output

// print out invited papers if distinguishing
if($invited_papers) {

?>
<?php
if($conference_items[ref_distinguish]=="true") {
	echo "<h4>Invited Papers</h4>";
}
?>

<blockquote>
<?php echo $invited_papers ;?>
</blockquote>

<?php

}

// print out list of noninvited papers if distinguishing, or all papers if not distinguishing
if($noninvited_papers) {

?>

<?php if($conference_items[ref_distinguish]=="true") {
	echo "<h4>";
	if($conference_items[peer_review]=="online") {
		echo "Refereed ";
	}
	else { echo "Other "; }
	echo "Papers</h4>";
	}?>
	
	<blockquote>
	<?php echo $noninvited_papers ;?>
	</blockquote>
	
	<?php
}

if($db->num_rows($result)==0) {
	if($first_letter!="all") {
		echo "<p align=\"center\">There are no papers whose ";
		if($sort=="surname") { echo "author"; }
		else { echo $sort; }
		echo " begins with the letter $first_letter.</p>";
	}
	else { echo "<p align=\"center\">There are currently no papers.</p>"; }
}

// show search form
?>
<form action="<?php echo print_url("search.php"); ?>" method="post">
<table border="0" cellpadding="0" cellspacing="0"><tr><td height="23" valign="middle">&nbsp;</td><td height="23" valign="middle" background="<?php echo $themesdir; ?>images/srchbg.gif">&nbsp;<font class="MainText"><b>Search Papers for:</b> <input type="text" name="query"<?php if($query) echo " value=\"".sanitize_output($query)."\""; ?>> in <select name="limit">
<option value="all"<?php if($limit=="all" || $limit=="") echo " selected"; ?>>All</option>
<option value="author"<?php if($limit=="author") echo " selected"; ?>>Author(s)</option>
<option value="title"<?php if($limit=="title") echo " selected"; ?>>Title</option>
<option value="abstract"<?php if($limit=="abstract") echo " selected"; ?>>Abstract</option>
<option value="keywords"<?php if($limit=="keywords") echo " selected"; ?>>Index Terms</option>
<option value="fulltext"<?php if($limit=="fulltext") echo " selected"; ?>>Full Text</option>
</select> 
<input type="submit" name="Search" class="button"></font></td></tr></table>
<input type="checkbox" name="search_all" value="true"><font class="MainText"> Search index of other <a href="http://www.pkp.ubc.ca/harvester/">PKP System</a> research databases.</font>
</form>

<p><font class="MainText"><b><a href="<?php echo print_url("search.php?search=advanced"); ?>">Go to Advanced Search</a></b></font></p>

   </td>
</tr>
<tr><td>&nbsp;</td></tr>

<?php

// include the html footer file
include("include/footer.inc.php");

?>
