<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// program.php
// 
// $Id: program.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// generates a Program page, with a print-out of the conference program


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Conference Program";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));


// print out program PDF
if($pdf && file_exists("papers/program-$cf.pdf")) {
	header("Content-Type: application/pdf");
    header("Content-Disposition: inline; filename=\"program.pdf\"\n");
    readfile("papers/program-$cf.pdf");
    exit;
}

// include the html header file
include("include/header.inc.php");

?>

<p><?php

// show link to program PDF
if($conference_items[program]=="program-$cf.pdf" && file_exists("papers/program-$cf.pdf")) {
	echo "The conference program is available <a href=\"".print_url("program.php?pdf=1")."\">here</a>, in PDF format.";
}

// print out the conference program
else {

?>

<font class="MainText"><?php echo nl2br($conference_items[program]); ?></font>

<?php

}

?></p>

<?php

// include the html footer file
include("include/footer.inc.php");

?>
