<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// registration.php
// 
// $Id: registration.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// generates a conference Registration page for uninvited participants


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Registration, Accommodation, and Travel";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));

// get the conference registration options
$reg_options = array();
if($conference_items[reg_options]) {
	$reg_options = explode("\n",$conference_items[reg_options]);
	$reg_options[reg_email]=$reg_options[0];
	$reg_options[exempt_presenters]=$reg_options[1];
	$reg_options[exempt_speakers]=$reg_options[2];
}


// check if displaying map
if($view == "map" && !empty($conference_items[reg_map]) && $conference_items[reg_map]!="false" && file_exists("papers/map-$cf")) {
	// try to guess filename extension
	if(eregi("jpeg", $conference_items[reg_map])) { $ext = ".jpg"; }
	else if(eregi("gif", $conference_items[reg_map])) { $ext = ".gif"; }
	else if(eregi("png", $conference_items[reg_map])) { $ext = ".png"; }
	else if(eregi("pdf", $conference_items[reg_map])) { $ext = ".pdf"; }
	else if(eregi("word", $conference_items[reg_map])) { $ext = ".doc"; }
	else { $ext = ""; }
	
	header("Content-Type: $conference_items[reg_map]");
    header("Content-Disposition: inline; filename=\"map-$cf$ext\"\n");
    readfile("papers/map-$cf");
    exit;
}


// include the html header file if not printing an invoice
if(!$submit || !($conference_items[reg_fees] && $conference_items[reg_invoice]=="true")) {
	include("include/header.inc.php");
}

// include date.php for generating formatted date
include("include/date.inc.php");

?>


<?php

// check for fee options
if(time()>=strtotime($conference_items[reg_late_date])) {
	$reg_fees = $conference_items[reg_fees_late];
	$reg_levels = $conference_items[reg_levels_late];
}
else {
	$reg_fees = $conference_items[reg_fees];
	$reg_levels = $conference_items[reg_levels];
}


// submit form and print out invoice if applicable
if($submit) {
	check_referer();

	// check that required fields have been filled out
	if(empty($name) || empty($email) || (empty($reg_level) && $reg_fees && $reg_levels)) {
		?>
		<p>Submission incomplete. Please go <a href="javascript:history.go(-1)">back</a> and complete all fields.</p>
		<?php
	}
	else if(!check_email($email)) {
		?>
		<p>The email address you entered is invalid. Please go <a href="javascript:history.go(-1)">back</a> and correct your submission.</p>
		<?php
	}
	//
	else {
	// add entry to database
		// create the registration level and fee, if applicable
		if($reg_level) {
			$reg_level = explode(" %% ",$reg_level);
			$reg_fee = $reg_level[1];
			$reg_level = $reg_level[0];
		}
		else {
			$reg_level = "n/a";
		}
		
		// note that the registration fee has not yet been paid, if applicable
		if($reg_fees) {
			$has_paid = "false";
		}
		else {
			$has_paid = "n/a";
		}
		
		// set the default values for registration fee and email notification if left blank
		if(!$reg_fee) {
			$reg_fee = "0";
		}
		if(!$reg_email) {
			$reg_email = "false";
		}
		
		// execute the query
		list($name, $affiliation, $email, $phone, $fax, $address, $reg_level, $reg_fee, $has_paid, $reg_email, $special_requests) = strip_html($name, $affiliation, $email, $phone, $fax, $address, $reg_level, $reg_fee, $has_paid, $reg_email, $special_requests);

		list($name, $affiliation, $email, $phone, $fax, $address, $reg_level, $reg_fee, $has_paid, $reg_email, $special_requests) = sanitize_db_input($name, $affiliation, $email, $phone, $fax, $address, $reg_level, $reg_fee, $has_paid, $reg_email, $special_requests);

		$query = $db->query("insert into $dbtable[registrants] (cf, name, affiliation, email, phone, fax, address, reg_level, reg_fee, has_paid, reg_email, special_requests, date_registered) values('$cf', '$name', '$affiliation', '$email', '$phone', '$fax', '$address', '$reg_level', '$reg_fee', '$has_paid', '$reg_email', '$special_requests', now())") or die("Unable to add entry to database");

		// check if cc'ing conference contact
		if($conference_items[contact_notify]) {
			$bcc = "\nbcc: $conference_items[contact_email]";
		}
		else {
			$bcc = "";
		}

		// email a notification to the registrant, cc'd to the conference contact if applicable
		if(!mail("$email", "Registration: $conference_items[name]", "You have successfully registered for $conference_items[name] from ".printdate().", with the following information:\n\nName: $name\nInstitutional Affiliation: $affiliation\nEmail Address: $email\nPhone: $phone\nFax: $fax\nMailing Address: $address\n\nFor more information on the conference, please visit ".print_url($baseurl."index.php")."\n\n--\nNote: If you believe this message to be in error, please reply to it.","From: $conference_items[contact_email] ($conference_items[contact_name]$bcc", "-f$conference_items[contact_email]")) {
			echo "Failed to send notification email to $email<br />";
		}

		// if registration is not free, print invoice
		if($conference_items[reg_fees] && $conference_items[reg_invoice]=="true") {
	
	?>
	
	<html>
	<head>
		<title>Invoice</title>
		<link rel="stylesheet" href="include/style.css" type="text/css">
	</head>
	<body bgcolor="#ffffff">
	<table border="0" width="100%" cellpadding="5" cellspacing="0"><tr><td>
	
	<p><font size="6"><b>Invoice</b></font></p>
	
	<hr width="100%" size="1">
	
	<p><font class="ArticleTitle"><b><?php echo date("F j, Y"); ?></b></font></p>
	
	<p><font class="ArticleTitle"><b>Conference Registration</b></font><br /><br />
	<font size="5"><b><?php echo $conference_items[name]; ?></b></font><br /><br />
	<font class="ArticleTitle"><b><?php echo printdate(); ?></b></font></p>
	
	
	<p><b><?php echo $conference_items[name]; ?></b><br />
	<?php echo nl2br($conference_items[contact_address]); ?></p>
	
	<hr width="100%" size="1">
	
	<table border="1" cellpadding="2" cellspacing="0" width="300">
	<tr><td><b>Registrant</b></td><td><b>Cost</b></td></tr>
	<tr valign="top"><td><?php echo $name."<br />".nl2br($address); ?></td><td><?php if($reg_fee > 0) { echo "\$$reg_fee"; } else { echo "Free"; } ?></td></tr>
	</table>
	
	<p>Please submit payment with a print-out of this invoice to:</p>
	
	<p><b><?php echo $conference_items[name]; ?></b><br />
	<?php echo nl2br($conference_items[contact_address]); ?><br />
	Phone: <?php echo $conference_items[contact_phone]; ?></p>
	
	<p><font class="ArticleTitle"><b>Invoice Due: <?php 
	// print out invoice due date (conference start date minus 14 days)
	echo date("F j, Y",strtotime($conference_items[start_date])-(14*24*60*60));
	?></b></font></p>
	
	</td></tr></table>
	
	<p><a href="<?php echo print_url("index.php"); ?>">Back To Conference</a></p>
	</body>
	</html>
	
	
	<?php
		}
		// else if registration is free, print out a simple message
		else {
			?>
			<p>Thank you for registering, your submission has been received.</p>
			<p><a href="<?php echo print_url("index.php"); ?>"><b>Back to Home</b></a></p>
			<?php
			}
	
		}
	
}

// print out registration form
else {

?>

	<p><b><?php
	
	// print out formatted date
	echo printdate();
	
	?></b></p>
	
	<?php
	
	// check to see if maximum number of registrants hasn't been reached
	$result = $db->query("Select name from $dbtable[registrants] where cf='$cf'");
	$num_rows = $db->num_rows($result);
	
	// if the limit hasn't been reached, print registration form
	if($conference_items[registration]=="true" && ($num_rows<$conference_items[reg_limit] || $conference_items[reg_limit]=="") && time()<strtotime($conference_items[reg_close_date])) {
	
	?>
	
	<form action="<?php echo print_url("registration.php"); ?>" method="post">
	
	<p><b>1. Registration Details</b><br />
	
	<?php
	
	echo "<p class=\"instructions\">Registration closes on ".date("F j, Y", strtotime($conference_items[reg_close_date])).".</p>";
	
	// note the registration limit, if applicable
	if($conference_items[reg_limit]) {
		echo "<p class=\"instructions\">Registration is limited to the first $conference_items[reg_limit] people to register.</p>";
	}
	
	// if registration is free, print out message
	if(!($reg_fees && $reg_levels)) {
		echo "<p class=\"instructions\">Registration for this conference is free.</p>";
	}
	
	
	// print out registration details
	if($conference_items[reg_details]) {
		echo "<p>".nl2br($conference_items[reg_details])."</p>";
	}
	
	
	$next_num = 1;
	
	if($conference_items[reg_accomm]) {
		$next_num++;
	?>
	<p><b><?php echo $next_num; ?>. Accommodation</b><br />
	<?php echo nl2br($conference_items[reg_accomm]); ?>
	</p>
	<?php
	}
	
	if($conference_items[reg_travel]) {
		$next_num++;
	?>
	<p><b><?php echo $next_num; ?>. Travel</b><br />
	<?php echo nl2br($conference_items[reg_travel]); ?>
	</p>
	<?php
		// show link to view conference map, if applicable
		if(!empty($conference_items[reg_map]) && $conference_items[reg_map]!="false" && file_exists("papers/map-$cf")) {
			?>
			<p><b><a href="<?php echo print_url("registration.php?view=map"); ?>">View Map to Conference Location</a></b></p>
			<?php
		}
	}
	
	
	// print out the fee options, if applicable
	if($reg_fees && $reg_levels) {
		$next_num++;
		
		echo "<p><b>$next_num. Fees</b><br />";
		$reg_levels = explode("\n",$reg_levels);
		$reg_fees = explode("\n",$reg_fees);
		echo "<font class=\"instructions\">Please select the appropriate option.</font></p>
		<p>";
		
		// loop and print out each registration level as a radio button
		for($i=0; $i<count($reg_fees); $i++) {
			echo "<input type=\"radio\" name=\"reg_level\" value=\"$reg_levels[$i] %% $reg_fees[$i]\"";
			if($i == 0) { echo " checked"; }
			echo "> $reg_levels[$i] - ";
			if($reg_fees[$i] > 0) { echo "\$$reg_fees[$i]"; }
			else { echo "Free"; }
			echo "<br />";
		}
		
		echo "</p>";
		
		// note invoice option, if applicable
		if($conference_items[reg_invoice]=="true") {
			echo "<p class=\"instructions\">Print a conference fee invoice below.</p>";
		}
		
		// print other payment options, if applicable
		if($conference_items[reg_pay_options]) {
			echo "<p><b>Other Payment Options</b><br />\n".nl2br($conference_items[reg_pay_options])."</p>";
		}
	}
	
	// print out the actual registration form
	?>
	
	<p><b><?php echo $next_num+1; ?>. Registrant Information</b><br />
	<font class="instructions">Your name and email address are required. All other information is optional.</font></p>
      <table width="600" border="0" cellpadding="0" cellspacing="0">
	<tr><td background="<?php echo $themesdir; ?>images/srchbg.gif" width="150" nowrap>&nbsp;Name: </td><td width="450"><input type="text" name="name"></td></tr>
	<tr><td nowrap>&nbsp;Institutional Affiliation: </td><td><input type="text" name="affiliation"></td></tr>
	<tr><td background="<?php echo $themesdir; ?>images/srchbg.gif" nowrap>&nbsp;Email Address: </td><td><input type="text" name="email"></td></tr>
	<tr><td nowrap>&nbsp;Phone: </td><td><input type="text" name="phone"></td></tr>
	<tr><td background="<?php echo $themesdir; ?>images/srchbg.gif" nowrap>&nbsp;Fax: </td><td><input type="text" name="fax"></td></tr></table>
	&nbsp;Mailing Address<br /><textarea name="address" wrap="virtual" cols="50" rows="5"></textarea></p>
	
	<p><b><?php echo $next_num+2; ?>. Special Requests</b>
	(<font class="instructions">Dietary, access, etc.</font>)<br />
	<textarea name="special_requests" wrap="virtual" cols="50" rows="5"></textarea></p>
	
	<?php
	
	// print out email notification option, if applicable
	if($reg_options[reg_email]=="true") echo "<p><input type=\"checkbox\" name=\"reg_email\" value=\"true\">Email me when new papers are posted to the conference site.</p>";

	?>
	
	<p><input type="submit" name="submit" value="Register<?php
	if($conference_items[reg_invoice]=="true") {
		echo " and Print Invoice";
	}
	?>" class="button"> <input type="reset" class="button"></p>
	</form>
	
	<p><font class="MainText"><b><a href="<?php echo print_url("privacy.php"); ?>">Privacy Policy</a></b></font></p>	
	
	
	<?php
	}
	
	// if registration is full, print out message
	else if($num_rows>=$conference_items[reg_limit]) {
		echo "<p>We are very sorry but registration is already full.</p>";
	}
	
	// if registration is closed, print out message
	else {
		echo "<p>We are very sorry but registration has closed.</p>";
	}

}

?>

   </td>
</tr>
<tr><td>&nbsp;</td></tr>

<?php

// include the html footer file  if not printing an invoice
if(!$submit || !($conference_items[reg_fees] && $conference_items[reg_invoice]=="true")) {
	include("include/footer.inc.php");
}

?>
