<?php

// $Id: rst.php,v 1.19 2003/02/25 04:57:55 kevin Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Research Support Tool.
// 
// Research Support Tool is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Research Support Tool is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Research Support Tool; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// handles RST functions


// include RST configuration
include_once("rst/config.inc.php");


global $rst, $metadata, $topics, $subjects;
$rst = rst_type($id);


// get selected paper's metadata
if(($metadata = rst_get_metadata($id)) === false) {
	rst_header();
	echo "Sorry, the requested article was not found! Please try again.";
	rst_footer();
	exit;
}
	
	
// break index terms and topic terms into an array
if(isset($metadata[subject][1])) {
	$topics = preg_split("/[;,]\s*/", $metadata[subject][1]);
} else {
	$topics = preg_split("/[;,]\s*/", @join("; ", $metadata[subject]));
}

// format topics
$subjects = @urlencode(join(" ",$topics));
	
// include appropriate RST
if(!isset($rst) || !preg_match("/^\S+$/", $rst) || @file_exists("modules/$rst/rst.inc.php")) {
	$rst = "Generic";
}
include("rst/modules/$rst/rst.inc.php");

	
// included global RST functions
include("rst/functions.inc.php");


// display rst header
if(!isset($no_html)) {
	rst_header();
}


// check for valid operation
if(function_exists($op)) {
	call_user_func($op, $metadata, $i,  array_merge($HTTP_GET_VARS, $HTTP_POST_VARS));
} else {
	echo "<p>Error: invalid parameters.</p>";
}


// display rst footer
if(!isset($no_html)) {
	rst_footer();
}
