<?php

// $Id: rst.inc.php,v 1.6 2003/01/20 19:47:23 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Astrophysics


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Related Sites" => "search_related_links",
	"Pay-Per-View" => "search_pay_per_view",
	"Astro Data" => "search_astro_data",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"

);


// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $topics;	
	global $rstname;
	$rstname = "Define Terms";
	$search_engines = array(
	"Encyclopedia of Astronomy and Astrophysics" => array("http://www.ency-astro.com/", "http://www.ency-astro.com/eaa/eaa/eaa/public/public_search_results.html?sessionid=public&sortby=&skip=0&OPERATOR_A=and&SEARCH_FIELD=title&SEARCH_LEVEL=&SORTBY=relevance&SKIP_ROWS=0&MAX_ROWS=10&search_type=public&PAGE_TYPE=standard&TERM_A2=&TERM_A1="),
	"Encyclopedia Astronautica" => array("http://www.astronautix.com/", "http://www.google.com/custom?sa=Search&cof=L%3Ahttp%3A%2F%2Fwww.astronautix.com%2Fgraphics%2Fl%2Flogo.gif%3BAH%3Acenter%3BGL%3A0%3BAWFID%3A3cf675793eb3c420%3B&sitesearch=www.astronautix.com&domains=www.astronautix.com&q=")
				
	);
		
	rst_search_form_buttons($search_engines);
	
	
}


function search_related_links() {
	global $topics;
	global $rstname;
	$rstname = "Related Links";	
	$search_engines = array(
		"AstroLinks" => array("http://www.astro.univie.ac.at/Admin/search.html", "http://hotbot.lycos.com/?SW=web&matchmode=MC&recordcount=10&descriptiontype=2&placeselection=DM&domain=%2Eastro%2Eunivie%2Eac%2Eat&georegion=NA&OPs=R&_v=2&act.search=Search&query="),
		"AstroWeb: Astronomical Internet Resources" => array("http://www.stsci.edu/science/net-resources.html", "http://www.stsci.edu/cgi-bin/search-master?"),
		"Astrophysics Data System" => array("http://adsabs.harvard.edu/abstract_service.html", "http://adsabs.harvard.edu/cgi-bin/nph-abs_connect?db_key=AST&sim_query=YES&aut_xct=NO&aut_logic=OR&obj_logic=OR&author=&object=&start_mon=&start_year=&end_mon=&end_year=&ttl_logic=OR&title=&txt_logic=OR&nr_to_return=100&start_nr=1&start_entry_day=&start_entry_mon=&start_entry_year=&min_score=&jou_pick=ALL&ref_stems=&data_and=ALL&group_and=ALL&sort=SCORE&aut_syn=YES&ttl_syn=YES&txt_syn=YES&aut_wt=1.0&obj_wt=1.0&ttl_wt=0.3&txt_wt=3.0&aut_wgt=YES&obj_wgt=YES&ttl_wgt=YES&txt_wgt=YES&ttl_sco=YES&txt_sco=YES&version=1&text="),
		"Fermilab Preprint Server search engine" => array("http://fnlib2.fnal.gov/MARION", "http://fnlib2.fnal.gov/htbin/dbsearch?db=MARION&format=short&num=25&kwd="),
		"NASA Langley Technical Reports Server" => array("http://techreports.larc.nasa.gov/ltrs/ltrs.html", "http://techreports.larc.nasa.gov/ltrs/ltrs.cgi?search_words="),
		"HighWire" => array("http://highwire.stanford.edu/", "http://highwire.stanford.edu/cgi/searchresults?author1=&pubdate_year=&volume=&firstpage=&src=hw&hits=10&hitsbrief=25&resourcetype=1&andorexactfulltext=and&fulltext=")

		

	);
		
	rst_search_form_buttons($search_engines);

}


function search_pay_per_view() {
	global $topics;
	global $rstname;
	$rstname = "Pay-Per-View";
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query="),
		"TheScientificWorld" => array("http://www.thescientificworld.com/scibase/search.asp?uid=&bid=", "http://www.thescientificworld.com/scibase/searchresults.asp?hidSearchWithPup=0&search2=&search3=&search=&image1.x=0&image1.y=0&search1=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}


function search_online_forums() {
	
	global $topics;
	global $rstname;
	$rstname = "Online Forums";
	$search_engines = array(
		"International Astronomy Meetings List" => array("http://cadcwww.dao.nrc.ca/meetings/meetings.html", "http://cadcwww.dao.nrc.ca/cadcbin/wdb/cadcmisc/meetings/query?tab_meeting_no=on&meeting_no=&tab_title=on&web=&tab_location=on&location=&contact=&email=&address=&tab_date_start=on&date_start=&tab_end_date=on&end_date=&max_rows_returned=10&title=&keywords="),
		"Scholarly Societies Project Meeting/Conference Announcement List" => array("http://www.lib.uwaterloo.ca/cgi-bin/public/opentext/pat2db?specfile=/fsys2/opentext/ssp/full/ssp.p2w", "http://www.lib.uwaterloo.ca/cgi-bin/public/opentext/pat2db?specfile=%2Ffsys2%2Fopentext%2Fssp%2Ffull%2Fssp.p2w&act=patquery&region=record&sample=1-50&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_instructional() {
	global $topics;
	global $rstname;
	$rstname = "Instructional Materials";
	$search_engines = array(
		"Space Science Education Resource Directory" => array("http://teachspacescience.org/cgi-bin/ssrtop.plex", "http://teachspacescience.org/cgi-bin/search.plex?mode=basic&bgrade=allgrades&btopic=alltopics&submit.x=47&submit.y=14&keywords="),
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
	);
		
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_astro_data() {
	global $topics;
	global $rstname;
	$rstname = "Astro Data";
	$search_engines = array(
		"Astronomical Data Center" => array("http://adc.gsfc.nasa.gov/adc.html", "http://www.google.ca/search?q=site%3Aadc.gsfc.nasa.gov+"),
		"HEASARC" => array("http://guinan.gsfc.nasa.gov/", "http://guinan.gsfc.nasa.gov/cgi-bin/search/search.pl?tquery="),
		"UK Astronomy Data Centre" => array("http://archive.ast.cam.ac.uk/", "http://archive.ast.cam.ac.uk/cgi-bin/wdb/wfsurvey/wfsurvey/query?tab_date_obs=on&date_obs=&tab_utstart=on&utstart=&tab_object=on&object=&tab_runno=on&runno=&tab_fband=on&fband=&tab_fsys=on&fsys=&tab_exposure=on&exposure=&box=00+30+00&tab_ra=on&ra=&tab_dec=on&scionly=on&max_rows_returned=1500&dec=")
	);
		
		rst_search_form_buttons($search_engines);

}





function search_gov_policies() {
	global $topics;
	global $rstname;
	$rstname = "Government Policies";
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	global $rstname;
	$rstname = "Media Reports";
	$search_engines = array(
	"ASTRONOMY magazine" => array("http://www.astronomy.com/home.asp", "http://www.astronomy.com/search/content_search.asp?chrKeywords="),
	"Daily Science News from NewScientist" => array("http://www.newscientist.com/news/", "http://www.newscientist.com/news/search/dosearch.jsp?searchtype=any&x=31&y=9&advsearch="),
	"Nature Science Update" => array("http://www.nature.com/nsu/", "http://www.nature.com/dynasearch/app/Dynasearch.taf?_action=search&sp-n=1&sp_k=&sp-p=Any&sp-w=Exact&search_volume=&search_startPage=&search_doi=&search_title=&search_author=&search_abstract=&issue_start_month=&issue_start_year=&issue_end_month=&issue_end_year=&Action=Search&search_fulltext="),
	"Science News Online" => array("http://www.sciencenews.org/search.asp", "http://www.sciencenews.org/search.asp?goButton=Search&navEvent=Top&target="),
	"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "https://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
	"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}


