<?php

// $Id: rst.inc.php,v 1.4 2002/12/10 17:44:51 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Cognitive Science


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Cognitive Theory" => "search_cognitive_theory",
	"Related Sites" => "search_related_studies",
	"Pay-Per-View" => "search_pay_per_view",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
);




// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
global $topics;
	global $rstname;
	$rstname = "Define Terms";
	$search_engines = array(
		"Dictionary of Philosophy of Mind" => array("http://sosig.ac.uk/redirect?url=http://www.artsci.wustl.edu/~philos/MindDict/&rec=915884985-17156", "http://hotbot.lycos.com/?sourceid=00326527125221212843&modtype0=phrase&modwords0=dictionary+of+philosophy+of+mind&placeselection=DM&domain=artsci%2Ewustl%2Eedu&nummod=2&image2.x=15&image2.y=9&query="),
		"Wordnet" => array("http://www.cogsci.princeton.edu/cgi-bin/webwn1.7.1", "http://www.cogsci.princeton.edu/cgi-bin/webwn1.7.1?stage=1&word=")
		);
		
		rst_search_form_buttons($search_engines);

}



function search_cognitive_theory() {

	global $topics;
	global $rstname;
	$rstname = "Cognitive Theory";
	
	$search_engines = array(
		"The Internet Encyclopedia of Philosophy" => array("http://www.utm.edu/research/iep", "http://www.utm.edu/cgi-bin/swish/swish.cgi?database=%2Fresearch%2Fiep%2F.cgi%2Fswish.index&query="),
		"MITECS: The MIT Encyclopedia of the Cognitive Sciences" => array("http://mitpress.mit.edu/book-home.tcl?isbn=0262232006", "http://mitpress.mit.edu/catalog/search/default.asp?qtype=k&query=")
		);
		
		rst_search_form_buttons($search_engines);
}
		

function search_related_studies() {
	global $topics;
	global $rstname;
	$rstname = "Related Studies";	
	$search_engines = array(
		"Behavior and Brain Sciences" => array("http://www.bbsonline.org/perl/search", "http://www.bbsonline.org/perl/search?title_abstract_keywords_srchtype=all&authors=&authors_srchtype=all&year=&_satisfyall=ALL&_order=order0&submit=Search&.cgifields=publication&title_abstract_keywords="),
		"CogPrints" => array("http://cogprints.soton.ac.uk/", "http://cogprints.ecs.soton.ac.uk/perl/search?abstract%2Fkeywords%2Ftitle_srchtype=ALL&authors%2Feditors=&authors%2Feditors_srchtype=ALL&year=&_satisfyall=ALL&_order=bytitle&_action_search=Search&abstract%2Fkeywords%2Ftitle="),
		"HighWire" => array("http://highwire.stanford.edu/lists/freeart.dtl", "http://highwire.stanford.edu/cgi/searchresults?andorexactfulltext=and&resourcetype=1&author1=&src=ml&disp_type=&fulltext="),
		"Medline" => array("http://www.nlm.nih.gov/cgi/medlineplus/leavemedplus.pl?theURL=http://www.ncbi.nlm.nih.gov/pubmed/", "http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=PubMed&orig_db=PubMed&cmd=search&cmd_current=&query_key=1&WebEnv=WgdoIaDG%5DK%60%3Eeg%60%5DQGDJcF@%5CCKh%5Ebkl%3C_JEH%3Dzbb%3EF%5EfFJdTI%3D%3F%3C&term=")
		
	);
		
	rst_search_form_buttons($search_engines);

}


function search_pay_per_view() {
	global $topics;
	global $rstname;
	$rstname = "Pay-Per-View";	
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query="),
		"TheScientificWorld" => array("http://www.thescientificworld.com/scibase/search.asp?uid=&bid=", "http://www.thescientificworld.com/scibase/searchresults.asp?hidSearchWithPup=0&search2=&search3=&search=&image1.x=0&image1.y=0&search1=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_online_forums() {
	global $topics;
	global $rstname;
	$rstname = "Online Forums";	
	$search_engines = array(
		"COGSCI Cognitive Science Discussion List" => array("http://cogsci.weenink.com/", "http://listserv.surfnet.nl/scripts/wa.exe?S2=cogsci&s=&f=&a=&b=&q="),
		"Medical Conferences.com" => array("http://www.medicalconferences.com/", "http://www.medicalconferences.com/scripts/search_partner.pl?PID=234523&L=&Q_DATE_STARTD=-&Q_DATE_STARTM=-&Q_DATE_STARTY=-&Q_DATE_ENDD=-&Q_DATE_ENDM=-&Q_DATE_ENDY=-&x=4&y=11&&K="),
		"Meeting/Conference Announcement List" => array("http://www.lib.uwaterloo.ca/society/meetings.html" , "http://www.google.ca/search?q=site%3Awww.lib.uwaterloo.ca+")
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	global $rstname;
	$rstname = "Media Reports";	
	$search_engines = array(
		"BioMedNet News" => array("http://news.bmn.com/", "http://news.bmn.com/search/section/results?no_hits.n4=&nodes=commentary&nodes=conferences&stem=&search_results.show=20&keywords="),
		"LentilHealth.com " => array("http://www.lentilhealth.com/", "http://www.lentilhealth.com/cgi-local/news.pl?query="),
		"The Scientist" => array("http://www.the-scientist.com/", "http://www.the-scientist.com/asp/search/query.idq?Author=&All=&Sec=&Year=&CiMaxRecordsPerPage=10&CiScope=%2F&TemplateName=query&CiSort=rank%5Bd%5D&HTMLQueryForm=%2Fsearch.htm&SearchTerm="),
		"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "https://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
		"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}


function search_instructional() {
	global $topics;
	global $rstname;
	$rstname = "Instructional Materials";	
	$search_engines = array(
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
							
	);
		
	rst_search_form_buttons($search_engines);

}

function search_gov_policies() {
	global $topics;
	global $rstname;
	$rstname = "Government Policies";	
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

