<?php

// $Id: rst.inc.php,v 1.5 2003/01/20 19:47:23 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Computer Science


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Related Work" => "search_related_studies",
	"e-journals" => "search_ejournals",
	"Pay-Per-View" => "search_pay_per_view",
	"Online Books" => "search_online_books",
	"Tech. Reports" => "search_tech_reports",
	"Patents" => "search_patents",
	"Standards" => "search_standards",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
	
);


// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $rstname;	
	$rstname = "Define Terms";
rst_simple_search_form("http://search.internet.com/www.webopedia.com?IC_QueryDatabase=www.webopedia.com", "IC_QueryText", "Term to look up: ", "Define Term");
}



function search_related_studies() {

	global $topics;
	 global $rstname;
	$rstname = "Related Studies";
	$search_engines = array(
		"devx" => array("http://www.devx.com/", "http://www.google.com/custom?cof=T%3A%23000000%3BLW%3A70%3BBIMG%3Ahttp%3A%2F%2Fwww.devxcom%2Fimages%2Fredesign%2Fbackground2.gif%3BALC%3A%23000099%3BL%3Ahttp%3A%2F%2Fwww.devx.com%2Fimages%2Fredesign%2Fnewlogosm2.gif%3BLC%3A%23000099%3BLH%3A70%3BBGC%3AFAFAE6%3BAH%3Aleft%3BVLC%3A%23000099%3BGL%3A0%3BAWFID%3Aaf259f950e64cb71%3B&domains=devx.com%3Bprojectcool.com%3Bvb2themax.com&sitesearch=devx.com&sa.x=16&sa.y=25&q="),
		"ResearchIndex" => array("http://citeseer.nj.nec.com/cs", "http://citeseer.nj.nec.com/cs?submit=Search+Documents&cs=1&q="),
		"arXiv.org" => array("http://arxiv.org/", "http://www.google.ca/search?q=site%3Aarxiv.org+")
		
		);
		
		rst_search_form_buttons($search_engines);
}

function search_pay_per_view() {
	global $topics;
	 global $rstname;
	$rstname = "Pay-Per-View";	
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}
		

function search_ejournals() {
	global $topics;
	 global $rstname;
	$rstname = "Ejournals";
	$search_engines = array(
	"Engineering E-journal Search Engine (EESE)" => array("http://www.eevl.ac.uk/eese/index.html", "http://www.eevl.ac.uk/eese/index.html?tab=&eevl_sect=eevl&submit=Search&method=Any&searchst=")
	
	);
		
	rst_search_form_buttons($search_engines);

}


/*
function search_online_books() {
	global $topics;
	 global $rstname;
	$rstname = "Online Books";	
	$search_engines = array(
		"Free Computer & Internet Online Books" => array("http://www.tbns.net/online/weball.htm", "http://www.google.com/")
				
	);
		
		rst_search_form_buttons($search_engines);

}
*/
function search_patents() {
	global $topics;
	 global $rstname;
	$rstname = "Patents";
	$search_engines = array(
		"Europe's Network of Patent Databases (Esp@cenet)" => array("http://ep.espacenet.com", "http://l2.espacenet.com/dips/search?CY=ep&LG=en&DB=EPD&LS=1&NA=0&TI=&PN=&AP=&PR=&PD=&PA=&IN=&EC=&IC=&theSubmit=Search&AB="),
		"USPTO" => array("http://www.uspto.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?srcform=query&fr=0&nr=20&de=brief&mt0=all&ms0=should&in0=domain&dom0=www.uspto.gov&db=www&rn=1&parsed=true&act.search=Submit&mw0=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_standards() {
	global $topics;
	 global $rstname;
	$rstname = "Standards";	
	$search_engines = array(
		"The International Organization for Standardization (ISO)" => array("http://www.iso.ch/iso/en/CatalogueListPage.CatalogueList", "http://www.iso.ch/iso/en/StandardsQueryFormHandler.StandardsQueryFormHandler?languageCode=en&lastSearch=false&isoNumber=&isoPartNumber=&isoDocType=ALL&ICS=&stageCode=&stageDate=&committee=ALL&subcommittee=&scope=ALL&sortOrder=ISO&keyword="),
		"Request For Comments (RFCs)" => array("http://www.rfc-editor.org/rfcsearch.html", "http://www.rfc-editor.org/cgi-bin/rfcsearch.pl?opt=All+Fields&num=25&filefmt=txt&search_doc=search_all&match_method=prefix&sort_method=newer&abstract=absoff&keywords=keyoff&format=ftp&searchwords=")
				
	);
		
		rst_search_form_buttons($search_engines);

}

function search_tech_reports() {
	global $topics;
	 global $rstname;
	$rstname = "Tech Reports";
	$search_engines = array(
		"CSTR academic computer science collection" => array("http://www.nzdl.org/cgi-bin/cstrlibrary?a=p&p=about", "http://www.nzdl.org/cgi-bin/cstrlibrary?a=q&r=1&hs=1&e=p-0cstr--00-0-0-014-Document---0-1l--1-en-50---20-about---001-001-0isoZz-8859Zz-1-0&t=1&q=")
						
	);
		
		rst_search_form_buttons($search_engines);

}

function search_online_forums() {
	global $topics;
	 global $rstname;
	$rstname = "Online Forums";
	$search_engines = array(
		"All Conferences Directory" => array("http://all-conferences.net/Computers/", "http://www.allconferences.net/Search/search.php3?Search="),
		"DB and LP: Conferences and Workshops" => array("http://www.informatik.uni-trier.de/~ley/db/conf/index.a.html", "http://www.informatik.uni-trier.de/ley/dbbin/dblpquery.cgi?author=&author=&author=&author=&title=&year=&pages=&cite=&volume=&number=&query=Search&return=100&journal=&booktitle="),
		"TechCalendar" => array("http://www.techweb.com/calendar/", "http://www.techweb.com/search/search?sortby=bydate&coll=ALL-BTG&x=17&y=9&queryText=")		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_instructional() {
	global $topics;
	 global $rstname;
	$rstname = "Instructional Materials";	
	$search_engines = array(
		"Computer Education, Training and Tutorial Resources" => array("http://www.intelinfo.com/", "http://intelinfo.master.com/texis/master/search/?s=SS&q="),
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
						
	);
		
		rst_search_form_buttons($search_engines);

}

function search_portal_sites() {
	global $topics;
	 global $rstname;
	$rstname = "Portal Sites";	
	$search_engines = array(
		"EEVL" => array("http://www.eevl.ac.uk/", "http://www.eevl.ac.uk/eevl-cross-results.htm?tab=all&eevl_sect=eevl&exact=on&method=Any&titles=on&submit.x=19&submit.y=9&searchst=")
								
	);
		
		rst_search_form_buttons($search_engines);

}

function search_gov_policies() {
	global $topics;
	 global $rstname;
	$rstname = "Government Policies";	
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	 global $rstname;
	$rstname = "Media Reports";	
	$search_engines = array(
	"Daily Science News from NewScientist" => array("http://www.newscientist.com/news/", "http://www.newscientist.com/news/search/dosearch.jsp?searchtype=any&x=31&y=9&advsearch="),
	"Nature Science Update" => array("http://www.nature.com/nsu/", "http://www.nature.com/dynasearch/app/Dynasearch.taf?_action=search&sp-n=1&sp_k=&sp-p=Any&sp-w=Exact&search_volume=&search_startPage=&search_doi=&search_title=&search_author=&search_abstract=&issue_start_month=&issue_start_year=&issue_end_month=&issue_end_year=&Action=Search&search_fulltext="),
	"Science News Online" => array("http://www.sciencenews.org/search.asp", "http://www.sciencenews.org/search.asp?goButton=Search&navEvent=Top&target="),
	"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "https://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
	"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

