<?php

// $Id: rst.inc.php,v 1.5 2002/12/10 18:15:29 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Economics


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(

	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Working Papers" => "search_working_papers",
	"Related Sites" => "search_related_sites",
	"Nat'l Statistics" => "search_nat_statistics",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
	);



// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine




function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";
	rst_simple_search_form("http://econterms.com/cgi.bin/glossary.cgi?action=++Search++", "query", "Term to look up: ", "Define Term", "", "get");
}

function search_working_papers() {
	
	global $topics;
	 global $rstname;
	$rstname = "Working Papers";	
	$search_engines = array(
	"Research Papers in Economics (RePEc)" => array("http://www.repec.org/", "http://ideas.repec.org/cgi-bin/htsearch?config=all%2Fhtdigs&restrict=http%3A%2F%2Fideas.repec.org%2Fp%2F&exclude=&method=and&format=long&sort=score&restrict=http%3A%2F%2Fideas.repec.org%2Fp%2F&words="),
	"NBER" => array("http://papers.nber.org/", "http://papers.nber.org/papers?module=search&action=query&default_conjunction=and&keywords=")

		);
		rst_search_form_buttons($search_engines);
}

function search_related_sites() {
	 global $rstname;

	global $topics;
	$rstname = "Related Sites";
	$search_engines = array(
	"HoPEc" => array("http://netec.mcc.ac.uk/HoPEc.html", "http://netec.mcc.ac.uk/adnetec-cgi-bin/gemini.cgi?FIRSTNAME=&submit=Search&LASTNAME="),
	"EDIRC" => array("http://ideas.uqam.ca/EDIRC", "http://edirc.repec.org/cgi-bin/search.cgi?keyword2=&keyword3=&boolean=AND&keyword1="),
	"Pay Per View : Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
	"Pay Per View : Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")

		);
		rst_search_form_buttons($search_engines);
}

function search_online_forums() {
	 global $rstname;
$rstname = "Online Forums";

	global $topics;
	
	$search_engines = array(
		"H-Net" => array("http://www2.h-net.msu.edu/lists/", "http://www2.h-net.msu.edu/logsearch/index.cgi?type=keyword&list=All+lists&hitlimit=100&field=&nojg=on&smonth=00&syear=1989&emonth=11&eyear=2004&order=relevance&phrase="),
		"INOMICS" => array("http://www.conference-board.org/", "http://www.conference-board.org/cgi-bin/MsmFind.exe?AND_ON=N&ALLCATS=X&AGE_WGT=0&EN=X&ES=X&NO_DL=X&x=57&y=11&QUERY=")
		);
		rst_search_form_buttons($search_engines);
}


function search_instructional() {
	global $topics;
	 global $rstname;
	$rstname = "Instructional Materials";
	$search_engines = array(
	"Tutor 2U Economics" => array("http://www.tutor2u.com/", "http://www.tutor2u.net/search.asp?func=search&tree=0&submit=Search+Tutor2u&myquery="),
	"biz/ed" => array("http://bized.ac.uk/", "http://bized.ac.uk/cgi-bin/htsearch?config=htdig&method=and&sort=score&format=builtin-long&restrict=&exclude=&words=")
	
	);
		
	rst_search_form_buttons($search_engines);
}

function search_media_reports() {
	global $topics;
	 global $rstname;
	$rstname = "Media Reports";
	$search_engines = array(
	"The Economist" => array("http://www.economist.com/", "http://www.economist.com/search/search.cfm?cb=46&area=1&page=index&keywords=1&frommonth=01&fromyear=1997&tomonth=02&toyear=2002&rv=2&qr="),
	"Moreover's" => array("http://w.moreover.com/", "http://www.moreover.com/cgi-local/page?o=portal&h=Search+results+for...+hello+world&allwords=1&query="),
	"Globe and Mail, Toronto (last seven days)" => array("http://www.globeandmail.com/", "http://www.globeandmail.com/servlet/HTMLTemplate/search?tf=tgam/search/tgam/SearchResults.html&cf=tgam/search/tgam/SearchResults.cfg&current_row=1&start_row=1&num_rows=10&keywords="),
	"Mail & Guardian Newspaper" => array("http://www.mg.co.za/", "http://www.sn.apc.org/cgi-bin/wmail/wmail.cgi/WeeklyMail?go=Search&ayr=2002&amon=01&amday=01&byr=2002&bmon=12&bmday=01&key="),
	"National Public Radio, United States (unlimited)" => array("http://www.npr.org/archives/", "http://search1.npr.org/search97cgi/s97_cgi?ResultTemplate=simple_date.hts&SortSpec=Date+Desc+Score+Desc&ViewTemplate=docview.hts&collection=zeus&collection=C1&collection=WEB&Action=FilterSearch&filter=topic_filter.hts&x=23&y=13&QueryText="),
	"New York Times (last seven days)" => array("http://www.nytimes.com/", "http://query.nytimes.com/search/query?date=site1week&submit.x=1&submit.y=9&query="),
	"People's Daily, China (January 1999-)" => array("http://english.peopledaily.com.cn/home.shtml", "http://english.peopledaily.com.cn/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=english&exclude=&words="),
	"The Japan Times Online, Japan (January 1999-)" => array("http://www.japantimes.co.jp/search.htm", "http://www.japantimes.co.jp/cgi-bin/JTsearch3.pl5?"),
	"The Moscow Times, Russia (1994-)" => array("http://www.moscowtimes.ru/doc/Search.html", "http://www.moscowtimes.ru/cgi-bin/htsearch?config=&exclude=&method=boolean&format=long&sort=score&restrict=%2Fstories%2F2002%2F03%2F&matchesperpage=10&words="),
	"Washington Post (last two weeks)" => array("http://www.washingtonpost.com/", "http://search1.washingtonpost.com/?_v.7=92&_u.14=1&_u.1=3&_u.2=1&_u.3=2002&_u.4=3&_u.5=14&_u.6=2002&wp=on&ap=&_b.1.x=6&_b.1.y=4&_g.k_1="),
	"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
	
	);
		
	rst_search_form_buttons($search_engines);

}

function search_nat_statistics() {
	global $topics;
	 global $rstname;
	$rstname = "National Statistics";
	$search_engines = array(
	"Office for National Statistics (UK)" => array("http://www.statistics.gov.uk/", "http://www.statistics.gov.uk/CCI/SearchRes.asp?term=hello+world"),
	"Statistics Canada" => array("http://www.statcan.ca/", "http://www.statcan.ca:8081/english/clf/query.html?GO%21=GO%21&ht=0&qp=&qs=&qc=0&pw=100%25&la=en&qm=1&st=1&oq=&rq=0&si=0&rf=0&col=alle&qt=")
	);
	rst_search_form_buttons($search_engines);

}

function search_gov_policies() {
	global $topics;
	 global $rstname;
	$rstname = "Government Policies";	
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}


