<?php

// $Id: rst.inc.php,v 1.13 2003/01/28 08:41:22 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Education


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"e-Journals" => "search_ejournals",
	"Related Theory" => "search_related_theory",
	"Related Studies" => "search_related_studies",
	"Pay-Per-View" => "search_pay_per_view",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
	
);



// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";
	rst_simple_search_form("http://www.xrefer.com/results.jsp?shelf=search+all&Submit.x=4&Submit.y=20", "term", "Term to look up: ", "Define Term", "Simply double-click on any word in the text 
and it will be defined using the reference works on the Xrefer.com website.");
}

function search_pay_per_view() {
	global $topics;
	 global $rstname;
	$rstname = "Pay-Per-View";
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_media_report() {
	 global $rstname;
	$rstname = "Media Reports";
	$search_engines = array(
		"Globe and Mail, Toronto (last seven days)" => array("http://www.globeandmail.com/", "http://www.globeandmail.com/servlet/HTMLTemplate/search?tf=tgam/search/tgam/SearchResults.html&cf=tgam/search/tgam/SearchResults.cfg&current_row=1&start_row=1&num_rows=10&keywords="),
		"Mail & Guardian Newspaper" => array("http://www.mg.co.za/", "http://www.sn.apc.org/cgi-bin/wmail/wmail.cgi/WeeklyMail?go=Search&ayr=2002&amon=01&amday=01&byr=2002&bmon=12&bmday=01&key="),
		"National Public Radio, United States (unlimited)" => array("http://www.npr.org/archives/", "http://search1.npr.org/search97cgi/s97_cgi?ResultTemplate=simple_date.hts&SortSpec=Date+Desc+Score+Desc&ViewTemplate=docview.hts&collection=zeus&collection=C1&collection=WEB&Action=FilterSearch&filter=topic_filter.hts&x=23&y=13&QueryText="),
		"New York Times (last seven days)" => array("http://www.nytimes.com/", "http://query.nytimes.com/search/query?date=past30days&submit.x=11&submit.y=12&query="),
		"People's Daily, China (January 1999-)" => array("http://english.peopledaily.com.cn/home.shtml", "http://english.peopledaily.com.cn/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=english&exclude=&words="),
		"The Japan Times Online, Japan (January 1999-)" => array("http://www.japantimes.co.jp/search.htm", "http://www.japantimes.co.jp/cgi-bin/JTsearch3.pl5?"),
		"The Moscow Times, Russia (1994-)" => array("http://www.moscowtimes.ru/doc/Search.html", "http://www.moscowtimes.ru/cgi-bin/htsearch?config=&exclude=&method=boolean&format=long&sort=score&restrict=%2Fstories%2F2002%2F03%2F&matchesperpage=10&words="),
		"Washington Post (last two weeks)" => array("http://www.washingtonpost.com/", "http://search1.washingtonpost.com/?_v.7=92&_u.14=1&_u.1=3&_u.2=1&_u.3=2002&_u.4=3&_u.5=14&_u.6=2002&wp=on&ap=&_b.1.x=6&_b.1.y=4&_g.k_1="),
		"Newdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
		
	);
	
	rst_search_form_buttons($search_engines);

}

function search_ejournals() {
	global $topics;
	 global $rstname;
	$rstname = "Ejournals";	
	$search_engines = array(
		
		"Advancing  Women in Leadership Journal [USA]" => array("http://www.advancingwomen.com/awl/awl.html", "http://www.advancingwomen.com/excite/AT-Advancing_Women_Sitesearch.cgi/?search="),
		"The Australian Electronic Journal of Nursing Education [Australia]" => array("http://www.scu.edu.au/schools/nhcp/aejne/", "http://www.scu.edu.au/cgi/htsearch/?submit=Search&amp;method=boolean&amp;format=builtin-short&amp;words="),
		"Bilingual Research Journal [USA]" => array("http://brj.asu.edu/", "http://www.picosearch.com/cgi-bin/ts.pl/?index=116972&search=Search&opt=all&query="),
		"Current Issues in Education [USA]" => array("http://cie.ed.asu.edu/", "http://search.asu.edu:8000/query.html?rq=0&qp=site%3Acie.ed.asu.edu&qc=&qm=0&st=1&nh=10&lk=1&rf=0&qt="),
		"Education Et Francophonie [Canada]" => array("http://acelf.ca/revue/", "http://acelf.ca/cgi-bin/revue-glimpse/?file=%24FILE&query="),
		"Education-line [UK]" => array("http://www.leeds.ac.uk/educol/", "http://brs.leeds.ac.uk/cgi-bin/brs_engine/?*DB=BEIL&*ID=4&submit_Button=search&QC=0&QD=0&RF=*&*RT="),
		"Education Policy Analysis Archives [USA & Mexico]" => array("http://epaa.asu.edu/", "http://coe.asu.edu/cgi-bin/htsearch/?method=boolean&format=builtin-long&sort=score&config=epaa&restrict=&exclude=&search=search&words="),
		"Educational Insights: Electronic Journal of Graduate Student Research [Canada]" => array("http://www.csci.educ.ubc.ca/publication/insights/", "http://intra.whatuseek.com/query.go?crid=04a5a3c00c23d903&query="),
		"Educational Technology and Society [USA]" => array("http://ifets.ieee.org/periodical/", "http://odysseus.ieee.org/query.html?col=wg&qp=url%3Aifets.ieee.org%2Fperiodical&qs=&qc=wg&ws=0&qm=0&st=1&nh=25&lk=1&rf=0&oq=&rq=0&qt="),
		"EduCause Review [USA]" => array("http://www.educause.edu/", "http://www.educause.edu/search/SearchRight.asp?ct=EDUCAUSE&c2=@DocAddress&q2=http%3A%2F%2Fwww.educause.edu%2Fpub%2Feo%2F*&q1="),
		"First Monday [USA]" => array("http://www.firstmonday.dk/", "http://www.firstmonday.dk/fm.search?numdocs=10&minscore=50&query="),
		"Global Journal of Engineering Education [Australia]" => array("http://www.eng.monash.edu.au/uicee/gjee/globalj.htm", "http://ultraseek.its.monash.edu.au/query.html?rq=0&col=m0&qp=&qs=+AND+url%3Ahttp%3A%2F%2Fwww.eng.monash.edu.au%2Fuicee%2Fgjee&qc=&pw=100%25&ws=1&la=&qm=0&st=1&nh=25&lk=1&rf=0&oq=&rq=0&qt="),
		// "International Review of Research in Open and Distance Learning [Canada]" => array("http://www.irrodl.org/", "http://www.icaap.org/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=htdig&restrict=&exclude=&words="),
		// "Issues in Educational Research [Australia]" => array("http://cleo.murdoch.edu.au/gen/iier/", "http://cleo.murdoch.edu.au/cgi-bin/AT/AT-iiersearch.cgi?backlink=%2Fgen%2Fiier%2FAT-iierquery.html&bltext=Another+search&sp=sp&searchButton.x=24&searchButton.y=9&search="),
		"Issues in the Undergraduate Mathematics Preparation of School Teachers: The Journal [USA]" => array("http://www.k-12prep.math.ttu.edu/journal/journal.shtml", "http://www.k-12prep.math.ttu.edu/cgi-bin/search.cgi?keyword="),
		"Journal of American Indian Education [USA]" => array("http://jaie.asu.edu/", "http://search.asu.edu:8000/query.html?rq=0&col=asuweb&qp=site%3Ajaie.asu.edu&qs=search+suffix&qc=&qm=0&st=1&nh=10&lk=1&rf=0&qt="),
		"Journal of Vocational and Technical Education [USA]" => array("http://scholar.lib.vt.edu/ejournals/JVTE/", "http://scholar.lib.vt.edu:8765/query.html?rq=0&qp=http%3A%2F%2Fscholar.lib.vt.edu%2Fejournals%2FJVTE%2F&col=ejournal&qp=&qs=&qc=&pw=100%25&ws=0&la=&qm=0&st=1&nh=10&lk=1&rf=0&oq=&rq=0&qt="),
		"Kairos: A Journal for Teachers of Writing in Webbed Environments [USA]" => array("http://english.ttu.edu/kairos/", "http://english.ttu.edu/scripts/kairos/query.idq?CiScope=%2F&TemplateName=query&CiSort=rank%5Bd%5D&HTMLQueryForm=%2Fkairos%2Fquery.htm&x=37&y=5&CiRestriction="),
		"Language, Learning, and Technology [USA]" => array("http://llt.msu.edu/", "http://www.google.com/u/llt?q="),
		"Medical Education Online: An Electronic Journal [USA]" => array("http://www.med-ed-online.org/", "http://www.google.com/search?hl=en&lr=&ie=&as_qdr=all&site%3Amed-ed-online.org+q="),
		"National CROSSTALK, The National Center for Public Policy and Higher Education [USA]" => array("http://www.highereducation.org/crosstalk/index.html", "http://www.highereducation.org/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=highereducation&restrict=&exclude=&words="),
		"Philosophy of Education: Yearbook of the Philosophy of Education Society [USA]" => array("http://www.ed.uiuc.edu/EPS/PES-Yearbook/default.asp", "http://www.google.com/u/uiuced?h1=en&q="),
		"Practical Assessment, Research and Evaluation [USA]" => array("http://ericae.net/pare/", "http://ericae.net/scripts/texis.exe/scripts/search?db=ae&proximity=page&suffixproc=off&thesaurus=0&cmd=Go&defcmd=find&disp=all&grsz=10&arg="),
		"The Qualitative Report [USA]" => array("http://www.nova.edu/ssss/QR/index.html", "http://www.nova.edu/bin/QR.pl?Search+Criteria="),
		"Reading Online: An Electronic Journal of the International Reading Association [USA]" => array("http://www.readingonline.org/", "http://www.readingonline.org/search/search.asp?sc=all&sm=boolean&qu="),
		"The Source [USA]" => array("http://www.usc.edu/dept/education/TheSource/index.html", "http://www.usc.edu:8765/query.html?col=cwiscol&qp=%2Burl%3Awww.usc.edu%2Fdept%2Feducation%2FTheSource%2F+-url%3A%2Fglobaled&qt="),
		"Teachers College Record [USA]" => array("http://www.tcrecord.org/", "http://www.tcrecord.org/SearchResults.asp?db=1&x=12&y=10&strSearch="),
		"Teaching English as a Second Language [USA]" => array("http://www-writing.berkeley.edu/TESL-EJ/", "http://www.google.com/u/berkeleywriting?sa=Google+Search&domains=www-writing.berkeley.edu%2FTESL-EJ%2F&sitesearch=www-writing.berkeley.edu&q=")
		
	);
		
	
	rst_search_form_buttons($search_engines);

}

function search_related_theory() {
global $rstname;
        $rstname ="Related Theory";
	$search_engines = array(
		
		"Educational Theory" => array("http://www.ed.uiuc.edu/EPS/Educational-Theory/journal_contents.asp", "http://search.ed.uiuc.edu/cgi-bin/htsearch?config=search.ed.uiuc.edu&method=and&format=builtin-long&sort=score&restrict=%2Feps%2Feducational-theory%2F&words=")
		
	);
	
	rst_search_form_buttons($search_engines);

}

function search_related_studies() {
	global $rstname;
        $rstname = "Related Studies";
	$search_engines = array(
		
	"Education-Line: Electronic Texts in Education and Training" => array("http://www.leeds.ac.uk/educol/", "http://brs.leeds.ac.uk/cgi-bin/brs_engine?*ID=1&*DB=BEID&*PT=50&*FT=BEID&*HI=Y&TITL=&AUTH=&SUBJ=&*SO=TITL&SUBMIT_BUTTON=search%20button&*QQ="),
	"ERIC Abstracts" => array("http://searcheric.org/", "http://ericae.net/scripts/texis.exe/scripts/searchw4ex?db=ericdb&expa=no&disp=snote&proximity=rank&lmt=nul&nsz=10&arg="),
	"ERIC Digests" => array("http://www.ed.gov/databases/ERIC_Digests/index/", "http://www.ed.gov/search/searchResList.jsp?st=0&lk=1&col=+eric&head=%252Fheader.jsp&foot=%252Fincludes%252Ffooter.html&oq=&qp=url%253Adatabases%252FERIC_Digests&rq1=1&rq=0&sub=+Submit+Search+&qt=")

	);
	
	rst_search_form_buttons($search_engines);

}

function search_online_forums() {
	global $rstname;
        $rstname = "Online Forums";
	$search_engines = array(
		
		"H-Net, Humanities & Social Sciences Online" => array("http://www2.h-net.msu.edu/lists/", "http://www2.h-net.msu.edu/logsearch/index.cgi?type=boolean&hitlimit=25&field=&nojg=on&smonth=00&syear=1989&emonth=11&eyear=2004&order=relevance&phrase="),
		"Mailbase" => array("http://www.mailbase.ac.uk/", "http://www.mailbase.ac.uk/cgi-bin/searchmb.pl?type=list&query=")
		
	);
	
	rst_search_form_buttons($search_engines);

}

function search_instructional() {
	global $rstname;
        $rstname = "Instructional Materials";
	$search_engines = array(
		
	"Community Learning Network" => array("http://www.cln.org/", "http://www.openschool.bc.ca/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=htdig_cln&restrict2=&submit2=Search&words="),
		"Gateway to Eucational Materials (GEM)" => array("http://www.thegateway.org/", "http://search.thegateway.org/query.html?qc=gemdata&col=gemdata&rf=0&ct=1&ty0=p&op0=%2B&fl1=&qs=%7C&ct2=&ct3=&ALL=&tx0=$topic1+&fl0=&op1=%2B&ty1=p&tx1=$topic2"),
		"Marco Polo" => array("http://marcopolo.worldcom.com/", "http://www.marcopolosearch.org/mpsearch/Search_Results.asp?orgn_id=2&log_type=1&hdnFilter=&hdnPerPage=15&selUsing=all&txtSearchFor="),
		"Merlot" => array("http://www.merlot.org/Home.po", "http://www.merlot.org/search/ArtifactList.po?scope=1&search=search&keyword="),
		"SMETE" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")		
	);
	
	rst_search_form_buttons($search_engines);

}

function search_gov_policies() {
	global $topics;
	global $rstname;
        $rstname = "Government Policies";	
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	global $rstname;
        $rstname = "Media Reports";	
	$search_engines = array(
	"The Economist" => array("http://www.economist.com/", "http://www.economist.com/search/search.cfm?area=1&cb=&qr="),
	"Moreover's" => array("http://w.moreover.com/", "http://www.moreover.com/cgi-local/page?o=portal&h=Search+results+for...+hello+world&allwords=1&query="),
	"Globe and Mail, Toronto (last seven days)" => array("http://www.globeandmail.com/", "http://www.globeandmail.com/servlet/HTMLTemplate/search?tf=tgam/search/tgam/SearchResults.html&cf=tgam/search/tgam/SearchResults.cfg&current_row=1&start_row=1&num_rows=10&keywords="),
	"Mail & Guardian Newspaper, South Africa" => array("http://www.mg.co.za/", "http://www.sn.apc.org/cgi-bin/wmail/wmail.cgi/WeeklyMail?go=Search&ayr=2002&amon=01&amday=01&byr=2002&bmon=12&bmday=01&key="),
	"National Public Radio, United States (unlimited)" => array("http://www.npr.org/archives/", "http://search1.npr.org/search97cgi/s97_cgi?ResultTemplate=simple_date.hts&SortSpec=Date+Desc+Score+Desc&ViewTemplate=docview.hts&collection=zeus&collection=C1&collection=WEB&Action=FilterSearch&filter=topic_filter.hts&x=23&y=13&QueryText="),
	"New York Times (last seven days)" => array("http://www.nytimes.com/", "http://query.nytimes.com/search/query?date=site1week&submit.x=1&submit.y=9&query="),
	"People's Daily, China (January 1999-)" => array("http://english.peopledaily.com.cn/home.shtml", "http://english.peopledaily.com.cn/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=english&exclude=&words="),
	"The Japan Times Online, Japan (January 1999-)" => array("http://www.japantimes.co.jp/search.htm", "http://www.japantimes.co.jp/cgi-bin/JTsearch3.pl5?"),
	"The Moscow Times, Russia (1994-)" => array("http://www.moscowtimes.ru/doc/Search.html", "http://www.moscowtimes.ru/cgi-bin/htsearch?config=&exclude=&method=boolean&format=long&sort=score&restrict=%2Fstories%2F2002%2F03%2F&matchesperpage=10&words="),
	"Washington Post (last two weeks)" => array("http://www.washingtonpost.com/", "http://search1.washingtonpost.com/?_v.7=92&_u.14=1&_u.1=3&_u.2=1&_u.3=2002&_u.4=3&_u.5=14&_u.6=2002&wp=on&ap=&_b.1.x=6&_b.1.y=4&_g.k_1="),
	"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
	
	);
		
	rst_search_form_buttons($search_engines);

}
