<?php

// $Id: rst.inc.php,v 1.5 2002/12/10 18:24:13 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for General Science


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Online Books" => "search_online_books",
	"Related Studies" => "search_related_studies",
	"Pay-Per-View" => "search_pay_per_view",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
);




// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";
	rst_simple_search_form("http://www.xrefer.com/results.jsp?shelf=search+all&Submit.x=4&Submit.y=20", "term", "Term to look up: ", "Define Term", "Simply double-click on any word in the text 
and it will be defined using the reference works on the Xrefer.com website.");
}


function search_related_studies() {
	global $topics;
	global $rstname;
        $rstname = "Related Studies";	
	$search_engines = array(
	"HighWire" => array("http://highwire.stanford.edu/", "http://highwire.stanford.edu/cgi/searchresults?author1=&pubdate_year=&volume=&firstpage=&src=hw&hits=10&hitsbrief=25&resourcetype=1&andorexactfulltext=and&fulltext="),
	"KOSMOI" => array("http://kosmoi.com/", "http://www.google.com/custom?sa=Search&cof=GIMP%3A%23cccccc%3BT%3A%23ffdd99%3BLW%3A468%3BALC%3Ared%3BL%3Ahttp%3A%2F%2Fencyclozine.com%2FPictures%2FBanner%2FEncycloZine2.jpg%3BGFNT%3A%23999999%3BLC%3A%23ffcc33%3BLH%3A60%3BBGC%3Ablack%3BAH%3Acenter%3BVLC%3A%23ffcc66%3BGL%3A2%3BGALT%3A%23ffffff%3BAWFID%3A29728ead1ae72975%3B&domains=EncycloZine.com%3BKosmoi.com%3BEluzions.com&sitesearch=Kosmoi.com&q="),
	"PhilSci Archive" => array("http://philsci-archive.pitt.edu/", "http://philsci-archive.pitt.edu/perl/search?title_abstract_keywords_srchtype=all&authors=&authors_srchtype=all&publication=&publication_srchtype=all&year=&_satisfyall=ALL&_order=order2&submit=Search&title_abstract_keywords="),	
	"Science Books and Films" => array("http://sbfonline.com/", "http://ehrweb.aaas.org/~sbf/sample/search.cgi?title_query_type=any&author_query_type=any&author=&other=&type=B&type=F&type=S&dewey=630&dewey=930&dewey=720&dewey=520&dewey=010&dewey=580&dewey=660&dewey=540&dewey=230&dewey=710&dewey=380&dewey=390&dewey=550&dewey=370&dewey=330&dewey=620&dewey=120&dewey=170&dewey=700&dewey=920&dewey=030&dewey=900&dewey=960&dewey=950&dewey=970&dewey=990&dewey=980&dewey=940&dewey=910&dewey=001&dewey=400&dewey=340&dewey=020&dewey=570&dewey=410&dewey=800&dewey=160&dewey=650&dewey=670&dewey=510&dewey=610&dewey=640&dewey=560&dewey=130&dewey=100&dewey=530&dewey=730&dewey=320&dewey=150&dewey=350&dewey=500&dewey=790&dewey=810&dewey=360&dewey=300&dewey=310&dewey=600&dewey=590&title="),
	"SciTechResources.gov" => array("http://www.scitechresources.gov/", "http://neptune.fedworld.gov/cgi-bin/waisgate?WAISdbname=scitechresources@ntisdb.fedworld.gov&2ndquerystring=&3rdquerystring=&boolean=AND&WAISmaxhits=10&WAISsort=score&searchlimit=&WAISqueryRule=%28ntisscitechresults+AND+%28%241stquerystring+%24boolean+%242ndquerystring+%24boolean+%243rdquerystring%29%29&WAIStemplate=%2Fntis%2Fscitechwebsites.html&WAISqueryReport=none&submit.x=15&submit.y=12&1stquerystring=")
	
	);
		
	rst_search_form_buttons($search_engines);

}


function search_pay_per_view() {
	global $topics;
	global $rstname;
        $rstname = "Pay-Per-View";	
	$search_engines = array(
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query="),
		"TheScientificWorld" => array("http://www.thescientificworld.com/scibase/search.asp?uid=&bid=", "http://www.thescientificworld.com/scibase/searchresults.asp?hidSearchWithPup=0&search2=&search3=&search=&image1.x=0&image1.y=0&search1=")
		
			);
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_online_books() {
	global $topics;
	global $rstname;
        $rstname = "Online Books";	
	$search_engines = array(
		"National Academy Press(NAP)" => array("http://books.nap.edu/books/0309070317/html/177.html", "http://search.nap.edu/nap-cgi/napsearch.cgi?term=")
		);
	
	rst_search_form_buttons($search_engines);

}

function search_online_forums() {
	global $topics;
	global $rstname;
        $rstname = "Online Forums";	
	$search_engines = array(
		"Ask a Scientist" => array("http://www.sciam.com/askexpert", "http://www.sciam.com/index.cfm?section=search&status=1&search=YES&startrow=1&docs=10&searchby=simple&searchcollection=current&searchcollection=previous&searchcollection=specialissues&searchcollection=news&searchcollection=askexpert&searchcollection=explorations&searchcollection=exhibit&search=++Search++&query="),
		"EurekAlert!" => array("http://www.eurekalert.org/links.php", "http://search.eurekalert.org/e3/query.html?col=ev3rel&qc=ev3rel&x=8&y=9&qt="),
		"Mad Science Net : The 24-hour exploding laboratory" => array("http://www.madsci.org/", "http://www.google.ca/search?q=site%3Awww.madsci.org+"),
		"Mailbase" => array("http://www.mailbase.ac.uk/", "http://www.mailbase.ac.uk/cgi-bin/searchmb.pl?type=list&query="),
		"Meeting/Conference Announcement List" => array("http://www.lib.uwaterloo.ca/society/meetings.html", "http://www.google.ca/search?q=site%3Awww.lib.uwaterloo.ca+")

		);
	
	rst_search_form_buttons($search_engines);

}

function search_instructional() {
	global $topics;
	global $rstname;
        $rstname = "Instructional Materials";	
	$search_engines = array(
		"Science Learning Network" => array("http://www.sln.org/", "http://192.231.162.154:8080/query.html?col=first&ht=0&qp=&qs=&qc=&pw=600&ws=1&la=&qm=0&st=1&nh=25&lk=1&rf=0&oq=&rq=0&si=0&qt="),
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
		);
	
	rst_search_form_buttons($search_engines);

}

function search_gov_policies() {
	global $topics;
	global $rstname;
        $rstname = "Government Policies";
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	global $rstname;
        $rstname = "Media Reports";
	$search_engines = array(
		"Daily Science News from NewScientist" => array("http://www.newscientist.com/news/", "http://www.newscientist.com/news/search/dosearch.jsp?searchtype=all&x=22&y=5&advsearch="),		
		"Nature Science Update" => array("http://www.nature.com/nsu/", "http://www.google.ca/search?q=site%3Awww.nature.com+"),
		"Science News Online" => array("http://www.sciencenews.org/", "http://www.sciencenews.org/search.asp?goButton=Search&navEvent=Top&target="),
		"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "http://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
		"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")

		);
	
	rst_search_form_buttons($search_engines);

}

