<?php

// $Id: rst.inc.php,v 1.7 2002/12/10 18:34:49 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Humanities


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Related Theory" => "search_related_theory",
	"Book Reviews" => "search_book_review",
	"Related Sites" => "search_related_sites",
	"Pay-Per-View" => "search_pay_per_view",
	"Related Texts" => "search_related_texts",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Media Report" => "search_media_report"
	
	
);



// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";
	rst_simple_search_form("http://www.xrefer.com/results.jsp?shelf=search+all&Submit.x=4&Submit.y=20", "term", "Term to look up: ", "Define Term", "Simply double-click on any word in the text 
and it will be defined using the reference works on the Xrefer.com website.");
}


function search_related_theory(){
global $rstname;
global $topics;
$rstname = "Related Theory";
$search_engines = array(
		"Voice of the Shuttle " => array("http://vos.ucsb.edu/", "http://vos.ucsb.edu/search-results.asp?Submit=Go&search="),
		"Stanford Encyclopedia of Philosophy " => array("http://plato.stanford.edu/", "http://plato.stanford.edu/cgi-bin/webglimpse/usr/local/etc/httpd/htdocs/entries?errors=0&maxfiles=50&maxlines=30&maxchars=10000&query=")
		
				
	);
		
	rst_search_form_buttons($search_engines);

}



function search_book_review() {
	global $topics, $rstname;
	$rstname = "Book Reviews";
	$search_engines = array(
		"Bryn Mawr Classical Review" => array("http://ccat.sas.upenn.edu/bmcr/", "http://ccat.sas.upenn.edu/cgi-bin/bmcr/bmcr_search?action=search&lookup="),
		"The New York Times Books " => array("http://www.nytimes.com/auth/login?Tag=/&URI=/books/", "http://www.google.ca/search?q=site%3Aahds.ac.uk:8080+")
		
				
	);
		
	rst_search_form_buttons($search_engines);

}

function search_related_sites() {
	global $topics;
	global $rstname;
$rstname = "Related Sites";
	$search_engines = array(
		"ARGOS" => array("http://argos.evansville.edu/", "http://argos.evansville.edu/search.cgi?q="),
		"The English Server" => array("http://eserver.org/", "http://www.google.com/u/EServer?q="),
		"Humbul Humanities Hub" => array("http://www.humbul.ac.uk/about/", "http://www.humbul.ac.uk/search/search2.php?go=Go&type=and&keyword="),
		"IATH: Institute for Advanced Technology in the Humanities" => array("http://jefferson.village.virginia.edu/", "http://www.google.com/u/iath?sa=Google+Search+of+IATH&domains=village.virginia.edu&sitesearch=village.virginia.edu&q="),
		"The Online Books Page" => array("http://digital.library.upenn.edu/books/", "http://onlinebooks.library.upenn.edu/webbin/book/search?author=&amode=words&tmode=words&title=")
					
	);
		
	rst_search_form_buttons($search_engines);

}

function search_pay_per_view() {
	global $topics;
	global $rstname;
	$rstname = "Pay-Per-View";
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_related_texts() {
	global $topics;
	global $rstname;
	$rstname = "Related Texts";
	$search_engines = array(
		"The Project Gutenberg" => array("http://promo.net/pg/", "http://promo.net/cgi-promo/pg/t9.cgi?ftpsite=ftp%3A%2F%2Fibiblio.org%2Fpub%2Fdocs%2Fbooks%2Fgutenberg%2F&author=&ntes=&language=&class_lc=&whole=yes&title=&subject="),
		"The Bartleby" => array("http://www.bartleby.com/", "http://www.bartleby.com/cgi-bin/texis/webinator/sitesearch?FILTER=&x=7&y=15&query="),
		"Electronic Text Center" => array("http://etext.lib.virginia.edu/", "http://etext.virginia.edu/etcbin/ot2www-ebooks?specfile=%2Ftexts%2Fenglish%2Febooks%2Febooks.o2w&docs=TEI2&sample=1-100&grouping=work&query="),
		"Oxford Text Archive" => array("http://users.ox.ac.uk/~archive/", "http://ota.ahds.ac.uk/index.html?http%3A//ota.ahds.ac.uk/search/search.perl%3Fsearch%3DQUICK%26misc%3D"),
		"Sonnet Central" => array("http://www.sonnets.org/search.htm", "http://sitelevel.whatuseek.com/query.go?crid=0c6eae1a5854f0eb&slice_title=&page=&domain=&exclude=&autocustomize=&query="),
		"Perseus" => array("http://www.perseus.tufts.edu/", "http://www.perseus.tufts.edu/cgi-bin/vor?x=63&y=12&lookup="),
		"IPL Online Texts Collection" => array("http://www.ipl.org/reading/books/", "http://readroom.ipl.org/cgi/i/ipl/ipl.books-idx.pl?type=simple&size=First+50&operator1=All&rgn=Anywhere&Search=Submit+Query&q1="),
		"Linguistic Data Consortium " => array("http://www.ldc.upenn.edu/", "http://www.ldc.upenn.edu/servlet/search.WebSearch?q="),
		"WordNet" => array("http://www.cogsci.princeton.edu/~wn/", "http://www.cogsci.princeton.edu/cgi-bin/webwn1.7.1?stage=1&word="),
		"WESSWEB: Electronic Text Collections in Western European Literature" => array("http://www.lib.virginia.edu/wess/etexts.html", "http://www.picosearch.com/cgi-bin/ts.pl?index=70760&calln=3&lastq=hello+world&doc0=0&search=Search&opt=ANY&query=")
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_online_forums() {
	global $topics;
	global $rstname;
	$rstname = "Online Forums";	
	$search_engines = array(
		"H-Net Humanities and Social Sciences Online" => array("http://www.h-net.msu.edu/", "http://www2.h-net.msu.edu/cgi-bin/htsearch?config=&restrict=&exclude=&method=and&format=builtin-long&sort=score&words="),
		"Humanist" => array("http://www.princeton.edu/~mccarty/humanist/index.html", "http://lists.village.virginia.edu/cgi-bin/AT-Humanistsearch.cgi?sp=sp&searchButton.x=15&searchButton.y=14&search=")
		
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_instructional() {
	global $topics;
	global $rstname;
	$rstname = "Instructional Material";
	$search_engines = array(
		"EDSITEment" => array("http://edsitement.neh.fed.us/", "http://marcopolosearch.org/MPSearch/Search_Results.asp?orgn_id=5&log_type=1&hdnFilter=+AND+%28%7Bsubject_social%241%7D%29&hdnPerPage=15&selUsing=all&txtSearchFor=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");
}

function search_gov_policies() {
	global $topics;
	global $rstname;
	$rstname = "Government Policies";
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_report() {
	global $rstname;
	$rstname = "Media Report";
	$search_engines = array(
	"Globe and Mail, Toronto (last seven days)" => array("http://www.globeandmail.com/", "http://www.globeandmail.com/servlet/HTMLTemplate/search?tf=tgam/search/tgam/SearchResults.html&cf=tgam/search/tgam/SearchResults.cfg&current_row=1&start_row=1&num_rows=10&keywords="),
	"Mail & Guardian Newspaper" => array("http://www.mg.co.za/", "http://www.sn.apc.org/cgi-bin/wmail/wmail.cgi/WeeklyMail?go=Search&ayr=2002&amon=01&amday=01&byr=2002&bmon=12&bmday=01&key="),
	"National Public Radio, United States (unlimited)" => array("http://www.npr.org/archives/", "http://search1.npr.org/search97cgi/s97_cgi?ResultTemplate=simple_date.hts&SortSpec=Date+Desc+Score+Desc&ViewTemplate=docview.hts&collection=zeus&collection=C1&collection=WEB&Action=FilterSearch&filter=topic_filter.hts&x=23&y=13&QueryText="),
	"New York Times (last seven days)" => array("http://www.nytimes.com/", "http://query.nytimes.com/search/query?date=site1week&submit.x=1&submit.y=9&query="),
	"People's Daily, China (January 1999-)" => array("http://english.peopledaily.com.cn/home.shtml", "http://english.peopledaily.com.cn/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=english&exclude=&words="),
	"The Japan Times Online, Japan (January 1999-)" => array("http://www.japantimes.co.jp/search.htm", "http://www.japantimes.co.jp/cgi-bin/JTsearch3.pl5?"),
	"The Moscow Times, Russia (1994-)" => array("http://www.moscowtimes.ru/doc/Search.html", "http://www.moscowtimes.ru/cgi-bin/htsearch?config=&exclude=&method=boolean&format=long&sort=score&restrict=%2Fstories%2F2002%2F03%2F&matchesperpage=10&words="),
	"Washington Post (last two weeks)" => array("http://www.washingtonpost.com/", "http://search1.washingtonpost.com/?_v.7=92&_u.14=1&_u.1=3&_u.2=1&_u.3=2002&_u.4=3&_u.5=14&_u.6=2002&wp=on&ap=&_b.1.x=6&_b.1.y=4&_g.k_1="),
	"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
	);
	
	rst_search_form_buttons($search_engines);

}

