<?php

// $Id: rst.inc.php,v 1.5 2002/12/11 10:49:49 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Life Science


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Related Sites" => "search_related_sites",
	"Pay-Per-View" => "search_pay_per_view",
	"Gov Health Sites" => "search_gov_health_sites",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
	
);



// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $topics;
	global $rstname;
	$rstname = "Define Terms";
$search_engines = array(
		"Encyclopedia of Life Sciences" => array("http://www.els.net/", "http://www.els.net/els/els/els/public/public_search_results.html?sessionid=public&sortby=&PAGE_TYPE=public&SEARCH_LEVEL=any&SEARCH_FIELD=keywords&OPERATOR_A=AND&TERM_A2=&TERM_A1="),		
		"Life Sciences Dictionary from BioTech" => array("http://biotech.icmb.utexas.edu/search/dict-search.html", "http://biotech.icmb.utexas.edu/search/dict-search.mhtml?bo1=AND&search_type=normal&def=&word="),
		"MedTerms Medical Dictionary Index" => array("http://www.medicinenet.com/script/main/AlphaIdx.asp?li=MNI&p=A_DICT", "http://www.medicinenet.com/script/main/srchCont.asp?li=MNI&ArtTypeID=DICT&op=MM&SRC=")
				
	);
		
	rst_search_form_buttons($search_engines);
	
	
	
}


function search_related_sites(){
global $topics;
global $rstname;
        $rstname = "Related Sites";	
$search_engines = array(
		"CampIDplus" => array("http://www.nlm.nih.gov/pubs/factsheets/chemidplusfs.html", "http://wwwindex.nlm.nih.gov/cgi/htsearch?config=www_fuzzy&method=and&format=builtin-long"),		"ClinicalTrials.gov" => array("http://clinicaltrials.gov", "http://plato.stanford.edu/cgi-bin/webglimpse/usr/local/etc/httpd/htdocs/entries?errors=0&maxfiles=50&maxlines=30&maxchars=10000&query="),
		"Emedicine" => array("http://www.emedicine.com/", "http://www.emedicine.com/cgi-bin/foxweb.exe/searchengine@/em/searchengine?boolean=and&book=all&maxhits=100&HiddenURL=&query="),
		"HighWire" => array("http://highwire.stanford.edu/lists/freeart.dtl", "http://highwire.stanford.edu/cgi/searchresults?andorexactfulltext=and&resourcetype=1&author1=&src=ml&disp_type=&fulltext="),
		"Medline" => array("http://www.nlm.nih.gov/cgi/medlineplus/leavemedplus.pl?theURL=http://www.ncbi.nlm.nih.gov/pubmed/", "http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=PubMed&orig_db=PubMed&cmd=search&cmd_current=&query_key=1&WebEnv=WgdoIaDG%5DK%60%3Eeg%60%5DQGDJcF@%5CCKh%5Ebkl%3C_JEH%3Dzbb%3EF%5EfFJdTI%3D%3F%3C&term="),
		"NetPrints" => array("http://clinmed.netprints.org/search.dtl", "http://clinmed.netprints.org/cgi/search?author1=&author2=&titleabstract=&fmonth=Dec&fyear=1999&tmonth=Dec&tyear=2002&hits=10&sendit=Search&fulltext="),
		"Scirus" => array("http://www.scirus.com/", "http://omni.ac.uk/search/search.html?hub=biome&hublet=omni&is_simple=false&category=any&stemming=true&limit=10&maxrecs=200&sort_by=title&query=")
		
		
				
	);
		
	rst_search_form_buttons($search_engines);

}


function search_pay_per_view() {
	global $topics;
	global $rstname;
        $rstname = "Per-Per-View";	
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query="),
		"TheScientificWorld" => array("http://www.thescientificworld.com/scibase/search.asp?uid=&bid=", "http://www.thescientificworld.com/scibase/searchresults.asp?hidSearchWithPup=0&search2=&search3=&search=&image1.x=0&image1.y=0&search1=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_gov_health_sites() {
	global $topics;
	global $rstname;
        $rstname = "Government Health Sites";	
	$search_engines = array(
		"Canadian Health Network" => array("http://www.canadian-health-network.ca/customtools", "http://www.canadian-health-network.ca/customtools/search.asp?ddFilterColumn=CHNCOLLECTIONTITLE&ddFilterColumn=CHNCONTRIBUTOR&boolOp=allWords&ddFilterColumn=CHNCOUNTRYOFSOURCEORGANIZATION&ddFilterColumn=CHNGROUP&ddFilterColumn=CHNKEYWORD&ddFilterColumn=CHNMETADATE&ddFilterColumn=CHNNOTES&ddFilterColumn=CHNPRODUCTSSERVICES&ddFilterColumn=CHNPROVINCETERRITORY&ddFilterColumn=CHNRECORDTYPE&ddFilterColumn=CHNRESOURCETYPE&ddFilterColumn=CHNSOURCEORGANIZATION&ddFilterColumn=CHNSUBJECT&ddFilterColumn=CHNTOPICCATEGORY&ddFilterColumn=Description&ddFilterColumn=DocTitle&x=33&y=11&ddFilterDisplay="),
		"HealthInsite" => array("http://www.healthinsite.gov.au", "http://www.healthinsite.gov.au/search97cgi/s97_cgi?ResultCount=10&ResultMaxDocs=600&Action=FilterSearch&Filter=ve_adv_search_filter.hts&ResultTemplate=ve_search_results_new.hts&gl_visitor_username=&ResultErrorTemplate=ve_error.hts&searchtype=advanced&collection=healthinsite_coll&SortSpec=Score+desc+VDKDate_Modified+desc+VdkMeta_Title+asc+vdktarget_comp_num+asc&gl_search_collection=full&gl_search_publisher_list=none&gl_search_publisher_text=&gl_search_language_list=none&gl_hi_access=standard&gl_file_name=%2Fsearch%2Fsearch_advanced_new.cfm&gl_search_text="),
		"NHS Direct" => array("http://www.nhsdirect.nhs.uk", "http://www.nhsdirect.nhs.uk:8080/kbroker/kbsearch?charset=iso-8859-1&ht=0&qp=&qs=&qc=&pw=100%25&ws=0&la=en&qm=0&st=1&nh=10&lk=1&rf=0&rq=0&si=0&image.x=26&image.y=12&qt="),
		"PubMed Central" => array("http://pubmedcentral.nih.gov/", "http://pubmedcentral.nih.gov/tocrender.fcgi?action=search&startpage=1&reset=Search&terms=")
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_online_forums() {
	global $topics;
	global $rstname;
        $rstname = "Online Forums";
	$search_engines = array(
		"Ask a Scientist" => array("http://www.sciam.com/askexpert", "http://www.sciam.com/search/search_result.cfm?section=search&search=go&startrow=1&status=1&search_option=explicit&docs=10&category_collection=category_1%2Ccategory_2%2Ccategory_3%2Ccategory_4%2Ccategory_9&search_string="),
		"EurekAlert!" => array("http://www.eurekalert.org/links.php", "http://search.eurekalert.org/e3/query.html?col=ev3rel&qc=ev3rel&qt="),
		"Mad Science Net: The 24-hour exploding laboratory " => array("http://www.madsci.org/", "http://www.madsci.org/cgi-bin/search?Submit=Submit+Query&or=AND&words=1&index=MadSci+Archives&MAX_TOTAL=25&area=All+areas&grade=All+grades&query=")
                
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_instructional() {
	global $topics;
	global $rstname;
        $rstname = "Instructional Materials";
	$search_engines = array(
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
							
	);
		
	rst_search_form_buttons($search_engines);

}

function search_gov_policies() {
	global $topics;
	global $rstname;
        $rstname = "Government Policies";	
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}


function search_media_reports() {
	global $rstname;
        $rstname = "Media Reports";
	$search_engines = array(
		"BioMedNet News (requires registration)" => array("http://news.bmn.com/", "http://news.bmn.com/search/section/results?no_hits.n4=&nodes=commentary&nodes=conferences&stem=&search_results.show=20&keywords="),
		"LentilHealth.com " => array("http://www.lentilhealth.com/", "http://www.lentilhealth.com/cgi-local/news.pl?query="),
		"The Scientist" => array("http://www.the-scientist.com/", "http://www.the-scientist.com/asp/search/query.idq?list1=&Author=&Sec=&Year=&CiMaxRecordsPerPage=10&CiScope=%2F&TemplateName=query&CiSort=rank%5Bd%5D&HTMLQueryForm=%2Fsearch.htm&SearchTerm="),
		"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "https://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
		"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")

	);
	
	rst_search_form_buttons($search_engines);

}

