<?php

// $Id: rst.inc.php,v 1.7 2003/01/01 03:28:44 kevin Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Mathematics


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Math Theory" => "search_math_theory",
	"Related Sites" => "search_related_sites",
	"Pay-Per-View" => "search_pay_per_view",
	"Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
	
);



// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";
	rst_simple_search_form("http://www.xrefer.com/results.jsp?shelf=search+all&Submit.x=4&Submit.y=20", "term", "Term to look up: ", "Define Term", "Simply double-click on any word in the text 
and it will be defined using the reference works on the Xrefer.com website.");
}

function search_math_theory(){
global $topics;
global $rstname;
        $rstname = "Mathematics Theory";
$search_engines = array(
	"Eric Weisstein's MathWorld" => array("http://mathworld.wolfram.com/", "http://mathworld.wolfram.com/search/?config=scienceworld_wolfram_com&restrict=http%3A%2F%2Fmathworld.wolfram.com&x=5&y=6&words=")
	);
		
	rst_search_form_buttons($search_engines);

}

function search_related_sites(){
global $topics;
global $rstname;
        $rstname = "Related Sites";
$search_engines = array(
	"MathNet" => array("http://www.math-net.de/", "http://www.math-net.org/Harvest/cgi-bin/nph-result?dc_creator=&dc_title=&dc_subject=&dc_msc=&errorflag=on&opaqueflag=on&broker=germany&caseflag=on&descflag=on&verbose=on&maxobjflag=1000&maxlineflag=10&maxresultflag=10000&Search.x=20&Search.y=20&query="),
	"MPRESS/MATHNET" => array("http://mathnet.preprints.org/", "http://mathnet.preprints.org/cgi-bin/harvest/MPRESS.pl.cgi?author=&keyword=&title=&metaquery=&broker=FraGer&errorflag=0&wordflag=off&opaqueflag=off&csumflag=off&maxobjflag=10000&maxlineflag=10000&maxresultflag=10000&query="),
	"Zentralblatt fur Mathematik" => array("http://www.emis.de/ZMATH/", "http://www.emis.de/cgi-bin/zmen/ZMATH/en/quick.html?bi_op=or&maxdocs=100&type=html&format=short&bi=")
	);
		
	rst_search_form_buttons($search_engines);

}



function search_online_forums() {
	global $topics;
	global $rstname;
        $rstname = "Online Forums";	
	$search_engines = array(
		"MathForum's Search All Epigone Discussions" => array("http://mathforum.com/discussions/epi-search/all.html", "http://mathforum.com/search/epi_results.html?bool_type=and&whole_words=no&ctrlfile=epigone%2Fepi-all.ctrl&textsearch="),
		"Meetings & Conferences" => array("http://www.ams.org/meetings/", "http://www.ams.org/mrlookup?s3=&pg3=ICN&pg4=TI&s5=&pg5=JOUR&ipage=&fpage=&arg3=&format=mrcit&Search=Search&s4=")
						
	);
		
	rst_search_form_buttons($search_engines);

}

function search_instructional() {
	global $topics;
	global $rstname;
        $rstname = "Instructional Materials";	
	$search_engines = array(
		"American Educational Research Association (AERA)" => array("http://www.aera.net/", "http://ericae.net/scripts/texis.exe/scripts/search?db=aeraj&proximity=page&defcmd=find&disp=all&grsz=10&cmd=Go&abs=&suffixproc=off&thesaurus=0&arg="),
		"MSTE" => array("http://www.mste.uiuc.edu/", "http://www.mste.uiuc.edu/cgi-bin/htsearch?-Find=Search&words="),
		"PBS Mathline" => array("http://www.pbs.org/teachersource/math.htm", "http://www.pbs.org/cgi-registry/plweb?view=newteachersource&db0=tsource&query="),
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
							
	);
		
	rst_search_form_buttons($search_engines);

}

function search_pay_per_view() {
	global $topics;
	global $rstname;
        $rstname = "Pay-Per-View";	
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_gov_policies() {
	global $topics;
	global $rstname;
        $rstname = "Government Policies";	
	$search_engines = array(

		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	global $rstname;
        $rstname = "Media Reports";	
	$search_engines = array(
		
		"Notice of the American Mathematical Society" => array("http://www.ams.org/noticessearch/", "http://www.ams.org/cgi-bin/htdig/htsearch?method=and&sort=score&config=notices&restrict=&exclude=&words="),
		"Nature Science Update" => array("http://www.nature.com/nsu/", "http://www.nature.com/dynasearch/app/Dynasearch.taf?_action=search&sp-n=1&sp_k=&sp-p=Any&sp-w=Exact&search_volume=&search_startPage=&search_doi=&search_title=&search_author=&search_abstract=&issue_start_month=&issue_start_year=&issue_end_month=&issue_end_year=&Action=Search&search_fulltext="),
		"Science News Online" => array("http://www.sciencenews.org/search.asp", "http://www.sciencenews.org/search.asp?goButton=Search&navEvent=Top&target="),
		"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "https://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
		"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

