<?php

// $Id: rst.inc.php,v 1.5 2002/12/11 11:10:10 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Physics


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Related Sites" => "search_related_sites",
	"Online Forums" => "search_online_forums",
	"Instructional" => "search_instructional",
	"Government Policy" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
	
	
);



// functions used by the RST items above
// global variables you can use include:
// 	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string ready to be passed into a search engine


function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";	
rst_simple_search_form("http://www.xrefer.com/results.jsp?shelf=search+all&Submit.x=4&Submit.y=20", "term", "Term to look up: ", "Define Term", "Simply double-click on any word in the text 
and it will be defined using the reference works on the Xrefer.com website.");
}


function search_related_sites(){
global $topics;
global $rstname;
        $rstname = "Related Sites";
$search_engines = array(
		"Fermilab Preprint Server search engine" => array("http://fnlib2.fnal.gov/MARION", "http://fnlib2.fnal.gov/htbin/dbsearch?db=MARION&format=short&num=25&kwd="),
		"NASA Langley Technical Reports Server" => array("http://techreports.larc.nasa.gov/ltrs/ltrs.html", "http://techreports.larc.nasa.gov/ltrs/ltrs.cgi?search_words="),
		"Physics Documents Worldwide (PhysDoc)" => array("http://physnet.uni-oldenburg.de/PhysNet/physdoc.html#search", "http://physnet.uni-oldenburg.de/projects/carmen/metafind/search.cgi?_title=&_author=&_fulltext=&areaphysdoc=on&areampress=&waitingtime=200&pagelength=20&gender=phys&rankweightgender=300&rankweighthasauthor=100&rankweighthastitle=100&rankweighthasclassorkey=100&rankweighthitinrightfield=1000&rankweighthitinauthorfield=300&rankweighthitintitlefield=300&rankweighthitinkeyfield=200&rankweighthitindescriptionfield=100&frame=physdoc&_description="),
		"ResearchIndex" => array("http://citeseer.nj.nec.com/cs", "http://citeseer.nj.nec.com/cs?submit=Search+Documents&cs=1&q="),
		"SPIRES" => array("http://www.slac.stanford.edu/spires/hep/", "http://www.slac.stanford.edu/spires/find/hep/www?FORMAT=WWW&SEQUENCE=&rawcmd=find+tp+"), 
		"HighWire" => array("http://highwire.stanford.edu/", "http://highwire.stanford.edu/cgi/searchresults?author1=&pubdate_year=&volume=&firstpage=&src=hw&hits=10&hitsbrief=25&resourcetype=1&andorexactfulltext=and&fulltext="),
		"PubScience" => array("http://pubsci.osti.gov/", "http://www.scirus.com/search_simple/?frm=simple&wordtype_1=all&dsweb=on&dsmem=on&hits=10&query_1="),
		"Pay-Per-View :Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Pay-Per-View :Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")
		
		
					
		
				
	);
		
	rst_search_form_buttons($search_engines);

}



function search_online_forums() {
	global $topics;
	global $rstname;
        $rstname = "Online Forums";	
	$search_engines = array(
		"PhysicsWeb - Calendar" => array("http://www.physicsweb.org/events/", "http://www.physicsweb.org/search/index.cfm?sourcequerytext=&action=search&querytype=any&limit=%2Fnews%2F&limit=world%2Creview&limit=jobs&limit=resources&limit=events&limit=industry&summaries=show&query=")
		
		
				
	);
		
	rst_search_form_buttons($search_engines);

}

function search_instructional() {
	global $topics;
	global $rstname;
        $rstname = "Instructional Materials";	
	$search_engines = array(
		"Science, Mathematics, Engineering and Technology Education (SMETE)" => array("http://www.smete.org/", "http://www.smete.org/public/find/search_results.jhtml?_DARGS=/public/find/index_body.jhtml&_D:/smete/forms/FindFormHandler.operation=&_D:/smete/forms/FindFormHandler.keyword=%20&/smete/forms/FindFormHandler.grade=1&/smete/forms/FindFormHandler.keyword=")
					
	);
		
	rst_search_form_buttons($search_engines);

}

function search_pay_per_view() {
	global $topics;
	global $rstname;
        $rstname = "Pay-Per-View";	
	$search_engines = array(
		
		"Ingenta " => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query="),
		"TheScientificWorld" => array("http://www.thescientificworld.com/scibase/search.asp?uid=&bid=", "http://www.thescientificworld.com/scibase/searchresults.asp?uid=&bid=66BXSTSG6WKC8JHHQC501DU4J2CQAAC9&x=32&y=22&searchAll=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}

function search_gov_policies() {
	global $topics;
	global $rstname;
        $rstname = "Government Policies";	
	$search_engines = array(
		"FYI: The AIP Bulletin of Science Policy News" => array("http://www.aip.org/enews/fyi/searchfyi.html", "http://www.aip.org/search98cgi/s97_cgi?SearchPage=%2Fenews%2Ffyi%2Fsearchfyi.html&INETSRCH_CONFIGPATH=%2Fverity%2Fs97is360%2F_solaris%2Fbin%2Finetsrch.ini&Action=FilterSearch&Filter=fyi.fltr&ResultTemplate=fyi.hts&collection=NEWFYI&filename=FYI2002&SEARCH-97.x=16&SEARCH-97.y=18&queryText="),
		"First Gov" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=2&y=8&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&browser=IE&mss=canada%2Fen%2Fsimple.html&q=")
		
		
	);
		
		rst_search_form_buttons($search_engines);

}

function search_media_reports() {
	global $topics;
	global $rstname;
        $rstname = "Media Reports";	
	$search_engines = array(
		"Daily Science News from NewScientist" => array("http://www.newscientist.com/", "http://www.newscientist.com/news/search/dosearch.jsp?searchtype=all&advsearch="),
		"The New Scientist" => array("http://www.newscientist.com/", "http://www.newscientist.com/news/search/dosearch.jsp?searchtype=all&x=20&y=6&advsearch="),
		"Physics News Update: AIP Bulletin of Physics News" => array("http://www.aip.org/pinet/listserver/PHYSNEWS.info.html", "http://www.aip.org/search98cgi/s97_cgi?SearchPage=%2Fenews%2Ffyi%2Fsearchfyi.html&INETSRCH_CONFIGPATH=%2Fverity%2Fs97is360%2F_solaris%2Fbin%2Finetsrch.ini&Action=FilterSearch&Filter=fyi.fltr&ResultTemplate=fyi.hts&collection=NEWFYI&filename=FYI2002&SEARCH-97.x=16&SEARCH-97.y=18&queryText="),
		"Science News Online" => array("http://www.sciencenews.org/search.asp", "http://www.sciencenews.org/search.asp?goButton=Search&navEvent=Top&target="),
		"Scientific American Archive" => array("https://www.sciamarchive.com/html/ppv_frames.asp", "https://www.sciamarchive.com/html/ppv_search.asp?criteria_type_title=6&title=&author=&criteria_type_author=6&I_month_start=&I_year_start=&I_month_end=&I_year_end=&results_per_pg=10&search_button=Search&abstract="),
		"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
		
	);
		
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");

}


