<?php

// $Id: rst.inc.php,v 1.4 2002/11/17 06:45:58 eunice Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// RST for Social Sciences


// define the RST categories below
// each RST sub-item in the array is of the form "name" => "url or function_name"
// if a function, the function must be defined below

$rst_categories["Context"] = array(
	"Author Bio" => "rst_author_bio",
	"Define Terms" => "define_terms_search",
	"Related Sites" => "search_related_sites",
	"Pay-Per-View" => "search_pay_per_view",
	"Social Sci Data" => "search_social_science_data",
	"Social Theory" => "search_social_theory",
	"Online Forums" => "search_online_forums",
	"Legal Materials" => "search_legal_materials",
	"Gov Policies" => "search_gov_policies",
	"Media Reports" => "search_media_reports"
);



// functions used by the RST items above
// global variables you can use include:
//	- $items[key_name] to access any of the database fields for the current paper
//	- $topics - an array of this paper's topics
//	- $subjects - an url-encoded string of subjects ready to be passed into a search engine


function define_terms_search() {
	global $rstname;
	$rstname = "Define Terms";
	rst_simple_search_form("http://datadump.icaap.org/cgi-bin/glossary/SocialDict?option=Submit", "fuzzy", "Term to look up: ", "Define Term");
}

function search_related_sites() {
	global $rstname;
        $rstname = "Related Sites";
	$search_engines = array(
		"Social Science Information Gateway" => array("http://sosig.ac.uk/", "http://sosig.ac.uk/roads/cgi-bin/search.pl?attrib1=ANY&boolean=and&ranking=on&referrals=on&stemming=on&maxserver=8&method=any&view=batched&bsize=10&categories=on&templatetype=all&highlight=on&database=SOSIG+ZPlugin&x=11&y=13&term1="),
		"SocioSite" => array("http://www.pscw.uva.nl/sociosite/SimpleSearch.html", "http://zoek.uva.nl/compass?view-template=search&ui=sr&chunk-size=&page=1&view-template=sociosite&search-category=Faculteiten%3APolitieke+en+Sociaal-Culturele+Wetenschappen%3Asociosite&scope=")
			);

	rst_search_form_buttons($search_engines);
}

function search_pay_per_view() {
	global $rstname;
        $rstname = "Pay-Per-View";
	$search_engines = array(
		"Ingenta" => array("http://www.ingenta.com/", "http://www.ingenta.com/isis/searching/Search/ingenta?database=1&title="),
		"Infotrieve Online" => array("http://www4.infotrieve.com/", "http://www4.infotrieve.com/search/databases/results.asp?presearch=1&dbname=M&query=")
	);
	
	rst_search_form_buttons($search_engines, "These are pay-per-view services, although they can be used as a free index.");
}

function search_social_science_data() {
	global $rstname;
        $rstname = "Social Science Data";
	$search_engines = array(
		"Inter-university Consortium for Political and Social Research (ICPSR)" => array("http://www.icpsr.umich.edu/", "http://www.icpsr.umich.edu:8764/query.html?nh=25&col=abstract&qt=icpsr&rq=1&op0=&fl0=title%3A&ty0=w&op1=-&tx1=restricted&ty1=w&fl1=availability%3A&tx0="),
		"Social Science Data on the Internet" => array("http://odwin.ucsd.edu/idata/", "http://odwin.ucsd.edu/cgi-bin/easy_search2?print=notitle&file+Data+on+the+Net=%2Fdata%2Fdata.html&skip=search.html&header=%2Fheader%2Fheader&search=")
	);
	
	rst_search_form_buttons($search_engines);
}

function search_social_theory() {
	global $rstname;
        $rstname = "Social Theory";
	$search_engines = array(
		"Sociorealm" => array("http://www.digeratiweb.com/sociorealm", "http://odwin.ucsd.edu/cgi-bin/easy_search2?print=notitle&file+Data+on+the+Net=%2Fdata%2Fdata.html&skip=search.html&header=%2Fheader%2Fheader&search="),
		"Evolutionary Theories" => array("http://etss.net/", "http://etss.net/_vti_script/search.htm0.idq?UserRestriction=")
	);
	
	rst_search_form_buttons($search_engines);
}

function search_online_forums() {
	global $rstname;
        $rstname = "Online Forums";
	$search_engines = array(
		"H-Net Humanities and Social Sciences Online" => array("http://www.h-net.msu.edu/", "http://www2.h-net.msu.edu/cgi-bin/htsearch?config=&restrict=&exclude=&method=and&format=builtin-long&sort=score&words="),
		"Sociology Online" => array("http://www.sociologyonline.f9.co.uk/", "http://cgi.sociologyonline.force9.co.uk/cgi-bin/search/search.pl?nocpp=1&Match=0&Realm=All&Terms=")
	);
	
	rst_search_form_buttons($search_engines);
}

function search_legal_materials() {
	global $rstname;
        $rstname = "Legal Materials";
	$search_engines = array(
		"The Australasian Legal Information Institute (AustLII)" => array("http://www.austlii.org/", "http://www.austlii.edu.au/cgi-bin/sinocgi.cgi?method=any&meta=%2Fau&results=50&submit=Search&rank=on&callback=on&query="),
		"The British and Irish Legal Information Institute (BAILII)" => array("http://www.bailii.org/", "http://www.bailii.org/cgi-bin/sinocgi.cgi?method=any&meta=%2Fbailii&results=50&submit=Search&rank=on&callback=on&query="),
		"CanLII" => array("http://www.canlii.org/", "http://www.canlii.org/sino/srch.pl?method=boolean&context=full&firsthit=1&lang=en&database=en&bouton.x=1&bouton.y=6&query="),
		"The Legal Information Institute (US)" => array("http://www.law.cornell.edu/", "http://www4.law.cornell.edu/cgi-bin/empower?SAVEDB=topics&SAVEORGANISE_CODED=&THRESHOLD=0&ORGANISE_CODED=&DATE1=today&DAYSMINUS=&NEWR=251&NEWR=189&NEWR=190&NEWR=179&NEWR=151&NEWR=246&NEWR=233&NEWR=231&NEWR=215&NEWR=186&CMD%3Dsearch.run.x=39&CMD%3Dsearch.run.y=17&QUERY00="),
		"The World Legal Information Institute (WorldLII)" => array("http://www.worldlii.org/", "http://www.worldlii.org/form/search/?method=any&meta=%2Fworldlii&results=50&submit=Search&rank=on&callback=on&query="),
		"FindLaw" => array("http://www.findlaw.com/", "http://lawcrawler.findlaw.com/scripts/lc.pl?submit=search&sites=findlaw.com&entry="),
		"Jurist: The Law Professors' Network" => array("http://www.law.pitt.edu/hibbitts/jurist.htm", "http://www.picosearch.com/cgi-bin/ts.pl?index=110412&opt=EXACT&SEARCH=Search+JURIST+5000&query=")
	);
	
	rst_search_form_buttons($search_engines);
}

function search_gov_policies() {
	global $rstname;
        $rstname = "Government Policies";
	$search_engines = array(
				"First Gov (U.S. federal and state)" => array("http://www.firstgov.gov/", "http://www.firstgov.gov/fgsearch/index.jsp?db=www-fed-all&st=AS&ms0=should&mt0=all&rn=2&parsed=true&x=5&y=16&mw0="),
		"Canada Sites" => array("http://www.canada.gc.ca/main_e.html", "http://search-recherche.gc.ca/cgi-bin/query?mss=canada%2Fen%2Fsimple.html&enc=iso88591&pg=q&kl=en&site=main&q=")
	);
	
	rst_search_form_buttons($search_engines);
}

function search_media_reports() {
	global $rstname;
        $rstname = "Media Reports";
	$search_engines = array(
	"Globe and Mail, Toronto (last seven days)" => array("http://www.globeandmail.com/", "http://www.globeandmail.com/servlet/HTMLTemplate/search?tf=tgam/search/tgam/SearchResults.html&cf=tgam/search/tgam/SearchResults.cfg&current_row=1&start_row=1&num_rows=10&keywords="),
	"Mail & Guardian Newspaper" => array("http://www.mg.co.za/", "http://www.sn.apc.org/cgi-bin/wmail/wmail.cgi/WeeklyMail?go=Search&ayr=2002&amon=01&amday=01&byr=2002&bmon=12&bmday=01&key="),
	"National Public Radio, United States (unlimited)" => array("http://www.npr.org/archives/", "http://search1.npr.org/search97cgi/s97_cgi?ResultTemplate=simple_date.hts&SortSpec=Date+Desc+Score+Desc&ViewTemplate=docview.hts&collection=zeus&collection=C1&collection=WEB&Action=FilterSearch&filter=topic_filter.hts&x=23&y=13&QueryText="),
	"New York Times (last seven days)" => array("http://www.nytimes.com/", "http://query.nytimes.com/search/query?date=site1week&submit.x=1&submit.y=9&query="),
	"People's Daily, China (January 1999-)" => array("http://english.peopledaily.com.cn/home.shtml", "http://english.peopledaily.com.cn/cgi-bin/htsearch?method=boolean&format=builtin-long&sort=score&config=english&exclude=&words="),
	"The Japan Times Online, Japan (January 1999-)" => array("http://www.japantimes.co.jp/search.htm", "http://www.japantimes.co.jp/cgi-bin/JTsearch3.pl5?"),
	"The Moscow Times, Russia (1994-)" => array("http://www.moscowtimes.ru/doc/Search.html", "http://www.moscowtimes.ru/cgi-bin/htsearch?config=&exclude=&method=boolean&format=long&sort=score&restrict=%2Fstories%2F2002%2F03%2F&matchesperpage=10&words="),
	"Washington Post (last two weeks)" => array("http://www.washingtonpost.com/", "http://search1.washingtonpost.com/?_v.7=92&_u.14=1&_u.1=3&_u.2=1&_u.3=2002&_u.4=3&_u.5=14&_u.6=2002&wp=on&ap=&_b.1.x=6&_b.1.y=4&_g.k_1="),
	"Newsdirectory" => array("http://www.newsdirectory.com/news/press/", "http://ask.elibrary.com/search.asp?refid=NEWSD&datetype=all&srcmags=checked&srcnews=checked&srcbooks=checked&srctvrad=checked&query=")
	);
	
	rst_search_form_buttons($search_engines);
}
