<?php

// $Id: rst.inc.php,v 1.133 2003/02/25 04:57:55 kevin Exp $

// Research Support Tool v1.0
// (c) The Public Knowledge Project 2002
// http://www.pkp.ubc.ca
//
// This file is part of Research Support Tool.
// 
// Research Support Tool is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Research Support Tool is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Research Support Tool; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// generates a Research Support Tool for use on abstract/paper pages


// include RST configuration
include_once("rst/config.inc.php");

global $rst;
$rst = rst_type($id);


// Display the research support tool
function rst_display($id) {
	global $rst, $rst_colors, $topics;

	// get metadata for item
	if(($metadata = rst_get_metadata($id)) === false) {
		return false;
		
	}
	
	// get RST colors
	$rst_colors = rst_colors();
	
	
	// break index terms and topic terms into an array
	if(isset($metadata[subject][1])) {
		$topics = preg_split("/[;,]\s*/", $metadata[subject][1]);
	} else {
		$topics = preg_split("/[;,]\s*/", @join("; ", $metadata[subject]));
	}

	// format topics
	$subjects = @urlencode(join(" ",$topics));
	
	// include appropriate RST
	if(!isset($rst) || !preg_match("/^\S+$/", $rst) || @file_exists("modules/$rst/rst.inc.php")) {
		$rst = "Generic";
	}
	
	include("rst/modules/$rst/rst.inc.php");

	
	// included global RST functions
	include("rst/functions.inc.php");
	
	
	// begin RST output
	ob_start();
	
	
	// RST top output
	rst_display_header($metadata);
	
	
	// print out categories for this RST
	foreach($rst_categories as $rst_category => $rst_items) {
	?>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt=""/></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	</table>
	</td></tr>
	<tr><td bgcolor="<?php echo $rst_colors[bgcolor] ?>">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr> 
 <td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt="" /></td>
 	 <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	<tr> 
	<td colspan="2" align="left" class="rst2">
		<img src="rst/images/whitearrowdown.gif" width="8" height="7" border="0" hspace="8"><?php echo sanitize_output($rst_category); ?>
	</td>
	</tr>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt="" /></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	</table>
	</td></tr>
	<tr><td bgcolor="<?php echo $rst_colors[bgcolor] ?>">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt=""/></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	<?php
	  
		foreach($rst_items as $name => $action) {
			$action = sanitize_output($action);
			if(function_exists($action)) { $this_url = rst_print_url("rst.php?id=$metadata[id]&amp;op=$action"); }
			else { $this_url = $action; }
			?>
			<tr> 
 <td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
 <td align="left"><a href="javascript:rstWin('<?php echo $this_url ?>')" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink"><?php echo sanitize_output($name); ?></a></td>
			</tr>
			<?php
		}
	}
	?>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt=""/></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	</table>
	</td></tr>
	<tr><td bgcolor="<?php echo $rst_colors[bgcolor] ?>">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<?php
	
	
	// RST bottom output
	rst_display_footer($metadata);
	
	
	// get RST output
	$rstool_output = ob_get_contents();
	
	
	// end RST output
	ob_end_clean();

	return $rstool_output;
}


// display the RST header
function rst_display_header(&$metadata) {
	global $rst_colors;
	?>
	<script type="text/javascript">
	function rstWin(url) {
		window.open(url, 'RST', 'width=640,height=480,screenx=100,screeny=100,location=no,status=no,resizable=yes,scrollbars=yes');
	}
	function rstWinMeta(url) {
		window.open(url, 'RST', 'width=800,height=480,screenx=100,screeny=100,location=no,status=no,resizable=yes,scrollbars=yes');
        }

	</script>
	<table width="96" border="0" cellspacing="0" cellpadding="0">
	<tr>
          <td align="center" height="35" style="color:<?php echo $rst_colors[bgcolor] ?>; font-weight:bold" class="rst1"><a href="javascript:rstWin('<?php echo rst_print_url("rst.php?id=$metadata[id]&amp;op=about_rst"); ?>')" style="text-decoration:none" class="rstlink">Research<br />Support Tool</a></td>
    </tr>
	<tr>
	<td align="center">
	<table bgcolor="<?php echo $rst_colors[bordercolor] ?>" border="0" cellpadding="2" cellspacing="2">
	<tr><td bgcolor="<?php echo $rst_colors[bgcolor] ?>">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td width="2"><img src="rst/images/spacer.gif" width="4" height="13" border="0" hspace="0" alt=""/></td>
		<td align="left"><img src="rst/images/whitearrow.gif" width="8" height="7" border="0" hspace="0" alt="" />&nbsp;&nbsp;<span class="rst2">For this</span>&nbsp; 
	</tr>
	<tr> 
	<td width="4"><img src="rst/images/spacer.gif" width="4" height="13" border="0" hspace="0" alt=""/></td>
	<td align="left" class="rst2"><a href="javascript:rstWin('<?php echo rst_print_url("rst.php?id=$metadata[id]
&amp;op=about_rst_types"); ?>')" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink"><?php 
	// print appropriate type
	echo strtolower($metadata[type][0]);
	?></a>&hellip;</td>
	</tr>
	<tr>
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt="" /></td>
	<td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	</table>
	</td></tr>
	<tr><td bgcolor="<?php echo $rst_colors[bgcolor] ?>">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt=""/></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
	 <td align="left"><a href="javascript:rstWin('<?php echo rst_print_url("rst.php?id=$metadata[id]
&amp;op=display_cite"); ?>')" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Capture Cite</a></td>

	</tr>
	<tr>
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
  <td align="left"><a href="javascript:rstWinMeta('<?php echo rst_print_url("rst.php?id=$metadata[id]&amp;op=show_meta"); ?>')" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">View Metadata</a></td>
	</tr>
	<?php
	if (rst_has_supp($metadata[id])) {
	?>
	 <tr>
	<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
		   <td align="left"><a href="javascript:rstWin('<?php echo rst_print_url("rst.php?id=$metadata[id]&amp;op=show_suppfiles"); ?>')" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Supp. Files</a></td>
			</tr>
	
	<?php
	}
	?>

	<?php
	if(($print = rst_printer_link($metadata[id])) !== false) {
		?>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
	  <td align="left"><a href="<?php echo $print ?>" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Printer Friendly</a></td>
	</tr>
	<?php
	}
}


// display the RST footer
function rst_display_footer(&$metadata) {
	global $rst, $rst_colors;
	?>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt="" /></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	<tr> 
	<td colspan="2" align="left" class="rst2">
		<img src="rst/images/whitearrowdown.gif" width="8" height="7" border="0" hspace="8">Action
	</td>
	</tr>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt="" /></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	</table>
	</td></tr>
	<tr><td bgcolor="<?php echo $rst_colors[bgcolor] ?>">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt=""/></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	<?php
	// check if a contact email address has been set
	if(isset($metadata[contact_email])) {
	?>
	<tr>
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
	  <td align="left"><a href="mailto:<?php echo $metadata[contact_email]; ?>" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Email Author</a></td>
	</tr>
	<?php
	}
	// check if comments are allowed
	if(($comment = rst_comment_link($metadata[id])) !== false) {
		?>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
	  <td align="left"><a href="<?php echo $comment ?>" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Add Comment</a></td>
	</tr>
		<?php
	}
	?>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
	  <td align="left"><a href="javascript:rstWin('<?php echo rst_print_url("rst.php?id=$metadata[id]"); ?>&amp;op=email_colleague')" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Email Others</a></td>
	</tr>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="15" border="0" hspace="0" alt="" /></td>
 	<td align="left"><a href="http://www.pkp.ubc.ca/portfolio/add.php?addurl=<?php echo $metadata[url] ?>" style="color:<?php echo $rst_colors[textcolor] ?>; text-decoration:none" class="rstlink">Add to Portfolio</a></td>
	</tr>
	<tr> 
<td width="4"><img src="rst/images/spacer.gif" width="4" height="1" border="0" vspace="0" alt=""/></td>
	  <td><img src="rst/images/spacer.gif" width="1" height="1" border="0" vspace="0" alt="" /></td>
	</tr>
	</table>
	</td></tr>
	</table>
	</td></tr></table>
	<?php
}

