<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// schedule.php
// 
// $Id: schedule.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// view the conference schedule


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Conference Schedule";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));

// include the html header file
include("include/header.inc.php");


// check that conference is using a schedule
if($conference_items[schedule] != "true") {
	echo "This conference is not using a schedule.";
	include("include/footer.inc.php");
	exit;
}

?>

<span class="ArticleTitle"><?php echo $conference_items[name]; ?></span><br />
<b>Conference Schedule</b><br />
<?php
// print out formatted date
include("include/date.inc.php");
echo printdate();
?>

<br /><br />

<div class="SmallText">
	<b>Conference Locations</b><?php if(!empty($conference_items[reg_map]) && $conference_items[reg_map]!="false" && file_exists("papers/map-$cf")) { echo " (<a href=\"" . print_url("registration.php?view=map") . "\">Conference Map</a>)"; } ?><br />
	
	<table border="0" cellpadding="2" cellspacing="1">
	<tr bgcolor="#CCCCCC">
		<td class="SecondaryText">Building</td>
		<td class="SecondaryText">Short Form</td>
	</tr>
	<?php
	// get list of conference locations
	$result = $db->query("SELECT building, building_short FROM $dbtable[scheduler_locations] WHERE cf='$cf' ORDER BY building");
	for($i=0, $max=$db->num_rows($result); $i<$max; $i++) {
		list($building, $building_short) = $db->assoc_array($result, $i);
		echo "<tr><td class=\"SmallText\">$building</td><td class=\"SmallText\">$building_short</td></tr>\n";
	}
	?>
	</table>
</div>

<br />

<table width="100%" border="0" cellpadding="4" cellspacing="3">
<?php
// get list of conference dates
$result = $db->query("SELECT DISTINCT(date) FROM $dbtable[scheduler_session_times] WHERE cf='$cf' ORDER BY date");
for($i=0, $max_dates = $db->num_rows($result); $i<$max_dates; $i++) {
	list($date) = $db->assoc_array($result, $i);
	
	if($i > 0) {
	?>
	<tr>
		<td><img src="images/spacer.gif" width="1" height="5" alt="" /></td>
	</tr>
	<?php
	}
	
	?>
	<tr>
		<td style="background-image: url(<?php echo $themesdir; ?>images/srchbg.gif); background-repeat: repeat-y">
			<a name="<?php echo $date; ?>"></a><b><?php echo date("l, F j, Y", strtotime($date)); ?></b>
		</td>
	</tr>
	<?php
	
	// print_events on this date
	printEvents($date);
}
?>
</table>

<?php

// include the html footer file
include("include/footer.inc.php");


// print all events on a certain date
function printEvents($date) {
	// get list of events
	$events = getEvents($date);
	
	// print out events
	for($i=0, $max=count($events); $i<$max; $i++) {
		$event = $events[$i];
		?>
		<tr>
			<td bgcolor="#EEEEEE">
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="SmallText">
			<tr>
				<td width="300"><b><?php echo date("g:i A", strtotime($event[start_time])); ?> - <?php echo date("g:i A", strtotime($event[end_time])); ?> in <?php echo $event[location]; ?></b></td>
				<td><b><?php echo $event[event]; ?></b></td>
			</tr>
			<tr>
				<td colspan="2"><img src="images/spacer.gif" width="1" height="5" alt="" /></td>
			</tr>
			<tr>
				<td colspan="2">
					<?php echo $event[description]; ?>
				</td>
			</tr>
			</table>
			</td>
		</tr>
		<?php
	}
}


// return an array of events for a particular date
function getEvents($date) {
	global $cf, $db, $dbtable, $db_type;
	
	$small_br = "<span style=\"font-size: 5px\">&nbsp;<br /></span>\n";
	
	$events = array();
	
	// get distinct presentations with same time and location
	$sql = "SELECT ";
	if($db_type == "pgsql") { $sql .= "DISTINCT ON(p.time, p.location, p.room) "; }
	$sql .= "p.time, p.location, p.room, p.type, t.start_time, t.end_time,
		l.building_short, s.type AS type_name, s.chair_required, s.discussant_required
		FROM $dbtable[scheduler_presentations] AS p, $dbtable[scheduler_session_times] AS t,
		$dbtable[scheduler_locations] AS l, $dbtable[scheduler_session_types] AS s
		WHERE t.date='$date' AND p.time=t.time_id AND p.location=l.location_id AND p.type=s.type_id
		AND p.cf=t.cf AND p.cf=l.cf AND p.cf=s.cf AND p.cf='$cf'";
	if($db_type != "pgsql") { $sql .= " GROUP BY p.time, p.location, p.room"; }
	$result = $db->query($sql);

	for($i=0, $max=$db->num_rows($result); $i<$max; $i++) {
		$items = $db->assoc_array($result, $i);
		
		$event = array(
			"start_time" => $items[start_time],
			"end_time" => $items[end_time],
			"location" => trim($items[building_short]." ".$items[room]),
			"event" => $items[type_name]
		);
		
		$description = "";
		
		// get list of presentations with this time and location
		$sql = "SELECT p.id, first_name, surname, title, affiliation, theme
			FROM $dbtable[papers] AS p, $dbtable[scheduler_presentations] AS t
			WHERE t.time='$items[time]' AND t.location='$items[location]'
			AND t.room='$items[room]' AND p.id=t.paper AND p.cf=t.cf AND p.cf='$cf'
			ORDER BY surname, first_name, title";
		$event_result = $db->query($sql);
		
		for($j=0, $max_events=$db->num_rows($event_result); $j<$max_events; $j++) {
			list($paper, $first_name, $surname, $title, $affiliation, $theme) = $db->assoc_array($event_result, $j);
			if($j > 0) { $description .= "<br />$small_br\n"; }
			$description .= "$first_name $surname, $affiliation<br />\n<a href=\"".print_url("viewabstract.php?id=$paper")."\">\"$title\"</a>";
			
			// get theme, if applicable
			if(!empty($theme)) {
				$theme_result = $db->query("SELECT theme FROM $dbtable[scheduler_themes] WHERE theme_id='$theme' AND cf='$cf'");
				if($db->num_rows($theme_result) > 0) {
					list($theme) = $db->assoc_array($theme_result);
					$description .= "<br />\n<i>$theme</i>";
				}
			}
		}
		
		if($j>1) { $description = "<i>Presentations</i><br />\n$small_br\n" . $description; }
		else if($j == 1) { $description = "<i>Presentation</i><br />\n$small_br" . $description; }
		
		if(!empty($items[chair_required]) || !empty($items[discussant_required])) {
			// get chair, discussant data
			$chair_result = $db->query("SELECT chair, chair_affiliation, discussant, discussant_affiliation FROM $dbtable[scheduler_chairs] WHERE time='$items[time]' AND location='$items[location]' AND room='$items[room]' AND cf='$cf'");
			
			if($db->num_rows($chair_result) > 0) {
				list($chair, $chair_affiliation, $discussant, $discussant_affiliation) = $db->assoc_array($chair_result);
				if(!empty($chair)) {
					if(!empty($chair_affiliation)) { $chair .= ", $chair_affiliation"; }
					$description = "<i>Chair:</i> $chair<br />\n$small_br" . $description;
				}
				if(!empty($discussant)) {
					if(!empty($discussant_affiliation)) { $discussant .= ", $discussant_affiliation"; }
					$description .= "<br />\n$small_br<i>Discussant:</i> $discussant<br />\n";
				}
			}
		}
		
		
		// add event to array
		$event[description] = $description;
		array_push($events, $event);
	}
	
	
	// get additional conference functions
	$sql = "SELECT start_time, end_time, building_short, f.room, event, description
		FROM $dbtable[scheduler_functions] AS f, $dbtable[scheduler_session_times] AS t,
		$dbtable[scheduler_locations] AS l
		WHERE t.date='$date' AND f.time=t.time_id AND f.location=l.location_id
		AND f.cf=t.cf AND f.cf=l.cf AND f.cf='$cf'
		ORDER BY start_time, end_time";
	$result = $db->query($sql);

	for($i=0, $max=$db->num_rows($result); $i<$max; $i++) {
		$items = $db->assoc_array($result, $i);
		
		$event = array(
			"start_time" => $items[start_time],
			"end_time" => $items[end_time],
			"location" => trim($items[building_short]." ".$items[room]),
			"event" => $items[event],
			"description" => nl2br($items[description])
		);
		
		// add event to array
		array_push($events, $event);
	}
	
	
	// sort events
	usort($events, "sortEvents");
	return $events;
}


// function to sort events
function sortEvents($a, $b) {
	// compare start times
	$start_a = strtotime("$a[start_time]");
	$start_b = strtotime("$b[start_time]");

	if($start_a != $start_b) {
		return ($start_a > $start_b) ? 1 : -1;
	} else {
		return (strtotime($a[end_time]) > strtotime($b[end_time])) ? 1: -1;
	}
}
