<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// search.php
// 
// $Id: search.php,v 1.5 2003/04/01 07:58:46 kevin Exp $
// 
// search an archive of papers


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


if(!$limit || ($search_all && $limit=="fulltext")) { $limit = "all"; }
else { $limit = strip_html($limit); }

if($query) {
	$query = strip_html($query);
	$orig_query = $query;
}

if($query_date_from_month && $query_date_from_day && $query_date_from_year && checkdate($query_date_from_month, $query_date_from_day, $query_date_from_year)) {
	$query_date_from = strip_html("$query_date_from_year-$query_date_from_month-$query_date_from_day");
}
else {
	$query_date_from = "";
}

if($query_date_to_month && $query_date_to_day && $query_date_to_year && checkdate($query_date_to_month, $query_date_to_day, $query_date_to_year)) {
	$query_date_to = strip_html("$query_date_to_year-$query_date_to_month-$query_date_to_day");
}
else {
	$query_date_to = "";
}

if($query || $is_search && ($query || $query_author || $query_title || $query_date_from || $query_date_to || $query_discipline || $query_topics || $query_approach || $query_coverage)) {
	// build query string for prev/next urls
	if($search=="advanced") {
		$string = "";
		if($query) {
			$query = strip_html($query);
			$string .= "query=".urlencode($query)."&";
		}
		if($query_author) {
			$query_author = strip_html($query_author);
			$string .= "query_author=".urlencode($query_author)."&";
		}
		if($query_title) {
			$query_title = strip_html($query_title);
			$string .= "query_title=".urlencode($query_title)."&";
		}
		if($query_date_from) {
			$query_date_from = strip_html($query_date_from);
			$string .= "query_date_from=".urlencode($query_date_from)."&";
		}
		if($query_date_to) {
			$query_date_to = strip_html($query_date_to);
			$string .= "query_date_to=".urlencode($query_date_to)."&";
		}
		if($query_discipline) {
			$query_discipline = strip_html($query_discipline);
			$string .= "query_discipline=".urlencode($query_discipline)."&";
		}
		if($query_topics) {
			$query_topics = strip_html($query_topics);
			$string .= "query_topics=".urlencode($query_topics)."&";
		}
		if($query_approach) {
			$query_approach = strip_html($query_approach);
			$string .= "query_approach=".urlencode($query_approach)."&";
		}
		if($query_coverage) {
			$query_coverage = strip_html($query_coverage);
			$string .= "query_coverage=".urlencode($query_coverage)."&";
		}
		if($query_type) {
			$query_type = strip_html($query_type);
			$string .= "query_type=".urlencode($query_type)."&";
		}
		if($match) {
			$match = strip_html($match);
			$string .= "match=".urlencode($match)."&";
		}
		$string .= "search=advanced&is_search=1";
	}
	else {
		$query = strip_html($query);
		$string = "query=".urlencode($query)."&limit=".urlencode($limit);
	}
}


// forward query to PKP harvester if system-wide search
if($search_all) {
	print Header("Location: http://www.pkp.ubc.ca/harvester/search.php?$string");
}


// this page's title
$title = "Search Papers";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));


// include the html header file
include("include/header.inc.php");


// execute a search
if($query || $is_search && ($query || $query_author || $query_title || $query_date_from || $query_date_to || $query_discipline || $query_topics || $query_approach || $query_coverage)) {
	// begin the query
	$query_txt = "Select id, first_name, surname, affiliation, add_first_names, add_surnames, add_affiliations, title from $dbtable[papers] where (";
		
	if($db_type == "pgsql") { $like = "ilike"; }
	else { $like = "like"; }
	
	// advanced search
	if($search=="advanced") {
		// set correct boolean value
		if($match=="all") { $boolean = "and"; }
		else { $boolean = "or"; }
		
		// match all
		if($query) {
			$query = sanitize_db_input($query);
			if($enable_fulltext) {
				$query_txt .= " (match(first_name, surname, email, affiliation, add_first_names, add_surnames, add_emails, add_affiliations, bio) against ('$query') or match(title) against ('$query') or match(abstract) against ('$query') or match(discipline, topic, sponsor, approach, format, language, relation, coverage) against ('$query'))";
			}
			else {
				$query_txt .= " (first_name $like '%$query%' or surname $like '%$query%' or add_first_names $like '%$query%' or add_surnames $like '%$query%' or title $like '%$query%' or abstract $like '%$query%' or topic $like '%$query%' or approach $like '%$query%' or coverage $like '%$query%' or paper $like '%$query%')";
			}
			$has_query = 1;
		}
		
		// match author
		if($query_author) {
			$query_author = sanitize_db_input($query_author);
			if($has_query) { $query_txt.= " $boolean"; }
			if($enable_fulltext) {
				$query_txt .=  " match(first_name, surname, email, affiliation, add_first_names, add_surnames, add_emails, add_affiliations, bio) against ('$query_author')";
			}
			else {
				$query_tmp = explode(" ", $query_author);
				for($i=0; $i<count($query_tmp); $i++) {
					if($i > 0) { $query_txt.= " $boolean"; }
					$query_txt .= " (first_name $like '%$query_tmp[$i]%' or surname $like '%$query_tmp[$i]%' or add_first_names $like '%$query_tmp[$i]%' or add_surnames $like '%$query_tmp[$i]%')";
				}
			}
			$has_query = 1;
		}
		
		// match title
		if($query_title) {
			$query_title = sanitize_db_input($query_title);
			if($has_query) { $query_txt.= " $boolean"; }
			if($enable_fulltext) {
				$query_txt .=  " match(title) against ('$query_title')";
			}
			else {
				$query_tmp = explode(" ", $query_title);
				for($i=0; $i<count($query_tmp); $i++) {
					if($i > 0) { $query_txt.= " $boolean"; }
					$query_txt .= " (title $like '%$query_tmp[$i]%')";
				}
			}
			$has_query = 1;
		}
		
		// match date from
		if($query_date_from) {
			$query_date_from = sanitize_db_input($query_date_from);
			if($has_query) { $query_txt .= " $boolean"; }
			if($query_date_to) { $query_txt .= " ("; }
			$query_txt .= " paper_date>='$query_date_from'";
			$has_query = 1;
			$has_date = 1;
		}
		
		// match date to
		if($query_date_to) {
			$query_date_to = sanitize_db_input($query_date_to);
			if($has_query && $has_date) { $query_txt .= " and"; }
			else if($has_query) { $query_txt .= " $boolean"; }
			$query_txt .=  " paper_date<='$query_date_to'";
			if($has_date) { $query_txt .= ")"; }
			$has_query = 1;
		}
				
		// match topic
		if($query_topics) {
			$query_topics = sanitize_db_input($query_topics);
			if($has_query) { $query_txt.= " $boolean"; }
			if($enable_fulltext) {
				$query_txt .=  " match(topic) against ('$query_topics')";
			}
			else {
				$query_tmp = explode(" ", $query_topics);
				for($i=0; $i<count($query_tmp); $i++) {
					if($i > 0) { $query_txt.= " $boolean"; }
					$query_txt .= " (topic $like '%$query_tmp[$i]%')";
				}
			}
			$has_query = 1;
		}
		
		// match discipline
		if($query_discipline) {
			$query_discipline = sanitize_db_input($query_discipline);
			if($has_query) { $query_txt.= " $boolean"; }
			if($enable_fulltext) {
				$query_txt .=  " match(discipline) against ('$query_discipline')";
			}
			else {
				$query_tmp = explode(" ", $query_discipline);
				for($i=0; $i<count($query_tmp); $i++) {
					if($i > 0) { $query_txt.= " $boolean"; }
					$query_txt .= " (discipline $like '%$query_tmp[$i]%')";
				}
			}
			$has_query = 1;
		}
		
		// match genre
		if($query_approach) {
			$query_approach = sanitize_db_input($query_approach);
			if($has_query) { $query_txt.= " $boolean"; }
			if($enable_fulltext) {
				$query_txt .=  " match(approach) against ('$query_approach')";
			}
			else {
				$query_tmp = explode(" ", $query_approach);
				for($i=0; $i<count($query_tmp); $i++) {
					if($i > 0) { $query_txt.= " $boolean"; }
					$query_txt .= " (approach $like '%$query_tmp[$i]%')";
				}
			}
			$has_query = 1;
		}
				
		// match coverage
		if($query_coverage) {
			$query_coverage = sanitize_db_input($query_coverage);
			if($has_query) { $query_txt.= " $boolean"; }
			if($enable_fulltext) {
				$query_txt .=  " match(coverage) against ('$query_coverage')";
			}
			else {
				$query_tmp = explode(" ", $query_coverage);
				for($i=0; $i<count($query_tmp); $i++) {
					if($i > 0) { $query_txt.= " $boolean"; }
					$query_txt .= " (coverage $like '%$query_tmp[$i]%')";
				}
			}
			$has_query = 1;
		}
				
		// match type
		if($query_type && $query_type!="All") {
			$query_type = sanitize_db_input($query_type);
			if($has_query) { $query_txt.= " $boolean"; }
			if($query_type=="Refereed Articles" || $query_type=="Reviewed Papers") { $query_txt .=  " relation like 'Refereed%'"; }
			else if($query_type=="Dissertations") { $query_txt .= " type $like '%dissertation%'"; }
			else { $query_txt .= " type $like '%$query_type%'"; }
		}
		
	}
	
	// regular quick search
	else {
		$query = sanitize_db_input($query);
	
		// use MySQL full-text search
		if($enable_fulltext) {
			
			// match author
			if($limit=="all" || $limit=="author") {
				$query_txt .= "match(first_name, surname, email, affiliation, add_first_names, add_surnames, add_emails, add_affiliations, bio) against ('$query')";
			}
			
			// match title
			if($limit=="all" || $limit=="title") {
				if($limit=="all") { $query_txt .= " or "; }
				$query_txt .= "match(title) against ('$query')";
			}
			
			// match abstract
			if($limit=="all" || $limit=="abstract") {
				if($limit=="all") { $query_txt .= " or "; }
				$query_txt .= "match(abstract) against ('$query')";
			}
			
			// match index terms
			if($limit=="all" || $limit=="keywords") {
				if($limit=="all") { $query_txt .= " or "; }
				$query_txt .= "match(discipline, topic, sponsor, approach, format, language, relation, coverage) against ('$query')";
			}
			
			// match full text
			if($limit=="all" || $limit=="fulltext") {
				if($limit=="all") { $query_txt .= " or "; }
				$query_txt .= "match(paper) against ('$query')";
			}
	
		}
		
		// else do regular search with like statements
		else {	
			// split the query into an array of each word
			$query_items = explode(" ",$query);
			
			// check if we're looking for entries containing all words or not
			$boolean_exp = " and";
			
			// go through each word in the query
			for($i=0; $i<count($query_items); $i++) {
				if($i>0) {
					$query_txt .= "$boolean_exp";
				}
				
				$query_txt .= " (";
				
				// search author(s) names
				if($limit=="all" || $limit=="author") {
					$query_txt .= "first_name $like '%$query_items[$i]%' or surname $like '%$query_items[$i]%' or add_first_names $like '%$query_items[$i]%' or add_surnames $like '%$query_items[$i]%' ";
				}
				
				// search paper's title
				if($limit=="all" || $limit=="title") {
					if($limit=="all") $query_txt .= " or ";
					$query_txt .= "title $like '%$query_items[$i]%'";
				}
				
				// search paper's abstract
				if($limit=="all" || $limit=="abstract") {
					if($limit=="all") $query_txt .= " or ";
					$query_txt .= "abstract $like '%$query_items[$i]%'";
				}
							
				// search various keyword fields
				if($limit=="all" || $limit=="keywords") {
					if($limit=="all") $query_txt .= " or ";
					$query_txt .= "topic $like '%$query_items[$i]%' or approach $like '%$query_items[$i]%' or coverage $like '%$query_items[$i]%'";
				}
				
				// search full text of paper
				if($limit=="all" || $limit=="fulltext") {
					if($limit=="all") $query_txt .= " or ";
					$query_txt .= "paper $like '%$query_items[$i]%'";
				}
				
				$query_txt .= ")";
	
			}
		}
	
	}
		
	// ensure only accepted papers will be searched
	$query_txt .= ") and accepted='true' and cf='$cf'";

	// execute the query
	$result = $db->query($query_txt);
	
	
	// get number of records
	$num_records = $db->num_rows($result);
		
	// maximum records to display at one time
	$max_records = 10;
	
	// move to specified position if applicable
	if($page) {
		$page = (int) $page;
		$new_position = ($page-1)*$max_records;
		
		if($new_position>$num_records) {
			$new_position = $num_records;
		}
		
		$db->data_seek($result,$new_position);
	}
	else {
		$new_position = 0;
		$page = 1;
	}
	
	// set number of records to display on this page
	if($max_records>($num_records-$new_position)) {
		$num_to_show = $num_records-$new_position;
	}
	else {
		$num_to_show = $max_records;
	}

	// show info on records currently being displayed
	$start_pos = $new_position+1;
	$end_pos = $new_position+$num_to_show;

	if($query) { echo "<p><b>Search Results for \"".sanitize_output($orig_query)."\"</b></p>"; }
	else { echo "<p><b>Search Results</b></p>"; }
	
	if($num_records>0) {
		echo "<p>Displaying records <b>$start_pos</b> through <b>$end_pos</b> of <b>$num_records</b>.</p>";
	}
	else {
		echo "<p><b>No results found.</b></p>";
	}
	
	echo "<blockquote>";
	
	// print out records list
	for($i=0; $i<$num_to_show; $i++) {
		$record_items = $db->assoc_array($result);
		echo "<p><a class=\"ArticleTitle\" href=\"".print_url("viewabstract.php?id=$record_items[id]")."\">$record_items[title]</a><br />
			<b>$record_items[first_name] $record_items[surname]";
		if($items[affiliation]) { echo ", $record_items[affiliation]"; }
		echo "</b>";
		$add_first_names = explode("\n",$record_items[add_first_names]);
		$add_surnames = explode("\n",$record_items[add_surnames]);
		$add_affiliations = explode("\n",$record_items[add_affiliations]);
		for($x=0; $x<count($add_first_names); $x++) {
			if($add_first_names[$x]) {
				echo "<br />
					<b>$add_first_names[$x] $add_surnames[$x]";
				if($add_affiliations[$x]) { echo ", $add_affiliations[$x]"; }
				echo "</b>";
			}
		}
		echo "</p>\n";
	}
	
	echo "</blockquote>";
	
	if($sort) { $sort = sanitize_db_input($sort); }
	
	// show next and prev page links, if applicable
	if($page>1) {
		$prev_page = $page-1;
		$prev_link = "search.php?$string&page=$prev_page";
		if($sort) {
			$prev_link .= "&sort=$sort";
		}
		$prev_link = "<a href=\"".print_url($prev_link)."\">&lt;&lt; Previous Results</a>";
		
	}
	
	if($num_records>($page*$max_records)) {
		$next_page = $page+1;
		$next_link = "search.php?$string&page=$next_page";
		if($sort) {
			$next_link .= "&sort=$sort";
		}
		$next_link .= "<a href=\"".print_url($next_link)."\">Next Results &gt;&gt;</a>";
	}
	
	if($next_link || $prev_link) {
		echo "<p>";
		echo $prev_link;
		if($prev_link && $next_link) {
			echo " | ";
		}
		echo $next_link;
		echo "</p>";
	}
	
	$url = "search.php";
	if($search=="advanced") { $url .= "?search=advanced"; }
	echo "<p><b><a href=\"".print_url($url)."\">New Search</a></b></p>";


	echo "<p><a href=\"".print_url("papers.php")."\"><b>Back to Papers</b></a></p>";

	
}


// show advanced search form
else if($search=="advanced") {

?>
<form action="<?php echo print_url("search.php"); ?>" method="post">
<input type="hidden" name="search" value="advanced">
<input type="hidden" name="is_search" value="1">

<p class="ArticleTitle"><b>Advanced Search</b></p>

<p>Search all categories for: <input type="text" name="query" size="50"></p>

<p>Or search any one or more of the following categories...</p>

<table border="0">
<tr><td width="150" background="<?php echo $themesdir; ?>images/srchbg.gif" class="title">Author(s):</td><td><input type="text" name="query_author" size="50"></td></tr>
<tr><td width="150" class="title">Title:</td><td><input type="text" name="query_title" size="50"></td></tr>
<tr><td width="150" class="title">Date:</td><td>&nbsp;</td></tr>
<tr><td width="150" background="<?php echo $themesdir; ?>images/srchbg.gif">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;From:</td><td><?php date_menu("query_date_from", $query_date_from, 1); ?></td></tr>
<tr><td width="150">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;To:</td><td><?php date_menu("query_date_to", $query_date_to, 1); ?></td></tr>
<tr><td width="150" class="title">Index terms (<a href="http://www.pkp.ubc.ca/harvester/about.php">about</a>)</td><td>&nbsp;</td></tr>
<tr><td width="150" background="<?php echo $themesdir; ?>images/srchbg.gif">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Discipline(s):</td><td><input type="text" name="query_discipline" size="50"></td></tr>
<tr><td width="150">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Subject(s):</td><td><input type="text" name="query_topics" size="50"></td></tr>
<tr><td width="150" background="<?php echo $themesdir; ?>images/srchbg.gif">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Approach/Method:</td><td><input type="text" name="query_approach" size="50"></td></tr>
<tr><td width="150">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Coverage:</td><td><input type="text" name="query_coverage" size="50"></td></tr>
<tr><td width="150" background="<?php echo $themesdir; ?>images/srchbg.gif" class="title">Type:</td><td><select name="query_type">
<?php
// print out select list of types
$types = array("All", "Refereed Articles", "Reviewed Papers", "Dissertations", "Forums", "Research Materials", "Creative Work");
foreach ($types as $value) {
	echo "<option value=\"$value\">$value</option>\n";
}
?></select></td></tr>
<tr><td colspan="2"><input type="checkbox" name="match" value="all"> Match all categories<br />
<input type="checkbox" name="search_all" value="true"> Search index of other <a href="http://www.pkp.ubc.ca/harvester/">PKP System</a> research databases.</td></tr>
<tr><td colspan="2"><input type="submit" value="Search" class="button"></td></tr>
</table>

</form>

<p><b><a href="<?php echo print_url("search.php"); ?>">Go to Quick Search</a></b></p>

<?php

}

else {

// show quick search form
?>
<form action="<?php echo print_url("search.php"); ?>" method="post">
<p><b>Search Papers for:</b> <input type="text" name="query"<?php if($query) echo " value=\"".sanitize_output($query)."\""; ?>> in <select name="limit">
<option value="all"<?php if($limit=="all" || $limit=="") echo " selected"; ?>>All</option>
<option value="author"<?php if($limit=="author") echo " selected"; ?>>Author(s)</option>
<option value="title"<?php if($limit=="title") echo " selected"; ?>>Title</option>
<option value="abstract"<?php if($limit=="abstract") echo " selected"; ?>>Abstract</option>
<option value="keywords"<?php if($limit=="keywords") echo " selected"; ?>>Index Terms</option>
<option value="fulltext"<?php if($limit=="fulltext") echo " selected"; ?>>Full Text</option>
</select> 
<input type="submit" name="Search" class="button"><br />
<input type="checkbox" name="search_all" value="true"> Search index of other <a href="http://www.pkp.ubc.ca/harvester/">PKP System</a> research databases.
</p>
</form>

<p><b><a href="<?php echo print_url("search.php?search=advanced"); ?>">Go to Advanced Search</a></b></p>

<?php

}


// include the html footer file
include("include/footer.inc.php");

?>
