<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// privacy.php
// 
// $Id: submission.php,v 1.3 2003/04/01 07:58:46 kevin Exp $
// 
// abstract and paper submission intro page


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// this page's title
$title = "Abstract and Paper Submission";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));


// check what kind of submission is being used
unset($invited);
unset($refereed);
unset($uninvited);

if($conference_items[invited_papers]=="true") {
	$invited = 1;
}

// include refereed/non-refereed submission page, if applicable
if($conference_items[peer_review]=="online") {
	$uninvited = 1;
	$refereed = 1;
}
else if($conference_items[call_for_papers]=="true") {
	$uninvited = 1;
}


// forward to appropriate submission page if only one kind of submission
if(isset($invited) && !isset($uninvited)) {
	header("Location: ".print_url("invitedsubmit.php"));
	exit;
}
else if(!isset($invited) && isset($uninvited)) {
	header("Location: ".print_url("submit.php"));
	exit;
}
		

// include the html header file
include("include/header.inc.php");



if(isset($invited) || isset($uninvited)) {
?>

<p>Please select the appropriate submission form below to continue.</p>

     <blockquote>
     <table border="0" width="450" cellpadding="1" cellspacing="0" border="0">

<?php

// print out link to Invited Submission page, if applicable
if(isset($invited)) {
?>
     <tr><td width="16" height="16" valign="middle"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" vspace="0" hspace="0"></td><td width="430"><a class="Content" href="<?php echo print_url("invitedsubmit.php"); ?>">Invited Abstract and Paper Submission</a></td></tr>
<?php

}

// print out link to Refereed or Non-Refereed Submission page, if applicable
if(isset($uninvited)) {
?>
     <tr><td width="16" height="16" valign="middle"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0" vspace="0" hspace="0"></td><td width="430"><a class="Content" href="<?php echo print_url("submit.php"); ?>"><?php

     // note as Refereed if this conference is using an online peer review system
     if(isset($refereed)) { echo "Refereed "; }

     ?>Abstract and Paper Submission</a></td></tr>
     <?php
}

?>
	</table>
	</blockquote>

<?php
}

else {
?>
<p>This conference is currently not accepting any abstract or paper submissions.</p>
<?php
}


// include the html footer file
include("include/footer.inc.php");

?>
