<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// organization.php
// 
// $Id: tenreasons.php,v 1.5 2003/04/01 07:58:46 kevin Exp $
// 
// "Ten Reasons To Post Your Paper" page


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");


// this page's title
$title = "Ten Reasons To Post Your Paper ";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"));

// include the html header file
include("include/header.inc.php");

?>

<p align="center"><a href="<?php echo print_url("credits.php"); ?>" class="TopMenu"><img src="images/pkp.gif" width="78" height="55" border="0" vspace="0" hspace="5" alt="Public Knowledge"></a></p>

<p><font class="SecondaryText"><i>Wondering whether to post your paper on this conference site?</i></font></p>


<table border="0" cellpadding="5" cellspacing="0" bgcolor="#ececec" width="100%">
<tr><td class="ArticleTitle">
Ten Reasons To Post Your Paper on this Conference Site...
</td></tr>
</table>

<ol>
<li><a href="#1">Readily share your paper with all conference participants.</a></li>
<li><a href="#2">Afford students and faculty around the globe access to your work.</a></li>
<li><a href="#3">Protect and preserve the integrity of your scholarly work.</a></li>
<li><a href="#4">Take a stand on research's place within the public sphere.</a></li>
<li><a href="#5">Have it indexed within a global system of scholarly resources.</a></li>
<li><a href="#6">Increase the likelihood of being cited by other scholars.</a></li>
<li><a href="#7">Does not reduce your chances of publishing the paper in a journal.</a></li>
<li><a href="#8">Provide the public with a reliable and current research source.</a></li>
<li><a href="#9">Help test the power of a new publishing medium.</a></li>
<li><a href="#10">Have instant access to your work wherever the Internet is present.</a></li>
</ol>

<p align="right"><font class="SmallText"><b><a href="#details">Details on the reasons why</a></b></font></p>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr><td background="images/hdiv.gif">
<img src="images/spacer.gif" width="1" height="15">
</td></tr>
<tr><td>
<img src="images/spacer.gif" width="1" height="10">
<td></tr>
</table>

<a name="details"></a>
<table border="0" cellpadding="5" cellspacing="0" bgcolor="#ececec" width="100%">
<tr><td class="ArticleTitle">
Details on the reasons why...
</td></tr>
</table>


<ol>
<a name="1"></a>
<li><b>Readily share your paper with all conference participants.</b><br />
Not everyone can come to your session, and not everyone can get enough of your work when they do come to your session. Let them enjoy the talk, knowing that the draft is available to review for further details and that they can send you suggestions and advice that occur to them after the session.
<br />&nbsp;</li>

<a name="2"></a>
<li><b>Afford students and faculty around the globe access to your work.</b><br />
You have a unique URL to send the work to others for comment, though they may also reach it through the collective indexing system for research archives which this site adheres to (as well as broad web searches). For those working in universities that have limited access to print sources, this could be their only chance to see your work.
<br />&nbsp;</li>

<a name="3"></a>
<li><b>Protect and preserve the integrity of the work.</b><br />
To have your work posted online provides a dated and easily ascertainable claim to your ideas and data. Having the work online serves as a ready check against plagiarism, and the work is archived within a secure, backed up environment (depending, of course, on the server used by the conference).
<br />&nbsp;</li>

<a name="4"></a>
<li><b>Take a stand on research's place within the public sphere.</b><br />
Shouldn't public access to research be a basic right in a democratic state that funds a great deal of that research? To learn more about the open access movement in scholarly publishing scholarship see, <a href="http://www.publiclibraryofscience.org/">Public Library of Science</a>, <a href="http://www.openarchives.org/">Open Archives Initiative</a>, and the <a href="http://pkp.ubc.ca/">Public Knowledge Project</a>. To understand why the commercial publication of research is not working, see the <a href="http://pkp.ubc.ca/resources/spei.html">stats</a> on rising costs and declining access.
<br />&nbsp;</li>

<a name="5"></a>
<li><b>Have it indexed within a global system of scholarly resources.</b><br />
On submitting your paper, you will be asked to provide basic bibliographic information as well as identify the discipline, topic, method, and coverage. This indexing information is linked with that of research databases and publishing systems around the world, using the <a href="http://www.openarchives.org/">Open Archives Initiative</a> protocol, which enables <a href="http://arc.cs.odu.edu/">cross-archive searching</a> of research resources.
<br />&nbsp;</li>

<a name="6"></a>
<li><b>Increase the likelihood of being cited by other scholars.</b><br />
As reported in Nature, <a href="http://www.neci.nec.com/~lawrence/papers/online-nature01/">Lawrence</a> found, in a study of computer science conference articles, that more highly cited articles are more likely to be freely available online suggesting that these scholars' work has a greater impact on the field, while <a href="http://www.press.umich.edu/jep/06-03/anderson.html">Anderson et al.</a> found that free online refereed publications are cited as much as traditional print and slightly more than closely related online material that was not free, even as they counted no less for tenure in the opinions of their authors.
<br />&nbsp;</li>

<a name="7"></a>
<li><b>Does not reduce your chances of publishing the paper in a journal.</b><br />
You retain control of the copyright for this work, and revise it before submitting it for review. You can request its removal from the conference site, if required by a publisher's policy. In the case of electronic theses and dissertations (EDT), for example, the <a href="http://scholar.lib.vt.edu/staff/gailmac/publications/pubrsETD2001.html">results of more than one survey</a> show that "the ready availability of ETDs on the Internet does not deter the vast majority of publishers from publishing articles derived from graduate research already available on the Internet." As well, the preprint archive, <a href="http://arxiv.org/">arXiv.org</a> and economics' working papers site, <a href="http://repec.org/">RePEc</a>, have well over a 100,000 papers posted online, many of which go on to be published in journals.
<br />&nbsp;</li>

<a name="8"></a>
<li><b>Provide a reliable, current, and reviewed research source for the Web.</b><br />
One concern that many people have is over the quality of information on the Internet.  This system creates an easily identifiable source of research which through precise indexing enables the accurate location of information. While the work is clearly identified as a conference paper, in an early, unedited form, it is also seen to be part of a sponsored scholarly gathering.
<br />&nbsp;</li>

<a name="9"></a>
<li><b>Help to test the power of a new publishing medium.</b><br />
The <a href="http://pkp.ubc.ca/">Public Knowledge Project</a>, which developed this system, is researching the capacity of the Internet to improve public access to research, to increase the research capacity of developing countries, and to enhance research's scholarly quality along the way. It is something of an experiment, but not one that we can sit back and observe. It is far more a matter of participating in the shaping of this technology, in massaging the medium just as it would massage the message, as Marshall McLuhan might have said.
<br />&nbsp;</li>

<a name="10"></a>
<li><b>Be able to access and search it wherever there is Internet access.</b><br />
Say you're sitting in a cybercafe in Bangkok, when you overhear the person at the next table say...</li>
</ol>

<p align="center"><a href="<?php echo print_url("credits.php"); ?>" class="TopMenu"><img src="images/pkp.gif" width="78" height="55" border="0" vspace="0" hspace="5" alt="Public Knowledge"></a></p>

<?php

// include the html footer file
include("include/footer.inc.php");

?>
