<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// viewappendix.php
// 
// $Id: viewappendix.php,v 1.6 2003/04/01 07:58:46 kevin Exp $
// 
// generates a page to view an appendix of a specified paper


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// include cookie script
include("include/cookie.inc.php");
getusercookie();

// include validation script
include("include/validate.inc.php");


// get paper info from database
if($paper) {
	$id = $paper;
}
$id = sanitize_db_input($id);
$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf' and accepted='true'");
$items = $db->assoc_array($result);


// this page's title
$title = "Appendices";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"),"Papers"=>print_url("papers.php"),"$items[first_name] $items[surname]"=>print_url("viewabstract.php?id=$id"));

// include script to generate Dublin Core metadata tags
include("include/dcmeta.inc.php");


// check if this is a valid paper
if($items[id]) {
	
	// check if user can view this paper
	$can_view = paper_access($items, $username, $password);
	
	// get appendix info
	$appendix_names = explode("\n",$items[appendix_names]);
	$appendix = explode("\n<!-- BEGIN NEW APPENDIX -->\n",$items[appendix]);
	$appendix_pdf = explode("\n",$items[appendix_pdf]);
	
	// print out PDF appendix
	if($can_view == "true" && $appendix[$ap-1]=="PDF" && file_exists("papers/".$appendix_pdf[$ap-1])) {
		header("Content-Type: application/pdf");
		header("Content-Disposition: inline; filename=\"".$appendix_pdf[$ap-1]."\"\n");
		readfile("papers/".$appendix_pdf[$ap-1]);
		return;
	}
	
}


// include the html header file
include("include/header.inc.php");


if($items[id]) {


// print out the paper's info
?>

      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top">

<!-- BEGIN ARTICLE TITLE -->
<p><font class="ArticleTitle"><?php echo $items[title]; ?></font><br />
<!-- END ARTICLE TITLE -->

<!-- BEGIN AUTHOR -->
<br /><a class="AuthorTextLink" href="<?php if($items[url]) { echo $items[url]; } else { echo "mailto:".$items[email]; } ?>"><?php echo $items[first_name]." ".$items[surname]; ?></a><br />
<!-- END AUTHOR -->

<!-- AUTHOR AFFILIATION or INSTITUTION --><font class="AffiliationLink"><?php echo $items[affiliation]; ?></font></p><!-- END AUTHOR AFFILIATION or INSTITUTION -->

<!-- ADDITIONAL AUTHORS -->
<?php

// print additional authors, if applicable
if($items[add_first_names]) {
	$add_first_names = explode("\n",$items[add_first_names]);
	$add_surnames = explode("\n",$items[add_surnames]);
	$add_emails = explode("\n",$items[add_emails]);
	$add_affiliations = explode("\n",$items[add_affiliations]);
	$add_urls = explode("\n",$items[add_urls]);
	for($i=0; $i<count($add_first_names); $i++) {
		echo "<p><a class=\"AuthorTextLink\" href=\"";
		if($add_urls[$i]) { echo $add_urls[$i]; }
		else { echo "mailto:".$add_emails[$i]; }
		echo "\">$add_first_names[$i] $add_surnames[$i]</a><br />
		<font class=\"AffiliationLink\">$add_affiliations[$i]</font></p>";
	}
}

if($can_view == "true") {
?>


<p><font class="MainText"><b>Appendix: <?php echo $appendix_names[$ap-1]; ?></b></font></p>

<p><!-- BEGIN ARTICLE APPENDIX --><font class="ArticleAbstract">
<?php if($appendix[$ap-1]!="PDF") { echo $appendix[$ap-1]; } ?>
</font><!-- END ARTICLE APPENDIX --></p>

<?php
// print out other appendices
if(count($appendix_names)>1) {
	echo "<p><font class=\"MainText\"><b>Other Appendices</b></font><font class=\"SmallText\">";
	for($i=0; $i<count($appendix_names); $i++) {
		if($appendix_names[$i]!=$appendix_names[$ap-1]) {
			$x=$i+1;
			?>
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <img src="<?php echo $themesdir; ?>images/smarrow.gif" width="10" height="10"> <a href="<?php echo print_url("viewappendix.php?id=$id&ap=$x"); ?>"><?php echo $appendix_names[$i]; ?></a>
			<?php
		}
	}
	echo "</font></p>";
}

}
else { echo "<p>Appendices not available.</p>"; }
?>

<p><b><a href="<?php echo print_url("viewabstract.php?id=$items[id]"); ?>">Back to Abstract</a></b></p>

          </td>
          <td><img src="images/spacer.gif" width="25" height="1" alt="" /></td>
          <td valign="top" align="right" nowrap="nowrap">
			<?php
			// include the Research Support Tool
			include("rst/rst.inc.php");
			echo rst_display($id);
			?>
			
			<br /><br />
			
             <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" valign="bottom">
               <tr> 
                 <td valign="bottom"><br />
                   <font class="Citation">&nbsp; &nbsp; Learn more<br />
                   &nbsp; &nbsp; about this<br />
                   &nbsp; &nbsp; publishing<br />
                   &nbsp; &nbsp; project...</font><br />
                   <br />
                   <a href="<?php echo print_url("credits.php"); ?>" class="TopMenu"><img src="images/pkp.gif" width="78" height="55" border="0" vspace="0" hspace="5" alt="Public Knowledge"></a><br />
                   <br />
                </td>
               </tr>
             </table>
          </td>
        </tr>
       </table>	

<?php	
}
// else print error message
else {
	include("include/header.inc.php");
	echo "Requested paper not found.";
}

?>



<?php

// include the html footer file
include("include/footer.inc.php");

?>
