<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// viewbio.php
// 
// $Id: viewbio.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// generates a page to view an author's bio


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get paper info from database
if($paper) {
	$id = $paper;
}
$id = sanitize_db_input($id);
$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf' and accepted='true'");
$items = $db->assoc_array($result);

// this page's title
$title = "About the Author";
if($items[add_first_names]) { $title .= "s"; }

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"),"Papers"=>print_url("papers.php"),"$items[first_name] $items[surname]"=>print_url("viewabstract.php?id=$id"));

// include script to generate Dublin Core metadata tags
include("include/dcmeta.inc.php");

// include the html header file
include("include/header.inc.php");


// check if this is a valid paper
if($items[id]) {

// print out bio information
?>

<!-- BEGIN ARTICLE TITLE -->
<p><font class="ArticleTitle"><?php echo $items[title]; ?></font><br />
<!-- END ARTICLE TITLE -->

<!-- BEGIN AUTHOR -->
<br /><a class="AuthorTextLink" href="<?php if($items[url]) { echo $items[url]; } else { echo "mailto:".$items[email]; } ?>"><?php echo $items[first_name]." ".$items[surname]; ?></a><br />
<!-- END AUTHOR -->

<!-- AUTHOR AFFILIATION or INSTITUTION --><font class="AffiliationLink"><?php echo $items[affiliation]; ?></font></p><!-- END AUTHOR AFFILIATION or INSTITUTION -->

<!-- ADDITIONAL AUTHORS -->
<?php

// print additional authors, if applicable
if($items[add_first_names]) {
	$add_first_names = explode("\n",$items[add_first_names]);
	$add_surnames = explode("\n",$items[add_surnames]);
	$add_emails = explode("\n",$items[add_emails]);
	$add_affiliations = explode("\n",$items[add_affiliations]);
	$add_urls = explode("\n",$items[add_urls]);
	for($i=0; $i<count($add_first_names); $i++) {
		echo "<p><a class=\"AuthorTextLink\" href=\"";
		if($add_urls[$i]) { echo $add_urls[$i]; }
		else { echo "mailto:".$add_emails[$i]; }
		echo "\">$add_first_names[$i] $add_surnames[$i]</a><br />
		<font class=\"AffiliationLink\">$add_affiliations[$i]</font></p>";
	}
}

?>


<p><font class="MainText"><b>About the Author<?php if($add_first_names) { echo "s"; } ?></b></font></p>

<?php
// get bio(s)
$bio = explode("\n<!-- BEGIN NEW BIO -->\n",$items[bio]);
if(count($bio)>1) { ?><p><font class="MainText"><b><?php echo $items[first_name]." ".$items[surname]; ?></b></font></p><?php } ?>

<p><!-- BEGIN ARTICLE BIO --><font class="ArticleAbstract">
<?php
if(!empty($bio[0])) {
	echo nl2br($bio[0]);
}
else {
	echo "No biographical information is available on this author.";
}
?>
</font><!-- END ARTICLE BIO --></p>


<?php
// print out additional bios
	for($i=0; $i<count($bio)-1; $i++) {
		?><p><font class="MainText"><b><?php echo $add_first_names[$i]." ".$add_surnames[$i]; ?></b></font></p>

	<p><!-- BEGIN ARTICLE BIO --><font class="ArticleAbstract">
	<?php
	if(!empty($bio[$i+1])) {
		echo nl2br($bio[$i+1]);
	}
	else {
		echo "No biographical information is available on this author.";
	}
	?>
	</font><!-- END ARTICLE BIO --></p>
<?php
	}
?>

<p><b><a href="javascript:top.close()">Close Window</a></b></p>

<?php	
}
// else print error message
else {
	echo "Requested paper not found.";
}

?>


<?php

// include the html footer file
include("include/footer.inc.php");

?>
