<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// viewcomment.php
// 
// $Id: viewcomment.php,v 1.4 2003/04/01 07:58:46 kevin Exp $
// 
// script to view a specified comment on a paper


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// get paper info
$id = sanitize_db_input($id);
$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf' and accepted='true'");
$items = $db->assoc_array($result);

// this page's title
$title = "View Comment";

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"),"Papers"=>print_url("papers.php"),"$items[first_name] $items[surname]"=>print_url("viewabstract.php?id=$id"));

// include the html header file
include("include/header.inc.php");


// check that conference allows comments
if($conference_items[allow_comments]!="true") {
	echo "This conference does not allow comments on papers.";
	include("include/footer.inc.php");
	exit;
}


// show a specific comment
if($comment) {
	// get comment info from database
	$comment = sanitize_db_input($comment);
	$result = $db->query("Select * from $dbtable[comments] where id='$comment' and paper='$id' and cf='$cf'");
	$comment = $db->assoc_array($result);
	
	// check if this is a valid comment
	if($comment[id]) {
	?>
	
		<p class="ArticleTitle"><b>Comment on "<?php echo $items[title]; ?>"</b></p>
		
		<p><b><?php echo $comment[title]; ?></b><br />
		Comment made by <a href="mailto:<?php echo $comment[email]; ?>"><?php echo $comment[author]; ?></a> on <?php $date = explode("-",$comment[date]);
		echo $date[1]."/".$date[2]."/".$date[0];
		?>:<br /><br />
		
		<table border="0" cellpadding="0" cellspacing="0"><tr><td width="15" nowrap>&nbsp;</td><td valign="top"><?php echo nl2br($comment[comments]); ?></td></tr></table></p>
		
		<p><table border="0" cellpadding="0" cellspacing="0" width="640">
		<tr><td colspan="2"><b>Other comments on this paper</b></td></tr>
		<?php
		// print out list of additional comments, if applicable
		$comment[id] = sanitize_db_input($comment[id]);
		$result = $db->query("Select * from $dbtable[comments] where paper='$id' and id!='$comment[id]' and cf='$cf' order by date desc");
		$num_rows = $db->num_rows($result);
		for ($count = 0; $count<$num_rows; $count++) {
			$comment = $db->assoc_array($result, $count);
			echo "<tr valign=\"middle\" height=\"20\"><td width=\"25\" align=\"right\"><img src=\"".$themesdir."images/arrow.gif\" width=\"12\" height=\"12\" border=\"0\" name=\"papers\"></td><td width=\"615\"><b><a href=\"".print_url("viewcomment.php?comment=$comment[id]&id=$comment[paper]")."\">$comment[title]</a> - $comment[author] (";
			$date = explode("-",$comment[date]);
			echo $date[1]."/".$date[2]."/".$date[0];
			echo ")</b></td></tr>";
		}
		?>
		<tr><td>&nbsp;</td><td><font class="SmallText"><?php
		
		// print message if no comments have been posted
		if($num_rows==0) {
			echo "No other comments made on this paper.";
		}
		// else print instructions
		else {
			echo "(Click on titles to see comments)";
		}
		?></font></td></tr>
		<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
		<?php
		if($num_rows > 0) {
		?>
		<tr valign="middle"><td width="25" align="right"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("viewcomment.php?id=$id") ?>">View All Comments on this Paper</a></b></td></tr>
		<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
		<?php
		}
		?>
		<tr valign="middle"><td width="25" align="right"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a class="MainTextLink" href="<?php echo print_url("addcomment.php?id=$items[id]"); ?>">Add Comment</a></b></td></tr>
		</table></p>
		
		<p><table border="0" cellpadding="0" cellspacing="0" width="400">
		<tr valign="middle"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td><b><a href="<?php echo print_url("viewabstract.php?id=$comment[paper]"); ?>">Back to Abstract</a></b></td></tr>
		</table></p>
		
		<?php
	
	}
	// else print error message
	else {
		echo "Requested comment not found.";
	}
}

// show all comments on a paper
else if($items[id]) {
	?>
	<p class="ArticleTitle"><b>Comments on "<?php echo $items[title]; ?>"</b></p>
	<?php
	// get comment info from database
	$result = $db->query("Select * from $dbtable[comments] where paper='$id' and cf='$cf' order by date desc");
	if($db->num_rows($result) == 0) { echo "<p>No comments have been made on this paper.</p>"; }
	for($i=0; $i<$db->num_rows($result); $i++) {
		$comment = $db->assoc_array($result, $i);
		?>
		<p><b><?php echo $comment[title]; ?></b><br />
		Comment made by <a href="mailto:<?php echo $comment[email]; ?>"><?php echo $comment[author]; ?></a> on <?php $date = explode("-",$comment[date]);
		echo $date[1]."/".$date[2]."/".$date[0];
		?>:<br /><br />
		<table border="0" cellpadding="0" cellspacing="0"><tr><td width="15" nowrap>&nbsp;</td><td valign="top"><?php echo nl2br($comment[comments]); ?></td></tr></table></p>
		<?php
	}
	?>
	
	<p><table border="0" cellpadding="0" cellspacing="0" width="415">
	<tr valign="middle"><td width="25" align="right"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a class="MainTextLink" href="<?php echo print_url("addcomment.php?id=$items[id]"); ?>">Add Comment</a></b></td></tr>
	</table></p>
	
	<p><table border="0" cellpadding="0" cellspacing="0" width="400">
	<tr valign="middle"><td width="10"><img src="<?php echo $themesdir; ?>images/arrow.gif" width="12" height="12" border="0"></td><td width="390"><b><a href="<?php echo print_url("viewabstract.php?id=$comment[paper]"); ?>">Back to Abstract</a></b></td></tr>
	</table></p>	
	<?php
}

else {
	echo "Requested paper not found.";
}


// include the html footer file
include("include/footer.inc.php");

?>
