<?php

// Open Conference Systems 1.1
// (c) The Public Knowledge Project 2003
// http://www.pkp.ubc.ca
//
// This file is part of Open Conference Systems.
// 
// Open Conference Systems is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// Open Conference Systems is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Conference Systems; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// viewpaper.php
// 
// $Id: viewpaper.php,v 1.8 2003/04/01 07:58:46 kevin Exp $
// 
// generates a page with the full text of a specified paper


// include necessary files
include("include/db.inc.php"); 
include("include/common.inc.php");

if(!isset($cf)) {
	header("Location: index.php");
	exit;
}


// include cookie script
include("include/cookie.inc.php");
getusercookie();

// include validation script
include("include/validate.inc.php");


// get paper info from database
$id = sanitize_db_input($id);
$result = $db->query("Select * from $dbtable[papers] where id='$id' and cf='$cf' and accepted='true'");
$items = $db->assoc_array($result);


// this page's title
$title = $items[first_name]." ".$items[surname];

// creates a hierarchal tree to be printed out in header.php
$tree = array("Home"=>print_url("index.php"),"Papers"=>print_url("papers.php"));

// include script to generate Dublin Core metadata tags
include("include/dcmeta.inc.php");


// check if this is a valid paper
if($items[id]) {


// check if user can view this paper
$can_view = paper_access($items, $username, $password);


// print out PDF paper
if($can_view == "true" && $items[paper]=="PDF" && file_exists("papers/$items[pdf]")) {
	header("Content-Type: application/pdf");
    header("Content-Disposition: inline; filename=\"$items[first_name]-$items[surname].pdf\"\n");
    readfile("papers/$items[pdf]");
    exit;
}


// include the html header file if not showing printer-friendly version
if($print!=1) { include("include/header.inc.php"); }


// print out printer friendly version
if($print==1) {

?>

<html>
<head>
	<title><?php echo $items[title]; ?></title>
	<link rel="stylesheet" href="include/style.css" type="text/css">
	
<?php

// print out Dublin Core metadata tags
echo $dcheaders;

?>

</head>
<body bgcolor="#ffffff">
<center>
<table border="0" cellpadding="5" cellspacing="0" width="600"><tr><td>
<p align="center"><font size="5"><b><?php echo $items[title]; ?></b></font></p>
<p align="center"><font size="4"><b><?php echo $items[first_name]." ".$items[surname];
if($items[affiliation]) {
	echo ", ".$items[affiliation];
}
?></b></font></p>

<p><b>Abstract</b><br />
<?php echo nl2br($items[abstract]); ?></p>

<p><?php

// print full text if available
	if($can_view != "true") {
		echo $can_view;
	}
	else {
		if($items[paper]=="PDF") {
			// print link to pdf
			$paper_file = "$items[pdf]";
			
			// remove troublesome characters
			$paper_file = str_replace(" ","",$paper_file);
			$paper_file = str_replace("/","",$paper_file);
			$paper_file = str_replace("'","",$paper_file);
			$paper_file = str_replace("\"","",$paper_file);
			$paper_file = str_replace("\\","",$paper_file);
			
			$paper_file = $baseurl."papers/".$paper_file;
			
			echo "The full text of this paper is available <a class=\"MainTextLink\" href=\"$paper_file\">here</a> in PDF format";
		}
		else {
			echo $items[paper];
		}

	}
?></p>

<?php
	// print out appendices
	if($items[appendix_names] && $can_view == "true") {
		$appendix_names = explode("\n",$items[appendix_names]);
		$appendix = explode("\n<!-- BEGIN NEW APPENDIX -->\n",$items[appendix]);
		$appendix_pdf = explode("\n",$items[appendix_pdf]);
		echo "<p><font class=\"MainText\"><b>Appendices</b></font><font class=\"SmallText\">";
		for($i=0; $i<count($appendix_names); $i++) {
			$x=$i+1;
			?>
			<br />
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &#149; <a href="<?php echo print_url("viewappendix.php?id=$id&ap=$x"); ?>"><?php echo $appendix_names[$i]; ?></a>
			<?php
		}
		echo "</font></p>";
	}
?>

<p><b><a href="<?php echo print_url("viewabstract.php?id=$items[id]"); ?>">Back to Abstract</a></b></p>

</td></tr></table>

</center>
</body>
</html>

<?php

}

// print out regular version
else {

?>

<!--Script for Look up a term--> 
<script type="text/javascript" language="JavaScript">

<!-- Begin
var NS = (navigator.appName == "Netscape") ? 1 : 0;
if (NS) document.captureEvents(Event.DBLCLICK);
document.ondblclick = dict;

var newwin;
function dict() {
if (NS) {
t = document.getSelection();
opennewwin(t);
}
else {
t = document.selection.createRange();
if(document.selection.type == 'Text' && t.text != '') {
document.selection.empty();
opennewwin(t.text);
      }
   }
}
function opennewwin(text) {
if (text > '') {
newwin = window.open('http://www.xrefer.com/results.jsp?shelf=search+all&Submit.x=4&Submit.y=20&term='+text, 'dictionary', 'width=700, height=500, resizable=yes, menubar=yes, toolbar=yes, scrollbars=yes');
setTimeout('newwin.focus()', 100);
   }
}
//  End -->
</script>

<!--End of Look up Term script--> 

      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top">

<!-- BEGIN ARTICLE TITLE -->
<p><font class="ArticleTitle"><?php echo $items[title]; ?></font><br />
<!-- END ARTICLE TITLE -->

<!-- BEGIN AUTHOR -->
<br /><a class="AuthorTextLink" href="<?php if($items[url]) { echo $items[url]; } else { echo "mailto:".$items[email]; } ?>"><?php echo $items[first_name]." ".$items[surname]; ?></a><br />
<!-- END AUTHOR -->

<!-- AUTHOR AFFILIATION or INSTITUTION --><font class="AffiliationLink"><?php echo $items[affiliation]; ?></font></p><!-- END AUTHOR AFFILIATION or INSTITUTION -->

<!-- ADDITIONAL AUTHORS -->
<?php

// print additional authors, if applicable
if($items[add_first_names]) {
	$add_first_names = explode("\n",$items[add_first_names]);
	$add_surnames = explode("\n",$items[add_surnames]);
	$add_emails = explode("\n",$items[add_emails]);
	$add_affiliations = explode("\n",$items[add_affiliations]);
	$add_urls = explode("\n",$items[add_urls]);
	for($i=0; $i<count($add_first_names); $i++) {
		echo "<p><a class=\"AuthorTextLink\" href=\"";
		if($add_urls[$i]) { echo $add_urls[$i]; }
		else { echo "mailto:".$add_emails[$i]; }
		echo "\">$add_first_names[$i] $add_surnames[$i]</a><br />
		<font class=\"AffiliationLink\">$add_affiliations[$i]</font></p>";
	}
}

?>

<p><font class="MainText"><b>Abstract</b></font><br />
<!-- BEGIN ARTICLE ABSTRACT --><font class="ArticleAbstract">
<?php echo nl2br($items[abstract]); ?>
</font><!-- END ARTICLE ABSTRACT --></p>

<?php
// check if paper can be accessed
if(!($items[delete_paper]=="true" && time()>=(strtotime($conference_items[end_date])+86400)) && $conference_items[paper_access] != "none") {
?>
<p><!-- BEGIN FULL TEXT --><font class="ArticleAbstract">
<?php
	if($items[paper] && $items[paper]!="PDF") {
		echo $items[paper];
	}
	else if($items[paper]=="PDF") {
		// print link to pdf
		$paper_file = "$items[pdf]";
		
		// remove troublesome characters
		$paper_file = str_replace(" ","",$paper_file);
		$paper_file = str_replace("/","",$paper_file);
		$paper_file = str_replace("'","",$paper_file);
		$paper_file = str_replace("\"","",$paper_file);
		$paper_file = str_replace("\\","",$paper_file);
		
		$paper_file = $baseurl."papers/".$paper_file;
		
		echo "The full text of this paper is available <a class=\"MainTextLink\" href=\"$paper_file\">here</a> in PDF format";
	}
	else {
		echo "Full text of paper not available.";	
	}
	
?>
</font><!-- END FULL TEXT --></p>

<?php
	// print out appendices
	if($items[appendix_names]) {
		$appendix_names = explode("\n",$items[appendix_names]);
		$appendix = explode("\n<!-- BEGIN NEW APPENDIX -->\n",$items[appendix]);
		$appendix_pdf = explode("\n",$items[appendix_pdf]);
		echo "<p><font class=\"MainText\"><b>Appendices</b></font><font class=\"SmallText\">";
		for($i=0; $i<count($appendix_names); $i++) {
			$x=$i+1;
			echo "<br />\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <img src=\"".$themesdir."images/smarrow.gif\" width=\"10\" height=\"10\"> <a href=\"".print_url("viewappendix.php?id=$id&ap=$x")."\">$appendix_names[$i]</a>";
		}
		echo "</font></p>";
	}
}
else {
	echo "Full text of paper not available.";
}
?>

	<?php
	
	// show other papers in a multiple paper presentation, if applicable
	if($items[present_format]=="multiple") {
		?>

<p><font class="MainText"><b>Multiple Paper Presentation</b>: <br />
	Other papers in this presentation:<br />
	<?php
		// if this is not the multiple paper organizer's paper, locate it to get the necessary info
		if(!$items[multiple_presenters]) {
			$items[email] = sanitize_db_input($items[email]);
			$multi_result = $db->query("Select email, multiple_presenters, multiple_title from $dbtable[papers] where multiple_presenters like '%$items[email]%' and cf='$cf'");
			$multi_items = $db->assoc_array($multi_result);
			$multiple_title = $multi_items[multiple_title];
			$multiple_presenters = $multi_items[email]."; ".$multi_items[multiple_presenters];
		}
		// otherwise we can get the info from this paper
		else {
			$multiple_presenters = $items[multiple_presenters];
			$multiple_title = $items[multiple_title];
		}
		
		// split the list of multiple presenters into an array
		$multiple_presenters = explode("; ",$multiple_presenters);
		
		// loop through each additional presenter's email and print the title with link to abstract
		for($i=0; $i<count($multiple_presenters); $i++) {
			// make sure this is a different paper from the one being viewed
			if($multiple_presenters[$i]!=$items[email]) {
				$multiple_presenters[$i] = sanitize_db_input($multiple_presenters[$i]);
				$multi_result = $db->query("Select title, id from $dbtable[papers] where email='$multiple_presenters[$i]' and present_format='multiple' and cf='$cf'");
				$multi_items = $db->assoc_array($multi_result);
				if($multi_items[id]) {
					echo "<a href=\"".print_url("viewabstract.php?id=$multi_items[id]")."\">$multi_items[title]</a><br />";
				}
			}
		}
		
		?>
</font></p>
	
	<?php
	}


	// show comments, if applicable and full text has been submitted
	if($conference_items[allow_comments]=="true") {
		// don't allow additional comments if paper has been removed by author
		if(!$delete_paper) {
		?>
		
		<p><b><font class="MainText">Add a <a class="MainTextLink" href="<?php echo print_url("addcomment.php?id=$items[id]"); ?>">Comment</a> on this Paper</font></b></p>
	
		<?php
		}
		?>
	
	<p><font class="MainText"><b>Comments on this paper</b></font><br />
	<font class="SmallText">
	<?php
	
	// get comment info from database
	$items[id] = sanitize_db_input($items[id]);
	$result = $db->query("Select * from $dbtable[comments] where paper='$items[id]' order by date desc");
	$num_rows = $db->num_rows($result);
	
	// loop and print out link to each comment
	for ($count = 0; $count<$num_rows; $count++) {
		$comment = $db->assoc_array($result, $count);
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <img src=\"".$themesdir."images/smarrow.gif\" width=\"10\" height=\"10\"> <b><a href=\"".print_url("viewcomment.php?comment=$comment[id]&id=$comment[paper]")."\">$comment[title]</a> - $comment[author] (";
		$date = explode("-",$comment[date]);
		echo $date[1]."/".$date[2]."/".$date[0];
		echo ")</b><br />";
	}
	
	// print message if no comments have been posted
	if($num_rows==0) {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; No comments made on this paper.";
	}
	// else print instructions
	else {
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (Click on titles to see comments)";
		if($num_rows > 1) {
			echo "<br /><br />\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b><a href=\"".print_url("viewcomment.php?id=$items[id]")."\">View All Comments on this Paper</a></b>";
		}
	}

?>
	</font>
	</p>
	
	
	<?php	
		
	}
}

// print PKP logo
if($print!=1) {
?>

          </td>
          <td><img src="images/spacer.gif" width="25" height="1" alt="" /></td>
          <td valign="top" align="right" nowrap="nowrap">
			<?php
			// include the Research Support Tool
			include("rst/rst.inc.php");
			echo rst_display($id);
			?>
			
			<br /><br />
			
             <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" valign="bottom">
               <tr> 
                 <td valign="bottom"><br />
                   <font class="Citation">&nbsp; &nbsp; Learn more<br />
                   &nbsp; &nbsp; about this<br />
                   &nbsp; &nbsp; publishing<br />
                   &nbsp; &nbsp; project...</font><br />
                   <br />
                   <a href="<?php echo print_url("credits.php"); ?>" class="TopMenu"><img src="images/pkp.gif" width="78" height="55" border="0" vspace="0" hspace="5" alt="Public Knowledge"></a><br />
                   <br />
                </td>
               </tr>
             </table>
          </td>
        </tr>
       </table>

<?php
}

}
// else print error message
else {
	include("include/header.inc.php");
	echo "Requested paper not found.";
}



// include the html footer file if not showing printer-friendly version
if($print!=1) { include("include/footer.inc.php"); }

?>
